﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.GEN.410038
         ELS Ref: V137B

		    IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
          RETURN VALIDATION MESSAGE
        ENDIF

		    [dids14] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038"
             test="not(
                          $dids14
                          [
                              matches(.,'^(T/A )(.*)$', 'i') 
                              and 
                              matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')
                          ]
                       )"/>

    
    <!-- Rule ID: VR.ATO.GEN.410206 removed for CR2900 -->
  

    <!-- Rule ID: VR.ATO.GEN.428261
         ELS Ref: V137D

		    IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
          RETURN VALIDATION MESSAGE
        ENDIF

		    [dids14] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.GEN.428261" diagnostics="DVR.ATO.GEN.428261"
             test="not(
                          $dids14
                          [
                              matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')
                          ]
                       )"/>


    <!-- Rule ID: VR.ATO.GEN.428259
         ELS Ref: V137E

		    IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids14] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.GEN.428259" diagnostics="DVR.ATO.GEN.428259"
             test="not(
                          $dids14
                          [
                              matches(.,'^(.*)(P/L)(.*)$')
                          ]
                       )"/>


    <!-- Rule ID: VR.ATO.DIDS.000011
         ELS Ref: V303A

		    IF ([dids14] = NULLORBLANK AND [dids16] = NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [dids14] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
		    [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.DIDS.000011" diagnostics="DVR.ATO.DIDS.000011"
             test="not(
                          not($dids14[not(@i:nil='true') and string-length(.) != 0])
                          and
                          not($dids16[not(@i:nil='true') and string-length(.) != 0])                          
                       )"/>

    
    <!-- Rule ID: VR.ATO.DIDS.000012
         ELS Ref: V303B

		    IF ([dids14] <> NULLORBLANK AND [dids16] <> NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [dids14] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
		    [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.DIDS.000012" diagnostics="DVR.ATO.DIDS.000012"
             test="not(
                          $dids14[not(@i:nil='true') and string-length(.) != 0]
                          and
                          $dids16[not(@i:nil='true') and string-length(.) != 0]
                       )"/>


    <!-- Rule ID: VR.ATO.GEN.410200
         ELS Ref: V137A

		    IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200"
            test="not(
                        $dids16
                        [
                            matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                            matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.410201
         ELS Ref: V140

		    IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND(""MR"",""MRS"",""MISS"",""MS""))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201"
            test="not(
                        $dids16
                        [
                            matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                            matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                            matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                            matches(.,'^(MR|MRS|MISS|MS)$','i')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.428231
         ELS Ref: V141

		    IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231"
            test="not(
                        $dids16
                        [
                            matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                            matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.DIDS.000020
         ELS Ref: V303C

		    IF (([dids17] <> NULLORBLANK OR [dids18] <> NULLORBLANK) AND [dids16] = NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
		    [dids17] = pyde.xx.xx:PersonNameDetails.GivenName.Text
		    [dids18] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.DIDS.000020" diagnostics="DVR.ATO.DIDS.000020"
             test="not(
                          (
                              $dids17[not(@i:nil='true') and string-length(.) != 0]
                              or
                              $dids18[not(@i:nil='true') and string-length(.) != 0]
                          )
                          and
                          not($dids16[not(@i:nil='true') and string-length(.) != 0])
                       )"/>


    <!-- Rule ID: VR.ATO.GEN.410203
         ELS Ref: V137A

		    IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids17] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203"
            test="not(
                        $dids17
                        [
                            matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                            matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.410204
         ELS Ref: V140

		    IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids17] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204"
            test="not(
                        $dids17
                        [
                            matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                            matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                            matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                            matches(.,'^(MR|MRS|MISS|MS)$','i')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.410202
         ELS Ref: V141

		    IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids17] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202"
            test="not(
                        $dids17
                        [
                            matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                            matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                        ]
                     )"/>

    
    <!-- Rule ID: VR.ATO.DIDS.000028
         ELS Ref: V303D

		    IF ([dids17] = NULLORBLANK AND [dids18] <> NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [dids17] = pyde.xx.xx:PersonNameDetails.GivenName.Text
		    [dids18] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.DIDS.000028" diagnostics="DVR.ATO.DIDS.000028"
            test="not(
                          not($dids17[not(@i:nil='true') and string-length(.) != 0])
                          and
                          $dids18[not(@i:nil='true') and string-length(.) != 0]
                      )"/>


    <!-- Rule ID: VR.ATO.GEN.410208
         ELS Ref: V137A

		    IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids18] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.GEN.410208" diagnostics="DVR.ATO.GEN.410208"
            test="not(
                        $dids18
                        [
                            matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                            matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.410209
         ELS Ref: V140

		    IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids18] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.GEN.410209" diagnostics="DVR.ATO.GEN.410209"
            test="not(
                        $dids18
                        [
                            matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                            matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                            matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                            matches(.,'^(MR|MRS|MISS|MS)$','i')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.410207
         ELS Ref: V141

		    IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids18] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.GEN.410207" diagnostics="DVR.ATO.GEN.410207"
            test="not(
                        $dids18
                        [
                            matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                            matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                        ]
                     )"/>
  </rule>
</pattern>
