﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.DIDS.000001
         ELS Ref: V7

		    IF LENGTH([dids12]) > 76
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [dids12] = rvctc2.xx.xx:IncomeTax.Deduction.InterestDividend.Description
    -->
    <assert id="VR.ATO.DIDS.000001" diagnostics="DVR.ATO.DIDS.000001"
            test="not(
                        $dids12[string-length(.) > 76]
                     )"/>


    <!-- Rule ID: VR.ATO.DIDS.000003
         ELS Ref: V7

		    IF LENGTH([dids13]) > 76
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [dids13] = bafpo7.xx.xx:Assets.Investment.ProductInvestmentName.Text
    -->
    <assert id="VR.ATO.DIDS.000003" diagnostics="DVR.ATO.DIDS.000003"
            test="not(
                        $dids13[string-length(.) > 76]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.500082
         ELS Ref: V7

		    IF LENGTH(pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text) > 76
             RETURN VALIDATION MESSAGE
        ENDIF

		    [dids14] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.GEN.500082" diagnostics="DVR.ATO.GEN.500082"
            test="not(
                        $dids14[string-length(.) > 76]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.500016
         ELS Ref: V7

		    IF LENGTH(pyde.xx.xx:PersonNameDetails.FamilyName.Text) > 30
             RETURN VALIDATION MESSAGE
        ENDIF

		    [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.500016" diagnostics="DVR.ATO.GEN.500016"
            test="not(
                        $dids16[string-length(.) > 30]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.500017
         ELS Ref: V7

		    IF LENGTH(pyde.xx.xx:PersonNameDetails.GivenName.Text) > 15
             RETURN VALIDATION MESSAGE
        ENDIF

		    [dids17] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.500017" diagnostics="DVR.ATO.GEN.500017"
            test="not(
                        $dids17[string-length(.) > 15]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.500041
         ELS Ref: V7

		    IF LENGTH(pyde.xx.xx:PersonNameDetails.OtherGivenName.Text) > 30
             RETURN VALIDATION MESSAGE
        ENDIF

		    [dids18] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.GEN.500041" diagnostics="DVR.ATO.GEN.500041"
            test="not(
                        $dids18[string-length(.) > 30]
                     )"/>


    <!-- Rule ID: VR.ATO.DIDS.000036
         ELS Ref: V7

		    IF ([dids21] <> MONETARY(U,11,0))
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [dids21] = rvctc2.xx.xx:IncomeTax.Deduction.InterestDividendClaimed.Amount
    -->
    <assert id="VR.ATO.DIDS.000036" diagnostics="DVR.ATO.DIDS.000036"
            test="not(
                        $dids21[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>

  </rule>

</pattern>