﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- ********************************************************************
                                DIDS ERRORS
       ******************************************************************** -->
  
  <diagnostic id="DVR.ATO.DIDS.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000001</Code>
      <Description>Description of interest or dividend expense must not exceed 76 characters</Description>
      <LongDescription>For Description of interest or dividend expense, the maximum allowable characters for this form is 76</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.InterestDividend.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DIDS.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000002</Code>
      <Description>Description of interest or dividend expense contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.InterestDividend.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DIDS.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000003</Code>
      <Description>Name of product or investment must not exceed 76 characters</Description>
      <LongDescription>For Name of product or investment, the maximum allowable characters for this form is 76</LongDescription>
      <Location>bafpo7.02.18:Assets.Investment.ProductInvestmentName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DIDS.000004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000004</Code>
      <Description>Name of product or investment contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>bafpo7.02.18:Assets.Investment.ProductInvestmentName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DIDS.000005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000005</Code>
      <Description>Invalid context. The number of Reporting party Payee contexts must equal 1</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DIDS.000006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000006</Code>
      <Description>Entity identifier scheme for ReportingParty Payee must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DIDS.000038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000038</Code>
      <Description>Description of interest or dividend expense must be provided</Description>
      <LongDescription />
      <Location>rvctc2.02.14:IncomeTax.Deduction.InterestDividend.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DIDS.000039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000039</Code>
      <Description>Name of product or investment must be provided</Description>
      <LongDescription />
      <Location>bafpo7.02.18:Assets.Investment.ProductInvestmentName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DIDS.000040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000040</Code>
      <Description>Investment Code must be provided</Description>
      <LongDescription />
      <Location>bafpo7.02.18:Assets.Investment.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DIDS.000041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000041</Code>
      <Description>Payment in advance must be provided</Description>
      <LongDescription />
      <Location>bafpo7.02.18:Assets.Investment.AdvancePayment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DIDS.000042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000042</Code>
      <Description>Amount claimed as interest or dividend expense must be provided</Description>
      <LongDescription />
      <Location>rvctc2.02.14:IncomeTax.Deduction.InterestDividendClaimed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.001023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500030</Code>
      <Description>Invalid context. Period start date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500033</Code>
      <Description>Invalid context. Period end date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500082" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500082</Code>
      <Description>Non-individual name must not exceed 76 characters</Description>
      <LongDescription>For Non-individual name, the maximum allowable characters for this form is 76</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410038</Code>
      <Description>Non-individual name field cannot start with 'T/A' and end with 'Pship', 'P'ship or 'P/Ship'</Description>
      <LongDescription />
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.GEN.428261" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000417</Code>
      <Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</Description>
      <LongDescription />
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428259" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000414</Code>
      <Description>Non Individual Name cannot contain "P/L"</Description>
      <LongDescription />
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428258" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000413</Code>
      <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
      <LongDescription />
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DIDS.000011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000011</Code>
      <Description>Either Payee family name or Payee non-individual name must be present</Description>
      <LongDescription>Payee's name is not present for an item in the Interest and Dividend deductions schedule. Each item must have the Payee family name or Payee non-individual name.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DIDS.000012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000012</Code>
      <Description>Payee family name and Payee non-individual name are both present</Description>
      <LongDescription>Payee family name and Payee non-individual name are both present for an item in the Interest and Dividend deductions schedule. Only one name can be present for a payee name at any one time.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500016</Code>
      <Description>Individual Family name must not exceed 30 characters</Description>
      <LongDescription>For Individual Family name, the maximum allowable characters for this form is 30</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410200" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000424</Code>
      <Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410040</Code>
      <Description>Family name must contain at least one alphabetical character</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428263" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000427</Code>
      <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428262" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000423</Code>
      <Description>Family Name cannot contain "space hyphen space"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410201" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000426</Code>
      <Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428231" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000422</Code>
      <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DIDS.000020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000020</Code>
      <Description>Payee family name must be present</Description>
      <LongDescription>Payee first name and/or Payee other given names are present without the Payee family name being present</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500017</Code>
      <Description>Individual First given name must not exceed 15 characters</Description>
      <LongDescription>For Individual First given name, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410203" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000437</Code>
      <Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410063" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410063</Code>
      <Description>Given Name must contain at least one alphabetical character</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428265" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000439</Code>
      <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428264" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000434</Code>
      <Description>First name cannot contain space hyphen space</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410204" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000438</Code>
      <Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410202" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000436</Code>
      <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DIDS.000028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000028</Code>
      <Description>Payee first name must be present</Description>
      <LongDescription>Payee other given names is present without Payee first name being present</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500041</Code>
      <Description>Other given names must not exceed 30 characters</Description>
      <LongDescription>For Other given names, the maximum allowable characters for this form is 30</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410208" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000449</Code>
      <Description>Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410131" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410131</Code>
      <Description>Other Given Name must contain at least one alphabetical character</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428266" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000446</Code>
      <Description>Other given name cannot contain space hyphen space</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.428267" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000451</Code>
      <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000450</Code>
      <Description>Other given name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410207" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000448</Code>
      <Description>Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DIDS.000036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIDS.000036</Code>
      <Description>Amount claimed as interest or dividend expense is not in a valid monetary format</Description>
      <LongDescription>Amount claimed as interest or dividend expense must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.InterestDividendClaimed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500023</Code>
      <Description>Non-Individual Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500024</Code>
      <Description>Individual Family name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500025</Code>
      <Description>Individual First given name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500042</Code>
      <Description>Individual other given names contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
</diagnostics>
