﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Common Warnings</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.000004
         ELS Ref: M1030
    
        IF  ([iitr171] > 0) AND 
            ([iitr213] <> NULLORBLANK) AND 
            ([iitr225] <> NULL) AND 
            ([iitr217] <> NULL) AND 
            ([iitr217] < CONVERT_TO_DATE(30,6, [iitr10] - 55)) AND
            ([iitr217] > CONVERT_TO_DATE(1,7, [iitr10] - 61)) AND 
            ([iitr236] = NULL)
              RETURN VALIDATION MESSAGE
        ENDIF
          
        [iitr171] = rvctc2.02.14:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count
        [iitr213] = pyde.02.00:PersonNameDetails.FamilyName.Text
        [iitr217] = pyde.02.00:PersonDemographicDetails.Birth.Date
        [iitr225] = bafpr1.02.23:Income.Taxable.Amount
        [iitr236] = rvctc1.02.16:IncomeTax.TrustIncomeNotIncludedInTaxableIncome.Amount
    -->
    <let name="years55Ago" value="concat($iitr10 - 55, '-06-30')" />
    <let name="years61Ago" value="concat($iitr10 - 61, '-07-01')" />
             
    <assert  id="VR.ATO.IITR.000004" diagnostics="DVR.ATO.IITR.000004"
            test="not(
                          (sum($iitr171) > 0)
                          and
                          ($iitr213[not(@i:nil='true')])
                          and
                          ($iitr225[not(@i:nil='true')])
                          and
                          ($iitr217[not(@i:nil='true')])
                          and
                          ($iitr217[function:IsDate1GreaterThanDate2($years55Ago, .)])
                          and
                          ($iitr217[function:IsDate1GreaterThanDate2(., $years61Ago)])
                          and
                          (not($iitr236[not(@i:nil='true')]))
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000013
         ELS Ref: M1032

        IF  (
              [iitr177] = NULL OR [iitr177] < (RP:period.endDate - RP:period.startDate + 1)
            )
            AND
            (
              (
                (
                  [iitr213] <> NULLORBLANK OR [iitr171] <> NULL
                )
                AND 
                (
                  (
                    POS([iitr157])
                    + 
                    ([iitr200] WHERE [iitr200] > 3772)
                    + 
                    ([iitr330] WHERE [iitr157] > 0)
                    + 
                    [iitr399] - (SUM([iitr99]) WHERE 
                    (
                      (
                        ([iitr29] > CONVERT_TO_DATE(30,6, [iitr10] - 55))
                        OR 
                        ([iitr29] <= CONVERT_TO_DATE(1,7, [iitr10] - 61))
                      )
                      AND
                      (
                        [iitr102] <> TRUE
                      ) 
                    )
                  )
                  + 
                  [iitr204] + [iitr205] + [iitr201]
                  + 
                  SUM([iitr362])
                  + 
                  [iitr225]
                  + 
                  ([iitr228] WHERE [iitr228] > 3772)
                  + 
                  [iitr227]
                  + 
                  [iitr234] 
                  + 
                  [iitr231] 
                  - 
                  [iitr236])
                  > 
                  (
                    180000
                    +
                    (
                      (
                        (1500 * [iitr171]) - 1
                      )
                      WHERE [iitr171] > 1
                    )
                  )
                )
              ) 
              OR 
              (
                ([iitr213] = NULLORBLANK)
                AND
                ([iitr171] = NULL)
                AND
                (
                  (POS([iitr157])
                  +
                  ([iitr200] WHERE [iitr200] > 3772)
                  +
                  ([iitr330] WHERE [iitr157] > 0)
                  +
                  [iitr399]
                  -
                  (
                    SUM([iitr99]) WHERE
                    (
                      (
                        ([iitr29] > CONVERT_TO_DATE(30,6, [iitr10] - 55))
                        OR
                        ([iitr29] <= CONVERT_TO_DATE(1,7, [iitr10] - 61))
                      )
                      AND 
                      ([iitr102] <> TRUE)
                    )
                  )
                  +
                  [iitr204] 
                  + 
                  [iitr205] 
                  + 
                  [iitr201] 
                  + 
                  SUM([iitr362])
                ) 
                > 
                90000
              )
            )
          ) 
          AND 
          (
            [iitr201] > (SUM([iitr62]) * 0.08)
          )

          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr10] = pyin.xx.xx:Report.TargetFinancial.Year
        [iitr29] = pyde.xx.xx:PersonDemographicDetails.Birth.Date
        [iitr62] = bafpr1.xx.xx:Income.SalaryOrWages.Amount
        [iitr99] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
        [iitr102] = bafpr3.xx.xx:Income.Superannuation.DeathBenefitPaymentNonDependant.Indicator
        [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
        [iitr171] = rvctc2.xx.xx:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count
        [iitr177] = rvctc2.xx.xx:IncomeTax.MedicareLevy.SurchargeExemptionDays.Count
        [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
        [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
        [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
        [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
        [iitr213] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
        [iitr225] = bafpr1.xx.xx:Income.Taxable.Amount
        [iitr227] = rvctc1.xx.xx:IncomeTax.FamilyTrustDistributionWhereTaxPaid.Amount
        [iitr228] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
        [iitr231] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
        [iitr234] = rvctc3.xx.xx:Tax.Losses.InvestmentNet.Amount
        [iitr236] = emsup.xx.xx:SuperannuationPayment.BenefitLumpSumZeroTaxRate.Amount
        [iitr330] = rvctc4.xx.xx:InternationalDealings.ExemptForeignEmploymentIncome.Amount
        [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
        [iitr399] = rvctc1.xx.xx:IncomeTax.FamilyTrustDistributionWhereTaxPaid.Amount
    -->
    <let name="endStartPlus1_000013" value="function:DaysFromDate1ToDate2
                                            (
											                          xs:date($IITR.RP.Context[1]/xbrli:period/xbrli:endDate),
											                          xs:date($IITR.RP.Context[1]/xbrli:period/xbrli:startDate)
										                        ) + 1" />    

    <let name="iitr330CalcContextRef" value="$iitr157[. > 0]/@contextRef" />    

    <let name="iitr29Calc" value="$iitr29
                                  [
                                        function:IsDate1GreaterThanDate2(., $years55Ago)
                                        or
                                        function:IsDate1GreaterOrEqualToDate2($years61Ago, .)
                                  ]" />

    <let name="iitr99CalcContextRef" value="$iitr102[not(matches(.,'^(true|1)$')) and $iitr29Calc]/@contextRef" />    

    <assert  id="VR.ATO.IITR.000013" diagnostics="DVR.ATO.IITR.000013"
            test="not(
                          (
                            not($iitr177[not(@i:nil='true')]) or ($iitr177 &lt; $endStartPlus1_000013)
                          )
                          and
                          (
                            (
                              (
                                ($iitr213[not(@i:nil='true') and string-length(.) != 0]) or ($iitr171[not(@i:nil='true')])
                              )
                              and
                              (
                                (
                                  function:GetPositiveValue(sum($iitr157))
                                  +
                                  sum($iitr200[. > 3772])
                                  +
                                  sum($iitr330[@contextRef = $iitr330CalcContextRef])
                                  +
                                  sum($iitr399)
                                  -
                                  sum($iitr99[@contextRef = $iitr99CalcContextRef])
                                  + 
					                        sum($iitr204 | $iitr205 | $iitr201 | $iitr362 | $iitr225)
                                  +
                                  sum($iitr228[. > 3772])
                                  +
                                  sum($iitr227 | $iitr234 | $iitr231)
                                  -
                                  sum($iitr236)
                                )
                              )
                              >
                              (180000 + (1500 * sum($iitr171[. > 1]) - 1))
                            )
                          )
                          or
                          (
                            (
                              not($iitr213[not(@i:nil='true') and string-length(.) != 0])
                            )
                            and
                              (
                             not($iitr171[not(@i:nil='true')])
                              )
                            and
                            (
                              (
                                function:GetPositiveValue(sum($iitr157))
                                +
                                sum($iitr200[. > 3772])
                                +
                                sum($iitr330[@contextRef = $iitr330CalcContextRef])
                                +
                                sum($iitr399)
                                -
                                sum($iitr99[@contextRef = $iitr99CalcContextRef])
                                + 
					                      sum($iitr204 | $iitr205 | $iitr201 | $iitr362)
                              )
                            >
                            90000
                          )
                        )
                        and
                        (
                          $iitr201 > (sum($iitr62) * 0.08)
                        )
                      )"/>


					  <!-- Rule ID: VR.ATO.IITR.200015
       ELS Ref: M1033
    
       IF ([iitr163] <> NULLORBLANK) 
        AND 
        (
          (
            ([iitr213] <> NULLORBLANK) 
            AND 
            (
              (
                POS([iitr157]) + 
                (
                  ([iitr200] * 0.530) WHERE [iitr200] > 3772
                ) +
                [iitr201] + SUM([iitr362]) + [iitr204] + [iitr205] + [iitr225] + [iitr230] + [iitr226] + 
                (
                  ([iitr228] * 0.530) WHERE [iitr228] > 3772
                ) + 
                [iitr231] + [iitr234]
              ) > 83580
            )
          ) 
          OR 
          (
            ([iitr213] = NULLORBLANK) 
            AND 
            (
              (
                POS([iitr157]) + 
                (
                  ([iitr200] * 0.530) WHERE [iitr200] > 3772
                ) + 
                [iitr201] + SUM([iitr362]) + [iitr204] + [iitr205]
              ) > 50119
            )
          )
        ) 
        AND 
        ([iitr201] > (SUM([iitr62]) * 0.08))
         RETURN VALIDATION MESSAGE
       ENDIF

       [iitr62] = bafpr1.xx.xx:Income.SalaryOrWages.Amount
       [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
       [iitr163] = gfati.xx.xx:TaxOffsetClaim.SeniorAndPensioner.Code
       [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
       [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
       [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
       [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
       [iitr213] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
       [iitr225] = bafpr1.xx.xx:Income.Taxable.Amount
       [iitr226] = rvctc1.xx.xx:IncomeTax.TrustIncomeNotIncludedInTaxableIncome.Amount
       [iitr228] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
       [iitr230] = gfapc.xx.xx:Pension.SpouseExempt.Amount
       [iitr231] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
       [iitr234] = rvctc3.xx.xx:Tax.Losses.InvestmentNet.Amount
       [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
    -->
    <assert  id="VR.ATO.IITR.200015" diagnostics="DVR.ATO.IITR.200015"
            test="not(
                          $iitr163[not(@i:nil='true') and string-length(.) != 0]
                          and 
                          (
                            (
                              $iitr213[not(@i:nil='true') and string-length(.) != 0]
                              and 
                              (
                                (
                                  function:GetPositiveValue(sum($iitr157)) + 
                                  (
                                    (sum($iitr200[. > 3772]) * 0.530)
                                  ) +
                                  sum($iitr201|$iitr362|$iitr204|$iitr205|$iitr225|$iitr230|$iitr226) + 
                                  (
                                    (sum($iitr228[. > 3772]) * 0.530)
                                  ) + 
                                  sum($iitr231|$iitr234)
                                ) > 83580
                              )
                            ) 
                            or 
                            (
                              not($iitr213[not(@i:nil='true') and string-length(.) != 0])
                              and 
                              (
                                (
                                  function:GetPositiveValue(sum($iitr157)) + 
                                  (
                                    (sum($iitr200[. > 3772]) * 0.530)
                                  ) +
                                  sum($iitr201|$iitr362|$iitr204|$iitr205)
                                ) > 50119
                              )
                            )
                          ) 
                          and 
                          (sum($iitr201) > (sum($iitr62) * 0.08))
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.200016
       ELS Ref: M1040
    
       IF ([iitr163] = 
        SET("Eligible spouse lived apart", "Non eligible spouse lived apart", "Eligible spouse lived together", "Non eligible spouse lived together")
        ) 
        AND 
        (
          ([iitr225] <> NULL AND [iitr225] = 0) 
          OR 
          ([iitr230] <> NULL AND [iitr230] = 0) 
          OR 
          ([iitr232] <> NULL AND [iitr232] = 0)
        )
         RETURN VALIDATION MESSAGE
       ENDIF

       [iitr163] = gfati.xx.xx:TaxOffsetClaim.SeniorAndPensioner.Code
       [iitr225] = bafpr1.xx.xx:Income.Taxable.Amount
       [iitr230] = gfapc.xx.xx:Pension.SpouseExempt.Amount
       [iitr232] = gfapc.xx.xx:Pension.TaxFreeMilitaryRehabilitationCompensation.Amount
    -->
    <assert  id="VR.ATO.IITR.200016" diagnostics="DVR.ATO.IITR.200016"
            test="not(
                          $iitr163
                          [
                            . = 'Eligible spouse lived apart'
                            or
                            . = 'Non eligible spouse lived apart'
                            or
                            . = 'Eligible spouse lived together'
                            or
                            . = 'Non eligible spouse lived together'
                          ]
                          and 
                          (
                            ($iitr225[not(@i:nil='true')] and sum($iitr225) = 0)
                            or
                            ($iitr230[not(@i:nil='true')] and sum($iitr230) = 0)
                            or
                            ($iitr232[not(@i:nil='true')] and sum($iitr232) = 0)
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.200033
         ELS Ref: M1021
    
        IF ([iitr176] <> TRUE) AND ([iitr177] < (RP:Period.endDate - RP:Period.startDate + 1)) AND ALL OCCURRENCES OF([iitr362]) = NULL
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr176] = rvctc2.xx.xx:IncomeTax.MedicareLevy.PrivateHospitalCoverWholePeriod.Indicator
        [iitr177] = rvctc2.xx.xx:IncomeTax.MedicareLevy.SurchargeExemptionDays.Count
        [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
    -->
    <let name="startDate" value="xbrli:context[@id = $IITR.RP.ContextId][1]/xbrli:period/xbrli:startDate" />
    <let name="endDate"   value="xbrli:context[@id = $IITR.RP.ContextId][1]/xbrli:period/xbrli:endDate" />    

    <assert  id="VR.ATO.IITR.200033" diagnostics="DVR.ATO.IITR.200033"
            test="not(
                          (
                              not($iitr176[matches(.,'^(true|1)$')])
                          )
                          and
                          (
                              $iitr177 
                              &lt;
                              function:DaysFromDate1ToDate2
                              (
                                  xs:date($endDate),
                                  xs:date($startDate)
                              ) + 1
                          )
                          and
                          (
                              not($iitr362[not(@i:nil='true')])
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.210002
         ELS Ref: M1020
    
        IF ([iitr379] > 0) AND ([iitr228] = NULL) AND ([iitr231] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
          
        [iitr231] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
        [iitr228] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
        [iitr379] = gfati.xx.xx:TaxOffsetClaim.SuperannuationContributionSpouse.Amount
    -->
    <assert  id="VR.ATO.IITR.210002" diagnostics="DVR.ATO.IITR.210002"
            test="not(
                          (sum($iitr379) > 0)
                          and
                          (not($iitr228[not(@i:nil='true')]))
                          and
                          (not($iitr231[not(@i:nil='true')]))
                      )"/>
    

    <!-- Rule ID: VR.ATO.IITR.300000
         ELS Ref: M1003
    
        IF ([iitr311] > 0) AND ([iitr313] > 0)
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
        [iitr313] = rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount               
    -->
    <assert  id="VR.ATO.IITR.300000" diagnostics="DVR.ATO.IITR.300000"
            test="not(
                          sum($iitr311) > 0
                          and 
                          sum($iitr313) > 0
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.300001
         ELS Ref: M1014
    
        IF  ([iitr242] <> NULL AND [iitr242] = 0) OR 
            ([iitr243] <> NULL AND [iitr243] = 0) OR 
            ([iitr246] <> NULL AND [iitr246] = 0) OR 
            ([iitr281] <> NULL AND [iitr281] = 0) OR 
            ([iitr306] <> NULL AND [iitr306] = 0)
              RETURN VALIDATION MESSAGE
        ENDIF

        [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
        [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
        [iitr246] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipsAndTrustPrimaryProductionShare.Amount
        [iitr281] = bafpr1.xx.xx:Income.PrimaryProductionNet.Amount
        [iitr306] = bafpr1.xx.xx:Income.FarmManagementDepositsOrRepaymentsNet.Amount
    -->
    <assert  id="VR.ATO.IITR.300001" diagnostics="DVR.ATO.IITR.300001"
            test="not(
                          ($iitr242[not(@i:nil='true')] and sum($iitr242) = 0)
                          or
                          ($iitr243[not(@i:nil='true')] and sum($iitr243) = 0)
                          or
                          ($iitr246[not(@i:nil='true')] and sum($iitr246) = 0)
                          or
                          ($iitr281[not(@i:nil='true')] and sum($iitr281) = 0)
                          or
                          ($iitr306[not(@i:nil='true')] and sum($iitr306) = 0)
                      )"/>

    
    <!-- Rule ID: VR.ATO.IITR.300003
         ELS Ref: M1022

        IF ([iitr202] > 0) AND ([iitr86] > 0 OR [iitr89] > 0 OR [iitr92] > 0 OR [iitr93] > 0 OR [iitr94] > 0 OR [iitr95] > 0)
          RETURN VALIDATION MESSAGE
        ENDIF
    
        [iitr86] = bafpr1.xx.xx:Income.AustralianGovernmentAllowancesAndPayments.Amount
        [iitr89] = gfapc.xx.xx:Pension.Total.Amount
        [iitr92] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount
        [iitr93] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount
        [iitr94] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount
        [iitr95] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount
        [iitr202] = gfapc.xx.xx:Pension.TaxFree.Amount
    -->
    <assert  id="VR.ATO.IITR.300003" diagnostics="DVR.ATO.IITR.300003"
            test="not(
                          (
                            sum($iitr202) > 0
                          )
                          and
                          (
                            (sum($iitr86) > 0)
                            or
                            (sum($iitr89) > 0)
                            or
                            (sum($iitr92) > 0)
                            or
                            (sum($iitr93) > 0)
                            or
                            (sum($iitr94) > 0)
                            or
                            (sum($iitr95) > 0)
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.300004
         ELS Ref: M1023
    
        IF  (
              [iitr203] > 0
            )
            AND
            (
              [iitr316] > 0
              OR 
              [iitr318] > 0
              OR 
              [iitr321] > 0
              OR 
              [iitr322] > 0
              OR 
              [iitr323] > 0
              OR 
              [iitr324] > 0
              OR 
              [iitr327] > 0
              OR 
              [iitr328] > 0
            )
              RETURN VALIDATION MESSAGE
        ENDIF

        [iitr203] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeTarget.Amount
        [iitr316] = bafpr1.xx.xx:Income.ControlledForeignCompaniesAttributableIncome.Amount
        [iitr318] = rvctc4.xx.xx:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        [iitr321] = rvctc4.xx.xx:InternationalDealings.ForeignEmploymentIncomeOther.Amount
        [iitr322] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeWithoutUndeductedPurchasePrice.Amount
        [iitr323] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeUndeductedPurchasePrice.Amount
        [iitr324] = rvctc4.xx.xx:InternationalDealings.ForeignRent.Amount
        [iitr327] = bafpr3.xx.xx:Income.InternationalDealings.Net.Amount
        [iitr328] = rvctc1.xx.xx:IncomeTax.FrankingCreditsNewZealand.Amount
    -->
    <assert  id="VR.ATO.IITR.300004" diagnostics="DVR.ATO.IITR.300004"
            test="not(
                          (
                            sum($iitr203) > 0
                          )
                          and
                          (
                            (sum($iitr316) > 0)
                            or
                            (sum($iitr318) > 0)
                            or
                            (sum($iitr321) > 0)
                            or
                            (sum($iitr322) > 0)
                            or
                            (sum($iitr323) > 0)
                            or
                            (sum($iitr324) > 0)
                            or
                            (sum($iitr327) > 0)
                            or
                            (sum($iitr328) > 0)
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.300005
         ELS Ref: M1031

        IF  (
              (
                  POS([iitr157]) + 
                  (([iitr200] * 0.530) WHERE [iitr200] > 3772) +
                  [iitr201] + SUM([iitr362]) + [iitr202] + [iitr203] + [iitr204] + [iitr205] - [iitr206] + [iitr237]
              )
              > 150000
            ) 
            AND
            (
              [iitr201] > (SUM([iitr62]) * 0.08)
            )
            RETURN VALIDATION MESSAGE
        ENDIF
    
        [iitr62] = bafpr1.xx.xx:Income.SalaryOrWages.Amount
        [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
        [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
        [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
        [iitr202] = gfapc.xx.xx:Pension.TaxFree.Amount
        [iitr203] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeTarget.Amount
        [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
        [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
        [iitr206] = cssup.xx.xx:ChildSupport.Payment.Amount
        [iitr237] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
        [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
    -->
    <assert  id="VR.ATO.IITR.300005" diagnostics="DVR.ATO.IITR.300005"
            test="not(
                          (
                          (
                            function:GetPositiveValue(sum($iitr157)) +
                            (sum($iitr200[. > 3772]) * 0.530)  + 
                            (sum($iitr201) + sum($iitr362) + sum($iitr202) + sum($iitr203) + sum($iitr204) + sum($iitr205) - sum($iitr206) + sum($iitr237))
                          ) > 150000
                        )
                        and
                        (
                          sum($iitr201) > (sum($iitr62) * 0.08)
                        )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.300008
         ELS Ref: M1039

         IF ([iitr304] > 0 AND [iitr305] > 0 AND [iitr304] = [iitr305])
           RETURN VALIDATION MESSAGE
         ENDIF
    
         [iitr304] = bafpr1.xx.xx:Income.FarmManagementEarlyRepaymentsNaturalDisaster.Amount
         [iitr305] = bafpr1.xx.xx:Income.FarmManagementOtherRepayments.Amount
    -->
    <assert  id="VR.ATO.IITR.300008" diagnostics="DVR.ATO.IITR.300008"
            test="not(
                        sum($iitr304) > 0
                        and 
                        sum($iitr305) > 0
                        and
                        sum($iitr304) = sum($iitr305)
                      )"/>

				
    <!-- Rule ID: VR.ATO.IITR.300010
         ELS Ref: M1046
    
         IF (
            ([iitr208] = NULL OR [iitr208] <= 37000) 
            OR 
            ([iitr157] = NULL OR [iitr157] < 49488)
          ) 
          AND 
          ([iitr242] > 0 OR [iitr252] > 0) 
          AND 
          ([iitr194] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF

         [iitr208] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
         [iitr209] = bafpr1.xx.xx:Income.Estimated.Amount
         [iitr210] = bafpr1.xx.xx:Income.LowIncomeSuperannuationContributionEligible.Amount
         [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
         [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert  id="VR.ATO.IITR.300010" diagnostics="DVR.ATO.IITR.300010"
            test="not(
                          (
                            sum($iitr208) &lt;= 37000
                            or
                            sum($iitr157) &lt; 49488
                          )
                          and
                          (
                            sum($iitr242) > 0
                            or
                            sum($iitr252) > 0
                          )
                          and
                          not($iitr194[not(@i:nil='true')])
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.300011
         ELS Ref: M1047
    
         IF ([iitr208] = NULL OR [iitr208] <= 37000) 
          AND 
          ([iitr242] = NULL OR [iitr242] = 0) 
          AND 
          ([iitr252] = NULL OR [iitr252] = 0) 
          AND 
          (
            (
              [iitr210] <> NULL 
              AND 
              [iitr210] < ([iitr209] * 0.1)
            ) 
            OR 
            (
              [iitr210] = NULL 
              AND 
              ([iitr209] * 0.1) > 0
            )
          )
           RETURN VALIDATION MESSAGE
         ENDIF

         [iitr208] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
         [iitr209] = bafpr1.xx.xx:Income.Estimated.Amount
         [iitr210] = bafpr1.xx.xx:Income.LowIncomeSuperannuationContributionEligible.Amount
         [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
         [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert  id="VR.ATO.IITR.300011" diagnostics="DVR.ATO.IITR.300011"
            test="not(
                          sum($iitr208) &lt;= 37000
                          and
                          sum($iitr242) = 0
                          and
                          sum($iitr252) = 0
                          and
                          sum($iitr210) &lt; (sum($iitr209) * 0.1)
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.300012
         ELS Ref: M1048
    
         IF ([iitr208] = NULL OR [iitr208] < 37000) 
         AND 
         ([iitr242] = NULL OR [iitr242] = 0) 
         AND 
         ([iitr252] = NULL OR [iitr252] = 0) 
         AND 
         (
          ([iitr210] <> NULL AND [iitr210] >= ([iitr209] * 0.1)) 
          OR 
          ([iitr210] = NULL AND ([iitr209] * 0.1) <= 0)
        )
           RETURN VALIDATION MESSAGE
         ENDIF

         [iitr208] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
         [iitr209] = bafpr1.xx.xx:Income.Estimated.Amount
         [iitr210] = bafpr1.xx.xx:Income.LowIncomeSuperannuationContributionEligible.Amount
         [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
         [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert  id="VR.ATO.IITR.300012" diagnostics="DVR.ATO.IITR.300012"
            test="not(
                          sum($iitr208) &lt; 37000
                          and
                          sum($iitr242) = 0
                          and
                          sum($iitr252) = 0
                          and
                          sum($iitr210) >= (sum($iitr209) * 0.1)
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.300013
         ELS Ref: M510
    
         IF (ALL OCCURRENCES OF([iitr62]) = NULL) AND ([iitr65] = NULL) AND (ALL OCCURRENCES OF([iitr68]) = NULL) AND (ALL OCCURRENCES OF([iitr71]) = NULL) AND ([iitr86] = NULL) AND ([iitr89] = NULL) AND ([iitr92] = NULL) AND ([iitr93] = NULL) AND ([iitr94] = NULL) AND ([iitr95] = NULL) AND ([iitr115] = NULL) AND ([iitr118] = NULL) AND ([iitr119] = NULL) AND ([iitr120] = NULL) AND ([iitr134] = NULL) AND ([iitr136] = NULL) AND ([iitr137] = NULL) AND ([iitr139] = NULL) AND ([iitr141] = NULL) AND ([iitr148] = NULL) AND ([iitr149] = NULL) AND ([iitr154] = NULL) AND ([iitr156] = NULL) AND ([iitr242] = NULL) AND ([iitr243] = NULL) AND ([iitr245] = NULL) AND ([iitr246] = NULL) AND ([iitr252] = NULL) AND ([iitr255] = NULL) AND ([iitr259] = NULL) AND ([iitr260] = NULL) AND ([iitr265] = NULL) AND ([iitr281] = NULL) AND ([iitr285] = NULL) AND ([iitr306] = NULL) AND ([iitr311] = NULL) AND ([iitr316] = NULL) AND ([iitr318] = NULL) AND ([iitr323] = NULL) AND ([iitr327] = NULL) AND ([iitr334] = NULL) AND ([iitr335] = NULL) AND ([iitr337] = NULL) AND ([iitr339] = NULL) AND (ALL OCCURRENCES OF([iitr348]) = NULL) AND (ALL OCCURRENCES OF([iitr353]) = NULL) AND ([iitr358] = NULL) AND (ALL OCCURRENCES OF([iitr362]) = NULL) AND ([iitr370] = NULL) AND (ALL OCCURRENCES OF([iitr375]) = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF

         [iitr62]  = bafpr1.xx.xx:Income.SalaryOrWages.Amount 								 (SWSqNumDim)
         [iitr65]  = bafpr1.xx.xx:Income.AllowancesEarningsTipsDirectorsFees.Amount
         [iitr68]  = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount (ELSPSqNum)
         [iitr71]  = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount (ELSPSqNum)
         [iitr75]  = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount           (ETPSqNumDim)
         [iitr86]  = bafpr1.xx.xx:Income.AustralianGovernmentAllowancesAndPayments.Amount
         [iitr89]  = gfapc.xx.xx:Pension.Total.Amount
         [iitr92]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount
         [iitr93]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount
         [iitr94]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount
         [iitr95]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount
         [iitr99]  = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount          (SprLSPaySqNumDim)
         [iitr100] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount       (SprLSPaySqNumDim)
         [iitr112] = bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount
         [iitr115] = bafpr2.xx.xx:Income.Interest.Gross.Amount
         [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount
         [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
         [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
         [iitr127] = bafpr3.xx.xx:Income.EmployeeShareScheme.DiscountAssessable.Amount
         [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
         [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
         [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
         [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
         [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
         [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
         [iitr259] = bafpr1.xx.xx:Income.TrustFrankedNonPrimaryProductionShare.Amount
         [iitr304] = bafpr1.xx.xx:Income.FarmManagementEarlyRepaymentsNaturalDisaster.Amount
         [iitr305] = bafpr1.xx.xx:Income.FarmManagementOtherRepayments.Amount
         [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
         [iitr316] = bafpr1.xx.xx:Income.ControlledForeignCompaniesAttributableIncome.Amount
         [iitr318] = rvctc4.xx.xx:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
         [iitr320] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeGross.Amount
         [iitr328] = rvctc1.xx.xx:IncomeTax.FrankingCreditsNewZealand.Amount
         [iitr334] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
         [iitr335] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeInterestDeductions.Amount
         [iitr336] = rvctc2.xx.xx:IncomeTax.Deduction.CapitalWorksDeductions.Amount
         [iitr337] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
         [iitr339] = rvctc1.xx.xx:IncomeTax.LifeInsuranceCompaniesAndFriendlySocietiesBonuses.Amount
         [iitr341] = bafpr1.xx.xx:Income.ForestryManagedInvestmentScheme.Amount
         [iitr348] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Total.Amount						 (INCSqNum)
         [iitr353] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Total.Amount						 (INCSqNum)
         [iitr358] = rvctc2.xx.xx:IncomeTax.Deduction.ForeignPensionAnnuityIncomeUndeductedPurchasePrice.Amount
         [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
         [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
         [iitr412] = bafpr3.xx.xx:Income.PersonalServicesIncome.ABNNotQuoted.Amount
         [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
         [iitr414] = bafpr3.xx.xx:Income.PersonalServicesIncome.Other.Amount
         [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
         [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
         [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
         [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
         [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
         [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
         [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
         [iitr443] = bafpr1.xx.xx:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount
         [iitr445] = bafpr1.xx.xx:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount
         [iitr447] = bafpr1.xx.xx:Income.BusinessPrimaryProductionOther.Amount
         [iitr448] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionOther.Amount
         [iitr450] = bafpo1.xx.xx:Assets.OpeningStock.Amount
         [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
         [iitr472] = bafpr1.xx.xx:Income.ReconciliationAdjustmentTotal.Amount
    -->
    <assert  id="VR.ATO.IITR.300013" diagnostics="DVR.ATO.IITR.300013"
            test="not(
                          not($iitr62[not(@i:nil='true')]) 
                          and 
                          not($iitr65[not(@i:nil='true')]) 
                          and 
                          not($iitr68[not(@i:nil='true')]) 
                          and 
                          not($iitr71[not(@i:nil='true')]) 
                          and 
                          not($iitr86[not(@i:nil='true')]) 
                          and 
                          not($iitr89[not(@i:nil='true')]) 
                          and 
                          not($iitr92[not(@i:nil='true')]) 
                          and 
                          not($iitr93[not(@i:nil='true')]) 
                          and 
                          not($iitr94[not(@i:nil='true')]) 
                          and 
                          not($iitr95[not(@i:nil='true')]) 
                          and 
                          not($iitr115[not(@i:nil='true')]) 
                          and 
                          not($iitr118[not(@i:nil='true')]) 
                          and 
                          not($iitr119[not(@i:nil='true')]) 
                          and 
                          not($iitr120[not(@i:nil='true')]) 
                          and 
                          not($iitr134[not(@i:nil='true')]) 
                          and 
                          not($iitr136[not(@i:nil='true')]) 
                          and 
                          not($iitr137[not(@i:nil='true')]) 
                          and 
                          not($iitr139[not(@i:nil='true')]) 
                          and 
                          not($iitr141[not(@i:nil='true')]) 
                          and 
                          not($iitr148[not(@i:nil='true')]) 
                          and 
                          not($iitr149[not(@i:nil='true')]) 
                          and 
                          not($iitr154[not(@i:nil='true')]) 
                          and 
                          not($iitr156[not(@i:nil='true')]) 
                          and 
                          not($iitr242[not(@i:nil='true')]) 
                          and 
                          not($iitr243[not(@i:nil='true')]) 
                          and 
                          not($iitr245[not(@i:nil='true')]) 
                          and 
                          not($iitr246[not(@i:nil='true')]) 
                          and 
                          not($iitr252[not(@i:nil='true')]) 
                          and 
                          not($iitr255[not(@i:nil='true')]) 
                          and 
                          not($iitr259[not(@i:nil='true')]) 
                          and 
                          not($iitr260[not(@i:nil='true')]) 
                          and 
                          not($iitr265[not(@i:nil='true')]) 
                          and 
                          not($iitr281[not(@i:nil='true')]) 
                          and 
                          not($iitr285[not(@i:nil='true')]) 
                          and 
                          not($iitr306[not(@i:nil='true')]) 
                          and 
                          not($iitr311[not(@i:nil='true')]) 
                          and 
                          not($iitr316[not(@i:nil='true')]) 
                          and 
                          not($iitr318[not(@i:nil='true')]) 
                          and 
                          not($iitr323[not(@i:nil='true')]) 
                          and 
                          not($iitr327[not(@i:nil='true')]) 
                          and 
                          not($iitr334[not(@i:nil='true')]) 
                          and 
                          not($iitr335[not(@i:nil='true')]) 
                          and 
                          not($iitr337[not(@i:nil='true')]) 
                          and 
                          not($iitr339[not(@i:nil='true')]) 
                          and                           
                          not($iitr348[not(@i:nil='true')]) 
                          and 
                          not($iitr353[not(@i:nil='true')]) 
                          and 
                          not($iitr358[not(@i:nil='true')]) 
                          and 
                          not($iitr362[not(@i:nil='true')]) 
                          and 
                          not($iitr370[not(@i:nil='true')]) 
                          and 
                          not($iitr375[not(@i:nil='true')]) 
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.300015
         ELS Ref: M513
    
        IF (SUM([iitr362]) > 0) 
            AND 
            (
              (
      sum1{          SUM([iitr62]) + SUM([iitr68]) + SUM([iitr71]) + SUM([iitr75]) + 
                [iitr65] + [iitr441] + [iitr442] + [iitr411] + [iitr412] + [iitr413] + 
                [iitr201] 
          }
                + 
                (
                  [iitr200] WHERE 
                    (
                      [iitr200] > 3772
                    )
                )
              ) >= 
              (
                (
      sum2{            [iitr86] + [iitr89] + SUM([iitr62]) + SUM([iitr68]) + SUM([iitr71]) + 
                  SUM([iitr75]) + [iitr92] + [iitr93] + [iitr94] + [iitr95] + SUM([iitr99]) + 
                  SUM([iitr100]) + [iitr65] + [iitr112] + [iitr115] + POS([iitr242]) + 
                  POS([iitr243]) + POS([iitr252]) + POS([iitr255]) + [iitr259] + 
                  [iitr304] + [iitr305] + [iitr311] + [iitr316] + [iitr318] 
          }       
                  + 
      sum3{            POS(
                    [iitr334] 
                    - 
                    (
                      [iitr335] + [iitr336] + [iitr337]
                    )
                  ) 
          }
                  + 
      sum4{            [iitr118] + [iitr119] + [iitr120] + [iitr339] + [iitr341] + SUM([iitr348]) + 
                  SUM([iitr353]) + [iitr127] + [iitr411] + [iitr412] + [iitr413] + [iitr201] + 
                  [iitr414] + [iitr436] + [iitr437] + [iitr438] + [iitr439] + [iitr440] + [iitr441] + 
                  [iitr442] + [iitr443] + [iitr445] + POS([iitr447]) + POS([iitr448]) + [iitr328] 
          }
                  + 
                  POS([iitr452] - [iitr450]) 
                  + 
                  [iitr320] + [iitr472] - POS([iitr358])
                ) * 0.10
              )
            )
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr62]  = bafpr1.xx.xx:Income.SalaryOrWages.Amount 								 (SWSqNumDim)
        [iitr65]  = bafpr1.xx.xx:Income.AllowancesEarningsTipsDirectorsFees.Amount
        [iitr68]  = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount (ELSPSqNum)
        [iitr71]  = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount (ELSPSqNum)
        [iitr75]  = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount           (ETPSqNumDim)
        [iitr86]  = bafpr1.xx.xx:Income.AustralianGovernmentAllowancesAndPayments.Amount
        [iitr89]  = gfapc.xx.xx:Pension.Total.Amount
        [iitr92]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount
        [iitr93]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount
        [iitr94]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount
        [iitr95]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount
        [iitr99]  = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount          (SprLSPaySqNumDim)
        [iitr100] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount       (SprLSPaySqNumDim)
        [iitr112] = bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount
        [iitr115] = bafpr2.xx.xx:Income.Interest.Gross.Amount
        [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount
        [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
        [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
        [iitr127] = bafpr3.xx.xx:Income.EmployeeShareScheme.DiscountAssessable.Amount
        [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
        [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
        [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
        [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
        [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
        [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
        [iitr259] = bafpr1.xx.xx:Income.TrustFrankedNonPrimaryProductionShare.Amount
        [iitr304] = bafpr1.xx.xx:Income.FarmManagementEarlyRepaymentsNaturalDisaster.Amount
        [iitr305] = bafpr1.xx.xx:Income.FarmManagementOtherRepayments.Amount
        [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
        [iitr316] = bafpr1.xx.xx:Income.ControlledForeignCompaniesAttributableIncome.Amount
        [iitr318] = rvctc4.xx.xx:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        [iitr320] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeGross.Amount
        [iitr328] = rvctc1.xx.xx:IncomeTax.FrankingCreditsNewZealand.Amount
        [iitr334] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
        [iitr335] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeInterestDeductions.Amount
        [iitr336] = rvctc2.xx.xx:IncomeTax.Deduction.CapitalWorksDeductions.Amount
        [iitr337] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        [iitr339] = rvctc1.xx.xx:IncomeTax.LifeInsuranceCompaniesAndFriendlySocietiesBonuses.Amount
        [iitr341] = bafpr1.xx.xx:Income.ForestryManagedInvestmentScheme.Amount
        [iitr348] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Total.Amount						 (INCSqNum)
        [iitr353] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Total.Amount						 (INCSqNum)
        [iitr358] = rvctc2.xx.xx:IncomeTax.Deduction.ForeignPensionAnnuityIncomeUndeductedPurchasePrice.Amount
        [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
        [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
        [iitr412] = bafpr3.xx.xx:Income.PersonalServicesIncome.ABNNotQuoted.Amount
        [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
        [iitr414] = bafpr3.xx.xx:Income.PersonalServicesIncome.Other.Amount
        [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
        [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
        [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
        [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
        [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
        [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
        [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
        [iitr443] = bafpr1.xx.xx:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount
        [iitr445] = bafpr1.xx.xx:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount
        [iitr447] = bafpr1.xx.xx:Income.BusinessPrimaryProductionOther.Amount
        [iitr448] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionOther.Amount
        [iitr450] = bafpo1.xx.xx:Assets.OpeningStock.Amount
        [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
        [iitr472] = bafpr1.xx.xx:Income.ReconciliationAdjustmentTotal.Amount
    -->
    <let name="vr300015sum1" value="sum($iitr62|$iitr68|$iitr71|$iitr75|$iitr65|$iitr441|$iitr442|$iitr411|$iitr412|$iitr413|$iitr201)" />
    <let name="vr300015iitr200" value="sum($iitr200[. > 3772])" />
    <let name="vr300015sum2" value="sum($iitr86|$iitr89|$iitr62|$iitr68|$iitr71|$iitr75|$iitr92|$iitr93|$iitr94|$iitr95|$iitr99|$iitr100|$iitr65|$iitr112|$iitr115|$iitr259|$iitr304|$iitr305|$iitr311|$iitr316|$iitr318) + function:GetPositiveValue($iitr242) + function:GetPositiveValue($iitr243) + function:GetPositiveValue($iitr252) + function:GetPositiveValue($iitr255) " />
    <let name="vr300015sum3" value="function:GetPositiveValue($iitr334 - sum($iitr335|$iitr336|$iitr337))" />
    <let name="vr300015sum4" value="sum($iitr118|$iitr119|$iitr120|$iitr339|$iitr341|$iitr348|$iitr353|$iitr127|$iitr411|$iitr412|$iitr413|$iitr201|$iitr414|$iitr436|$iitr437|$iitr438|$iitr439|$iitr440|$iitr441|$iitr442|$iitr443|$iitr445|$iitr328) + function:GetPositiveValue($iitr447) + function:GetPositiveValue($iitr448) " />
    
    <assert  id="VR.ATO.IITR.300015" diagnostics="DVR.ATO.IITR.300015"
            test="not(
                          sum($iitr362) > 0
                          and 
                          (
                            (
                              $vr300015sum1
                              + 
                              $vr300015iitr200
                            ) >= 
                            (
                              (
                                $vr300015sum2
                                + 
                                $vr300015sum3
                                + 
                                $vr300015sum4
                                + 
                                function:GetPositiveValue(sum($iitr452) - sum($iitr450)) 
                                + 
                                sum($iitr320|iitr472) - function:GetPositiveValue($iitr358)
                              ) * 0.10
                            )
                          )
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.300016
         ELS Ref: M1014
    
        IF ([iitr65] = NULL) AND 
            ALL OCCURRENCES OF([iitr62]) = NULL 
            AND 
            (
              [iitr134] > 0 
              OR 
              [iitr136] > 0 
              OR 
              [iitr137] > 0 
              OR 
              [iitr139] > 0 
              OR 
              [iitr141] > 0
            )
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr62] = bafpr1.xx.xx:Income.SalaryOrWages.Amount
        [iitr65] = bafpr1.xx.xx:Income.AllowancesEarningsTipsDirectorsFees.Amount
        [iitr134] = rvctc2.xx.xx:IncomeTax.Deduction.Car.Amount
        [iitr136] = rvctc2.xx.xx:IncomeTax.Deduction.Travel.Amount
        [iitr137] = rvctc2.xx.xx:IncomeTax.Deduction.Clothing.Amount
        [iitr139] = rvctc2.xx.xx:IncomeTax.Deduction.EducationNet.Amount
        [iitr141] = rvctc2.xx.xx:IncomeTax.Deduction.WorkRelatedOther.Amount
    -->
    <assert  id="VR.ATO.IITR.300016" diagnostics="DVR.ATO.IITR.300016"
            test="not(
                          not($iitr65[not(@i:nil='true')])
                          and
                          not($iitr62[not(@i:nil='true')])
                          and
                          (
                            $iitr134 > 0
                            or
                            $iitr136 > 0
                            or
                            $iitr137 > 0
                            or
                            $iitr139 > 0
                            or
                            $iitr141 > 0
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.400065
         ELS Ref: M1044
    
         IF ([iitr157] >= 49488) 
          AND 
          ([iitr208] = NULL OR [iitr208] <= 37000) 
          AND 
          (
            [iitr194] > 0 
            OR 
            ([iitr196] <> NULL AND [iitr196] <> 0) 
            OR 
            [iitr197] > 0
          )
           RETURN VALIDATION MESSAGE
         ENDIF

         [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
         [iitr194] = rvctc1.xx.xx:IncomeTax.InvestmentPartnershipOtherSource.Amount
         [iitr196] = rvctc1.xx.xx:IncomeTax.EmploymentBusinessOther.Amount
         [iitr197] = rvctc2.xx.xx:IncomeTax.Deduction.BusinessOther.Amount
         [iitr208] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
    -->
    <assert  id="VR.ATO.IITR.400065" diagnostics="DVR.ATO.IITR.400065"
            test="not(
                          sum($iitr157) >= 49488
                          and
                          sum($iitr208) &lt;= 37000
                          and
                          (
                            sum($iitr194) > 0
                            or
                            sum($iitr196) != 0
                            or
                            sum($iitr197) > 0
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.400066
         ELS Ref: M1045

        IF    ([iitr157] = NULL OR [iitr157] < 49488) 
          AND ([iitr208] > 37000) 
          AND ([iitr194] > 0 OR ([iitr196] <> NULL AND [iitr196] <> 0) OR [iitr197] > 0) 
          AND ([iitr242] = NULL OR [iitr242] <= 0) 
          AND ([iitr252] = NULL OR [iitr252] <= 0)
   RETURN VALIDATION MESSAGE
ENDIF


         [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
         [iitr194] = rvctc1.xx.xx:IncomeTax.InvestmentPartnershipOtherSource.Amount
         [iitr196] = rvctc1.xx.xx:IncomeTax.EmploymentBusinessOther.Amount
         [iitr197] = rvctc2.xx.xx:IncomeTax.Deduction.BusinessOther.Amount
         [iitr208] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
    -->
    <assert  id="VR.ATO.IITR.400066" diagnostics="DVR.ATO.IITR.400066"
            test="not(
                          sum($iitr157) &lt; 49488
                          and
                          sum($iitr208) > 37000
                          and
                          (
                            sum($iitr194) > 0
                            or
                            sum($iitr196) != 0
                            or
                            sum($iitr197) > 0
                          )
                          and
                          sum($iitr242) &lt;= 0
                          and
                          sum($iitr252) &lt;= 0  
                      )"/>
    
    
  <!-- Rule ID: VR.ATO.IITR.400070
       ELS Ref: M1050
    
       IF ([iitr209] = NULL OR [iitr209] < 34488) 
        AND 
        (
          ([iitr210] <> NULL AND [iitr210] >= ([iitr209] * 0.1)) 
          OR 
          ([iitr210] = NULL AND ([iitr209] * 0.1) <= 0)
        ) 
        AND 
        (
          [iitr194] > 0 
          OR 
          ([iitr196] <> NULL AND [iitr196] <> 0) 
          OR 
          [iitr197] > 0
        )
         RETURN VALIDATION MESSAGE
       ENDIF

       [iitr194] = rvctc1.02.16:IncomeTax.InvestmentPartnershipOtherSource.Amount
       [iitr196] = rvctc1.02.16:IncomeTax.EmploymentBusinessOther.Amount
       [iitr197] = rvctc2.02.14:IncomeTax.Deduction.BusinessOther.Amount
       [iitr209] = bafpr1.02.23:Income.Estimated.Amount
       [iitr210] = bafpr1.02.23:Income.LowIncomeSuperannuationContributionEligible.Amount
    -->
    <assert  id="VR.ATO.IITR.400070" diagnostics="DVR.ATO.IITR.400070"
            test="not(
                          sum($iitr209) &lt; 34488
                          and
                          sum($iitr210) >= (sum($iitr209) * 0.1)
                          and
                          (
                            sum($iitr194) > 0
                            or
                            sum($iitr196) != 0
                            or
                            sum($iitr197) > 0
                          )
                      )"/>
    
    
  <!-- Rule ID: VR.ATO.IITR.600000
       ELS Ref: M507
    
       IF [iitr401] > 100
          RETURN VALIDATION MESSAGE
       ENDIF

       [iitr401] = bafpr2.xx.xx:Income.Interest.EarlyPaymentCredit.Amount
    -->
    <assert  id="VR.ATO.IITR.600000" diagnostics="DVR.ATO.IITR.600000"
            test="not(
                          $iitr401
                          [
                            . > 100
                          ]
                      )"/>
    
    
  <!-- Rule ID: VR.ATO.IITR.600001
       ELS Ref: M653
    
       IF [iitr137] > 2000
          RETURN VALIDATION MESSAGE
       ENDIF

       [iitr137] = rvctc2.xx.xx:IncomeTax.Deduction.Clothing.Amount
    -->
    <assert  id="VR.ATO.IITR.600001" diagnostics="DVR.ATO.IITR.600001"
            test="not(
                          $iitr137
                          [
                            . > 2000
                          ]
                      )"/>
    
    
  <!-- Rule ID: VR.ATO.IITR.000061
       ELS Ref: M706
    
       IF [iitr55] CONTAINS NUMERICS
         RETURN VALIDATION MESSAGE
       ENDIF

       [iitr55] = gfati.xx.xx:TaxOffsetClaim.SeniorAndPensioner.Code
    -->
    <assert  id="VR.ATO.IITR.000061" diagnostics="DVR.ATO.IITR.000061"
            test="not(
                          $iitr55
                          [
                            matches(.,'(.*)[0-9](.*)')
                          ]            
                      )"/>
    
    
  <!-- Rule ID: VR.ATO.IITR.200014
       ELS Ref: M1018
    
       IF ([iitr163] = "Single") AND ALL OCCURRENCES OF([iitr362]) = NULL
           RETURN VALIDATION MESSAGE
       ENDIF

       [iitr163] = gfati.xx.xx:TaxOffsetClaim.SeniorAndPensioner.Code
       [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount   
    -->
    <assert  id="VR.ATO.IITR.200014" diagnostics="DVR.ATO.IITR.200014"
            test="not(
                          $iitr163[. = 'Single']
                          and 
                          not($iitr362[not(@i:nil='true')]) 
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.630002
         ELS Ref: 91930
    
        IF  ([iitr29] < CONVERT_TO_DATE(30,6, [iitr10] - 61)) AND
            ([iitr93] > 0 OR [iitr95] > 0) AND
            ([iitr166] = NULL) AND 
            ([iitr91] = NULL)
              RETURN VALIDATION MESSAGE
        ENDIF

        [iitr10] = pyin.02.00:Report.TargetFinancial.Year
        [iitr29] = pyde.xx.xx:PersonDemographicDetails.Birth.Date
        [iitr91] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianAnnuitiesAndSuperannuationIncomeStream.Amount
        [iitr93] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount
        [iitr95] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount
        [iitr166] = gfati.xx.xx:gfati.02.00:TaxOffsetClaim.SuperannuationIncomeStream.Amount
    -->
    <let name="years61Ago" value="concat($iitr10 - 61, '-06-30')" />

    <assert  id="VR.ATO.IITR.630002" diagnostics="DVR.ATO.IITR.630002"
                test="not(
                          ($iitr29[function:IsDate1GreaterThanDate2($years61Ago, .)])
                          and
                          ((sum($iitr93) > 0) or (sum($iitr95) > 0))
                          and
                          (not($iitr166[not(@i:nil='true')]))
                          and
                          (not($iitr91[not(@i:nil='true')]))
                      )"/>
    

    <!-- Rule ID: VR.ATO.IITR.630003
         ELS Ref: 90829
    
        IF [iitr86] > 19100
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr86] = bafpr1.xx.xx:Income.AustralianGovernmentAllowancesAndPayments.Amount
    -->
    <assert  id="VR.ATO.IITR.630003" diagnostics="DVR.ATO.IITR.630003"
                test="not(
                          sum($iitr86) > 19100
                      )"/>
  
  
    <!-- Rule ID: VR.ATO.IITR.630004
         ELS Ref: 90831
    
        IF ([iitr62] = NULL OR [iitr62] < 99999) AND ([iitr200] > 99999)
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr62] = bafpr1.xx.xx:Income.SalaryOrWages.Amount
        [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
    -->
    <assert  id="VR.ATO.IITR.630004" diagnostics="DVR.ATO.IITR.630004"
                test="not(
                          (not($iitr62[not(@i:nil='true')]) or (sum($iitr62) &lt; 99999))
                          and
                          (sum($iitr200) &gt; 99999)
                      )"/>  

  
    <!-- Rule ID: VR.ATO.IITR.630005
         ELS Ref: 90833
  
        IF [iitr113] >
          (
              SUM([iitr62])  + 
                  [iitr65]   + 
              SUM([iitr68])  + 
              SUM([iitr71])  + 
              SUM([iitr75])  + 
                  [iitr86]   + 
                  [iitr89]   + 
                  [iitr92]   + 
                  [iitr93]   + 
                  [iitr94]   + 
                  [iitr95]   + 
              SUM([iitr99])  +
              SUM([iitr100]) + 
                  [iitr112]
          )
          RETURN VALIDATION MESSAGE
        ENDIF
  
        [iitr62] = bafpr1.xx.xx:Income.SalaryOrWages.Amount
        [iitr65] = bafpr1.xx.xx:Income.AllowancesEarningsTipsDirectorsFees.Amount
        [iitr68] = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount
        [iitr71] = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount
        [iitr75] = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount
        [iitr86] = bafpr1.xx.xx:Income.AustralianGovernmentAllowancesAndPayments.Amount
        [iitr89] = gfapc.xx.xx:Pension.Total.Amount
        [iitr92] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount
        [iitr93] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount
        [iitr94] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount
        [iitr95] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount
        [iitr99] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
        [iitr100] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount
        [iitr112] = bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount
        [iitr113] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheld.Amount
    -->
    <assert  id="VR.ATO.IITR.630005" diagnostics="DVR.ATO.IITR.630005"
                test="not(
                          sum($iitr113) > sum($iitr62|$iitr65|$iitr68|$iitr71|$iitr75|$iitr86|$iitr89|$iitr92|$iitr93|$iitr94|$iitr95|$iitr99|$iitr100|$iitr112)
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.630006
         ELS Ref: 90836
    
        IF ([iitr113] > 0) AND (([iitr116] > 0 AND [iitr113] = [iitr116]) OR ([iitr121] > 0 AND [iitr113] = [iitr121]))
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr113] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheld.Amount
        [iitr116] = rvctc1.xx.xx:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
        [iitr121] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldDividendsTFNNotQuoted.Amount
    -->
    <assert  id="VR.ATO.IITR.630006" diagnostics="DVR.ATO.IITR.630006"
                test="not(
                          sum($iitr113) > 0
                          and
                          (
                            (sum($iitr116) > 0 and sum($iitr113) = sum($iitr116))
                            or 
                            (sum($iitr121) > 0 and sum($iitr113) = sum($iitr121))
                          )
                      )"/>    

  
    <!-- Rule ID: VR.ATO.IITR.630007
         ELS Ref: 91432
    
        IF ([iitr16] = TRUE) AND (DATE(TODAY) > CONVERT_TO_DATE(RP:period.endDate.Day, RP:period.endDate.Month, RP:period.endDate.Year + 3))
          RETURN VALIDATION MESSAGE
        ENDIF
          
        [iitr16] = pyin.xx.xx:Report.Amendment.Indicator
    -->
    <let name="endDate" value="xbrli:context[@id = $IITR.RP.ContextId]/xbrli:period/xbrli:endDate"/>
    <let name="endDatePlus3" value="function:AddRemoveYearsToDate($endDate[1], 3)"/>    

    <assert  id="VR.ATO.IITR.630007" diagnostics="DVR.ATO.IITR.630007"
                test="not(
                          $iitr16[matches(.,'^(true|1)$')]
                          and
                          function:IsDate1GreaterThanDate2(current-date(), $endDatePlus3)
                      )"/>  
   
    
    <!-- Rule ID: VR.ATO.IITR.630014
         ELS Ref: 91941
    
        IF  ([iitr91] > 0)
            AND
            ([iitr92] = NULL OR [iitr92] = 0)
            AND
            ([iitr93] = NULL OR [iitr93] = 0) 
            AND 
            ([iitr94] = NULL OR [iitr94] = 0) 
            AND 
            ([iitr95] = NULL OR [iitr95] = 0) 
          RETURN VALIDATION MESSAGE
        ENDIF
          
        [iitr91] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianAnnuitiesAndSuperannuationIncomeStream.Amount
        [iitr92] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount
        [iitr93] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount
        [iitr94] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount
        [iitr95] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount
    -->
    <assert  id="VR.ATO.IITR.630014" diagnostics="DVR.ATO.IITR.630014"
                test="not(
                          (sum($iitr91) > 0)
                          and
                          (sum($iitr92) = 0)
                          and
                          (sum($iitr93) = 0)
                          and
                          (sum($iitr94) = 0)
                          and
                          (sum($iitr95) = 0)
                      )"/>
    

    <!-- Rule ID: VR.ATO.IITR.630015
         ELS Ref: 91942
    
        IF [iitr91] > (([iitr92] + [iitr93] + [iitr94] + [iitr95]) * 0.50)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr91] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianAnnuitiesAndSuperannuationIncomeStream.Amount
        [iitr92] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount
        [iitr93] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount
        [iitr94] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount
        [iitr95] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount
    -->
    <assert  id="VR.ATO.IITR.630015" diagnostics="DVR.ATO.IITR.630015"
                test="not(
                          sum($iitr91) > (sum($iitr92 | $iitr93 | $iitr94 | $iitr95) * 0.50)
                      )"/>
    

  </rule>

  
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPETPSEQ.ContextId]">
    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.630008
         ELS Ref: 91910
    
        WHERE IN RP.{ETPSeqNum}
        IF [iitr74] > ([iitr75] * 0.50)
          RETURN VALIDATION MESSAGE
        ENDIF
          
        [iitr74] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmploymentTerminationPayment.Amount
        [iitr75] = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount
    -->
    <assert  id="VR.ATO.IITR.630008" diagnostics="DVR.ATO.IITR.630008"
                test="not(
                          sum($iitr74[@contextRef = $thisContextId]) > (sum($iitr75[@contextRef = $thisContextId]) * 0.50)
                      )"/>
    
    <!-- Rule ID: VR.ATO.IITR.630009
         ELS Ref: 91916
    
        WHERE IN RP.{ETPSeqNum}
        IF ([iitr76] = "N")
        AND 
        (
        	(
        		([iitr546] <> NULL) 
        		AND 
        		(SUM([iitr75] WHERE [iitr546] = [iitr546:N]) > 180000)
        		AND 
        		(SUM([iitr74] WHERE [iitr546] = [iitr546:N]) < (SUM([iitr75] WHERE [iitr546] = [iitr546:N]) * 0.315))
        	)
        	OR 
        	(
        		([iitr77] <> NULL)
        		AND 
        		(SUM([iitr75] WHERE [iitr77] = [iitr77:N]) > 180000) 
        		AND 
        		(SUM([iitr74] WHERE [iitr77] = [iitr77:N]) < (SUM([iitr75] WHERE [iitr77] = [iitr77:N]) * 0.315))
        	)
         )
      
        [iitr74]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmploymentTerminationPayment.Amount  
        [iitr75]  = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount
        [iitr76]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.EmploymentTerminationPaymentType.Code
        [iitr77]  = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier  
        [iitr546] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier
        
        [iitr546:N] = ANY OTHER OCCURRENCE OF ([iitr546] WHERE [iitr76] = "N")
        [iitr77:N] = ANY OTHER OCCURRENCE OF ([iitr77] WHERE [iitr76] = "N")
    -->

    <let name="iitr76ContextsN" value="$iitr76[. = 'N']/@contextRef"/>
    
    <let name="thisiitr546" value="$iitr546[@contextRef = $thisContextId]"/>
    <let name="iitr546Contexts" value="$iitr546[. = $thisiitr546 and @contextRef = $iitr76ContextsN]/@contextRef"/>
    
    <let name="thisiitr77" value="$iitr77[@contextRef = $thisContextId]"/>
    <let name="iitr77Contexts" value="$iitr77[. = $thisiitr77 and @contextRef = $iitr76ContextsN]/@contextRef"/>

    <assert  id="VR.ATO.IITR.630009" diagnostics="DVR.ATO.IITR.630009"
                test="not(
                           $iitr76[@contextRef = $thisContextId and . = 'N']
                           and 
                           (
                            (
                               $thisiitr546[not(@i:nil='true')]
                               and
                               sum($iitr75[@contextRef = $iitr546Contexts])  &gt; 180000
                               and
                               sum($iitr74[@contextRef = $iitr546Contexts]) &lt; (sum($iitr75[@contextRef = $iitr546Contexts]) * 0.32)
                             )
                             or
                             (
                               $thisiitr77[not(@i:nil='true')]
                               and
                               sum($iitr75[@contextRef = $iitr77Contexts])  &gt; 180000
                               and
                               sum($iitr74[@contextRef = $iitr77Contexts]) &lt; (sum($iitr75[@contextRef = $iitr77Contexts]) * 0.32)
                             )
                           )
                      )"/>
            
  </rule>
    
    
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSLSPSEQ.ContextId]">
    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.630010
         ELS Ref: 91920
    
        WHERE IN RP.{SLSPSeqNum}
        IF [iitr98] > (([iitr99] + [iitr100]) * 0.50)
          RETURN VALIDATION MESSAGE
        ENDIF
          
        [iitr98] = rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount
        [iitr99] = bafpr3.02.19:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
        [iitr100] = bafpr3.02.19:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount
    -->
    <assert  id="VR.ATO.IITR.630010" diagnostics="DVR.ATO.IITR.630010"
                test="not(
                          sum($iitr98[@contextRef = $thisContextId])
                          >
                          ((sum($iitr99[@contextRef = $thisContextId]) + sum($iitr100[@contextRef = $thisContextId])) * 0.50)
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.630011
         ELS Ref: 91921
    
        WHERE IN RP.{SLSPSeqNum}
        IF	([iitr29] > CONVERT_TO_DATE(30,6, [iitr10] - 55))
        AND ([iitr101] <> NULL)
        AND	([iitr99] = SET(NULL,0))
        AND
        (
	        (
		        (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) <= 1315000)
		        AND
		        (SUM([iitr98] WHERE [iitr101] = [iitr101:0]) > (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) * 0.315))
	        )
	        OR
	        (
		        (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) > 1315000)
		        AND 
		        (SUM([iitr98] WHERE [iitr101] = [iitr101:0]) > (1315000 * 0.315 + ((SUM([iitr100] WHERE [iitr101] = [iitr101:0]) - 1315000) * 0.465)))
	        )
        )
	        RETURN VALIDATION MESSAGE
        ENDIF

        [iitr101:0] = ANY OTHER OCCURRENCE OF ([iitr101] WHERE [iitr99] = SET(NULL,0))
        
        [iitr10] = pyin.02.00:Report.TargetFinancial.Year
        [iitr29] = pyde.02.00:PersonDemographicDetails.Birth.Date
        
        [iitr98] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount
        [iitr99] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
        [iitr100] = bafpr3.02.19:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount
        [iitr101] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    -->
    <let name="years55Ago" value="concat($iitr10 - 55, '-06-30')" />

    <let name="iitr99Contexts" value="$iitr99[sum(.) > 0]/@contextRef"/>

    <let name="thisiitr101" value="$iitr101[@contextRef = $thisContextId]"/>
  
    <let name="iitr101Contexts" value="$iitr101[
      . = $thisiitr101
      and
      not(
        some $contextRef in $iitr99Contexts
        satisfies
        (
          @contextRef = $contextRef
        )
      )
    ]/@contextRef"/>"/>

    <assert  id="VR.ATO.IITR.630011" diagnostics="DVR.ATO.IITR.630011"
          test="not(
						          $iitr29[function:IsDate1GreaterThanDate2(., $years55Ago)]
						          and
						          $iitr101[@contextRef = $thisContextId and not(@i:nil='true')]
						          and
						          sum($iitr99[@contextRef = $thisContextId]) = 0
						          and
						          (
						            (
							            sum($iitr100[@contextRef = $iitr101Contexts]) &lt;= 1315000
							            and
							            sum($iitr98[@contextRef = $iitr101Contexts]) &gt; (sum($iitr100[@contextRef = $iitr101Contexts]) * 0.32)
						            )
						            or
						            (
							            sum($iitr100[@contextRef = $iitr101Contexts]) &gt; 1315000
							            and
							            sum($iitr98[@contextRef = $iitr101Contexts]) &gt; (1315000 * 0.32 + ((sum($iitr100[@contextRef = $iitr101Contexts]) - 1315000 ) * 0.47))
						            )
						          )
				        )"/>


    <!-- Rule ID: VR.ATO.IITR.630012
         ELS Ref: 91922
    
        WHERE IN RP.{SLSPSeqNum}
        IF 	([iitr29] <= CONVERT_TO_DATE(30,6, [iitr10] - 60))
        AND ([iitr101] <> NULL) 
        AND ([iitr99] = SET(NULL,0)) 
        AND
        (
	        (
		        (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) <= 1315000)
		        AND 
		        (SUM([iitr98] WHERE [iitr101] = [iitr101:0]) > (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) * 0.165))
	        )
	        OR
	        (
		        (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) > 1315000)
		        AND 
		        (SUM([iitr98] WHERE [iitr101] = [iitr101:0]) > (1315000 * 0.165 + ((SUM([iitr100] WHERE [iitr101] = [iitr101:0]) - 1315000) * 0.465)))
	        )
        )
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr101:0] = ANY OTHER OCCURRENCE OF ([iitr101] WHERE [iitr99] = SET(NULL,0))
        
        [iitr10] = pyin.02.00:Report.TargetFinancial.Year
        [iitr29] = pyde.02.00:PersonDemographicDetails.Birth.Date
        
        [iitr98] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount
        [iitr99] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
        [iitr100] = bafpr3.02.19:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount
        [iitr101] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    -->
    <let name="years60Ago" value="concat($iitr10 - 60, '-06-30')" />

    <assert  id="VR.ATO.IITR.630012" diagnostics="DVR.ATO.IITR.630012"
          test="not(
						          $iitr29[function:IsDate1GreaterOrEqualToDate2($years60Ago, .)]
						          and
						          $iitr101[@contextRef = $thisContextId and not(@i:nil='true')]
						          and
						          sum($iitr99[@contextRef = $thisContextId]) = 0
						          and
						          (
						            (
							            sum($iitr100[@contextRef = $iitr101Contexts]) &lt;= 1315000
							            and
							            sum($iitr98[@contextRef = $iitr101Contexts]) &gt; (sum($iitr100[@contextRef = $iitr101Contexts]) * 0.17)
						            )
						            or
						            (
							            sum($iitr100[@contextRef = $iitr101Contexts]) &gt; 1315000
							            and
							            sum($iitr98[@contextRef = $iitr101Contexts]) &gt; (1315000 * 0.17 + ((sum($iitr100[@contextRef = $iitr101Contexts]) - 1315000 ) * 0.47))
						            )
						          )
				        )"/>


    <!-- Rule ID: VR.ATO.IITR.630013
         ELS Ref: 91923
    
        WHERE IN RP.{SLSPSeqNum}
        IF 	([iitr29] > CONVERT_TO_DATE(30,6, [iitr10] - 60)) AND ([iitr29] <= CONVERT_TO_DATE(30,6, [iitr10] - 55))
        AND ([iitr101] <> NULL)
        AND ([iitr99] = SET(NULL,0))
        AND
        (
	        (
		        (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) <= 180000)
		        AND
		        (SUM([iitr98] WHERE [iitr101] = [iitr101:0]) > (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) * 0.165))
	        )
	        OR
	        (
		        (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) > 180000)
		        AND
		        (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) <= 1315000)
		        AND
		        (
              SUM([iitr98] WHERE [iitr101] = [iitr101:0])
              >
              (180000 * 0.165 + ((SUM([iitr100] WHERE [iitr101] = [iitr101:0]) - 180000) * 0.315))
            )
	        )
	        OR
	        (
		        (SUM([iitr100] WHERE [iitr101] = [iitr101:0]) > 1315000) 
		        AND 
		        (
              SUM([iitr98] WHERE [iitr101] = [iitr101:0])
              >
              (180000 * 0.165 + (1315000 - 180000) * 0.315 + ((SUM([iitr100] WHERE [iitr101] = [iitr101:0]) - 1315000) * 0.465))
            )
	        )
        )
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr101:0] = ANY OTHER OCCURRENCE OF ([iitr101] WHERE [iitr99] = SET(NULL,0))
        
        [iitr10] = pyin.02.00:Report.TargetFinancial.Year
        [iitr29] = pyde.02.00:PersonDemographicDetails.Birth.Date
        
        [iitr98] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount
        [iitr99] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
        [iitr100] = bafpr3.02.19:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount
        [iitr101] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    -->
    <assert  id="VR.ATO.IITR.630013" diagnostics="DVR.ATO.IITR.630013"
          test="not(
                      $iitr29[function:IsDate1GreaterThanDate2(., $years60Ago)]
                      and
                      $iitr29[function:IsDate1GreaterOrEqualToDate2($years55Ago, .)]
						          and
						          $iitr101[@contextRef = $thisContextId and not(@i:nil='true')]
						          and
						          sum($iitr99[@contextRef = $thisContextId]) = 0
						          and
						          (
						            (
							            sum($iitr100[@contextRef = $iitr101Contexts]) &lt;= 180000
							            and
							            sum($iitr98[@contextRef = $iitr101Contexts]) &gt; (sum($iitr100[@contextRef = $iitr101Contexts]) * 0.17)
						            )
						            or
						            (
							            sum($iitr100[@contextRef = $iitr101Contexts]) &gt; 180000
							            and
                          sum($iitr100[@contextRef = $iitr101Contexts]) &lt;= 1315000
                          and
							            sum($iitr98[@contextRef = $iitr101Contexts]) &gt; (180000 * 0.17 + ((sum($iitr100[@contextRef = $iitr101Contexts]) - 180000 ) * 0.32))
						            )
                        or
                        (
                          sum($iitr100[@contextRef = $iitr101Contexts]) &gt; 1315000
                          and
                          sum($iitr98[@contextRef = $iitr101Contexts]) &gt; (180000 * 0.17 + (1315000 - 180000) * 0.32 + ((sum($iitr100[@contextRef = $iitr101Contexts]) - 1315000) * 0.47))
                        )
						          )
				        )"/>
    
  </rule>


  <!-- LOOP THROUGH PHI SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPPHISEQ.ContextId]">

    <let name="thisContextId" value="@id" />
    
    <!-- Rule ID: VR.ATO.IITR.210003
       ELS Ref: M1051
    
       WHERE IN RP.{PHISeqNum}
       IF ([iitr185] = SET("No dependants","Dependants","Claiming your share of rebate","Claiming your spouses share of rebate")) 
        AND 
        (
          ([iitr183] > 0 AND [iitr183] < 101) 
          OR 
          ([iitr182] > 0 AND [iitr182] < 101)
        )
         RETURN VALIDATION MESSAGE
       ENDIF

       [iitr182] = rvctc2.xx.xx:IncomeTax.HealthInsurance.RebatableComponent.Amount
       [iitr183] = rvctc2.xx.xx:IncomeTax.HealthInsurance.GovernmentRebateReceived.Amount
       [iitr185] = rvctc2.xx.xx:IncomeTax.HealthInsurance.TaxClaim.Code
    -->
    <assert  id="VR.ATO.IITR.210003" diagnostics="DVR.ATO.IITR.210003"
            test="not(
                          $iitr185
                          [
                            @contextRef = $thisContextId
                            and
                            (
                              . = 'No dependants'
                              or
                              . = 'Dependants'
                              or
                              . = 'Claiming your share of rebate'
                              or
                              . = 'Claiming your spouses share of rebate'
                            )
                          ]
                          and 
                          (
                            $iitr183
                            [
                              @contextRef = $thisContextId
                              and
                              . > 0
                              and
                              . &lt; 101
                            ]
                            or
                            $iitr182
                            [
                              @contextRef = $thisContextId
                              and
                              . > 0
                              and
                              . &lt; 101
                            ]
                          )
                      )"/>
  </rule>
</pattern>
