﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Deductions Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <let name="endDate" value="xbrli:context[@id = $IITR.RP.ContextId]/xbrli:period/xbrli:endDate"/>
    <let name="endDateMinus18" value="function:AddRemoveYearsToDate($endDate[1], -18)"/>

    <!-- Rule ID: VR.ATO.IITR.020008
         ELS Ref: V2315

		    IF (rvctc1.xx.xx:IncomeTax.TaxOffsetRefundableOther.Code = "ConservationTillageRefundableTaxOffset")
          RETURN VALIDATION MESSAGE   
        ENDIF

		    [iitr396]  = rvctc1.xx.xx:IncomeTax.TaxOffsetRefundableOther.Code
    -->
    <assert id="VR.ATO.IITR.020008" diagnostics="DVR.ATO.IITR.020008"
            test="not(
                          $iitr396[. = 'ConservationTillageRefundableTaxOffset']
                      )" />
    
    
   <!-- Rule ID: VR.ATO.IITR.100029
         ELS Ref: V2315

		    IF ([iitr13] <> NULLORBLANK) AND (([iitr157] > 18200) OR ([iitr168] > 0) OR ([iitr19] <> TRUE) OR ([iitr120] > 5460))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr13]  = rvctc1.xx.xx:IncomeTax.ReturnType.Code
		    [iitr19]  = pyde.xx.xx:Residency.TaxPurposesPersonStatus.Indicator
		    [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr168] = gfati.xx.xx:TaxOffsetClaim.Total.Amount
    -->
    <assert id="VR.ATO.IITR.100029" diagnostics="DVR.ATO.IITR.100029"
            test="not(
                          $iitr13[not(@i:nil='true') and string-length(.) != 0]
                          and
                          (
                              sum($iitr157) > 18200
                              or
                              sum($iitr168) > 0
                              or
                              not($iitr19[matches(.,'^(true|1)$')])
                              or
                              sum($iitr120) > 5460
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.100030
         ELS Ref: V2316

		    IF  ([iitr13] <> NULLORBLANK) 
            AND 
            ([iitr29] > CONVERT_TO_DATE(RP:period.endDate.Day, RP:period.endDate.Month, RP:period.endDate.Year - 18)) 
            AND 
            (
                ([iitr19] <> TRUE) OR ([iitr120] > 125) OR ([iitr157] > 416)
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr13]  = rvctc1.xx.xx:IncomeTax.ReturnType.Code
		    [iitr19]  = pyde.xx.xx:Residency.TaxPurposesPersonStatus.Indicator
		    [iitr29]  = pyde.xx.xx:PersonDemographicDetails.Birth.Date
		    [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
    -->
    <assert id="VR.ATO.IITR.100030" diagnostics="DVR.ATO.IITR.100030"
            test="not(
                          $iitr13[not(@i:nil='true') and string-length(.) != 0]
                          and
                          $iitr29
                          [
                              function:IsDate1GreaterThanDate2(., $endDateMinus18)
                          ]
                          and
                          (
                              not($iitr19[matches(.,'^(true|1)$')])
                              or
                              sum($iitr120) > 125
                              or
                              sum($iitr157) > 416
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.100043
         ELS Ref: V2761

        IF  (
		            (
			              ([iitr28] = NULL) 
			              OR 
			              ([iitr28] > RP:period.endDate)
		            ) 
		            AND 
		            (
			              (
				                ([iitr208] <> NULL) 
				                AND 
				                (
					                  [iitr208] <> 
					                  (
						                    ([iitr157] WHERE [iitr157] > 0) 
						                    + 
						                    (([iitr200] WHERE [iitr200] > 3772 ) * 0.530) 
						                    + 
						                    [iitr201] + [iitr202] + [iitr203] + [iitr204] + [iitr205] + SUM([iitr362]) 
						                    - 
						                    [iitr206]
					                  ) +/- 1
				                )
			              )
			              OR
			              (
				                ([iitr208] = NULL) 
				                AND 
				                (
					                  0 <> 
					                  (
						                    ([iitr157] WHERE [iitr157] > 0) 
						                    + 
						                    (([iitr200] WHERE [iitr200] > 3772 ) * 0.530) 
						                    + 
						                    [iitr201] + [iitr202] + [iitr203] + [iitr204] + [iitr205] + SUM([iitr362]) 
						                    - 
						                    [iitr206]
					                  ) +/- 1
				                )
			              ) 
		            )
	        )
	        OR
	        (
		          (
			            ([iitr28] > (RP:period.startDate-1)) 
			            AND 
			            ([iitr28] < (RP:period.endDate+1)) 
		          )
		          AND 
		          (
			            (
				              ([iitr208] <> NULL) 
				              AND 
				              (
					                [iitr208] <> 
					                (
						                  ( 
							                    (
								                      (
									                        ([iitr157] WHERE [iitr157] > 0) 
									                        + 
									                        (([iitr200] WHERE [iitr200] > 3772) * 0.530) 
									                        + 
									                        [iitr201] + [iitr202] + [iitr203] + [iitr204] + [iitr205] + SUM([iitr362]) 
									                        - 
									                        [iitr206]
								                      ) 
								                      * 
								                      (RP:period.endDate - RP:period.startDate + 1) 
								                      / 
								                      ([iitr28] - RP:period.startDate)
							                    ) + 1
						                  ) +/- 1
					                )
				              )
			            )
			            OR
			            (
				              ([iitr208] = NULL) 
				              AND 
				              (
					                0 <> 
					                (
						                  ( 
							                    (
								                      (
									                        ([iitr157] WHERE [iitr157] > 0) 
									                        + 
									                        (([iitr200] WHERE [iitr200] > 3772 ) * 0.530) 
									                        + 
									                        [iitr201] + [iitr202] + [iitr203] + [iitr204] + [iitr205] + SUM([iitr362]) 
									                        - 
									                        [iitr206]
								                      ) 
								                      * 
								                      (RP:period.endDate - RP:period.startDate + 1) 
								                      / 
								                      ([iitr28] - RP:period.startDate)
							                    ) + 1
						                  ) +/- 1
					                )
				              )
			            )
		          )
	        )
	        OR 
	        (
		          ([iitr28] < RP:period.startDate) 
              AND 
              ([iitr208] <> 0)
	        )
		      RETURN VALIDATION MESSAGE
	      ENDIF
    
		    [iitr28] = pyde.xx.xx:PersonDemographicDetails.Death.Date
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		    [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		    [iitr202] = gfapc.xx.xx:Pension.TaxFree.Amount
		    [iitr203] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeTarget.Amount
		    [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
		    [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
		    [iitr206] = cssup.xx.xx:ChildSupport.Payment.Amount
		    [iitr208] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
    -->
    <let name="sum_100043" value="sum($iitr157[. > 0])
						                      + 
						                      floor(sum($iitr200[. > 3772]) * 0.530)
						                      + 
						                      sum($iitr201 | $iitr202 | $iitr203 | $iitr204 | $iitr205) + sum($iitr362) 
						                      - 
						                      sum($iitr206)" />


    <let name="endStartPlus1_100043" value="function:DaysFromDate1ToDate2
										                        (
											                          xs:date($IITR.RP.Context[1]/xbrli:period/xbrli:endDate),
											                          xs:date($IITR.RP.Context[1]/xbrli:period/xbrli:startDate)
										                        ) + 1" />

    <assert id="VR.ATO.IITR.100043" diagnostics="DVR.ATO.IITR.100043"
            test="not(
                        (
		                        (
						                    not($iitr28[not(@i:nil='true')])
			                          or
						                    $iitr28
						                    [
								                    function:IsDate1GreaterThanDate2(., $IITR.RP.Context[1]/xbrli:period/xbrli:endDate)
						                    ]
		                        ) 
		                        and 
		                        (
			                          (
				                            $iitr208[not(@i:nil='true')]
				                            and
				                            (
                                        sum($iitr208) &lt; $sum_100043 - 1
                                        or
                                        sum($iitr208) > $sum_100043 + 1                                    
				                            )
			                          )
			                          or
			                          (
				                            not($iitr208[not(@i:nil='true')])
				                            and 
				                            (
                                        0 &lt; $sum_100043 - 1
                                        or
                                        0 > $sum_100043 + 1
				                            )
			                          ) 
		                        )
	                      )
	                      or
	                      (
		                        (
			                          $iitr28
						                    [
                                    function:IsDate1GreaterOrEqualToDate2(., $IITR.RP.Context[1]/xbrli:period/xbrli:startDate)                    
                                    and
                                    function:IsDate1GreaterOrEqualToDate2($IITR.RP.Context[1]/xbrli:period/xbrli:endDate, .)            
						                    ]
		                        )
		                        and
		                        (
			                          (
				                            $iitr208[not(@i:nil='true')]
				                            and
				                            (
                                        sum($iitr208) &lt; 
                                        (
                                            (
  							                                $sum_100043
								                                * 
								                                $endStartPlus1_100043
								                                div 
													                      (function:DaysFromDate1ToDate2($iitr28[1], xs:date($IITR.RP.Context[1]/xbrli:period/xbrli:startDate)) + 1)
							                              )
                                        ) - 1
                                        or
                                        sum($iitr208) > 
                                        (
                                            (
  							                                $sum_100043
								                                * 
								                                $endStartPlus1_100043
								                                div
													                      (function:DaysFromDate1ToDate2($iitr28[1], xs:date($IITR.RP.Context[1]/xbrli:period/xbrli:startDate)) + 1)
							                              )
                                        ) + 1                                      
				                            )
			                          )
			                          or
			                          (
				                            not($iitr208[not(@i:nil='true')])
				                            and
				                            (
                                        0 &lt; 
                                        (
                                            (
  							                                $sum_100043
								                                * 
								                                $endStartPlus1_100043
								                                div
													                      function:DaysFromDate1ToDate2($iitr28[1], xs:date($IITR.RP.Context[1]/xbrli:period/xbrli:startDate))
							                              ) + 1
                                        ) - 1
                                        or
                                        0 > 
                                        (
                                            (
  							                                $sum_100043
								                                * 
								                                $endStartPlus1_100043
								                                div
													                      function:DaysFromDate1ToDate2($iitr28[1], xs:date($IITR.RP.Context[1]/xbrli:period/xbrli:startDate))
							                              ) + 1
                                        ) + 1 
				                            )
			                          )
		                        )
	                      )
	                      or
	                      (
				                    $iitr28
			                      [
					                      function:IsDate1GreaterThanDate2($IITR.RP.Context[1]/xbrli:period/xbrli:startDate, .)					
			                      ]
				                    and
				                    sum($iitr208) != 0
	                      )            
                     )" />

    <!-- Rule ID: VR.ATO.IITR.000652
         ELS Ref: V222A
         
         IF ([iitr29] <> NULL) AND ([iitr29] > DATE(TODAY))
         RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr29] = pyde.xx.xx:PersonDemographicDetails.Birth.Date    
    -->

    <assert id="VR.ATO.IITR.000652" diagnostics="DVR.ATO.IITR.000652"
            test="not(
                          $iitr29
                          [
                              not(@i:nil='true') 
                              and 
                              function:IsDate1GreaterThanDate2(., current-date())
                          ]                              
                     )" />


    <!-- Rule ID: VR.ATO.IITR.100045
         ELS Ref: V154

		    IF ([iitr29] < CONVERT_TO_DATE(1, 6, [iitr10] - 76)) AND (SUM([iitr362]) > 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr10] = pyin.xx.xx:Report.TargetFinancial.Year
		    [iitr29] = pyde.xx.xx:PersonDemographicDetails.Birth.Date
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
    -->
    <let name="targetFinancialYear76Ago" value="concat($iitr10 - 76, '-06-01')" />

    <assert id="VR.ATO.IITR.100045" diagnostics="DVR.ATO.IITR.100045"
            test="not(
                          $iitr29
                          [
                              function:IsDate1GreaterThanDate2($targetFinancialYear76Ago, .)
                          ]
                          and
                          sum($iitr362) > 0
                      )" />


    <!-- Rule ID: VR.ATO.IITR.100046
         ELS Ref: V180

		    IF ([iitr29] > CONVERT_TO_DATE(RP:period.endDate.Day, RP:period.endDate.Month, RP:period.endDate.Year - 18)) AND ([iitr188] = NULL)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr29] = pyde.xx.xx:PersonDemographicDetails.Birth.Date
		    [iitr188] = rvctc1.xx.xx:IncomeTax.ExceptedNetIncomeUnder18.Amount
    -->
    <assert id="VR.ATO.IITR.100046" diagnostics="DVR.ATO.IITR.100046"
            test="not(
                          $iitr29
                          [
                              function:IsDate1GreaterThanDate2(., $endDateMinus18)
                          ]
                          and
                          not($iitr188[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.IITR.200034
         ELS Ref: V408A

		    IF 	([iitr213] <> NULLORBLANK OR [iitr220] = TRUE) 
	      AND 
	      ([iitr176] = FALSE) 
	      AND 
	      (
		        (
			          [iitr157] + ([iitr200] WHERE [iitr200] > 3772) 
                + 
                ([iitr330] WHERE [iitr157] > 0) 
                + 
                [iitr399] 
			          - 
			          (
				            SUM([iitr99]) WHERE 
				            (
					              ANY OCCURRENCE OF ([iitr102] <> TRUE) 
					              AND 
					              (
						                ([iitr29] > CONVERT_TO_DATE(30,06,([iitr10] - 55))) 
						                OR 
						                ([iitr29] <= CONVERT_TO_DATE(01,07,([iitr10] - 61)))
					              )
				            )
			          ) 
			          + 
			          [iitr204] + [iitr205] + [iitr201] + SUM([iitr362])
		        ) 
		        > 20542
	      ) 
	      AND 
	      (
		        ([iitr177] = NULL) 
		        OR 
		        (
			          [iitr225] = NULL AND [iitr226] = NULL AND [iitr227] = NULL AND [iitr228] = NULL AND 
			          [iitr231] = NULL AND [iitr234] = NULL AND [iitr236] = NULL
		        )
	      )
         RETURN VALIDATION MESSAGE
      ENDIF

		  [iitr10] = pyin.xx.xx:Report.TargetFinancial.Year
		  [iitr29] = pyde.xx.xx:PersonDemographicDetails.Birth.Date
		  [iitr99] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
		  [iitr102] = bafpr3.xx.xx:Income.Superannuation.DeathBenefitPaymentNonDependant.Indicator
		  [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		  [iitr176] = rvctc2.xx.xx:IncomeTax.MedicareLevy.PrivateHospitalCoverWholePeriod.Indicator
		  [iitr177] = rvctc2.xx.xx:IncomeTax.MedicareLevy.SurchargeExemptionDays.Count
		  [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		  [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		  [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
		  [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
		  [iitr213] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
		  [iitr220] = pyde.xx.xx:PersonDemographicDetails.SpouseFullYear.Indicator
		  [iitr225] = bafpr1.xx.xx:Income.Taxable.Amount
		  [iitr226] = rvctc1.xx.xx:IncomeTax.TrustIncomeNotIncludedInTaxableIncome.Amount
		  [iitr227] = rvctc1.xx.xx:IncomeTax.FamilyTrustDistributionWhereTaxPaid.Amount
		  [iitr228] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		  [iitr231] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		  [iitr234] = rvctc3.xx.xx:Tax.Losses.InvestmentNet.Amount
		  [iitr236] = emsup.xx.xx:SuperannuationPayment.BenefitLumpSumZeroTaxRate.Amount
		  [iitr330] = rvctc4.xx.xx:InternationalDealings.ExemptForeignEmploymentIncome.Amount
		  [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
		  [iitr399] = rvctc1.xx.xx:IncomeTax.FamilyTrustDistributionWhereTaxPaid.Amount
    -->
    <let name="years55Ago" value="concat($iitr10 - 55, '-06-30')" />
    <let name="years61Ago" value="concat($iitr10 - 61, '-07-01')" />

    <let name="iitr330CalcContextRef" value="$iitr157[. > 0]/@contextRef" />

    <let name="iitr29Calc" value="$iitr29
                                  [
                                        function:IsDate1GreaterThanDate2(., $years55Ago)
                                        or
                                        function:IsDate1GreaterOrEqualToDate2($years61Ago, .)
                                  ]" />

    <let name="iitr99CalcContextRef" value="$iitr102[not(matches(.,'^(true|1)$')) and $iitr29Calc]/@contextRef" />

    <assert id="VR.ATO.IITR.200034" diagnostics="DVR.ATO.IITR.200034"
            test="not(
                          (
                              $iitr213[not(@i:nil='true')]
                              or
                              $iitr220[matches(.,'^(true|1)$')]            
                          )
                          and
                          $iitr176[matches(.,'^(false|0)$')]        
                          and                          
                          (
                              (
                                  sum($iitr157 | $iitr200[. > 3772])
                                  +
                                  sum($iitr330[@contextRef = $iitr330CalcContextRef])
                                  +
                                  sum($iitr399)
                                  -
                                  sum($iitr99[@contextRef = $iitr99CalcContextRef])
                                  +
                                  (sum($iitr204 | $iitr205 | $iitr201) + sum($iitr362))
                              ) > 20542
                          )
                          and
                          (
                              not($iitr177[not(@i:nil='true')])
                              or
                              (
                                  not($iitr225[not(@i:nil='true')])
                                  and
                                  not($iitr226[not(@i:nil='true')])
                                  and
                                  not($iitr227[not(@i:nil='true')])
                                  and
                                  not($iitr228[not(@i:nil='true')])
                                  and
                                  not($iitr231[not(@i:nil='true')])
                                  and
                                  not($iitr234[not(@i:nil='true')])
                                  and
                                  not($iitr236[not(@i:nil='true')])
                              )
                          )                                             
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300056
         ELS Ref: V1967A

		    IF ([iitr131] - [iitr150] >= 0) AND ([iitr154] + [iitr156] > [iitr131] - [iitr150])
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr131] = bafpr1.xx.xx:Income.Net.Amount
		    [iitr150] = bafpr1.xx.xx:Expense.DeductionsTotal.Amount
		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.300056" diagnostics="DVR.ATO.IITR.300056"
            test="not(
                          sum($iitr131) - sum($iitr150) >= 0 
                          and
                          sum($iitr154 | $iitr156) > sum($iitr131) - sum($iitr150)
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300057
         ELS Ref: V1967B

		    IF ([iitr131] - [iitr150] < 0) AND ([iitr154] + [iitr156] > 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr131] = bafpr1.xx.xx:Income.Net.Amount
		    [iitr150] = bafpr1.xx.xx:Expense.DeductionsTotal.Amount
		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.300057" diagnostics="DVR.ATO.IITR.300057"
            test="not(
                          sum($iitr131) - sum($iitr150) &lt; 0 
                          and
                          sum($iitr154 | $iitr156) > 0
                      )" />


    <!--Calculation used in rules VR.ATO.IITR.300084, VR.ATO.IITR.300085 & VR.ATO.IITR.300086-->
    <let name="posCalc" value="function:GetPositiveValue(sum($iitr157 | $iitr123 | $iitr124 | $iitr125 | $iitr126) - sum($iitr127))" />

    <!-- Rule ID: VR.ATO.IITR.300084
         ELS Ref: V2376

		    IF 	([iitr123] <> NULL)
	          AND 
	          (
		            (
			            POS([iitr157] - [iitr127] + [iitr123] + [iitr124] + [iitr125] + [iitr126]) 
			            + 
			            [iitr201] + ([iitr200] WHERE [iitr200] > 3772) + [iitr204] + [iitr205] + SUM([iitr362])
		            ) <= 180000
	          )
	          AND 
	          (([iitr123] + [iitr124] + [iitr125] + [iitr126] - 1000) > [iitr127])
		      RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr123] = bafpr3.xx.xx:Income.EmployeeShareScheme.TaxUpfrontReducibleDiscount.Amount
		    [iitr124] = bafpr3.xx.xx:Income.EmployeeShareScheme.TaxUpfrontNonReducibleDiscount.Amount
		    [iitr125] = bafpr3.xx.xx:Income.EmployeeShareScheme.DeferralDiscount.Amount
		    [iitr126] = bafpr3.xx.xx:Income.EmployeeShareScheme.AcquiredBeforeJuly2009Discount.Amount
		    [iitr127] = bafpr3.xx.xx:Income.EmployeeShareScheme.DiscountAssessable.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		    [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		    [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
		    [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
    -->
    <assert id="VR.ATO.IITR.300084" diagnostics="DVR.ATO.IITR.300084"
            test="not(
                          $iitr123[not(@i:nil='true')]
                          and
                          (
                              $posCalc
                              +
                              sum($iitr201 | $iitr200[. > 3772] | $iitr204 | $iitr205) + sum($iitr362)
                          ) &lt;= 180000
                          and                          
                          (sum($iitr123 | $iitr124 | $iitr125 | $iitr126) - 1000) > sum($iitr127)                                      
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300085
         ELS Ref: V2377

		    IF 	(
		            (
			            POS([iitr157] - [iitr127] + [iitr123] + [iitr124] + [iitr125] + [iitr126]) 
			            + 
			            [iitr201] + ([iitr200] WHERE [iitr200] > 3772 ) + [iitr204] + [iitr205] + SUM([iitr362])
		            )	 
		            <= 180000
	          ) 
	          AND 
	          ([iitr123] <= 1000) 
	          AND 
	          (([iitr124] + [iitr125] + [iitr126]) > [iitr127])
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr123] = bafpr3.xx.xx:Income.EmployeeShareScheme.TaxUpfrontReducibleDiscount.Amount
		    [iitr124] = bafpr3.xx.xx:Income.EmployeeShareScheme.TaxUpfrontNonReducibleDiscount.Amount
		    [iitr125] = bafpr3.xx.xx:Income.EmployeeShareScheme.DeferralDiscount.Amount
		    [iitr126] = bafpr3.xx.xx:Income.EmployeeShareScheme.AcquiredBeforeJuly2009Discount.Amount
		    [iitr127] = bafpr3.xx.xx:Income.EmployeeShareScheme.DiscountAssessable.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		    [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		    [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
		    [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount              RP.{SCSeqNum}
    -->
    <assert id="VR.ATO.IITR.300085" diagnostics="DVR.ATO.IITR.300085"
            test="not(                          
                          (
                              $posCalc
                              +
                              sum($iitr201 | $iitr200[. > 3772] | $iitr204 | $iitr205) + sum($iitr362)
                          ) &lt;= 180000
                          and
                          sum($iitr123) &lt;= 1000
                          and
                          sum($iitr124 | $iitr125 | $iitr126) > sum($iitr127)                                      
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300086
         ELS Ref: V2378

		    IF 	(
		            (
			            POS([iitr157] - [iitr127] + [iitr123] + [iitr124] + [iitr125] + [iitr126]) 
			            + 
			            [iitr201] + ([iitr200] WHERE [iitr200] > 3772) + [iitr204] + [iitr205] + SUM([iitr362])
		            ) > 180000
	          ) 
	          AND 
	          (([iitr123] + [iitr124] + [iitr125] + [iitr126]) > [iitr127])
          RETURN VALIDATION MESSAGE
        ENDIF

		    [iitr123] = bafpr3.xx.xx:Income.EmployeeShareScheme.TaxUpfrontReducibleDiscount.Amount
		    [iitr124] = bafpr3.xx.xx:Income.EmployeeShareScheme.TaxUpfrontNonReducibleDiscount.Amount
		    [iitr125] = bafpr3.xx.xx:Income.EmployeeShareScheme.DeferralDiscount.Amount
		    [iitr126] = bafpr3.xx.xx:Income.EmployeeShareScheme.AcquiredBeforeJuly2009Discount.Amount
		    [iitr127] = bafpr3.xx.xx:Income.EmployeeShareScheme.DiscountAssessable.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		    [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		    [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
		    [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount              RP.{SCSeqNum}
    -->
    <assert id="VR.ATO.IITR.300086" diagnostics="DVR.ATO.IITR.300086"
            test="not(
                          (
                              $posCalc
                              +
                              sum($iitr201 | $iitr200[. > 3772] | $iitr204 | $iitr205) + sum($iitr362)
                          ) > 180000
                          and                          
                          sum($iitr123 | $iitr124 | $iitr125 | $iitr126) > sum($iitr127)                                      
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300087
         ELS Ref: V2517

		    IF  ([iitr302] > 0)
	          AND 
	          (
		            (
			              [iitr157] 
			              - 
			              ([iitr242] + [iitr243] - [iitr245] - [iitr246] + [iitr281] + [iitr299] + [iitr306]) 
			              - 
			              ([iitr75] WHERE [iitr76] = SET("D", "B", "N")) 
			              - 
			              (([iitr99] + [iitr100]) WHERE [iitr102] = FALSE) 
			              - 
			              [iitr311] 
                    + 
                    [iitr154] + [iitr156]
		            ) 
		            > 100000
	          )
           RETURN VALIDATION MESSAGE
        ENDIF

		    [iitr75]  = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount
		    [iitr76]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.EmploymentTerminationPaymentType.Code
		    [iitr99]  = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
		    [iitr100] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount
		    [iitr102] = bafpr3.xx.xx:Income.Superannuation.DeathBenefitPaymentNonDependant.Indicator
		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
		    [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
		    [iitr245] = bafpr1.xx.xx:Expense.LandcareOperationsAndWaterFacilityDeclineInValueDeductionPrimaryProduction.Amount
		    [iitr246] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipsAndTrustPrimaryProductionShare.Amount
		    [iitr281] = bafpr1.xx.xx:Income.PrimaryProductionNet.Amount
		    [iitr299] = rvctc3.xx.xx:Tax.Losses.DeferredNonCommercialPrimaryProduction.Amount
		    [iitr302] = rvctc2.xx.xx:IncomeTax.Deduction.FarmManagementDeposits.Amount
		    [iitr306] = bafpr1.xx.xx:Income.FarmManagementDepositsOrRepaymentsNet.Amount
		    [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
    -->
    <let name="iitr76SetContextRef" value="$iitr76[matches(.,'^(D|B|N)(.*)$', 'i')]/@contextRef" />
    <let name="iitr102FalseContextRef" value="$iitr102[matches(.,'^(false|0)$')]/@contextRef" />

    <assert id="VR.ATO.IITR.300087" diagnostics="DVR.ATO.IITR.300087"
            test="not(
                          sum($iitr302) > 0
                          and
                          (
                              (
                                  sum($iitr157)
                                  -
                                  (sum($iitr242 | $iitr243 | $iitr281 | $iitr299 | $iitr306) - sum($iitr245) - sum($iitr246))
                                  -
                                  sum($iitr75[@contextRef = $iitr76SetContextRef])
                                  -
                                  (sum($iitr99[@contextRef = $iitr102FalseContextRef] | $iitr100[@contextRef = $iitr102FalseContextRef]))
                                  -
                                  sum($iitr311)
                                  + 
                                  sum($iitr154 | $iitr156)
                              ) > 100000                              
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300093
         ELS Ref: V2726A

		    IF  ([iitr13] = NULLORBLANK)
            AND 
            ( 
	              (
		                (
			                  (
				                  [iitr118] + [iitr119] + [iitr120] + [iitr249] + [iitr253] + [iitr257] + [iitr282] + [iitr291] + [iitr295] + [iitr325] + 
				                  [iitr328]+ [iitr341] + SUM([iitr345]) + SUM([iitr351])
			                  ) 
			                  < 
			                  (
				                  [iitr142] + [iitr147] + [iitr261] + [iitr262] + [iitr368] + SUM([iitr372])
			                  )
		                )
		                AND
		                (
			                  (
				                    (
					                      ([iitr204] <> NULL) 
					                      AND 
					                      (
						                        [iitr204] <> 
						                        (
							                          ([iitr142] + [iitr147] + [iitr261] + [iitr262] +[iitr368] + SUM([iitr372])) 
							                          - 
							                          (
								                          [iitr118] + [iitr119] + [iitr120] + [iitr249] + [iitr253] + [iitr257] + [iitr282] + 
								                          [iitr291] + [iitr295] + [iitr325] + [iitr328]+ [iitr341] + SUM([iitr345]) + SUM([iitr351])
							                          )
						                        )
					                      )
				                     )				                     
			                  )
		                )
	              )
	              OR
	              (
		                (
			                  (
				                  [iitr118] + [iitr119] + [iitr120] + [iitr249]  + [iitr253] + [iitr257] + [iitr282] + [iitr291] + 
				                  [iitr295] + [iitr325] + [iitr328]+ [iitr341] + SUM([iitr345]) + SUM([iitr351])
			                  ) 
			                  >= 
			                  (
				                  [iitr142] + [iitr147] + [iitr261] + [iitr262] + [iitr368] + SUM([iitr372])
			                  )
		                )
		                AND 
		                ([iitr204] <> 0)
	              )
            )
               RETURN VALIDATION MESSAGE
            ENDIF


		    [iitr13] = rvctc1.xx.xx:IncomeTax.ReturnType.Code
		    [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount
		    [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
		    [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
		    [iitr142] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePoolFinancialInvestments.Amount
		    [iitr147] = rvctc2.xx.xx:IncomeTax.Deduction.Dividend.Amount
		    [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
		    [iitr249] = bafpr1.xx.xx:Income.PartnershipInvestmentLessForeignIncomeNonPrimaryProductionShare.Amount
		    [iitr253] = bafpr1.xx.xx:Income.TrustManagedInvestmentSchemeLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
		    [iitr257] = bafpr1.xx.xx:Income.TrustFrankedInvestmentNonPrimaryProductionShare.Amount
		    [iitr261] = rvctc2.xx.xx:IncomeTax.Deduction.TrustExcludingCapitalGainsAndForeignIncomeNonPrimaryProduction.Amount
		    [iitr262] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipExcludingForeignIncomeNonPrimaryProduction.Amount
		    [iitr282] = bafpr1.xx.xx:Income.InvestmentNonPrimaryProductionNet.Amount
		    [iitr291] = rvctc3.xx.xx:Tax.Losses.DeferredNonCommercialPartnershipInvestmentShare.Amount
		    [iitr295] = rvctc3.xx.xx:Tax.Losses.DeferredNonCommercialSoleTraderInvestment.Amount
		    [iitr325] = rvctc4.xx.xx:InternationalDealings.ForeignSourceCompanyIncomeOther.Amount
		    [iitr328] = rvctc1.xx.xx:IncomeTax.FrankingCreditsNewZealand.Amount
		    [iitr341] = bafpr1.xx.xx:Income.ForestryManagedInvestmentScheme.Amount
		    [iitr345] = rvctc1.xx.xx:IncomeTax.AssessableLowValuePoolDeductionFinancialInvestmentsOther.Amount
		    [iitr351] = rvctc1.xx.xx:IncomeTax.FinancialInvestmentsOther.Amount
		    [iitr368] = bafpr1.xx.xx:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
		    [iitr372] = rvctc2.xx.xx:IncomeTax.Deduction.FinancialInvestmentOther.Amount
    -->
    <let name="sum1_300093" value="sum(
                                        $iitr118 | $iitr119 | $iitr120 | $iitr249 | $iitr253 | $iitr257 | $iitr282 |  
				                                $iitr291 | $iitr295 | $iitr325 | $iitr328 | $iitr341
                                      )
                                      +
                                      sum($iitr345) + sum($iitr351)" />

    <let name="sum2_300093" value="sum($iitr142 | $iitr147 | $iitr261 | $iitr262 | $iitr368) + sum($iitr372)" />

    <assert id="VR.ATO.IITR.300093" diagnostics="DVR.ATO.IITR.300093"
            test="not(
                        not($iitr13[not(@i:nil='true') and string-length(.) != 0])
                        and
	                      ( 
                            (
                                $sum1_300093 &lt; $sum2_300093
		                            and
		                            (
				                            (
                                        $iitr204[not(@i:nil='true')]
					                              and
				                                sum($iitr204) != $sum2_300093 - $sum1_300093
				                            )							                            
                                )
                            )
			                      or
			                      (
  	                            $sum1_300093 >= $sum2_300093
                                and
				                        sum($iitr204) != 0
			                      )
	                      )    
                    )" />


    <!-- Rule ID: VR.ATO.IITR.300094
         ELS Ref: V2727

        IF 	(
		            (
		               ([iitr250] + [iitr283] + [iitr292] + [iitr296] + [iitr324] + ([iitr334] - ([iitr335] + [iitr336] + [iitr337])) + SUM([iitr346])) 
		               < 
		               ([iitr143] + [iitr263] + SUM([iitr373]))
		            )
		            AND 
		            (
			              (
				                ([iitr205] <> NULL) 
				                AND 
				                (
					                  [iitr205] <>
					                  (
						                    ([iitr143] + [iitr263] + SUM([iitr373])) 
						                    - 
						                    ([iitr250] + [iitr283] + [iitr292] + [iitr296] + [iitr324] + ([iitr334] - ([iitr335] + [iitr336] + [iitr337])) + SUM([iitr346]))
					                  )
				                )
			              )
		            )
            )
	          OR 
	          (
		            (
			              ([iitr250] + [iitr283] + [iitr292] + [iitr296] + [iitr324] + ([iitr334] - ([iitr335] + [iitr336] + [iitr337])) + SUM([iitr346])) 
			              >= 
			              ([iitr143] + [iitr263] + SUM([iitr373]))
		            ) 
		            AND 
		            ([iitr205] <> 0)
	            )
	            RETURN VALIDATION MESSAGE
            ENDIF
            
		    [iitr143] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePoolRentalProperties.Amount
		    [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
		    [iitr250] = bafpr1.xx.xx:Income.PartnershipRentalNonPrimaryProductionShare.Amount
		    [iitr263] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipRentalNonPrimaryProduction.Amount
		    [iitr283] = bafpr1.xx.xx:Income.RentalPropertyNonPrimaryProductionNet.Amount
		    [iitr292] = rvctc3.xx.xx:Tax.Losses.DeferredNonCommercialPartnershipRentalShare.Amount
		    [iitr296] = rvctc3.xx.xx:Tax.Losses.DeferredNonCommercialSoleTraderRental.Amount
		    [iitr324] = rvctc4.xx.xx:InternationalDealings.ForeignRent.Amount
		    [iitr334] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
		    [iitr335] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeInterestDeductions.Amount
		    [iitr336] = rvctc2.xx.xx:IncomeTax.Deduction.CapitalWorksDeductions.Amount
		    [iitr337] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
		    [iitr346] = rvctc1.xx.xx:IncomeTax.AssessableLowValuePoolDeductionRentalPropertyOther.Amount
		    [iitr373] = rvctc2.xx.xx:IncomeTax.Deduction.ForeignRentalIncomeOther.Amount
    -->
    <let name="sum1_300094" value="sum($iitr250 | $iitr283 | $iitr292 | $iitr296 | $iitr324)
                                   + 
                                   (
                                       sum($iitr334)
                                       - 
                                       sum($iitr335 | $iitr336 | $iitr337) 
                                   )
                                   + 
                                   sum($iitr346)" />

    <let name="sum2_300094" value="sum($iitr143 | $iitr263) + sum($iitr373)" />

    <assert id="VR.ATO.IITR.300094" diagnostics="DVR.ATO.IITR.300094"
            test="not(            
            	            (
                              $sum1_300094 &lt; $sum2_300094			                      
		                          and 
		                          (
                                  $iitr205[not(@i:nil='true')]
					                        and
				                          sum($iitr205) != $sum2_300094 - $sum1_300094            				                          
			                        )			                        
	                        )
	                        or 
	                        (
                              $sum1_300094 >= $sum2_300094             
		                          and 
		                          sum($iitr205) != 0
	                        )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300101
         ELS Ref: V2762
         
		IF (
				[iitr13] = NULLORBLANK) 
			AND 
			(
				(
					((SUM([iitr62]) + [iitr65] + SUM([iitr68]) + SUM([iitr71]) + SUM([iitr75]) + [iitr86] + [iitr89] + [iitr92] + [iitr93] + [iitr94] + [iitr95] + SUM([iitr99]) + SUM([iitr100]) 
						+ [iitr112] + [iitr115] + [iitr118] + [iitr119] + [iitr120] + [iitr127] + ([iitr200] WHERE [iitr200] > 3772) + [iitr201] + 
						(([iitr242] + [iitr252]) WHERE ([iitr242] + [iitr252]) > 0) 
						+ [iitr243] + [iitr255] + [iitr259] + [iitr304] + [iitr305] + [iitr311] + [iitr316] + [iitr318] + [iitr320] + [iitr328] + [iitr334] + [iitr339] + [iitr341] 
						+ SUM([iitr348]) + SUM([iitr353]) + [iitr411] + [iitr412] + [iitr413] + [iitr414] + [iitr436] + [iitr437] + [iitr438] + [iitr439] + [iitr440] + [iitr441] + [iitr442] + [iitr443] + [iitr445] + 
						(([iitr447] + [iitr448]) WHERE ([iitr447] + [iitr448]) > 0) 
						+ [iitr472] + (([iitr452] - [iitr450]) WHERE ([iitr452] - [iitr450]) > 0) - [iitr358]) <= 0) AND 
						([iitr209] <> 0)) 
					OR 
						(
							((SUM([iitr62]) + [iitr65] + SUM([iitr68]) + SUM([iitr71]) + SUM([iitr75]) + [iitr86] + [iitr89] + [iitr92] + 
							[iitr93] + [iitr94] + [iitr95] + SUM([iitr99]) + SUM([iitr100]) + [iitr112] + [iitr115] + [iitr118] + [iitr119] + [iitr120] + [iitr127] + 
							([iitr200] WHERE [iitr200] > 3772) + [iitr201] + (([iitr242] + [iitr252]) WHERE ([iitr242] + [iitr252]) > 0) + [iitr243] + [iitr255] + [iitr259] + [iitr304] + [iitr305] + 
							[iitr311] + [iitr316] + [iitr318] + [iitr320] + [iitr328] + [iitr334] + [iitr339] + [iitr341] + SUM([iitr348]) + SUM([iitr353]) + [iitr411] + [iitr412] + [iitr413] + [iitr414] + 
							[iitr436] + [iitr437] + [iitr438] + [iitr439] + [iitr440] + [iitr441] + [iitr442] + [iitr443] + [iitr445] + (([iitr447] + [iitr448]) WHERE ([iitr447] + [iitr448]) > 0) + [iitr472] + 
							(([iitr452] - [iitr450]) WHERE ([iitr452] - [iitr450]) > 0) - [iitr358]) > 0)
					``AND ((([iitr209] <> NULL) 
							AND ([iitr209] <> (SUM([iitr62]) + [iitr65] + SUM([iitr68]) + SUM([iitr71]) + SUM([iitr75]) + [iitr86] + [iitr89] + [iitr92] + [iitr93] + [iitr94] + [iitr95] + 
							SUM([iitr99]) + SUM([iitr100]) + [iitr112] + [iitr115] + [iitr118] + [iitr119] + [iitr120] + [iitr127] + ([iitr200] WHERE [iitr200] > 3772) + 
							[iitr201] + (([iitr242] + [iitr252]) WHERE ([iitr242] + [iitr252]) > 0) + [iitr243] + [iitr255] + [iitr259] + [iitr304] + [iitr305] + [iitr311] + 
							[iitr316] + [iitr318] + [iitr320] + [iitr328] + [iitr334] + [iitr339] + [iitr341] + SUM([iitr348]) + SUM([iitr353]) + [iitr411] + [iitr412] + [iitr413] + [iitr414] + 
							[iitr436] + [iitr437] + [iitr438] + [iitr439] + [iitr440] + [iitr441] + [iitr442] + [iitr443] + [iitr445] + (([iitr447] + [iitr448]) WHERE ([iitr447] + [iitr448]) > 0) + 
							[iitr472] + (([iitr452] - [iitr450]) WHERE ([iitr452] - [iitr450]) > 0) - [iitr358]))) OR (([iitr209] = NULL) AND ((SUM([iitr62]) + [iitr65] + SUM([iitr68]) + 
							SUM([iitr71]) + SUM([iitr75]) + [iitr86] + [iitr89] + [iitr92] + [iitr93] + [iitr94] + [iitr95] + SUM([iitr99]) + SUM([iitr100]) + [iitr112] + [iitr115] + [iitr118] + 
							[iitr119] + [iitr120] + [iitr127] + ([iitr200] WHERE [iitr200] > 3772) + [iitr201] + (([iitr242] + [iitr252]) WHERE ([iitr242] + [iitr252]) > 0) + [iitr243] + [iitr255] + 
							[iitr259] + [iitr304] + [iitr305] + [iitr311] + [iitr316] + [iitr318] + [iitr320] + [iitr328] + [iitr334] + [iitr339] + [iitr341] + SUM([iitr348]) + 
							SUM([iitr353]) + [iitr411] + [iitr412] + [iitr413] + [iitr414] + [iitr436] + [iitr437] + [iitr438] + [iitr439] + [iitr440] + [iitr441] + [iitr442] + [iitr443] + [iitr445] + 
							(([iitr447] + [iitr448]) WHERE ([iitr447] + [iitr448]) > 0) + [iitr472] + (([iitr452] - [iitr450]) WHERE ([iitr452] - [iitr450]) > 0) - [iitr358]) <> 0)))
						)
					)
			)
		ENDIF

         RETURN VALIDATION MESSAGE
        END IF
         
        [iitr62] = bafpr1.xx.xx:Income.SalaryOrWages.Amount
        [iitr65] = bafpr1.xx.xx:Income.AllowancesEarningsTipsDirectorsFees.Amount
        [iitr68] = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount
        [iitr71] = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount
        [iitr75] = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount
        [iitr86] = bafpr1.xx.xx:Income.AustralianGovernmentAllowancesAndPayments.Amount
        [iitr89] = gfapc.xx.xx:Pension.Total.Amount
        [iitr92] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount
        [iitr93] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount
        [iitr94] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount
        [iitr95] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount
        [iitr99] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
        [iitr100] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount
        [iitr112] = bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount
        [iitr115] = bafpr2.xx.xx:Income.Interest.Gross.Amount
        [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount
        [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
        [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
        [iitr127] = bafpr3.xx.xx:Income.EmployeeShareScheme.DiscountAssessable.Amount
        [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
        [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
        [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
        [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
        [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
        [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
        [iitr259] = bafpr1.xx.xx:Income.TrustFrankedNonPrimaryProductionShare.Amount
        [iitr304] = bafpr1.xx.xx:Income.FarmManagementEarlyRepaymentsNaturalDisaster.Amount
        [iitr305] = bafpr1.xx.xx:Income.FarmManagementOtherRepayments.Amount
        [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
        [iitr316] = bafpr1.xx.xx:Income.ControlledForeignCompaniesAttributableIncome.Amount
        [iitr318] = rvctc4.xx.xx:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        [iitr320] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeGross.Amount
        [iitr328] = rvctc1.xx.xx:IncomeTax.FrankingCreditsNewZealand.Amount
        [iitr334] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
        [iitr339] = rvctc1.xx.xx:IncomeTax.LifeInsuranceCompaniesAndFriendlySocietiesBonuses.Amount
        [iitr341] = bafpr1.xx.xx:Income.ForestryManagedInvestmentScheme.Amount
        [iitr348] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Total.Amount
        [iitr353] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Total.Amount
        [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
        [iitr412] = bafpr3.xx.xx:Income.PersonalServicesIncome.ABNNotQuoted.Amount
        [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
        [iitr414] = bafpr3.xx.xx:Income.PersonalServicesIncome.Other.Amount
        [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
        [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
        [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
        [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
        [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
        [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
        [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
        [iitr443] = bafpr1.xx.xx:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount
        [iitr445] = bafpr1.xx.xx:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount
        [iitr447] = bafpr1.xx.xx:Income.BusinessPrimaryProductionOther.Amount
        [iitr448] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionOther.Amount
        [iitr472] = bafpr1.xx.xx:Income.ReconciliationAdjustmentTotal.Amount
        [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
        [iitr450] = bafpo1.xx.xx:Assets.OpeningStock.Amount
        [iitr358] = rvctc2.xx.xx:IncomeTax.Deduction.ForeignPensionAnnuityIncomeUndeductedPurchasePrice.Amount
    -->
    <let name="sum_300101" value="sum
                                  (
                                      $iitr62  | $iitr65  | $iitr68  | $iitr71  | $iitr75  | $iitr86  | $iitr89  | $iitr92  | $iitr93  | 
                                      $iitr94  | $iitr95  | $iitr99  | $iitr100 | $iitr112 | $iitr115 | $iitr118 | $iitr119 | $iitr120 | 
                                      $iitr127 | $iitr201 | $iitr243 | $iitr255 | $iitr259 | $iitr304 | $iitr305 | $iitr311 | 
                                      $iitr316 | $iitr318 | $iitr320 | $iitr328 | $iitr334 | $iitr339 | $iitr341 | $iitr348 | $iitr353 | 
                                      $iitr411 | $iitr412 | $iitr413 | $iitr414 | $iitr436 | $iitr437 | $iitr438 | $iitr439 | $iitr440 | 
                                      $iitr441 | $iitr442 | $iitr443 | $iitr445 | $iitr472                              
                                  )
                                  + 
                                  sum($iitr200[. > 3772])
                                  + 
                                  function:GetPositiveValue(sum($iitr242 | $iitr252))
                                  +                         
                                  function:GetPositiveValue(sum($iitr447 | $iitr448))
                                  +
                                  function:GetPositiveValue(sum($iitr452) - sum($iitr450))                        
                                  - 
                                  sum($iitr358)" />

    <assert id="VR.ATO.IITR.300101" diagnostics="DVR.ATO.IITR.300101"
           test="not(
                          not($iitr13[not(@i:nil='true') and string-length(.) != 0])
                          and
                          (
                              (
                                  $sum_300101 &lt;= 0
                                  and
                                  sum($iitr209) != 0
                              )
                              or
                              (
                                  $sum_300101 > 0
                                  and
                                  (
                                      (
                                          $iitr209[not(@i:nil='true')]
                                          and
                                          sum($iitr209) != $sum_300101
                                      )
                                      or
                                      (
                                          not($iitr209[not(@i:nil='true')])
                                          and
                                          0 != $sum_300101
                                      )
                                  )
                              )
                          )                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300102
         ELS Ref: V2763
         
        IF  ([iitr13] = NULLORBLANK) 
	          AND 
	          (
		            (
			              (
				                (
					                  SUM([iitr62]) + [iitr65] + ([iitr200] WHERE [iitr200] > 3772) + [iitr201] + [iitr436] + [iitr437] + [iitr438] + [iitr439] + 
					                  [iitr440] + [iitr441] + [iitr442] + [iitr443] + [iitr445] + (([iitr447] + [iitr448]) WHERE ([iitr447] + [iitr448]) > 0) + 
					                  [iitr472] + (([iitr452] - [iitr450]) WHERE ([iitr452] - [iitr450]) > 0)
				                ) <= 0
			              ) 
			              AND 
			              ([iitr210] <> 0)
		            ) 
		            OR 
		            (
			              (
				                (
					                  SUM([iitr62]) + [iitr65] + ([iitr200] WHERE [iitr200] > 3772) + [iitr201] + [iitr436] + [iitr437] + [iitr438] + [iitr439] + 
					                  [iitr440] + [iitr441] + [iitr442] + [iitr443] + [iitr445] + (([iitr447] + [iitr448]) WHERE ([iitr447] + [iitr448]) > 0) + [iitr472] + 
					                  (([iitr452] - [iitr450]) WHERE ([iitr452] - [iitr450]))
				                ) > 0
			              ) 
			              AND 
			              (
				                ([iitr210] <> NULL) 
				                AND 
				                (
					                  [iitr210] <> 
					                  (
						                    SUM([iitr62]) + [iitr65] + ([iitr200] WHERE [iitr200] > 3772) + [iitr201] + [iitr436] + [iitr437] + [iitr438] + [iitr439] 
						                    + [iitr440] + [iitr441] + [iitr442] + [iitr443] + [iitr445] + (([iitr447] + [iitr448]) WHERE ([iitr447] + [iitr448]) > 0) + [iitr472] 
						                    + (([iitr452] - [iitr450]) WHERE ([iitr452] - [iitr450]) > 0)
					                  )
				                ) 
			              )
		            )
	          )
		        RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr13] = rvctc1.xx.xx:IncomeTax.ReturnType.Code
		    [iitr62] = bafpr1.xx.xx:Income.SalaryOrWages.Amount
		    [iitr65] = bafpr1.xx.xx:Income.AllowancesEarningsTipsDirectorsFees.Amount
		    [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		    [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		    [iitr210] = bafpr1.xx.xx:Income.LowIncomeSuperannuationContributionEligible.Amount
		    [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
		    [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
		    [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
		    [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
		    [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
		    [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
		    [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
		    [iitr443] = bafpr1.xx.xx:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount
		    [iitr445] = bafpr1.xx.xx:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount
		    [iitr447] = bafpr1.xx.xx:Income.BusinessPrimaryProductionOther.Amount
		    [iitr448] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionOther.Amount
		    [iitr450] = bafpo1.xx.xx:Assets.OpeningStock.Amount
		    [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
		    [iitr472] = bafpr1.xx.xx:Income.ReconciliationAdjustmentTotal.Amount
    -->
    <let name="sum_300102" value="sum
                                  (
                                      $iitr62  | $iitr65  | $iitr201 | $iitr436 | $iitr437 | $iitr438 | $iitr439 | 
                                      $iitr440 | $iitr441 | $iitr442 | $iitr443 | $iitr445 | $iitr472
                                  )
                                  + 
                                  sum($iitr200[. > 3772])
                                  + 
                                  function:GetPositiveValue(sum($iitr447 | $iitr448))
                                  +
                                  function:GetPositiveValue(sum($iitr452) - sum($iitr450))" />

    <assert id="VR.ATO.IITR.300102" diagnostics="DVR.ATO.IITR.300102"
           test="not(
                          not($iitr13[not(@i:nil='true') and string-length(.) != 0])
                          and
                          (
                              (
                                  $sum_300102 &lt;= 0
                                  and
                                  sum($iitr210) != 0
                              )
                              or
                              (
                                  $sum_300102 > 0
                                  and
                                  (
                                      (
                                          $iitr210[not(@i:nil='true')]
                                          and
                                          sum($iitr210) != $sum_300102
                                      )
                                      or
                                      (
                                          not($iitr210[not(@i:nil='true')])
                                          and
                                          0 != $sum_300102
                                      )
                                  )
                              )
                          )                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300105
         ELS Ref: V45A
         
         IF ([iitr58] = NULLORBLANK OR [iitr59] = NULLORBLANK) 
            AND 
            (
                (ANY OCCURRENCE OF([iitr62]) > 0) 
                OR 
                (ANY OCCURRENCE OF([iitr60]) <> NULLORBLANK) 
                OR 
                (ANY OCCURRENCE OF([iitr547]) <> NULLORBLANK) 
                OR 
                ([iitr134] > 0) 
                OR 
                ([iitr136] > 0) 
                OR 
                ([iitr137] > 0) 
                OR 
                ([iitr139] > 0) 
                OR 
                ([iitr141] > 0)
            )         
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr58]  = pyde.xx.xx:PersonDemographicDetails.Occupation.Description
		    [iitr59]  = pyde.xx.xx:PersonDemographicDetails.Occupation.Code
		    [iitr60]  = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier   RPSaWSEQ
		    [iitr62]  = bafpr1.xx.xx:Income.SalaryOrWages.Amount                     RPSaWSEQ
		    [iitr134] = rvctc2.xx.xx:IncomeTax.Deduction.Car.Amount
		    [iitr136] = rvctc2.xx.xx:IncomeTax.Deduction.Travel.Amount
		    [iitr137] = rvctc2.xx.xx:IncomeTax.Deduction.Clothing.Amount
		    [iitr139] = rvctc2.xx.xx:IncomeTax.Deduction.EducationNet.Amount
		    [iitr141] = rvctc2.xx.xx:IncomeTax.Deduction.WorkRelatedOther.Amount
		    [iitr547] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier     RPSaWSEQ
    -->
    <assert id="VR.ATO.IITR.300105" diagnostics="DVR.ATO.IITR.300105"
            test="not(
                          (
                              not($iitr58[not(@i:nil='true') and string-length(.) != 0])
                              or
                              not($iitr59[not(@i:nil='true') and string-length(.) != 0])
                          )
                          and
                          (
                              $iitr62[. > 0]
                              or
                              $iitr60[not(@i:nil='true') and string-length(.) != 0]
                              or
                              $iitr547[not(@i:nil='true') and string-length(.) != 0]
                              or
                              sum($iitr134) > 0 
                              or 
                              sum($iitr136) > 0 
                              or 
                              sum($iitr137) > 0 
                              or 
                              sum($iitr139) > 0 
                              or 
                              sum($iitr141) > 0
                          )                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300106
         ELS Ref: V45B

		    IF  ([iitr58] <> NULLORBLANK OR [iitr59] <> NULLORBLANK) 
            AND
            (
                ALL OCCURRENCES OF 
                (
                    [iitr62] = NULL 
                    AND 
                    ([iitr60] = NULLORBLANK AND [iitr547] = NULLORBLANK)
                ) 
                AND 
                ([iitr134] = NULL OR [iitr134] = 0) 
                AND 
                ([iitr136] = NULL OR [iitr136] = 0) 
                AND 
                ([iitr137] = NULL OR [iitr137] = 0) 
                AND 
                ([iitr139] = NULL OR [iitr139] = 0) 
                AND 
                ([iitr141] = NULL OR [iitr141] = 0)
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr58]  = pyde.xx.xx:PersonDemographicDetails.Occupation.Description
		    [iitr59]  = pyde.xx.xx:PersonDemographicDetails.Occupation.Code
		    [iitr60]  = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier   RPSaWSEQ
		    [iitr62]  = bafpr1.xx.xx:Income.SalaryOrWages.Amount                     RPSaWSEQ
		    [iitr134] = rvctc2.xx.xx:IncomeTax.Deduction.Car.Amount
		    [iitr136] = rvctc2.xx.xx:IncomeTax.Deduction.Travel.Amount
		    [iitr137] = rvctc2.xx.xx:IncomeTax.Deduction.Clothing.Amount
		    [iitr139] = rvctc2.xx.xx:IncomeTax.Deduction.EducationNet.Amount
		    [iitr141] = rvctc2.xx.xx:IncomeTax.Deduction.WorkRelatedOther.Amount
		    [iitr547] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier     RPSaWSEQ
    -->
    <assert id="VR.ATO.IITR.300106" diagnostics="DVR.ATO.IITR.300106"
            test="not(
                          (
                              $iitr58[not(@i:nil='true') and string-length(.) != 0]
                              or
                              $iitr59[not(@i:nil='true') and string-length(.) != 0]
                          )
                          and
                          (
                              (
                                  not($iitr62[not(@i:nil='true')])
                                  and
                                  not($iitr60[not(@i:nil='true') and string-length(.) != 0])
                                  and
                                  not($iitr547[not(@i:nil='true') and string-length(.) != 0])
                              )
                              and
                              sum($iitr134) = 0 
                              and 
                              sum($iitr136) = 0 
                              and 
                              sum($iitr137) = 0 
                              and 
                              sum($iitr139) = 0 
                              and 
                              sum($iitr141) = 0
                          )                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300110
         ELS Ref: V94

		    IF ([iitr146] > 0) AND ([iitr115] = NULL)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr115] = bafpr2.xx.xx:Income.Interest.Gross.Amount
		    [iitr146] = rvctc2.xx.xx:IncomeTax.Deduction.Interest.Amount
    -->
    <assert id="VR.ATO.IITR.300110" diagnostics="DVR.ATO.IITR.300110"
            test="not(
                          sum($iitr146) > 0
                          and
                          not($iitr115[not(@i:nil='true')])                                              
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300111
         ELS Ref: V94B

		    IF ([iitr147] > 0) AND ([iitr118] = NULL) AND ([iitr119] = NULL)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount
		    [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
		    [iitr147] = rvctc2.xx.xx:IncomeTax.Deduction.Dividend.Amount
    -->
    <assert id="VR.ATO.IITR.300111" diagnostics="DVR.ATO.IITR.300111"
            test="not(
                          sum($iitr147) > 0
                          and
                          not($iitr118[not(@i:nil='true')])
                          and
                          not($iitr119[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300112
         ELS Ref: V95
		    
        IF ([iitr157] <> NULL) AND ([iitr157]  +/- 1 <> ([iitr131] - ([iitr150] + [iitr154] + [iitr156])))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr131] = bafpr1.xx.xx:Income.Net.Amount
		    [iitr150] = bafpr1.xx.xx:Expense.DeductionsTotal.Amount
		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
    -->
    <let name="totalSum" value="sum($iitr131) - sum($iitr150 | $iitr154 | $iitr156)" />

    <assert id="VR.ATO.IITR.300112" diagnostics="DVR.ATO.IITR.300112"
            test="not(
                          $iitr157[not(@i:nil='true')]
                          and
                          (
                              sum($iitr157) &lt; $totalSum - 1
                              or
                              sum($iitr157) > $totalSum + 1
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310020
         ELS Ref: V128

		    IF (
		          ([iitr436] + [iitr437] + [iitr438] + [iitr439] + [iitr440] + [iitr441] + [iitr442] + [iitr443] + [iitr445] + [iitr447] + [iitr448]) 
              - 
              ([iitr450] + [iitr451] - [iitr452]) 
		          - 
		          ([iitr455] + [iitr456] + [iitr457] + [iitr458] + [iitr459] + [iitr460] + [iitr461] + [iitr462] + [iitr463] + [iitr465] + [iitr466] + [iitr454]) 
		          - 
		          [iitr469] 
              - 
              [iitr470] 
              - 
              [iitr471] 
              + 
              [iitr472] 
              + 
              [iitr473]
           ) 
           <> 
           ([iitr474] + [iitr475])
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
		    [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
		    [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
		    [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
		    [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
		    [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
		    [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
		    [iitr443] = bafpr1.xx.xx:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount
		    [iitr445] = bafpr1.xx.xx:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount
		    [iitr447] = bafpr1.xx.xx:Income.BusinessPrimaryProductionOther.Amount
		    [iitr448] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionOther.Amount
		    [iitr450] = bafpo1.xx.xx:Assets.OpeningStock.Amount
		    [iitr451] = bafpr2.xx.xx:Expense.Purchases.AndOtherCosts.Amount
		    [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
		    [iitr454] = bafpr1.xx.xx:Expense.ForeignResidentWithholding.Amount
		    [iitr455] = bafpr2.xx.xx:Expense.Operating.EmploymentCostsTotal.Amount
		    [iitr456] = emsup.xx.xx:SuperannuationContribution.EmployerContributions.Amount
		    [iitr457] = bafpr2.xx.xx:Expense.Operating.BadDebts.Amount
		    [iitr458] = bafpr2.xx.xx:Expense.Operating.Lease.Amount
		    [iitr459] = bafpr2.xx.xx:Expense.Operating.Rent.Amount
		    [iitr460] = bafpr2.xx.xx:Expense.Operating.InterestAustralia.Amount
		    [iitr461] = bafpr2.xx.xx:Expense.Operating.InterestForeign.Amount
		    [iitr462] = bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
		    [iitr463] = bafpr2.xx.xx:Expense.Operating.MotorVehicle.Amount
		    [iitr465] = bafpr2.xx.xx:Expense.Operating.RepairsAndMaintenance.Amount
		    [iitr466] = bafpr2.xx.xx:Expense.Operating.Other.Amount
		    [iitr469] = bafpr1.xx.xx:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
		    [iitr470] = bafpr1.xx.xx:Expense.ProjectPoolAllowableDeduction.Amount
		    [iitr471] = bafpr1.xx.xx:Expense.LandcareOperationsAndWaterFacilityDeclineinValueDeduction.Amount
		    [iitr472] = bafpr1.xx.xx:Income.ReconciliationAdjustmentTotal.Amount
		    [iitr473] = bafpr1.xx.xx:Expense.ReconciliationAdjustments.Amount
		    [iitr474] = bafpr1.xx.xx:Income.BusinessPrimaryProductionNet.Amount
		    [iitr475] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionNet.Amount
    -->
    <assert id="VR.ATO.IITR.310020" diagnostics="DVR.ATO.IITR.310020"
            test="not(
                        (
                            (sum($iitr436 | $iitr437 | $iitr438 | $iitr439 | $iitr440 | $iitr441 | $iitr442 | $iitr443 | $iitr445 | $iitr447 | $iitr448))
                            - 
                            (sum($iitr450 | $iitr451) - sum($iitr452))
		                        - 
		                        (sum($iitr455 | $iitr456 | $iitr457 | $iitr458 | $iitr459 | $iitr460 | $iitr461 | $iitr462 | $iitr463 | $iitr465 | $iitr466 | $iitr454)) 
		                        - 
		                        sum($iitr469) 
                            - 
                            sum($iitr470) 
                            - 
                            sum($iitr471)
                            + 
                            sum($iitr472)
                            + 
                            sum($iitr473)
                        )
                        !=
                        sum($iitr474 | $iitr475)
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310051
         ELS Ref: V181
         
        IF ([iitr358] > 0) 
           AND 
           (
              (
                [iitr323] = NULL 
                OR 
                [iitr323] = 0
              ) 
              OR 
              (
                [iitr323] <> NULL 
                AND 
                (
                  [iitr358] > [iitr323]
                )
              )
          )
           RETURN VALIDATION MESSAGE
        ENDIF

		    [iitr323] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeUndeductedPurchasePrice.Amount
		    [iitr358] = rvctc2.xx.xx:IncomeTax.Deduction.ForeignPensionAnnuityIncomeUndeductedPurchasePrice.Amount
    -->
    <assert id="VR.ATO.IITR.310051" diagnostics="DVR.ATO.IITR.310051"
            test="not(
                          sum($iitr358) > 0
                          and
                          (
                            sum($iitr323) = 0
                            or
                            sum($iitr358) > sum($iitr323)
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310052
         ELS Ref: V1894

		    IF ([iitr467] > 0 OR [iitr468] > 0 OR [iitr474] > 0 OR [iitr475] > 0) AND ([iitr404] = NULL)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr404] = bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator
		    [iitr467] = bafpr2.xx.xx:Expense.Operating.BusinessPrimaryProduction.Amount
		    [iitr468] = bafpr2.xx.xx:Expense.Operating.BusinessNonPrimaryProduction.Amount
		    [iitr474] = bafpr1.xx.xx:Income.BusinessPrimaryProductionNet.Amount
		    [iitr475] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionNet.Amount
    -->
    <assert id="VR.ATO.IITR.310052" diagnostics="DVR.ATO.IITR.310052"
            test="not(
                          (
                              sum($iitr467) > 0
                              or
                              sum($iitr468) > 0
                              or
                              sum($iitr474) > 0
                              or
                              sum($iitr475) > 0
                          )
                          and
                          not($iitr404[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310054
         ELS Ref: V1899A

		    IF ([iitr462] + [iitr416]) < ([iitr507] + [iitr508])
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr416] = bafpr3.xx.xx:Expense.PersonalServicesIncome.OtherDeductionsTotal.Amount
		    [iitr462] = bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
		    [iitr507] = rvctc2.xx.xx:IncomeTax.Deduction.LowCostAssetDepreciation.Amount
		    [iitr508] = rvctc2.xx.xx:IncomeTax.Deduction.SmallBusinessPoolDepreciation.Amount
    -->
    <assert id="VR.ATO.IITR.310054" diagnostics="DVR.ATO.IITR.310054"
            test="not(
                          sum($iitr462 | $iitr416)
                          &lt;
                          sum($iitr507 | $iitr508)
                      )" />


    <!-- Rule ID: VR.ATO.IITR.400006
         ELS Ref: V2759

		    IF  ([iitr157] > 49488) 
            AND 
            ([iitr208] > 37000) 
            AND 
            (
                [iitr194] > 0 
                OR 
                (
                    [iitr196] <> NULL 
                    AND 
                    [iitr196] <> 0
                ) 
                OR 
                [iitr197] > 0
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr194] = rvctc1.xx.xx:IncomeTax.InvestmentPartnershipOtherSource.Amount
		    [iitr196] = rvctc1.xx.xx:IncomeTax.EmploymentBusinessOther.Amount
		    [iitr197] = rvctc1.xx.xx:IncomeTax.Deduction.BusinessOther.Amount
		    [iitr208] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
    -->
    <assert id="VR.ATO.IITR.400006" diagnostics="DVR.ATO.IITR.400006"
            test="not(
                          sum($iitr157) > 49488
                          and
                          sum($iitr208) > 37000
                          and
                          (
                              sum($iitr194) > 0 
                              or
                              (
                                  $iitr196[not(@i:nil='true')]
                                  and
                                  sum($iitr196) != 0
                              ) 
                              or
                              sum($iitr197) > 0
                          )                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.410003
         ELS Ref: V152

        IF  (([iitr450] + [iitr451] - [iitr452]) > 0) 
	          AND 
	          (  
		            (
			              [iitr514] <> NULL 
			              AND 
			              (
                        [iitr514] > 
                        (
                            [iitr455] + [iitr456] + [iitr450] + [iitr451] - [iitr452] + [iitr457] + [iitr458] + [iitr459] + 
                            [iitr460] + [iitr461] + [iitr462] + [iitr463] + [iitr465] + [iitr466] + [iitr454]
                        )
                    )
		            )		            
	          )
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr450] = bafpo1.xx.xx:Assets.OpeningStock.Amount
		    [iitr451] = bafpr2.xx.xx:Expense.Purchases.AndOtherCosts.Amount
		    [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
		    [iitr454] = bafpr1.xx.xx:Expense.ForeignResidentWithholding.Amount
		    [iitr455] = bafpr2.xx.xx:Expense.Operating.EmploymentCostsTotal.Amount
		    [iitr456] = emsup.xx.xx:SuperannuationContribution.EmployerContributions.Amount
		    [iitr457] = bafpr2.xx.xx:Expense.Operating.BadDebts.Amount
		    [iitr458] = bafpr2.xx.xx:Expense.Operating.Lease.Amount
		    [iitr459] = bafpr2.xx.xx:Expense.Operating.Rent.Amount
		    [iitr460] = bafpr2.xx.xx:Expense.Operating.InterestAustralia.Amount
		    [iitr461] = bafpr2.xx.xx:Expense.Operating.InterestForeign.Amount
		    [iitr462] = bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
		    [iitr463] = bafpr2.xx.xx:Expense.Operating.MotorVehicle.Amount
		    [iitr465] = bafpr2.xx.xx:Expense.Operating.RepairsAndMaintenance.Amount
		    [iitr466] = bafpr2.xx.xx:Expense.Operating.Other.Amount
		    [iitr514] = lrla.xx.xx:Remuneration.WagesAndSalaries.Total.Amount
    -->
    <assert id="VR.ATO.IITR.410003" diagnostics="DVR.ATO.IITR.410003"
            test="not(
                          (sum($iitr450 | $iitr451) - sum($iitr452)) > 0 
                          and
                          (
                              (
                                  $iitr514[not(@i:nil='true')]
                                  and
                                  sum($iitr514) 
                                  > 
                                  (
                                      sum($iitr455 | $iitr456 | $iitr450 | $iitr451 | $iitr457 | $iitr458 | $iitr459 | 
                                          $iitr460 | $iitr461 | $iitr462 | $iitr463 | $iitr465 | $iitr466 | $iitr454)
                                      - 
                                      sum($iitr452)
                                  )
                              )                              
                          )
                      )" />

    <!-- Rule ID: VR.ATO.IITR.600012
         ELS Ref: V1968A

		    IF ([iitr154] > 0) AND ([iitr153] = NULL OR [iitr154] > [iitr153])
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr153] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardPrimaryProduction.Amount
		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.600012" diagnostics="DVR.ATO.IITR.600012"
            test="not(
                          sum($iitr154) > 0 
                          and
                          (
                              not($iitr153[not(@i:nil='true')])
                              or
                              sum($iitr154) > sum($iitr153)
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600013
         ELS Ref: V1968B

        IF ([iitr156] > 0) AND ([iitr155] = NULL OR [iitr156] > [iitr155])
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr155] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardNonPrimaryProduction.Amount
		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.600013" diagnostics="DVR.ATO.IITR.600013"
            test="not(
                          sum($iitr156) > 0 
                          and
                          (
                              not($iitr155[not(@i:nil='true')])
                              or
                              sum($iitr156) > sum($iitr155)
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600014
         ELS Ref: V2146B

        IF (
		        ([iitr150] <> NULL) 
		        AND 
		        (
			        [iitr150] <> 
			        [iitr134] + [iitr136] + [iitr137] + [iitr139] + [iitr141] + [iitr145] + [iitr146] + [iitr147] + 
			        [iitr148] + [iitr149] + [iitr358] + SUM([iitr362]) + [iitr366] + [iitr368] + [iitr370] + SUM([iitr375])
		        )
	        )
	        OR 
	        (
		        ([iitr150] = NULL) 
		        AND 
		        (
			        [iitr134] + [iitr136] + [iitr137] + [iitr139] + [iitr141] + [iitr145] + [iitr146] + [iitr147] + 
			        [iitr148] + [iitr149] + [iitr358] + SUM([iitr362]) + [iitr366] + [iitr368] + [iitr370] + SUM([iitr375]) 
			        <> 0
		        )
	        )
	           RETURN VALIDATION MESSAGE
	        ENDIF

		    [iitr134] = rvctc2.xx.xx:IncomeTax.Deduction.Car.Amount
		    [iitr136] = rvctc2.xx.xx:IncomeTax.Deduction.Travel.Amount
		    [iitr137] = rvctc2.xx.xx:IncomeTax.Deduction.Clothing.Amount
		    [iitr139] = rvctc2.xx.xx:IncomeTax.Deduction.EducationNet.Amount
		    [iitr141] = rvctc2.xx.xx:IncomeTax.Deduction.WorkRelatedOther.Amount
		    [iitr145] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePool.Amount
		    [iitr146] = rvctc2.xx.xx:IncomeTax.Deduction.Interest.Amount
		    [iitr147] = rvctc2.xx.xx:IncomeTax.Deduction.Dividend.Amount
		    [iitr148] = rvctc2.xx.xx:IncomeTax.Deduction.GiftDonation.Amount
		    [iitr149] = rvctc2.xx.xx:IncomeTax.Deduction.TaxAffairManagement.Amount
		    [iitr150] = bafpr1.xx.xx:Expense.DeductionsTotal.Amount
		    [iitr358] = rvctc2.xx.xx:IncomeTax.Deduction.ForeignPensionAnnuityIncomeUndeductedPurchasePrice.Amount
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount                            RPSCSEQ
		    [iitr366] = rvctc2.xx.xx:IncomeTax.Deduction.ProjectPool.Amount
		    [iitr368] = bafpr1.xx.xx:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
		    [iitr370] = rvctc2.xx.xx:IncomeTax.Deduction.Election.Amount
		    [iitr375] = bafpr1.xx.xx:Expense.DeductibleOther.Amount                                                   RPOTHSEQ
    -->
    <let name="totalSum" value="sum(
                                      $iitr134 | $iitr136 | $iitr137 | $iitr139 | $iitr141 | $iitr145 | $iitr146 | $iitr147 | 
			                                $iitr148 | $iitr149 | $iitr358 | $iitr362 | $iitr366 | $iitr368 | $iitr370 | $iitr375     
                                   )" />

    <assert  id="VR.ATO.IITR.600014" diagnostics="DVR.ATO.IITR.600014"
             test="not(
                          (
	                            $iitr150[not(@i:nil='true')]
	                            and 
                              sum($iitr150) != $totalSum
                          )
                          or
                          (
	                            not($iitr150[not(@i:nil='true')])
	                            and 
                              $totalSum != 0
                          )                          
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.600015
         ELS Ref: V2394

		    IF ([iitr195] = TRUE) AND ([iitr194] = NULL AND [iitr196] = NULL AND [iitr197] = NULL)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr194] = rvctc1.xx.xx:IncomeTax.InvestmentPartnershipOtherSource.Amount
		    [iitr195] = rvctc1.xx.xx:IncomeTax.EligiblePersonalSuperannuationContribution.Indicator
        [iitr196] = rvctc1.xx.xx:IncomeTax.EmploymentBusinessOther.Amount
        [iitr197] = rvctc1.xx.xx:IncomeTax.EmploymentBusinessOther.Amount 
    -->
<assert  id="VR.ATO.IITR.600015" diagnostics="DVR.ATO.IITR.600015"
         test="not(
                          $iitr195[matches(.,'^(true|1)$')]
                          and
                          not($iitr194[not(@i:nil='true')])
                          and
                          not($iitr196[not(@i:nil='true')])
                          and
                          not($iitr197[not(@i:nil='true')])                         
                      )"/>


<!-- Rule ID: VR.ATO.IITR.600016
         ELS Ref: V2395

		    IF ([iitr194] = 0) AND ([iitr195] <> TRUE)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr194] = rvctc1.xx.xx:IncomeTax.InvestmentPartnershipOtherSource.Amount
		    [iitr195] = rvctc1.xx.xx:IncomeTax.EligiblePersonalSuperannuationContribution.Indicator
    -->
<assert  id="VR.ATO.IITR.600016" diagnostics="DVR.ATO.IITR.600016"
         test="not(
                   $iitr194 = 0                          
                   and
                   not($iitr195[matches(.,'^(true|1)$')])
                  )"/>


    <!-- Rule ID: VR.ATO.IITR.600017
         ELS Ref: V2732

		    IF (
              ([iitr145] <> NULL) 
              AND 
              (
                  [iitr145] <> [iitr142] + [iitr143] + [iitr144]
              )
           )
		       OR 
           (
              ([iitr145] = NULL) 
              AND 
              (
                  [iitr142] + [iitr143] + [iitr144] <> 0
              )
           )
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr142] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePoolFinancialInvestments.Amount
		    [iitr143] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePoolRentalProperties.Amount
		    [iitr144] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePoolOther.Amount
		    [iitr145] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePool.Amount
    -->
    <assert  id="VR.ATO.IITR.600017" diagnostics="DVR.ATO.IITR.600017"
             test="not(
                          (
	                            $iitr145[not(@i:nil='true')]
	                            and 
                              sum($iitr145) != sum($iitr142 | $iitr143 | $iitr144)
                          )
                          or
                          (
	                            not($iitr145[not(@i:nil='true')])
	                            and 
                              sum($iitr142 | $iitr143 | $iitr144) != 0
                          )                          
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.600022
         ELS Ref: V142A

		    IF [iitr192] > (((RP:period.endDate.Year - RP:period.startDate.Year) * 12) + RP:period.endDate.Month - RP:period.startDate.Month + 1)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr192] = rvctc1.xx.xx:IncomeTax.PartYearTaxFreeThresholdEligibleMonths.Number
    -->
    <let name="rpEndDateYear"    value="year-from-date(xbrli:context[@id = $IITR.RP.ContextId][1]/xbrli:period/xbrli:endDate)"/>
    <let name="rpStartDateYear"  value="year-from-date(xbrli:context[@id = $IITR.RP.ContextId][1]/xbrli:period/xbrli:startDate)"/>
    <let name="rpEndDateMonth"   value="month-from-date(xbrli:context[@id = $IITR.RP.ContextId][1]/xbrli:period/xbrli:endDate)"/>
    <let name="rpStartDateMonth" value="month-from-date(xbrli:context[@id = $IITR.RP.ContextId][1]/xbrli:period/xbrli:startDate)"/>

    <assert id="VR.ATO.IITR.600022" diagnostics="DVR.ATO.IITR.600022"
            test="not(
                        $iitr192 
                        >
                        (
                            (($rpEndDateYear - $rpStartDateYear) * 12) + $rpEndDateMonth - $rpStartDateMonth + 1
                        )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600024
         ELS Ref: V82

		    IF ([iitr157] + [iitr154] + [iitr156] < 0) AND (SUM([iitr362]) + [iitr148] > 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr148] = rvctc2.xx.xx:IncomeTax.Deduction.GiftDonation.Amount
		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount    RPSCSEQ
    -->
    <assert id="VR.ATO.IITR.600024" diagnostics="DVR.ATO.IITR.600024"
            test="not(
                          sum($iitr157 | $iitr154 | $iitr156) &lt; 0 
                          and
                          sum($iitr362 | $iitr148) > 0 
                      )" />



    <!-- Rule ID: VR.ATO.IITR.600030
         ELS Ref: V142A

		    IF ([iitr139] > 0) AND ([iitr140] = NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr139] = rvctc2.xx.xx:IncomeTax.Deduction.EducationNet.Amount
		    [iitr140] = rvctc2.xx.xx:IncomeTax.Deduction.EducationCircumstances.Code
    -->
    <assert id="VR.ATO.IITR.600030" diagnostics="DVR.ATO.IITR.600030"
            test="not(
                          sum($iitr139) > 0 
                          and
                          not($iitr140[not(@i:nil='true') and string-length(.) != 0])
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600031
         ELS Ref: V142B

		    IF ([iitr140] <> NULLORBLANK) AND ([iitr139] = NULL OR [iitr139] = 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr139] = rvctc2.xx.xx:IncomeTax.Deduction.EducationNet.Amount
		    [iitr140] = rvctc2.xx.xx:IncomeTax.Deduction.EducationCircumstances.Code
    -->
    <assert id="VR.ATO.IITR.600031" diagnostics="DVR.ATO.IITR.600031"
            test="not(
                          $iitr140[not(@i:nil='true') and string-length(.) != 0]
                          and
                          (
                              not($iitr139[not(@i:nil='true')])
                              or
                              sum($iitr139) = 0
                          )                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600032
         ELS Ref: V148A

		    IF ([iitr188] <> NULL) AND ([iitr189] = NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr188] = rvctc1.xx.xx:IncomeTax.ExceptedNetIncomeUnder18.Amount
		    [iitr189] = rvctc1.xx.xx:IncomeTax.ExceptedIncomeUnder18.Code
    -->
    <assert id="VR.ATO.IITR.600032" diagnostics="DVR.ATO.IITR.600032"
            test="not(
                          $iitr188[not(@i:nil='true')]
                          and
                          not($iitr189[not(@i:nil='true') and string-length(.) != 0])
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600033
         ELS Ref: V148B

		    IF ([iitr189] <> NULLORBLANK) AND ([iitr188] = NULL)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr188] = rvctc1.xx.xx:IncomeTax.ExceptedNetIncomeUnder18.Amount
		    [iitr189] = rvctc1.xx.xx:IncomeTax.ExceptedIncomeUnder18.Code
    -->
    <assert id="VR.ATO.IITR.600033" diagnostics="DVR.ATO.IITR.600033"
            test="not(
                          $iitr189[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($iitr188[not(@i:nil='true')])                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600034
         ELS Ref: V149A

		    IF ([iitr135] <> NULLORBLANK) AND ([iitr134] = NULL OR [iitr134] = 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr134] = rvctc2.xx.xx:IncomeTax.Deduction.Car.Amount
		    [iitr135] = rvctc2.xx.xx:IncomeTax.Deduction.CarCalculationMethod.Code 
    -->
    <assert id="VR.ATO.IITR.600034" diagnostics="DVR.ATO.IITR.600034"
            test="not(
                          $iitr135[not(@i:nil='true') and string-length(.) != 0]
                          and
                          (
                              not($iitr134[not(@i:nil='true')])
                              or
                              sum($iitr134) = 0
                          )                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600035
       ELS Ref: V149B

		  IF ([iitr134] > 0) AND ([iitr135] = NULLORBLANK)
		     RETURN VALIDATION MESSAGE
		  ENDIF

		  [iitr134] = rvctc2.xx.xx:IncomeTax.Deduction.Car.Amount
		  [iitr135] = rvctc2.xx.xx:IncomeTax.Deduction.CarCalculationMethod.Code
  -->
    <assert id="VR.ATO.IITR.600035" diagnostics="DVR.ATO.IITR.600035"
            test="not(
                          sum($iitr134) > 0 
                          and
                          not($iitr135[not(@i:nil='true') and string-length(.) != 0])
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600036
         ELS Ref: V150A

		    IF ([iitr138] <> NULLORBLANK) AND ([iitr137] = NULL OR [iitr137] = 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr137] = rvctc2.xx.xx:IncomeTax.Deduction.Clothing.Amount
		    [iitr138] = rvctc2.xx.xx:IncomeTax.Deduction.ClothingType.Code
    -->
    <assert id="VR.ATO.IITR.600036" diagnostics="DVR.ATO.IITR.600036"
            test="not(
                          $iitr138[not(@i:nil='true') and string-length(.) != 0]
                          and
                          (
                              not($iitr137[not(@i:nil='true')])
                              or
                              sum($iitr137) = 0
                          )                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600037
         ELS Ref: V150B

		    IF ([iitr137] > 0) AND ([iitr138] = NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr137] = rvctc2.xx.xx:IncomeTax.Deduction.Clothing.Amount
		    [iitr138] = rvctc2.xx.xx:IncomeTax.Deduction.ClothingType.Code
    -->
    <assert id="VR.ATO.IITR.600037" diagnostics="DVR.ATO.IITR.600037"
            test="not(
                          sum($iitr137) > 0 
                          and
                          not($iitr138[not(@i:nil='true') and string-length(.) != 0])
                      )" />


    <!-- Rule ID: VR.ATO.IITR.610005
         ELS Ref: V256B

		    IF ([iitr463] > 0 ) AND ([iitr464] = NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr463] = bafpr2.xx.xx::Expense.Operating.MotorVehicle.Amount
		    [iitr464] = bafpr2.xx.xx:xpense.Operating.MotorVehicleTypeOrClaimMethod.Code
    -->
    <assert id="VR.ATO.IITR.610005" diagnostics="DVR.ATO.IITR.610005"
            test="not(
                          sum($iitr463) > 0
                          and
                          not($iitr464[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.IITR.610006
         ELS Ref: V256A

		    IF ([iitr464] <> NULLORBLANK) AND ([iitr463] = NULL OR [iitr463] = 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr463] = bafpr2.xx.xx:Expense.Operating.MotorVehicle.Amount
		    [iitr464] = bafpr2.xx.xx:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code
    -->
    <assert id="VR.ATO.IITR.610006" diagnostics="DVR.ATO.IITR.610006"
            test="not(
                          $iitr464[not(@i:nil='true') and string-length(.) != 0]
                          and
                          sum($iitr463) = 0                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.610007
         ELS Ref: V257A

		     IF ([iitr453] <> NULLORBLANK) AND ([iitr452] = NULL OR [iitr452] = 0)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
		     [iitr453] = bafpo7.xx.xx:Assets.Inventories.ValuationMethod.Code
    -->
    <assert id="VR.ATO.IITR.610007" diagnostics="DVR.ATO.IITR.610007"
            test="not(
                          $iitr453[not(@i:nil='true') and string-length(.) != 0]
                          and
                          sum($iitr452) = 0                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.610008
         ELS Ref: V257B

		    IF ([iitr452] > 0 ) AND ([iitr453] = NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
		    [iitr453] = bafpo7.xx.xx:Assets.Inventories.ValuationMethod.Code
    -->
    <assert id="VR.ATO.IITR.610008" diagnostics="DVR.ATO.IITR.610008"
            test="not(
                          sum($iitr452) > 0
                          and
                          not($iitr453[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.IITR.610009
         ELS Ref: V70

		    IF ([iitr401] <> NULL) AND ([iitr401] < 0.50)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr401] = bafpr2.xx.xx:Income.Interest.EarlyPaymentCredit.Amount
    -->
    <assert id="VR.ATO.IITR.610009" diagnostics="DVR.ATO.IITR.610009"
            test="not(
                          $iitr401[not(@i:nil='true')]
                          and
                          sum($iitr401) &lt; 0.50                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.610011
         ELS Ref: V370

		    IF (
              [iitr450] + [iitr451] - [iitr452] + [iitr455] + [iitr456] + [iitr457] + [iitr458] + [iitr459] + 
              [iitr460] + [iitr461] + [iitr462] + [iitr463] + [iitr465] + [iitr466] + [iitr454]
           ) 
           <> 
           (
              [iitr467] + [iitr468]
           )
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr450] = bafpo1.xx.xx:Assets.OpeningStock.Amount
		    [iitr451] = bafpr2.xx.xx:Expense.Purchases.AndOtherCosts.Amount
		    [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
		    [iitr454] = bafpr1.xx.xx:Expense.ForeignResidentWithholding.Amount
		    [iitr455] = bafpr2.xx.xx:Expense.Operating.EmploymentCostsTotal.Amount
		    [iitr456] = emsup.xx.xx:SuperannuationContribution.EmployerContributions.Amount
		    [iitr457] = bafpr2.xx.xx:Expense.Operating.BadDebts.Amount
		    [iitr458] = bafpr2.xx.xx:Expense.Operating.Lease.Amount
		    [iitr459] = bafpr2.xx.xx:Expense.Operating.Rent.Amount
		    [iitr460] = bafpr2.xx.xx:Expense.Operating.InterestAustralia.Amount
		    [iitr461] = bafpr2.xx.xx:Expense.Operating.InterestForeign.Amount
		    [iitr462] = bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
		    [iitr463] = bafpr2.xx.xx:Expense.Operating.MotorVehicle.Amount
		    [iitr465] = bafpr2.xx.xx:Expense.Operating.RepairsAndMaintenance.Amount
		    [iitr466] = bafpr2.xx.xx:Expense.Operating.Other.Amount
		    [iitr467] = bafpr2.xx.xx:Expense.Operating.BusinessPrimaryProduction.Amount
		    [iitr468] = bafpr2.xx.xx:Expense.Operating.BusinessNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.610011" diagnostics="DVR.ATO.IITR.610011"
            test="not(
                        sum($iitr450 | $iitr451 | $iitr455 | $iitr456 | $iitr457 | $iitr458 | $iitr459 | 
                            $iitr460 | $iitr461 | $iitr462 | $iitr463 | $iitr465 | $iitr466 | $iitr454) - sum($iitr452)
                        !=
                        sum($iitr467 | $iitr468)
                      )" />
    
    
  </rule>

  <!-- LOOP THROUGH REPORTING PARTY LOSS SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPLOSSSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!--Calculation used in rules VR.ATO.IITR.100031 & VR.ATO.IITR.100031-->
    <let name="iitr482SetContextRef" value="$iitr482[not(matches(.,'^(0|8)(.*)$', 'i'))]/@contextRef" />

    <!-- Rule ID: VR.ATO.IITR.100031
         ELS Ref: V2372A

        WHERE IN CONTEXT(RP.{LOSSSeqNum})
        IF 	([iitr19] = TRUE) 
	          AND 
	          ([iitr482] = SET (1,2,3,4)) 
	          AND 
	          (
		            [iitr157] + 
		            ([iitr487] WHERE ANY OCCURRENCE OF ([iitr482] <> SET(0,8))) >= 0
	          ) 
	          AND 
	          (
		            (
			              [iitr157] + ([iitr487] WHERE ([iitr482] <> SET[0, 8])) 
			              + 
			              ([iitr200] WHERE [iitr200] > 3772) + [iitr204] + [iitr205] + [iitr201] + SUM([iitr362]) 
			              - 
			              ([iitr153] - [iitr154]) 
			              - 
			              ([iitr155] - [iitr156])
		            ) >= 250000
	          )
         RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr19] = pyde.xx.xx:Residency.TaxPurposesPersonStatus.Indicator
		    [iitr153] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardPrimaryProduction.Amount
		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
		    [iitr155] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardNonPrimaryProduction.Amount
		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		    [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		    [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
		    [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount     RP.{SCSeqNum}
		    [iitr482] = rvctc1.xx.xx:IncomeTax.LossesType.Code                                 RP.{LOSSSeqNum}
		    [iitr487] = rvctc3.xx.xx:Tax.Losses.Net.Amount                                     RP.{LOSSSeqNum}
    -->
    <assert id="VR.ATO.IITR.100031" diagnostics="DVR.ATO.IITR.100031"
            test="not(
                          $iitr19[matches(.,'^(true|1)$')]
                          and
                          $iitr482[matches(.,'^(1|2|3|4)(.*)$', 'i') and @contextRef = $thisContextId]
                          and
                          (sum($iitr157) + sum($iitr487[@contextRef = $iitr482SetContextRef])) >= 0
                          and
                          (
                              (sum($iitr157) + sum($iitr487[@contextRef = $iitr482SetContextRef]))
                              +
                              (sum($iitr200[. > 3772] | $iitr204 | $iitr205 | $iitr201) + sum($iitr362))
                              -
                              (sum($iitr153) - sum($iitr154))
                              -
                              (sum($iitr155) - sum($iitr156))
                          )
                          >= 250000                       
                      )" />


    <!-- Rule ID: VR.ATO.IITR.100032
         ELS Ref: V2372B

		    WHERE IN CONTEXT(RP.LOSSSeqNum)
        IF 	([iitr19] = TRUE) 
	          AND 
	          (ALL OCCURRENCES OF([iitr482] = (SET(1,2,3,4)))) 
	          AND 
	          (		            
                (([iitr157] + ([iitr487] WHERE (ALL OCCURRENCES OF([iitr482] <> SET(0,8))))) < 0) 
	          ) 
	          AND 
	          (
		            (
			              ([iitr200] WHERE [iitr200] > 3772) + [iitr204] + [iitr205] + [iitr201] + SUM([iitr362]) 
			              - 
			              ([iitr153] - [iitr154]) 
			              - 
			              ([iitr155] - [iitr156])
		            ) >= 250000
	          )         
         RETURN VALIDATION MESSAGE
        ENDIF

		    [iitr19] = pyde.xx.xx:Residency.TaxPurposesPersonStatus.Indicator
		    [iitr153] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardPrimaryProduction.Amount
		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
		    [iitr155] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardNonPrimaryProduction.Amount
		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		    [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		    [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
		    [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
		    [iitr482] = rvctc1.xx.xx:IncomeTax.LossesType.Code
		    [iitr487] = rvctc3.xx.xx:Tax.Losses.Net.Amount
    -->
    <assert id="VR.ATO.IITR.100032" diagnostics="DVR.ATO.IITR.100032"
            test="not(
                          $iitr19[matches(.,'^(true|1)$')]
                          and
                          $iitr482[matches(.,'^(1|2|3|4)(.*)$', 'i') and @contextRef = $thisContextId]
                          and
                          (sum($iitr157) + sum($iitr487[@contextRef = $iitr482SetContextRef])) &lt; 0
                          and
                          (                              
                              (sum($iitr200[. > 3772] | $iitr204 | $iitr205 | $iitr201) + sum($iitr362))
                              -
                              (sum($iitr153) - sum($iitr154))
                              -
                              (sum($iitr155) - sum($iitr156))
                          )
                          >= 250000                       
                      )" />


    <!-- Rule ID: VR.ATO.IITR.100033
         ELS Ref: V2372C

        WHERE IN CONTEXT(RP.LOSSSeqNum)
        IF ([iitr19] = FALSE)
	          AND 
	          (ALL OCCURRENCES OF([iitr482] = SET(1,2,3,4))) 
	          AND 
	          (
		            (
			              ([iitr157] + ([iitr487] WHERE ALL OCCURRENCES OF([iitr482] <>  SET(0,8))) 
                    + 
                    [iitr146] + [iitr147] 
                    - 
                    [iitr115] - [iitr118] - [iitr119] - [iitr120] - [iitr328]
		            ) >= 0
	          ) 
	          AND 
	          (
		            (
			              [iitr157] + ([iitr487] WHERE ALL OCCURRENCES OF([iitr482] <>  SET(0,8)))
                    + 
                    ([iitr200] WHERE [iitr200] > 3772) + [iitr204] + [iitr205] + [iitr201] + SUM([iitr362]) + [iitr146] + [iitr147] 
                    - 
                    [iitr115] - [iitr118] - [iitr119] - [iitr120] - [iitr328] 
			              - 
			              ([iitr153] - [iitr154]) 
			              - 
			              ([iitr155] - [iitr156])
		            ) >= 250000
	          )            
            RETURN VALIDATION MESSAGE
        ENDIF

		    [iitr19] = pyde.xx.xx:Residency.TaxPurposesPersonStatus.Indicator
		    [iitr115] = bafpr2.xx.xx:Income.Interest.Gross.Amount
		    [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount
		    [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
		    [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
		    [iitr146] = rvctc2.xx.xx:IncomeTax.Deduction.Interest.Amount
		    [iitr147] = rvctc2.xx.xx:IncomeTax.Deduction.Dividend.Amount
		    [iitr153] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardPrimaryProduction.Amount
		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
		    [iitr155] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardNonPrimaryProduction.Amount
		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		    [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		    [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
		    [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
		    [iitr328] = rvctc1.xx.xx:IncomeTax.FrankingCreditsNewZealand.Amount
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount       RP.{SCSeqNum}
		    [iitr482] = rvctc1.xx.xx:IncomeTax.LossesType.Code                                   RP.{LOSSSeqNum}
		    [iitr487] = rvctc3.xx.xx:Tax.Losses.Net.Amount                                       RP.{LOSSSeqNum}
    -->
    <assert id="VR.ATO.IITR.100033" diagnostics="DVR.ATO.IITR.100033"
            test="not(
                          $iitr19[matches(.,'^(false|0)$')]
                          and
                          $iitr482[matches(.,'^(1|2|3|4)(.*)$', 'i') and @contextRef = $thisContextId]
                          and
                          (
                              sum($iitr157 | $iitr146 | $iitr147) 
                              + 
                              sum($iitr487[@contextRef = $iitr482SetContextRef])
                              -
                              sum($iitr115 | $iitr118 | $iitr119 | $iitr120 | $iitr328)
                          ) >= 0
                          and
                          (        
                              (sum($iitr157) + sum($iitr487[@contextRef = $iitr482SetContextRef]))
                              +
                              (sum($iitr200[. > 3772] | $iitr204 | $iitr205 | $iitr201 | $iitr146 | $iitr147) + sum($iitr362))
                              -
                              sum($iitr115 | $iitr118 | $iitr119 | $iitr120 | $iitr328)
                              -
                              (sum($iitr153) - sum($iitr154))
                              -
                              (sum($iitr155) - sum($iitr156))
                          )
                          >= 250000                       
                      )" />


    <!-- Rule ID: VR.ATO.IITR.100034
         ELS Ref: V2372D

        WHERE IN CONTEXT(RP.LOSSSeqNum)
        IF 	([iitr19] = FALSE) 
	          AND 
	          ([iitr482] = SET(1,2,3,4)) 
	          AND 
	          (
		            (
			              [iitr157] + WHERE ALL OCCURRENCES OF([iitr482] <> SET(0,8)))
                    +  
                    [iitr146] + [iitr147] 
			              - 
			              [iitr115] - [iitr118] - [iitr119] - [iitr120] - [iitr328]
		            ) < 0
	          ) 
	          AND 
	          (
		            (
			              ([iitr200] WHERE [iitr200] > 3772) + [iitr204] + [iitr205] + [iitr201] + SUM([iitr362]) 
			              - 
			              ([iitr153] - [iitr154]) 
			              - 
			              ([iitr155] - [iitr156])
		            ) >= 250000
	          )
         RETURN VALIDATION MESSAGE
        ENDIF

		    [iitr19] = pyde.xx.xx:Residency.TaxPurposesPersonStatus.Indicator
		    [iitr115] = bafpr2.xx.xx:Income.Interest.Gross.Amount
		    [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount
		    [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
		    [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
		    [iitr146] = rvctc2.xx.xx:IncomeTax.Deduction.Interest.Amount
		    [iitr147] = rvctc2.xx.xx:IncomeTax.Deduction.Dividend.Amount
		    [iitr153] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardPrimaryProduction.Amount
		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
		    [iitr155] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardNonPrimaryProduction.Amount
		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
		    [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
		    [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
		    [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
		    [iitr328] = rvctc1.xx.xx:IncomeTax.FrankingCreditsNewZealand.Amount
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
		    [iitr482] = rvctc1.xx.xx:IncomeTax.LossesType.Code
		    [iitr487] = rvctc3.xx.xx:Tax.Losses.Net.Amount
    -->
    <assert id="VR.ATO.IITR.100034" diagnostics="DVR.ATO.IITR.100034"
            test="not(
                          $iitr19[matches(.,'^(false|0)$')]
                          and
                          $iitr482[matches(.,'^(1|2|3|4)(.*)$', 'i') and @contextRef = $thisContextId]
                          and
                          (
                              sum($iitr157 | $iitr146 | $iitr147) 
                              + 
                              sum($iitr487[@contextRef = $iitr482SetContextRef])
                              -
                              sum($iitr115 | $iitr118 | $iitr119 | $iitr120 | $iitr328)
                          ) &lt; 0
                          and
                          (        
                              (sum($iitr200[. > 3772] | $iitr204 | $iitr205 | $iitr201 ) + sum($iitr362))
                              -                              
                              (sum($iitr153) - sum($iitr154))
                              -
                              (sum($iitr155) - sum($iitr156))
                          )
                          >= 250000                       
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310042
         ELS Ref: V1640A

        WHERE IN CONTEXT(RP.{LOSSSeqNum})
        IF  ([iitr481] = "006") 
            AND 
            ([iitr482] = 1) 
            AND 
            ([iitr423] = NULLORBLANK) 
            AND 
            (([iitr450] - [iitr452]) >= 0) 
            AND 
            (
	              (
		                ([iitr474] + [iitr475] + [iitr467] + [iitr468]) 
		                + 
		                ([iitr469] + [iitr470] + [iitr471]) 
		                - 
		                [iitr473]
	              ) < 20000
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr423] = pyde.xx.xx:OrganisationDetails.ActivityEvent.Code
		    [iitr450] = bafpo1.xx.xx:Assets.OpeningStock.Amount
		    [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
		    [iitr467] = bafpr2.xx.xx:Expense.Operating.BusinessPrimaryProduction.Amount
		    [iitr468] = bafpr2.xx.xx:Expense.Operating.BusinessNonPrimaryProduction.Amount
		    [iitr469] = bafpr1.xx.xx:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
		    [iitr470] = bafpr1.xx.xx:Expense.ProjectPoolAllowableDeduction.Amount
		    [iitr471] = bafpr1.xx.xx:Expense.LandcareOperationsAndWaterFacilityDeclineinValueDeduction.Amount
		    [iitr473] = bafpr1.xx.xx:Expense.ReconciliationAdjustments.Amount
		    [iitr474] = bafpr1.xx.xx:Income.BusinessPrimaryProductionNet.Amount
		    [iitr475] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionNet.Amount
		    [iitr481] = pyde.xx.xx:OrganisationDetails.OrganisationType.Code                                      RP.{LOSSSeqNum}
		    [iitr482] = rvctc1.xx.xx:IncomeTax.LossesType.Code                                                    RP.{LOSSSeqNum}
    -->
    <assert id="VR.ATO.IITR.310042" diagnostics="DVR.ATO.IITR.310042"
            test="not(
                          $iitr481[. = '006' and @contextRef = $thisContextId]
                          and
                          $iitr482[. = 1 and @contextRef = $thisContextId]
                          and 
                          not($iitr423[not(@i:nil='true') and string-length(.) != 0])
                          and
                          (sum($iitr450) - sum($iitr452)) >= 0
                          and
                          (
                              (                             
                                  (sum($iitr474 | $iitr475 | $iitr467 | $iitr468 | $iitr469 | $iitr470 | $iitr471))
                                  - 
                                  sum($iitr473)                              
			                        ) &lt; 20000
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310045
         ELS Ref: V1640D

		    WHERE IN CONTEXT(RP.LOSSSeqNum)
		    IF  ([iitr481] = "006") 
            AND 
            ([iitr482] = 1) 
            AND 
            ([iitr423] = NULLORBLANK) 
            AND 
            (
                (([iitr452] - [iitr450]) > 0) 
                AND 
                (
                    ([iitr452] - [iitr450]) 
                    + 
                    ([iitr474] + [iitr475] + [iitr467] + [iitr468]) + ([iitr469] + [iitr470] + [iitr471]) 
                    - 
                    [iitr473]
                ) < 20000
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr423] = pyde.xx.xx:OrganisationDetails.ActivityEvent.Code
		    [iitr450] = bafpo1.xx.xx:Assets.OpeningStock.Amount
		    [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
		    [iitr467] = bafpr2.xx.xx:Expense.Operating.BusinessPrimaryProduction.Amount
		    [iitr468] = bafpr2.xx.xx:Expense.Operating.BusinessNonPrimaryProduction.Amount
		    [iitr469] = bafpr1.xx.xx:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
		    [iitr470] = bafpr1.xx.xx:Expense.ProjectPoolAllowableDeduction.Amount
		    [iitr471] = bafpr1.xx.xx:Expense.LandcareOperationsAndWaterFacilityDeclineinValueDeduction.Amount
		    [iitr473] = bafpr1.xx.xx:Expense.ReconciliationAdjustments.Amount
		    [iitr474] = bafpr1.xx.xx:Income.BusinessPrimaryProductionNet.Amount
		    [iitr475] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionNet.Amount
		    [iitr481] = pyde.xx.xx:OrganisationDetails.OrganisationType.Code
		    [iitr482] = rvctc1.xx.xx:IncomeTax.LossesType.Code
    -->
    <assert id="VR.ATO.IITR.310045" diagnostics="DVR.ATO.IITR.310045"
            test="not(
                          $iitr481[. = '006' and @contextRef = $thisContextId]
                          and
                          $iitr482[. = 1 and @contextRef = $thisContextId]
                          and 
                          not($iitr423[not(@i:nil='true') and string-length(.) != 0])
                          and
                          (
                              (sum($iitr452) - sum($iitr450)) > 0
                              and
                              (                              
                                  (sum($iitr452) - sum($iitr450))
                                  +
                                  sum($iitr474 | $iitr475 | $iitr467 | $iitr468 | $iitr469 | $iitr470 | $iitr471)
                                  - 
                                  sum($iitr473) 
                              ) &lt; 20000
			                    ) 
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310048
         ELS Ref: V1641A

		    WHERE IN CONTEXT(RP.LOSSSeqNum)
		    IF ([iitr482] = 6 OR [iitr482] = 7) AND (([iitr157] + [iitr487] - [iitr311]) > 40000)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
		    [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
		    [iitr482] = rvctc1.xx.xx:IncomeTax.LossesType.Code
		    [iitr487] = rvctc3.xx.xx:Tax.Losses.Net.Amount
    -->
    <assert id="VR.ATO.IITR.310048" diagnostics="DVR.ATO.IITR.310048"
            test="not(
                          $iitr482
                          [
                              (. = 6 or . = 7)
                              and 
                              @contextRef = $thisContextId
                          ]
                          and
                          sum($iitr157 | $iitr487[@contextRef = $thisContextId]) - sum($iitr311) > 40000
                      )" />

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY SUPERANNUATION CONTRIBUTION SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSCSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.610000
         ELS Ref: V119

		    WHERE IN CONTEXT(RP.{SCSeqNum})
        IF ([iitr362] > 0 AND (([iitr360] = NULLORBLANK AND [iitr361] = NULLORBLANK) OR ([iitr363] = NULLORBLANK AND [iitr364] = NULLORBLANK)))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [iitr360] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
		    [iitr361] = emsup.xx.xx:SuperannuationFundDetails.MemberAccount.Identifier
		    [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
		    [iitr363] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
		    [iitr364] = pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.610000" diagnostics="DVR.ATO.IITR.610000"
            test="not(
                          sum($iitr362[@contextRef = $thisContextId]) > 0
                          and
                          (
                              (
                                  not($iitr360[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                                  and
                                  not($iitr361[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                              )
                              or
                              (
                                  not($iitr363[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                                  and
                                  not($iitr364[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                              )
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.610001
         ELS Ref: V1200

		     IF ANY OCCURRENCE OF(([iitr363] <> NULLORBLANK) AND (ABNALGORITHM([iitr363]) = FALSE))
           RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr363] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.610001" diagnostics="DVR.ATO.IITR.610001"
            test="not(
                        $iitr363
                        [
                            not(@i:nil='true') 
                            and 
                            string-length(.) != 0 
                            and 
                            @contextRef = $thisContextId
                            and 
                            not(function:ValidateABN(.))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.610004
         ELS Ref: V20

		     IF ANY OCCURRENCE OF(TFNALGORITHM ([iitr364]) = FALSE)
          RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr364] = pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.610004" diagnostics="DVR.ATO.IITR.610004"
            test="not(
                        $iitr364
                        [                             
                            @contextRef = $thisContextId
                            and 
                            not(function:ValidateTFN(.))
                        ]
                     )"/>

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY OTHER SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPOTHSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.610002
          ELS Ref: V124A

		    IF ([iitr375] > 0) AND ([iitr371] = NULLORBLANK)
		        RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr371] = bafpr1.xx.xx:Expense.DeductibleOther.Text
		    [iitr375] = bafpr1.xx.xx:Expense.DeductibleOther.Amount
    -->
    <assert id="VR.ATO.IITR.610002" diagnostics="DVR.ATO.IITR.610002"
            test="not(
                        sum($iitr375[@contextRef = $thisContextId]) > 0
                        and
                        not($iitr371[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                          
                     )" />


    <!-- Rule ID: VR.ATO.IITR.610003
         ELS Ref: V124B

		    WHERE IN CONTEXT(RP.{OTHSeqNum})
        IF ([iitr371] <> NULLORBLANK) AND (([iitr375] = NULL) OR ([iitr375] = 0))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [iitr371] = bafpr1.xx.xx:Expense.DeductibleOther.Text
		    [iitr375] = bafpr1.xx.xx:Expense.DeductibleOther.Amount
    -->
    <assert id="VR.ATO.IITR.610003" diagnostics="DVR.ATO.IITR.610003"
            test="not(
                        $iitr371[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                        and
                        (
                            not($iitr375[not(@i:nil='true') and @contextRef = $thisContextId]) 
                            or
                            sum($iitr375[@contextRef = $thisContextId]) = 0
                        )
                     )" />


    <!-- Rule ID: VR.ATO.IITR.610010
         ELS Ref: V2743

		    IF SUM([iitr375]) <> (SUM([iitr372]) + SUM([iitr373]) + SUM([iitr374]))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr372] = rvctc2.xx.xx:IncomeTax.Deduction.FinancialInvestmentOther.Amount
		    [iitr373] = rvctc2.xx.xx:IncomeTax.Deduction.ForeignRentalIncomeOther.Amount
		    [iitr374] = rvctc2.xx.xx:IncomeTax.Deduction.UncategorisedOther.Amount
		    [iitr375] = bafpr1.xx.xx:Expense.DeductibleOther.Amount
    -->
    <assert id="VR.ATO.IITR.610010" diagnostics="DVR.ATO.IITR.610010"
            test="not(
                        sum($iitr375[@contextRef = $thisContextId]) 
                        !=
                        sum($iitr372[@contextRef = $thisContextId] | $iitr373[@contextRef = $thisContextId] | $iitr374[@contextRef = $thisContextId])
                     )" />

  </rule>

</pattern>
