﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Deductions Context Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">


  </rule>


  <!-- LOOP THROUGH REPORTING PARTY SUPERANNUATION CONTRIBUTION CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSCSEQ.ContextId]">

    <!-- Rule ID: VR.ATO.IITR.600076
         ELS Ref: N/A
      
        IF (RP.{SCSeqNum}:entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.600076" diagnostics="DVR.ATO.IITR.600076"
            test="not(
                        xbrli:entity/xbrli:identifier
                        [                            
                            not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.600077
         ELS Ref: N/A
      
        IF RP.{SCSeqNum}:SuperannuationContributionSequenceContainer = ANY OTHER OCCURRENCE OF RP.{SCSeqNum}:SuperannuationContributionSequenceContainer
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <let name="thisReportItemOrderNumberSC" value="xbrli:entity/xbrli:segment/xbrldi:typedMember/SprConSqNumDim.02.00:SuperannuationContributionSequenceContainer" />

    <assert id="VR.ATO.IITR.600077" diagnostics="DVR.ATO.IITR.600077"
            test="not(
                        preceding-sibling::xbrli:context/xbrli:entity/xbrli:segment/xbrldi:typedMember/
                            SprConSqNumDim.02.00:SuperannuationContributionSequenceContainer[. = $thisReportItemOrderNumberSC]
                     )" />
  
  </rule>
  
  <!-- LOOP THROUGH REPORTING OTHER CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPOTHSEQ.ContextId]">

    <!-- Rule ID: VR.ATO.IITR.600078
         ELS Ref: N/A
      
        IF (RP.{OTHSeqNum}:entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.600078" diagnostics="DVR.ATO.IITR.600078"
            test="not(
                        xbrli:entity/xbrli:identifier
                        [                            
                            not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.600079
         ELS Ref: N/A
      
        IF RP.{OTHSeqNum}:OtherSequenceContainer = ANY OTHER OCCURRENCE OF RP.{OTHSeqNum}:OtherSequenceContainer
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <let name="thisReportItemOrderNumberOTH" value="xbrli:entity/xbrli:segment/xbrldi:typedMember/OTHSqNumDim.02.00:OtherSequenceContainer" />

    <assert id="VR.ATO.IITR.600079" diagnostics="DVR.ATO.IITR.600079"
            test="not(
                        preceding-sibling::xbrli:context/xbrli:entity/xbrli:segment/xbrldi:typedMember/
                            OTHSqNumDim.02.00:OtherSequenceContainer[. = $thisReportItemOrderNumberOTH]
                     )" />
  
  </rule>  

</pattern>
