﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

        <!-- Rule ID: VR.ATO.IITR.000200
         ELS Ref: V1398

        IF ([iitr116] > 0 AND [iitr116] >= ([iitr115]*0.5))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr115] = bafpr2.xx.xx:Income.Interest.Gross.Amount
        [iitr116] = rvctc1.xx.xx:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
    -->
    <assert  id="VR.ATO.IITR.000200" diagnostics="DVR.ATO.IITR.000200"
             test="not(
                          sum($iitr116) > 0 
                          and
                          sum($iitr116) >= sum($iitr115) * 0.5
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000201
         ELS Ref: V127

        IF ([iitr121] > 0 AND (([iitr118] *0.5) + 1) < [iitr121])
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount
        [iitr121] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldDividendsTFNNotQuoted.Amount
    -->
    <assert  id="VR.ATO.IITR.000201" diagnostics="DVR.ATO.IITR.000201"
             test="not(
                          sum($iitr121) > 0 
                          and
                          (sum($iitr118) * 0.5) + 1 &lt; sum($iitr121)
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000202
         ELS Ref: V1398
    
        IF ([iitr111] > 0 AND [iitr111] > ([iitr112] * 0.5))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr111] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
        [iitr112] = bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount
    -->
    <assert  id="VR.ATO.IITR.000202" diagnostics="DVR.ATO.IITR.000202"
             test="not(
                          sum($iitr111) > 0 
                          and
                          sum($iitr111) > sum($iitr112) * 0.5
                      )"/>


	<!-- Rule ID: VR.ATO.IITR.000203
         ELS Ref: V2737

        IF ([iitr246] = NULL OR [iitr246] = 0) AND ([iitr247] <> NULL)
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr246] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipsAndTrustPrimaryProductionShare.Amount
        [iitr247] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipsAndTrustPrimaryProductionShare.Text
    -->
    <assert  id="VR.ATO.IITR.000203" diagnostics="DVR.ATO.IITR.000203"
             test="not(
                          (
                            not($iitr246[not(@i:nil='true')])  
                            or
                            sum($iitr246) = 0
                          )
                          and
                          $iitr247[not(@i:nil='true')]
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000204
         ELS Ref: V1690
    
        IF ([iitr111] > 0) AND ([iitr112] = NULL OR [iitr112] = 0)
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr111] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
        [iitr112] = bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount
    -->
    <assert  id="VR.ATO.IITR.000204" diagnostics="DVR.ATO.IITR.000204"
             test="not(
                          sum($iitr111) > 0 
                          and
                          (
                              not($iitr112[not(@i:nil='true')])
                              or
                              sum($iitr112) = 0 
                          )
                      )"/>

    
    <!-- Rule ID: VR.ATO.IITR.000207
         ELS Ref: V2373
    
        IF ([iitr123] > 1000 AND ([iitr127] = NULL OR [iitr127] = 0))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr123] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromTaxUpfrontSchemeEligibleForReduction.Amount
        [iitr127] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountAssessable.Amount
    -->
    <assert  id="VR.ATO.IITR.000207" diagnostics="DVR.ATO.IITR.000207"
             test="not(
                          sum($iitr123) > 1000 
                          and
                          (
                              not($iitr127[not(@i:nil='true')])
                              or
                              sum($iitr127) = 0 
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000208
         ELS Ref: V2374
    
        IF (
              [iitr127] > 0 
              AND 
              ([iitr123] = NULL OR [iitr123] = 0) AND 
              ([iitr124] = NULL OR [iitr124] = 0) AND 
              ([iitr125] = NULL OR [iitr125] = 0) AND 
              ([iitr126] = NULL OR [iitr126] = 0)
           )
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr123] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromTaxUpfrontSchemeEligibleForReduction.Amount
        [iitr124] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromTaxedUpfrontSchemeNotEligibleForReduction.Amount
        [iitr125] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromDeferralSchemes.Amount
        [iitr126] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountInterestAcquiredPreJuly2009.Amount
        [iitr127] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountAssessable.Amount
    -->
    <assert  id="VR.ATO.IITR.000208" diagnostics="DVR.ATO.IITR.000208"
             test="not(
                          sum($iitr127) > 0
                          and
                          (not($iitr123[not(@i:nil='true')]) or sum($iitr123) = 0)
                          and
                          (not($iitr124[not(@i:nil='true')]) or sum($iitr124) = 0)
                          and
                          (not($iitr125[not(@i:nil='true')]) or sum($iitr125) = 0)
                          and
                          (not($iitr126[not(@i:nil='true')]) or sum($iitr126) = 0)                          
                      )"/>

    
     <!-- Rule ID: VR.ATO.IITR.000209
         ELS Ref: V2374
    
         IF ([iitr123] = NULL OR [iitr123] = 0) AND
          (([iitr127] <> NULL AND ([iitr124] + [iitr125] + [iitr126]) <> [iitr127])
           OR ([iitr127] = NULL AND ([iitr124] + [iitr125] + [iitr126]) <> 0))
           RETURN VALIDATION MESSAGE
         ENDIF
      
        [iitr123] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromTaxUpfrontSchemeEligibleForReduction.Amount
        [iitr124] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromTaxedUpfrontSchemeNotEligibleForReduction.Amount
        [iitr125] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromDeferralSchemes.Amount
        [iitr126] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountInterestAcquiredPreJuly2009.Amount
        [iitr127] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountAssessable.Amount
    -->
    <assert  id="VR.ATO.IITR.000209" diagnostics="DVR.ATO.IITR.000209"
             test="not(
                          (not($iitr123[not(@i:nil='true')]) or sum($iitr123) = 0)
                          and
                          sum($iitr124 | $iitr125 | $iitr126) != sum($iitr127)                          
                      )"/>
   

   <!-- Rule ID: VR.ATO.IITR.000210
         ELS Ref: V2391
    
        IF ([iitr127] <> NULL AND [iitr129] > [iitr127])
          OR ([iitr127] = NULL AND [iitr129] > 0)
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr127] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountAssessable.Amount
        [iitr129] = bafpr3.xx.xx:Income.EmployeeShareSchemes.ForeignSourceDiscount.Amount
    -->
    <assert  id="VR.ATO.IITR.000210" diagnostics="DVR.ATO.IITR.000210"
             test="not(
                          sum($iitr129) > sum($iitr127)
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000211
         ELS Ref: V266
    
        IF (([iitr246] > 0 OR [iitr245] > 0) AND ([iitr242] = NULL AND [iitr243] = NULL))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
        [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
        [iitr245] = bafpr1.xx.xx:Expense.LandcareOperationsAndWaterFacilityDeclineInValueDeductionPrimaryProduction.Amount
        [iitr246] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipsAndTrustPrimaryProductionShare.Amount
    -->
    <assert  id="VR.ATO.IITR.000211" diagnostics="DVR.ATO.IITR.000211"
             test="not(
                          (
                            sum($iitr246) > 0 
                            or
                            sum($iitr245) > 0 
                          )
                          and
                          not($iitr242[not(@i:nil='true')])
                          and
                          not($iitr243[not(@i:nil='true')])
                      )"/>
    
    
   <!-- Rule ID: VR.ATO.IITR.000214
         ELS Ref: V2737

        IF (([iitr285] <> NULL) AND ([iitr285] <> ([iitr282] + [iitr283] + [iitr284])))
            OR (([iitr285] = NULL ) AND (([iitr282] + [iitr283] + [iitr284]) <> 0))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr285] = bafpr1.xx.xx:Income.NonPrimaryProductionNet.Amount
        [iitr282] = bafpr1.xx.xx:Income.InvestmentNonPrimaryProductionNet.Amount
        [iitr283] = bafpr1.xx.xx:Income.RentalPropertyNonPrimaryProductionNet.Amount
        [iitr284] = bafpr1.xx.xx:Income.NonPrimaryProductionOtherNet.Amount
    -->
    <assert  id="VR.ATO.IITR.000214" diagnostics="DVR.ATO.IITR.000214"
             test="not(
                          sum($iitr285) != 
                          sum($iitr282|$iitr283|$iitr284)
                      )"/> 
    

    <!-- Rule ID: VR.ATO.IITR.000219
         ELS Ref: V46A
    
        IF ([iitr120] > 0 AND ([iitr119]*0.48 < [iitr120] - 1))
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
        [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
    -->
    <assert  id="VR.ATO.IITR.000219" diagnostics="DVR.ATO.IITR.000219"
             test="not(
                          sum($iitr120) > 0
                          and
                          sum($iitr119) * 0.48 &lt; sum($iitr120) - 1                          
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000220
         ELS Ref: V46B

        IF ([iitr119] > 0 AND [iitr120] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
        [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
    -->
    <assert  id="VR.ATO.IITR.000220" diagnostics="DVR.ATO.IITR.000220"
             test="not(
                          sum($iitr119) > 0
                          and
                          not($iitr120[not(@i:nil='true')])
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000221
        ELS Ref: V49
    
        IF ([iitr113] = NULL) AND (ANY OCCURRENCE OF ([iitr62]) > 0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr62]  = bafpr1.xx.xx:Income.SalaryOrWages.Amount
        [iitr113] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheld.Amount
    -->
    <assert  id="VR.ATO.IITR.000221" diagnostics="DVR.ATO.IITR.000221"
            test="not(
                          not($iitr113[not(@i:nil='true')])                                                    
                          and
                          $iitr62[. > 0]
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000222
        ELS Ref: V49
        
        IF ([iitr85] > 0) AND (([iitr86] = NULL) OR ([iitr86] <= [iitr85]))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr85] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianGovernmentAllowancesAndPayments.Amount                               
        [iitr86] = bafpr1.xx.xx:Income.AustralianGovernmentAllowancesAndPayments.Amount
        
        Use SUM() to handle converting to number and possible duplicates
    -->
    <assert  id="VR.ATO.IITR.000222" diagnostics="DVR.ATO.IITR.000222"
            test="not(
                          sum($iitr85) > 0
                          and
                          (
                            not($iitr86[not(@i:nil='true')])    
                            or
                            sum($iitr86) &lt;= sum($iitr85)
                          )
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000224
        ELS Ref: V49
    
        IF ([iitr88] > 0) AND (([iitr89] = NULL) OR ([iitr89] <= [iitr88]))
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr88] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianGovernmentPensionsAndAllowances.Amount
        [iitr89] = gfapc.xx.xx:Pension.Total.Amount
        
        Use SUM() to handle converting to number and possible duplicates
    -->
    <assert  id="VR.ATO.IITR.000224" diagnostics="DVR.ATO.IITR.000224"
            test="not(
                          sum($iitr88) > 0
                          and
                          sum($iitr89) &lt;= sum($iitr88)
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000225
         ELS Ref: V86
         
        IF ([iitr64] > 0) AND (([iitr65] = NULL) OR ([iitr65] <= [iitr64]))
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr64] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAllowancesEarningsTipsDirectorsFees.Amount
        [iitr65] = bafpr1.xx.xx:Income.AllowancesEarningsTipsDirectorsFees.Amount
        
        Use SUM() to handle converting to number and possible duplicates
    -->
    <assert id="VR.ATO.IITR.000225" diagnostics="DVR.ATO.IITR.000225"
            test="not(
                        sum($iitr64) > 0
                        and
                        sum($iitr64) >= sum($iitr65)
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000226
         ELS Ref: V89A
         
        IF ([iitr243] > 0 AND [iitr244] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
        [iitr244] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Code
    -->
    <assert id="VR.ATO.IITR.000226" diagnostics="DVR.ATO.IITR.000226"
            test="not(
                        sum($iitr243) > 0
                        and
                        not($iitr244[not(@i:nil='true')])
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000227
         ELS Ref: V89B
         
        IF ([iitr244] <> NULL AND ([iitr243] = NULL OR [iitr243] = 0))
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
        [iitr244] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Code
        
        Use SUM() to handle converting to number and possible duplicates
    -->
    <assert id="VR.ATO.IITR.000227" diagnostics="DVR.ATO.IITR.000227"
            test="not(
                        $iitr244[not(@i:nil='true')]
                        and
                        (
                          not($iitr243[not(@i:nil='true')])
                          or
                          sum($iitr243) = 0 
                        )
                     )"/>

    
    <!-- Rule ID: VR.ATO.IITR.000230
         ELS Ref: V1688
         
        IF ([iitr265] = NULL OR [iitr265] = 0) AND ([iitr266] <> NULL)
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr265] = rvctc2.xx.xx:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount
        [iitr266] = bafpr1.xx.xx:Income.AllowancesEarningsTipsDirectorsFees.Amount
    -->
    <assert id="VR.ATO.IITR.000230" diagnostics="DVR.ATO.IITR.000230"
            test="not(
                        sum($iitr265) = 0
                        and
                        $iitr266[not(@i:nil='true')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000234
         ELS Ref: V47A
         
        IF (([iitr265] > 0 OR [iitr260] > 0 OR [iitr269] > 0 OR [iitr270] > 0 OR [iitr271] > 0) AND ([iitr252] = NULL AND [iitr255] = NULL AND [iitr259] = NULL))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
        [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
        [iitr259] = bafpr1.xx.xx:Income.TrustFrankedNonPrimaryProductionShare.Amount
        [iitr260] = bafpr1.xx.xx:Expense.LandcareOperationsNonPrimaryProduction.Amount
        [iitr265] = rvctc2.xx.xx:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount
        [iitr269] = rvctc1.xx.xx:IncomeTax.FrankingCreditsShare.Amount
        [iitr270] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldInvestmentsTFNNotQuotedShare.Amount
        [iitr271] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldCloselyHeldTrustShare.Amount
    -->
    <assert id="VR.ATO.IITR.000234" diagnostics="DVR.ATO.IITR.000234"
            test="not(
                        (
                          sum($iitr265) > 0
                          or
                          sum($iitr260) > 0
                          or
                          sum($iitr269) > 0
                          or
                          sum($iitr270) > 0
                          or
                          sum($iitr271) > 0
                        )
                        and
                        not($iitr252[not(@i:nil='true')])
                        and
                        not($iitr255[not(@i:nil='true')])
                        and
                        not($iitr259[not(@i:nil='true')])
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000235
         ELS Ref: V47B
         
        IF ([iitr268] > 0 AND ([iitr242] = NULL AND [iitr243] = NULL and [iitr252] = NULL AND [iitr255] = NULL AND [iitr259] = NULL))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
        [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
        [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
        [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
        [iitr259] = bafpr1.xx.xx:Income.TrustFrankedNonPrimaryProductionShare.Amount
        [iitr268] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
    -->
    <assert id="VR.ATO.IITR.000235" diagnostics="DVR.ATO.IITR.000235"
            test="not(
                        sum($iitr268) > 0
                        and
                        not($iitr242[not(@i:nil='true')])
                        and
                        not($iitr243[not(@i:nil='true')])
                        and
                        not($iitr252[not(@i:nil='true')])
                        and
                        not($iitr255[not(@i:nil='true')])
                        and
                        not($iitr259[not(@i:nil='true')])
                     )"/>

    <!-- Rule ID: VR.ATO.IITR.000236
         ELS Ref: V87
    
        IF (
				        ([iitr113] <> NULL) 
		              AND 
				        (
                    [iitr113] <> ([iitr85] + [iitr88] + SUM([iitr61]) + SUM([iitr67]) + SUM([iitr70]) + [iitr91] + [iitr111] + [iitr64] + SUM([iitr74]) + SUM([iitr98]))
	            ) 
			      ) 
	            OR 
	            (
				        ([iitr113] = NULL) 
		              AND 
				        (
					          ([iitr85] + [iitr88] + SUM([iitr61]) + SUM([iitr67]) + SUM([iitr70]) + [iitr91] + [iitr111] + [iitr64] + SUM([iitr74]) + SUM([iitr98])) <> 0
	            )
          )
            RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr61]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSalaryOrWages.Amount                                      RP.{SaWSeqNum}
        [iitr64]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAllowancesEarningsTipsDirectorsFees.Amount                RP
        [iitr67]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount      RP.{EmpLSPSeqNum}
        [iitr70]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount      RP.{EmpLSPSeqNum}
        [iitr74]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmploymentTerminationPayment.Amount                       RP.{ETPSeqNum}    
        [iitr85]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianGovernmentAllowancesAndPayments.Amount          RP
        [iitr88]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianGovernmentPensionsAndAllowances.Amount          RP  
        [iitr91]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianAnnuitiesAndSuperannuationIncomeStream.Amount   RP
        [iitr98]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount                       RP.{SLSPSeqNum}
        [iitr111] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount                             RP
        [iitr113] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheld.Amount                                                   RP
    -->
    <assert  id="VR.ATO.IITR.000236" diagnostics="DVR.ATO.IITR.000236"
             test="not(
                          (
                              $iitr113[not(@i:nil='true')]
                              and
                              sum($iitr113) != sum($iitr85 | $iitr88 | $iitr61 | $iitr67 | $iitr70 | $iitr91 | $iitr111 | $iitr64 | $iitr74 | $iitr98)
                          )
                          or
                          (
                              not($iitr113[not(@i:nil='true')])
                              and
                              0 != sum($iitr85 | $iitr88 | $iitr61 | $iitr67 | $iitr70 | $iitr91 | $iitr111 | $iitr64 | $iitr74 | $iitr98)
                          )                         
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000237
        ELS Ref: V97B
    
        IF ([iitr255] > 0 AND [iitr256] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
        [iitr256] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Code
    -->
    <assert  id="VR.ATO.IITR.000237" diagnostics="DVR.ATO.IITR.000237"
             test="not(
                          $iitr255 > 0
                          and
                          (
                            not($iitr256[not(@i:nil='true')])
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000238
        ELS Ref: V97B
        
        IF ([iitr256] <> NULL) AND ([iitr255] = NULL OR [iitr255] <= 0)
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
        [iitr256] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Code
    -->
    <assert  id="VR.ATO.IITR.000238" diagnostics="DVR.ATO.IITR.000238"
             test="not(
                          $iitr256[not(@i:nil='true')]
                          and
                          (
                            not($iitr255[not(@i:nil='true')])
                            or
                            sum($iitr255) &lt;= 0 
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000241
         ELS Ref: V2379
    
        IF ([iitr128] > ([iitr123] + [iitr124] + [iitr125])*0.5)
          RETURN VALIDATION MESSAGE
        ENDIF
    
        [iitr123] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromTaxUpfrontSchemeEligibleForReduction.Amount
        [iitr124] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromTaxedUpfrontSchemeNotEligibleForReduction.Amount
        [iitr125] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromDeferralSchemes.Amount
        [iitr128] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountAssessable.Amount
    -->
    <assert  id="VR.ATO.IITR.000241" diagnostics="DVR.ATO.IITR.000241"
             test="not(
                          sum($iitr128) 
                          > 
                          ((sum($iitr123 | $iitr124 | $iitr125)) * 0.5)
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000242
         ELS Ref: V1383A

        IF ([iitr277] > 0 AND [iitr277] > ([iitr412]*0.50))
          RETURN VALIDATION MESSAGE
        ENDIF
    
        [iitr277] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeABNNotQuoted.Amount
        [iitr412] = bafpr3.xx.xx:Income.PersonalServicesIncome.ABNNotQuoted.Amount
    -->
    <assert  id="VR.ATO.IITR.000242" diagnostics="DVR.ATO.IITR.000242"
             test="not(
                          sum($iitr277) > 0 
                          and
                          sum($iitr277) > sum($iitr412) * 0.5
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000243
        ELS Ref: V1383B
    
        IF ([iitr412] > 0 AND ([iitr277] = NULL OR [iitr277] =0))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr277] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeABNNotQuoted.Amount
        [iitr412] = bafpr3.xx.xx:Income.PersonalServicesIncome.ABNNotQuoted.Amount
    -->
    <assert  id="VR.ATO.IITR.000243" diagnostics="DVR.ATO.IITR.000243"
             test="not(
                          sum($iitr412) > 0 
                          and
                          (
                            not($iitr277[not(@i:nil='true')])
                            or
                            sum($iitr277) = 0 
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000244
        ELS Ref: V1384B
    
        IF ([iitr287] > 0 AND [iitr287] > (([iitr436] + [iitr437])*0.50))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr287] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
        [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
        [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
    -->
    <assert  id="VR.ATO.IITR.000244" diagnostics="DVR.ATO.IITR.000244"
             test="not(
                          sum($iitr287) > 0 
                          and
                          sum($iitr287) > sum($iitr436|$iitr437) * 0.5
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000245
        ELS Ref: V1384B
    
        IF (([iitr436] + [iitr437] > 0) AND [iitr287] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr287] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
        [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
        [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
    -->
    <assert  id="VR.ATO.IITR.000245" diagnostics="DVR.ATO.IITR.000245"
             test="not(
                          sum($iitr436|$iitr437) > 0 
                          and
                          not($iitr287[not(@i:nil='true')])
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000246
        ELS Ref: V1391A
    
        IF ([iitr276] > 0 AND [iitr276] > ([iitr411]*0.50))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr276] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeVoluntaryAgreement.Amount
        [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
    -->
    <assert  id="VR.ATO.IITR.000246" diagnostics="DVR.ATO.IITR.000246"
             test="not(
                          sum($iitr276) > 0 
                          and
                          sum($iitr276) > sum($iitr411) * 0.5
                      )"/>

    
    <!-- Rule ID: VR.ATO.IITR.000247
        ELS Ref: V1391B
    
        IF ([iitr411] > 0 AND ([iitr276] = NULL OR [iitr276] = 0))
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr276] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeVoluntaryAgreement.Amoun
        [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
    -->
    <assert  id="VR.ATO.IITR.000247" diagnostics="DVR.ATO.IITR.000247"
             test="not(
                          sum($iitr411) > 0 
                          and
                          (
                            not($iitr276[not(@i:nil='true')])
                            or
                            sum($iitr276) = 0 
                          )
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000248
        ELS Ref: V1397A
    
        IF ([iitr278] > 0 AND [iitr278] > ([iitr413]*0.50))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr278] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeLabourHireOrOtherPayments.Amount
        [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
    -->
    <assert  id="VR.ATO.IITR.000248" diagnostics="DVR.ATO.IITR.000248"
             test="not(
                          sum($iitr278) > 0 
                          and
                          sum($iitr278) > sum($iitr413) * 0.5
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000249
        ELS Ref: V1397B
    
        IF ([iitr413] > 0 AND ([iitr278] = NULL OR [iitr278] = 0))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr278] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeLabourHireOrOtherPayments.Amount
        [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
    -->
    <assert  id="VR.ATO.IITR.000249" diagnostics="DVR.ATO.IITR.000249"
             test="not(
                          sum($iitr413) > 0 
                          and
                          (
                            not($iitr278[not(@i:nil='true')])
                          )
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000250
        ELS Ref: V1491A
    
        IF (([iitr439] + [iitr440]) > 0 AND [iitr286] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr286] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
        [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
        [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
    -->
    <assert  id="VR.ATO.IITR.000250" diagnostics="DVR.ATO.IITR.000250"
             test="not(
                          sum($iitr439|$iitr440) > 0 
                          and
                          not($iitr286[not(@i:nil='true')])
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000251
        ELS Ref: V1491B
    
        IF ([iitr286] > 0 AND [iitr286] > ([iitr439] + [iitr440])*0.50)
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr286] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
        [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
        [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
    -->
    <assert  id="VR.ATO.IITR.000251" diagnostics="DVR.ATO.IITR.000251"
             test="not(
                          sum($iitr286) > 0 
                          and
                          sum($iitr286) > sum($iitr439|$iitr440) * 0.5
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000252
        ELS Ref: V1493B
    
        IF (([iitr441] + [iitr442]) > 0 AND [iitr289] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr289] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
        [iitr441] = rvctc2.xx.xx:IncomeTax.MedicareLevy.ExemptionHalfDays.Count
        [iitr442] = rvctc2.xx.xx:IncomeTax.MedicareLevy.ExemptionHalfDays.Count
    -->
    <assert  id="VR.ATO.IITR.000252" diagnostics="DVR.ATO.IITR.000252"
             test="not(
                          sum($iitr441|$iitr442) > 0 
                          and
                          not($iitr289[not(@i:nil='true')])
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000253
         ELS Ref: V1493B
    
        IF ([iitr289] > 0 AND ([iitr441] + [iitr442] = 0))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr289] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
        [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
        [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
    -->
    <assert  id="VR.ATO.IITR.000253" diagnostics="DVR.ATO.IITR.000253"
             test="not(
                          sum($iitr289) > 0 
                          and
                          sum($iitr441|$iitr442) = 0
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000254
         ELS Ref: V144
    
        IF ([iitr331] > 1000 AND [iitr331]>= ([iitr129] + [iitr312] + [iitr316] + [iitr318] + [iitr321] + 
            [iitr322] + [iitr323] + [iitr324] + [iitr327] + [iitr329] + [iitr299] + [iitr300]))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr129] = bafpr3.xx.xx:Income.EmployeeShareSchemes.ForeignSourceDiscount.Amount
        [iitr299] = rvctc3.xx.xx:Tax.Losses.BroughtForward.DeferredNonCommercialPrimaryProduction.Amount
        [iitr300] = rvctc3.xx.xx:Tax.Losses.BroughtForward.DeferredNonCommercialNonPrimaryProduction.Amount
        [iitr312] = rvctc3.xx.xx:Capital.Gains.Total.Amount
        [iitr316] = bafpr1.xx.xx:Income.ControlledForeignCompaniesAttributableIncome.Amount
        [iitr318] = rvctc4.xx.xx:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        [iitr321] = rvctc4.xx.xx:InternationalDealings.ForeignEmploymentIncomeOther.Amount
        [iitr322] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeWithoutUndeductedPurchasePrice.Amount
        [iitr323] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeUndeductedPurchasePrice.Amount
        [iitr324] = rvctc4.xx.xx:InternationalDealings.ForeignRent.Amount
        [iitr327] = bafpr3.xx.xx:Income.InternationalDealings.Net.Amount
        [iitr329] = rvctc4.xx.xx:InternationalDealings.ForeignEmploymentIncomePaymentSummary.Amount
        [iitr331] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeTaxOffset.Amount
    -->
    <assert  id="VR.ATO.IITR.000254" diagnostics="DVR.ATO.IITR.000254"
             test="not(
                          sum($iitr331) > 1000 
                          and
                          sum($iitr331) >=
                          sum($iitr129|$iitr312|$iitr316|$iitr318|$iitr321|$iitr322|$iitr323|$iitr324|$iitr327|$iitr329|$iitr299|$iitr300)
                      )"/>

    <!-- Rule ID: VR.ATO.IITR.000255
         ELS Ref: V1494

        IF ([iitr289] > 0 AND [iitr289] > ([iitr441] + [iitr442])*0.50)
          RETURN VALIDATION MESSAGE
        ENDIF
    
        [iitr289] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
        [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
        [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
    -->
    <assert  id="VR.ATO.IITR.000255" diagnostics="DVR.ATO.IITR.000255"
             test="not(
                          sum($iitr289) > 0 
                          and
                          sum($iitr289) > sum($iitr441|$iitr442) * 0.5
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000256
         ELS Ref: V1673A

        IF ([iitr281] <> NULL AND ([iitr281] <> ([iitr474] - [iitr476])))
          OR ([iitr281] = NULL AND (([iitr474] - [iitr476]) <> 0))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr281] = bafpr1.xx.xx:Income.PrimaryProductionNet.Amount
        [iitr474] = bafpr1.xx.xx:Income.BusinessPrimaryProductionNet.Amount
        [iitr476] = bafpr1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
    -->
    <assert  id="VR.ATO.IITR.000256" diagnostics="DVR.ATO.IITR.000256"
             test="not(
                          sum($iitr281) != sum($iitr474) - sum($iitr476)
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000257
         ELS Ref: V1673B

        IF ([iitr285] <> NULL AND ([iitr285] <> ([iitr475] - [iitr477])))
          OR ([iitr285] = NULL AND (([iitr475] - [iitr477]) <> 0))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr285] = bafpr1.xx.xx:Income.NonPrimaryProductionNet.Amount
        [iitr475] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionNet.Amount
        [iitr477] = bafpr1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearNonPrimaryProduction.Amount
    -->
    <assert  id="VR.ATO.IITR.000257" diagnostics="DVR.ATO.IITR.000257"
             test="not(
                          sum($iitr285) != sum($iitr475) - sum($iitr477)
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000258
         ELS Ref: V1691

        IF ([iitr407] = TRUE) AND ([iitr279] = NULL) AND ([iitr438] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr279] = bafpr3.xx.xx:Income.PersonalServicesIncome.Net.Amount
        [iitr407] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.ReceivedEightyPercentOfIncomeFromOneSource.Indicator
        [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
    -->
    <assert  id="VR.ATO.IITR.000258" diagnostics="DVR.ATO.IITR.000258"
             test="not(
                          $iitr407[matches(.,'^(true|1)$')]
                          and
                          not($iitr279[not(@i:nil='true')]) 
                          and 
                          not($iitr438[not(@i:nil='true')])
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000259
         ELS Ref: V1802
      
        IF (([iitr279] <> NULL) AND ([iitr279] <> ([iitr411] + [iitr412] + [iitr413] + [iitr414] - [iitr415] - [iitr416])))
            OR (([iitr279] = NULL) AND (([iitr411] + [iitr412] + [iitr413] + [iitr414] - [iitr415] - [iitr416]) <> 0))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr279] = bafpr3.xx.xx:Income.PersonalServicesIncome.Net.Amount
        [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
        [iitr412] = bafpr3.xx.xx:Income.PersonalServicesIncome.ABNNotQuoted.Amount
        [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
        [iitr415] = bafpr3.xx.xx:Expense.PersonalServicesIncome.AssociatesForPrincipalWorkDeduction.Amount
        [iitr416] = bafpr3.xx.xx:Expense.PersonalServicesIncome.DeductionsOther.Amount
    -->
    <assert  id="VR.ATO.IITR.000259" diagnostics="DVR.ATO.IITR.000259"
             test="not(
                          sum($iitr279) !=
                          (
                            sum($iitr411|$iitr412|$iitr413|$iitr414)
                            -
                            sum($iitr415|$iitr416)
                          )
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000260
         ELS Ref: V1896

        IF ([iitr273] > 0 AND ([iitr242] = NULL AND [iitr243] = NULL AND [iitr252] = NULL AND [iitr255] = NULL AND [iitr259] = NULL AND [iitr312] = NULL))
          RETURN VALIDATION MESSAGE
        ENDIF
    
        [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
        [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
        [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
        [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
        [iitr259] = bafpr1.xx.xx:Income.TrustFrankedNonPrimaryProductionShare.Amount
        [iitr273] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldForeignResidentShare.Amount
        [iitr312] = rvctc3.xx.xx:Capital.Gains.Total.Amount
    -->
    <assert  id="VR.ATO.IITR.000260" diagnostics="DVR.ATO.IITR.000260"
             test="not(
                          sum($iitr273) > 0 
                          and
                          not($iitr242[not(@i:nil='true')]) 
                          and
                          not($iitr243[not(@i:nil='true')]) 
                          and
                          not($iitr252[not(@i:nil='true')]) 
                          and
                          not($iitr255[not(@i:nil='true')]) 
                          and
                          not($iitr259[not(@i:nil='true')]) 
                          and
                          not($iitr312[not(@i:nil='true')]) 
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000261
         ELS Ref: V1494

        IF ([iitr438] > 0 AND [iitr288] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
    
        [iitr288] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
        [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
    -->
    <assert  id="VR.ATO.IITR.000261" diagnostics="DVR.ATO.IITR.000261"
             test="not(
                          sum($iitr438) > 0 
                          and
                          not($iitr288[not(@i:nil='true')]) 
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000262
         ELS Ref: V1494

        IF ([iitr288] > 0 AND [iitr288] > ([iitr438]*0.50) + 1)
          RETURN VALIDATION MESSAGE
        ENDIF
    
        [iitr288] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
        [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
    -->
    <assert  id="VR.ATO.IITR.000262" diagnostics="DVR.ATO.IITR.000262"
             test="not(
                          sum($iitr288) > 0 
                          and
                          sum($iitr288) > (sum($iitr438) * 0.5) + 1
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000263
         ELS Ref: V2146A
             
             
         IF (
             ([iitr131] <> NULL) 
             AND
             (
               [iitr131] +/- 1 <> 
               (
                 [iitr86] + [iitr89] + SUM([iitr62]) + SUM([iitr68]) + (SUM([iitr71])*0.05) + SUM([iitr75]) + [iitr65] + [iitr92] + [iitr93] + [iitr94] + [iitr95] + 
                 SUM([iitr99]) + SUM([iitr100]) + [iitr112] + [iitr115] + [iitr118] + [iitr119] + [iitr120] + [iitr127] + [iitr242] + [iitr243] - [iitr245] - [iitr246] + 
                 [iitr252] + [iitr255] + [iitr259] - [iitr260] - [iitr265] + [iitr279] + [iitr281] + [iitr285] + [iitr299] + [iitr300] + [iitr306] + [iitr311] + 
                 [iitr316] + [iitr318] + [iitr321] + [iitr322] + [iitr323] + [iitr324] + [iitr327] + [iitr328] + [iitr334] - [iitr335] - [iitr336] - [iitr337] + 
                 [iitr339] + [iitr341] + SUM([iitr348]) + SUM([iitr353])))
             )
             OR
             (
               ([iitr131] = NULL) 
               AND 
               (
                 0 +/- 1 <> 
                 (
                   [iitr86] + [iitr89] + SUM([iitr62]) + SUM([iitr68]) + (SUM([iitr71])*0.05) + SUM([iitr75]) + [iitr65] + [iitr92] + [iitr93] + [iitr94] + [iitr95] + 
                   SUM([iitr99]) + SUM([iitr100]) + [iitr112] + [iitr115] + [iitr118] + [iitr119] + [iitr120] + [iitr127] + [iitr242] + [iitr243] - [iitr245] - [iitr246] +
                   [iitr252] + [iitr255] + [iitr259] - [iitr260] - [iitr265] + [iitr279] + [iitr281] + [iitr285] + [iitr299] + [iitr300] + [iitr306] + [iitr311] + 
                   [iitr316] + [iitr318] + [iitr321] + [iitr322] + [iitr323] + [iitr324] + [iitr327] + [iitr328] + [iitr334] - [iitr335] - [iitr336] - [iitr337] + 
                   [iitr339] + [iitr341] + SUM([iitr348]) + SUM([iitr353])))
             )    
               RETURN VALIDATION MESSAGE
         ENDIF
                     
         [iitr62]  = bafpr1.xx.xx:Income.SalaryOrWages.Amount                                                                RP.{SaWSeqNum}
         [iitr65]  = bafpr1.xx.xx:Income.AllowancesEarningsTipsDirectorsFees.Amount                                
         [iitr68]  = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount                                RP.{EmpLSPSeqNum}
         [iitr71]  = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount                                RP.{EmpLSPSeqNum}
         [iitr75]  = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount                                          RP.{ETPSeqNum} 
         [iitr86]  = bafpr1.xx.xx:Income.AustralianGovernmentAllowancesAndPayments.Amount                          
         [iitr89]  = gfapc.xx.xx:Pension.Total.Amount                                                                             
         [iitr92]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount                   
         [iitr93]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount                
         [iitr94]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount     
         [iitr95]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount  
         [iitr99]  = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount                                         RP.{SLSPSeqNum}
         [iitr100] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount                                      RP.{SLSPSeqNum}
         [iitr112] = bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount                                     
         [iitr115] = bafpr2.xx.xx:Income.Interest.Gross.Amount                                                   
         [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount                                               
         [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount                                                             
         [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount                                                           
         [iitr127] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountAssessable.Amount                                              
         [iitr131] = bafpr1.xx.xx:Income.Net.Amount       
         [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount                                            
         [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount                                               
         [iitr245] = bafpr1.xx.xx:Expense.LandcareOperationsAndWaterFacilityDeclineInValueDeductionPrimaryProduction.Amount  
         [iitr246] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipsAndTrustPrimaryProductionShare.Amount          
         [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount            
         [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount 
         [iitr259] = bafpr1.xx.xx:Income.TrustFrankedNonPrimaryProductionShare.Amount                            
         [iitr260] = bafpr1.xx.xx:Expense.LandcareOperationsNonPrimaryProduction.Amount                          
         [iitr265] = rvctc2.xx.xx:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount        
         [iitr279] = bafpr3.xx.xx:Income.PersonalServicesIncome.Net.Amount                                       
         [iitr281] = bafpr1.xx.xx:Income.PrimaryProductionNet.Amount                                               
         [iitr285] = bafpr1.xx.xx:Income.NonPrimaryProductionNet.Amount                                            
         [iitr299] = rvctc3.xx.xx:Tax.Losses.BroughtForward.DeferredNonCommercialPrimaryProduction.Amount          
         [iitr300] = rvctc3.xx.xx:Tax.Losses.BroughtForward.DeferredNonCommercialNonPrimaryProduction.Amount       
         [iitr306] = bafpr1.xx.xx:Income.FarmManagementDepositsOrRepaymentsNet.Amount                              
         [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount                                                         
         [iitr316] = bafpr1.xx.xx:Income.ControlledForeignCompaniesAttributableIncome.Amount                       
         [iitr318] = rvctc4.xx.xx:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount              
         [iitr321] = rvctc4.xx.xx:InternationalDealings.ForeignEmploymentIncomeOther.Amount                        
         [iitr322] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeWithoutUndeductedPurchasePrice.Amount 
         [iitr323] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeUndeductedPurchasePrice.Amount  
         [iitr324] = rvctc4.xx.xx:InternationalDealings.ForeignRent.Amount                                         
         [iitr327] = bafpr3.xx.xx:Income.InternationalDealings.Net.Amount                                          
         [iitr328] = rvctc1.xx.xx:IncomeTax.FrankingCreditsNewZealand.Amount                                     
         [iitr334] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount                                        
         [iitr335] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeInterestDeductions.Amount                      
         [iitr336] = rvctc2.xx.xx:IncomeTax.Deduction.CapitalWorksDeductions.Amount                              
         [iitr337] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount  
         [iitr339] = rvctc1.xx.xx:IncomeTax.LifeInsuranceCompaniesAndFriendlySocietiesBonuses.Amount             
         [iitr341] = bafpr1.xx.xx:Income.ForestryManagedInvestmentScheme.Amount                                  
         [iitr348] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Total.Amount                                                       RP.{IncSeqNum}
         [iitr353] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Total.Amount                                                       RP.{IncSeqNum}
    -->
    <let name="totalSum" value="sum(
                                        $iitr86  | $iitr89  | $iitr62  | $iitr68  | $iitr75  | $iitr65  | $iitr92  | $iitr93  | $iitr94  | $iitr95  | 
					                              $iitr99  | $iitr100 | $iitr112 | $iitr115 | $iitr118 | $iitr119 | $iitr120 | $iitr127 | $iitr242 | $iitr243 | 
					                              $iitr252 | $iitr255 | $iitr259 | $iitr279 | $iitr281 | $iitr285 | $iitr299 | $iitr300 | $iitr306 | $iitr311 | 
					                              $iitr316 | $iitr318 | $iitr321 | $iitr322 | $iitr323 | $iitr324 | $iitr327 | $iitr328 | $iitr334 | 
					                              $iitr339 | $iitr341 | $iitr348 | $iitr353
					                         ) 
                                   + 
                                   (sum($iitr71)*0.05) 
                                   - 
                                   sum($iitr245 | $iitr246 | $iitr260 | $iitr265 | $iitr335 | $iitr336 | $iitr337)" />

    <assert  id="VR.ATO.IITR.000263" diagnostics="DVR.ATO.IITR.000263"
             test="not(
                          (
	                            $iitr131[not(@i:nil='true')]
	                            and 
                              (
	                                sum($iitr131) &lt; $totalSum - 1
                                  or
                                  sum($iitr131) > $totalSum + 1
                              )
                          )
                          or
                          (
	                            not($iitr131[not(@i:nil='true')])
	                            and 
                              (
	                                0 &lt; $totalSum - 1
                                  or
                                  0 > $totalSum + 1
                              )
                          )                          
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000264
         ELS Ref: V2380
        
        IF ([iitr331] > 0) AND ([iitr329] > (SUM([iitr62]) + SUM([iitr68]) + [iitr354]))
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr62]  = bafpr1.xx.xx:Income.SalaryOrWages.Amount                                              RP.{SaWSeqNum}
        [iitr68]  = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount              RP.{EmpLSPSeqNum}
        [iitr329] = rvctc4.xx.xx:InternationalDealings.ForeignEmploymentIncomePaymentSummary.Amount
        [iitr331] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeTaxOffset.Amount
        [iitr354] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldLumpSumPaymentsInArrears.Amount
    -->
    <assert id="VR.ATO.IITR.000264" diagnostics="DVR.ATO.IITR.000264"
            test="not(
                          sum($iitr331) > 0
                          and
                          sum($iitr329) &gt; sum($iitr62 | $iitr68 | $iitr354)
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000265
         ELS Ref: V2405
    
        IF ([iitr329] <> NULL AND ALL OCCURRENCES OF ([iitr62] = 0 OR [iitr62] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr62]  = bafpr1.xx.xx:Income.SalaryOrWages.Amount
        [iitr329] = rvctc4.xx.xx:InternationalDealings.ForeignEmploymentIncomePaymentSummary.Amount
    -->
    <assert  id="VR.ATO.IITR.000265" diagnostics="DVR.ATO.IITR.000265"
            test="not(
                          $iitr329[not(@i:nil='true')]
                          and
                          sum($iitr62) = 0                          
                      )"/>
    
    <!--<assert  id="VR.ATO.IITR.000265" diagnostics="DVR.ATO.IITR.000265"
            test="not(
                          $iitr329[not(@i:nil='true')]
                          and
                          (
                              not($iitr62[not(@i:nil='true')])
                              or
                              $iitr62[. = 0]
                          )
                      )"/>-->


    <!-- Rule ID: VR.ATO.IITR.000266
         ELS Ref: V61B
      
        IF ([iitr281] <> NULL AND ([iitr436] = NULL AND [iitr439] = NULL AND [iitr441] = NULL AND [iitr443] = NULL AND [iitr447] = NULL))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr281] = bafpr1.xx.xx:Income.PrimaryProductionNet.Amount
        [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
        [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
        [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
        [iitr443] = bafpr1.xx.xx:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount
        [iitr447] = bafpr1.xx.xx:Income.BusinessPrimaryProductionOther.Amount
    -->
    <assert  id="VR.ATO.IITR.000266" diagnostics="DVR.ATO.IITR.000266"
             test="not(
                          $iitr281[not(@i:nil='true')] 
                          and
                          not($iitr436[not(@i:nil='true')]) 
                          and
                          not($iitr439[not(@i:nil='true')]) 
                          and
                          not($iitr441[not(@i:nil='true')]) 
                          and
                          not($iitr443[not(@i:nil='true')]) 
                          and
                          not($iitr447[not(@i:nil='true')])
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000267
         ELS Ref: V61B

        IF ([iitr436] <> NULL OR [iitr439] <> NULL OR [iitr441] <> NULL OR [iitr443] <> NULL OR [iitr447] <> NULL) AND [iitr281] = NULL
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr281] = bafpr1.xx.xx:Income.PrimaryProductionNet.Amount
        [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
        [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
        [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
        [iitr443] = bafpr1.xx.xx:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount
        [iitr447] = bafpr1.xx.xx:Income.BusinessPrimaryProductionOther.Amount
    -->
    <assert  id="VR.ATO.IITR.000267" diagnostics="DVR.ATO.IITR.000267"
             test="not(
                          (
                            $iitr436[not(@i:nil='true')] 
                            or
                            $iitr439[not(@i:nil='true')] 
                            or
                            $iitr441[not(@i:nil='true')] 
                            or
                            $iitr443[not(@i:nil='true')] 
                            or
                            $iitr447[not(@i:nil='true')]
                          )
                          and
                          not($iitr281[not(@i:nil='true')])
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000268
         ELS Ref: V63A
      
        IF ([iitr285] <> NULL AND ([iitr437] = NULL AND [iitr438] = NULL AND [iitr440] = NULL AND [itr442] = NULL AND
        [iitr445] = NULL AND [iitr448] = NULL))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr285] = bafpr1.xx.xx:Income.NonPrimaryProductionNet.Amount
        [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
        [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
        [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
        [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
        [iitr445] = bafpr1.xx.xx:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount
        [iitr448] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionOther.Amount
    -->
    <assert  id="VR.ATO.IITR.000268" diagnostics="DVR.ATO.IITR.000268"
             test="not(
                          $iitr285[not(@i:nil='true')] 
                          and
                          not($iitr437[not(@i:nil='true')]) 
                          and
                          not($iitr438[not(@i:nil='true')]) 
                          and
                          not($iitr440[not(@i:nil='true')]) 
                          and
                          not($iitr442[not(@i:nil='true')]) 
                          and
                          not($iitr445[not(@i:nil='true')]) 
                          and
                          not($iitr448[not(@i:nil='true')])
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000269
         ELS Ref: V63B
      
        IF ([iitr285] = NULL AND ([iitr437] <> NULL OR [iitr438] <> NULL OR 
            [iitr440] <> NULL OR [iitr442] <> NULL OR [iitr445] <> NULL OR [iitr448] <> NULL))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr285] = bafpr1.xx.xx:Income.NonPrimaryProductionNet.Amount
        [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
        [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
        [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
        [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
        [iitr445] = bafpr1.xx.xx:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount
        [iitr448] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionOther.Amount
    -->
    <assert  id="VR.ATO.IITR.000269" diagnostics="DVR.ATO.IITR.000269"
             test="not(
                          not($iitr285[not(@i:nil='true')]) and
                          (
                            $iitr437[not(@i:nil='true')] 
                            or
                            $iitr438[not(@i:nil='true')] 
                            or
                            $iitr440[not(@i:nil='true')] 
                            or
                            $iitr442[not(@i:nil='true')] 
                            or
                            $iitr445[not(@i:nil='true')] 
                            or
                            $iitr448[not(@i:nil='true')]
                          )
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000270
         ELS Ref: V1370
      
        IF (([iitr286] > 0 OR [iitr287] > 0 OR [iitr288] > 0 OR [iitr289] > 0) AND ([iitr281] = NULL AND [iitr285] = NULL ))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr281] = bafpr1.xx.xx:Income.PrimaryProductionNet.Amount
        [iitr285] = bafpr1.xx.xx:Income.NonPrimaryProductionNet.Amount
        [iitr286] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
        [iitr287] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
        [iitr288] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
        [iitr289] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
    -->
    <assert  id="VR.ATO.IITR.000270" diagnostics="DVR.ATO.IITR.000270"
             test="not(
                          (
                            sum($iitr286) > 0 
                            or
                            sum($iitr287) > 0 
                            or
                            sum($iitr288) > 0 
                            or
                            sum($iitr289) > 0
                          )
                          and
                          not($iitr281[not(@i:nil='true')])
                          and
                          not($iitr285[not(@i:nil='true')])
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000271
         ELS Ref: V2516
      
      IF ([iitr306] <> NULL AND ([iitr306] <> (([iitr304] + [iitr305]) - [iitr302])))
          OR 
         ([iitr306] = NULL AND ((([iitr304] + [iitr305]) - [iitr302]) <> 0))      
            RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr302] = rvctc2.xx.xx:IncomeTax.Deduction.FarmManagementDeposits.Amount
        [iitr304] = bafpr1.xx.xx:Income.FarmManagementEarlyRepaymentsNaturalDisaster.Amount
        [iitr305] = bafpr1.xx.xx:Income.FarmManagementOtherRepayments.Amount
        [iitr306] = bafpr1.xx.xx:Income.FarmManagementDepositsOrRepaymentsNet.Amount
    -->
    <assert  id="VR.ATO.IITR.000271" diagnostics="DVR.ATO.IITR.000271"
             test="not(
                          sum($iitr306) != 
                          sum($iitr304|$iitr305) - sum($iitr302)
                      )"/>
        

    <!-- Rule ID: VR.ATO.IITR.000277
         ELS Ref: V2518

        IF ([iitr302] > 0 AND [iitr302] > ([iitr242] + [iitr243] - [iitr245] - [iitr246] + [iitr281] + [iitr299] + [iitr304] + [iitr305]))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
        [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
        [iitr245] = bafpr1.xx.xx:Expense.LandcareOperationsAndWaterFacilityDeclineInValueDeductionPrimaryProduction.Amount
        [iitr246] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipsAndTrustPrimaryProductionShare.Amount
        [iitr281] = bafpr1.xx.xx:Income.PrimaryProductionNet.Amount
        [iitr299] = rvctc3.xx.xx:Tax.Losses.BroughtForward.DeferredNonCommercialPrimaryProduction.Amount
        [iitr302] = rvctc2.xx.xx:IncomeTax.Deduction.FarmManagementDeposits.Amount
        [iitr304] = bafpr1.xx.xx:Income.FarmManagementEarlyRepaymentsNaturalDisaster.Amount
        [iitr305] = bafpr1.xx.xx:Income.FarmManagementOtherRepayments.Amount
    -->
    <assert  id="VR.ATO.IITR.000277" diagnostics="DVR.ATO.IITR.000277"
             test="not(
                          sum($iitr302) > 0
                          and
                          sum($iitr302) >
                          sum($iitr242|$iitr243|$iitr281|$iitr299|$iitr304|$iitr305) - sum($iitr245|$iitr246)
                      )"/>

    <!-- Rule ID: VR.ATO.IITR.000280
         ELS Ref: V2733
         
        IF (([iitr252] <> NULL) AND ([iitr252] <> ([iitr249] + [iitr250] + [iitr251])))
            OR (([iitr252] = NULL) AND (([iitr249] + [iitr250] + [iitr251]) <> 0))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr249] = bafpr1.xx.xx:Income.PartnershipInvestmentLessForeignIncomeNonPrimaryProductionShare.Amount
        [iitr250] = bafpr1.xx.xx:Income.PartnershipRentalNonPrimaryProductionShare.Amount
        [iitr251] = bafpr1.xx.xx:Income.PartnershipNonPrimaryProductionOtherShare.Amount
        [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert  id="VR.ATO.IITR.000280" diagnostics="DVR.ATO.IITR.000280"
             test="not(
                          sum($iitr252) != 
                          sum($iitr249|$iitr250|$iitr251)
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000281
         ELS Ref: V2737

        IF (
                [iitr255] <> NULL 
                AND 
                ([iitr255] <> ([iitr253] + [iitr254]))
            )
            OR 
            (
                [iitr255] = NULL 
                AND 
                (([iitr253] + [iitr254]) <> 0)
            )
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr253] = bafpr1.xx.xx:Income.TrustManagedInvestmentSchemeLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
        [iitr254] = bafpr1.xx.xx:Income.TrustOtherNonPrimaryProductionShare.Amount
        [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert  id="VR.ATO.IITR.000281" diagnostics="DVR.ATO.IITR.000281"
             test="not(
                          sum($iitr255) != 
                          sum($iitr253|$iitr254)
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000282
         ELS Ref: V2737

        IF ([iitr259] <> NULL AND ([iitr259] <> ([iitr257] + [iitr258])))
          OR ([iitr259] = NULL AND (([iitr257] + [iitr258]) <> 0))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr257] = bafpr1.xx.xx:Income.NonPrimaryProductionNet.Amount
        [iitr258] = bafpr1.xx.xx:Income.InvestmentNonPrimaryProductionNet.Amount
        [iitr259] = bafpr1.xx.xx:Income.RentalPropertyNonPrimaryProductionNet.Amount
    -->
    <assert  id="VR.ATO.IITR.000282" diagnostics="DVR.ATO.IITR.000282"
             test="not(
                          sum($iitr259) != 
                          sum($iitr257|$iitr258)
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000283
         ELS Ref: V2121

         IF ([iitr265] <> NULL AND ([iitr265] <> ([iitr261] + [iitr262] + [iitr263] + [iitr264])))
           OR ([iitr265] = NULL AND (([iitr261] + [iitr262] + [iitr263] + [iitr264]) <> 0))
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr261] = rvctc2.xx.xx:IncomeTax.Deduction.TrustExcludingCapitalGainsAndForeignIncomeNonPrimaryProduction.Amount
         [iitr262] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipExcludingForeignIncomeNonPrimaryProduction.Amount
         [iitr263] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipRentalNonPrimaryProduction.Amount
         [iitr264] = rvctc2.xx.xx:IncomeTax.Deduction.TrustsPartnershipsOtherAllowableNonPrimaryProduction.Amount
         [iitr265] = rvctc2.xx.xx:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount
    -->
    <assert id="VR.ATO.IITR.000283" diagnostics="DVR.ATO.IITR.000283"
            test="not(
                        sum($iitr265) !=
                        sum($iitr261|$iitr262|$iitr263|$iitr264)
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000284
         ELS Ref: V311

         IF (([iitr243] + [iitr255] + [iitr259] + [iitr312] + POS([iitr321]) + POS([iitr322]) + 
              POS([iitr323]) + POS([iitr324]) + POS([iitr327]) + [iitr328] + POS([iitr329])) < 0)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr243] = rvctc2.xx.xx:IncomeTax.Deduction.TrustExcludingCapitalGainsAndForeignIncomeNonPrimaryProduction.Amount
         [iitr255] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipExcludingForeignIncomeNonPrimaryProduction.Amount
         [iitr259] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipRentalNonPrimaryProduction.Amount
         [iitr312] = rvctc2.xx.xx:IncomeTax.Deduction.TrustsPartnershipsOtherAllowableNonPrimaryProduction.Amount
         [iitr321] = rvctc2.xx.xx:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount
         [iitr322] = rvctc2.xx.xx:IncomeTax.Deduction.TrustExcludingCapitalGainsAndForeignIncomeNonPrimaryProduction.Amount
         [iitr323] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipExcludingForeignIncomeNonPrimaryProduction.Amount
         [iitr324] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipRentalNonPrimaryProduction.Amount
         [iitr327] = rvctc2.xx.xx:IncomeTax.Deduction.TrustsPartnershipsOtherAllowableNonPrimaryProduction.Amount
         [iitr328] = rvctc2.xx.xx:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount
         [iitr329] = rvctc2.xx.xx:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount
    -->
    <let name="pos321" value="function:GetPositiveValue($iitr321)" />
    <let name="pos322" value="function:GetPositiveValue($iitr322)" />
    <let name="pos323" value="function:GetPositiveValue($iitr323)" />
    <let name="pos324" value="function:GetPositiveValue($iitr324)" />
    <let name="pos327" value="function:GetPositiveValue($iitr327)" />
    <let name="pos329" value="function:GetPositiveValue($iitr329)" />
    
    <assert id="VR.ATO.IITR.000284" diagnostics="DVR.ATO.IITR.000284"
            test="not(
                        (sum($iitr243|$iitr255|$iitr259|$iitr312|$iitr328) + $pos321 + $pos322 + $pos323 + $pos324 + $pos327 + $pos329) &lt; 0
                     )" />

    <!-- Rule ID: VR.ATO.IITR.000376
         ELS Ref: V35
         
        IF ANY OCCURRENCE OF([iitr310]) = SET("G - Inter-company roll-over", "H - Demerger exemption", "Q - Trust restructure roll-over")
         RETURN VALIDATION MESSAGE
        ENDIF

        [iitr310] = rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code
    -->
    <assert id="VR.ATO.IITR.000376" diagnostics="DVR.ATO.IITR.000376"
            test="not(
                          $iitr310[
                            . = 'G - Inter-company roll-over' 
                            or 
                            . = 'H - Demerger exemption' 
                            or 
                            . = 'Q - Trust restructure roll-over'
                          ]
                     )"/>
        

    <!-- Rule ID: VR.ATO.IITR.200001
         ELS Ref: V2312

        IF ([iitr13] = NULLORBLANK) AND (([iitr308] = NULL) OR ([iitr315] = NULL) OR ([iitr317] = NULL) OR ([iitr332] = NULL))
           RETURN VALIDATION MESSAGE
        ENDIF                 

        [iitr13]  = rvctc1.xx.xx:IncomeTax.ReturnType.Code
        [iitr308] = rvctc3.xx.xx:CapitalGainsTax.Event.Indicator
        [iitr315] = rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
        [iitr317] = bafpr3.xx.xx:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
        [iitr332] = rvctc4.xx.xx:InternationalDealings.AssetsLocatedOutsideAustralia.Indicator
    -->
    <assert  id="VR.ATO.IITR.200001" diagnostics="DVR.ATO.IITR.200001"
            test="not(
                          not( $iitr13[not(@i:nil='true') and string-length(.) != 0] )
                          and
                          (
                              not( $iitr308[not(@i:nil='true')] )
                              or
                              not( $iitr315[not(@i:nil='true')] )
                              or
                              not( $iitr317[not(@i:nil='true')] )
                              or
                              not( $iitr332[not(@i:nil='true')] )
                          )
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.200002
         ELS Ref: V2312B
    
        IF ([iitr13] <> NULLORBLANK) AND (([iitr308] <> NULL) OR ([iitr315] <> NULL) OR ([iitr317] <> NULL) OR ([iitr332] <> NULL))
           RETURN VALIDATION MESSAGE
        ENDIF               

        [iitr13]  = rvctc1.xx.xx:IncomeTax.ReturnType.Code
        [iitr308] = rvctc3.xx.xx:CapitalGainsTax.Event.Indicator
        [iitr315] = rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
        [iitr317] = bafpr3.xx.xx:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
        [iitr332] = rvctc4.xx.xx:InternationalDealings.AssetsLocatedOutsideAustralia.Indicator
    -->
    <assert  id="VR.ATO.IITR.200002" diagnostics="DVR.ATO.IITR.200002"
            test="not(
                          $iitr13[not(@i:nil='true') and string-length(.) != 0]                          
                          and
                          (
                              $iitr308[not(@i:nil='true')]
                              or
                              $iitr315[not(@i:nil='true')]
                              or
                              $iitr317[not(@i:nil='true')]
                              or
                              $iitr332[not(@i:nil='true')]
                          )
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.200003
         ELS Ref: V97B
    
        IF ([iitr13] <> NULL AND 
          ([iitr118] = NULL OR [iitr118] = 0) AND 
          ([iitr119] = NULL OR [iitr119] = 0) AND 
          ([iitr120] = NULL OR [iitr120] = 0) AND 
          ([iitr121] = NULL OR [iitr121] = 0))
            RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr13]  = rvctc1.xx.xx:IncomeTax.ReturnType.Code
        [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount
        [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
        [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
        [iitr121] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldDividendsTFNNotQuoted.Amount
    -->
    <assert  id="VR.ATO.IITR.200003" diagnostics="DVR.ATO.IITR.200003"
             test="not(
                          $iitr13[not(@i:nil='true')]
                          and
                          (
                            not($iitr118[not(@i:nil='true')])
                            or
                            sum($iitr118) = 0
                          )
                          and
                          (
                            not($iitr119[not(@i:nil='true')])
                            or
                            sum($iitr119) = 0
                          )
                          and
                          (
                            not($iitr120[not(@i:nil='true')])
                            or
                            sum($iitr120) = 0
                          )
                          and
                          (
                            not($iitr121[not(@i:nil='true')])
                            or
                            sum($iitr121) = 0
                          )
                      )"/>

    
    <!-- Rule ID: VR.ATO.IITR.200026
         ELS Ref: V121
    
        IF ([iitr166] > 0) AND 
            (([iitr92] = NULL) OR ([iitr92] = 0)) AND 
            (([iitr93] = NULL) OR ([iitr93] = 0)) AND 
            (([iitr94] = NULL) OR ([iitr94] = 0)) AND 
            (([iitr95] = NULL) OR ([iitr95] = 0))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr92]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount
        [iitr93]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount
        [iitr94]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount
        [iitr95]  = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount
        [iitr166] = gfati.xx.xx:gfati.02.00:TaxOffsetClaim.SuperannuationIncomeStream.Amount
    -->
    <assert  id="VR.ATO.IITR.200026" diagnostics="DVR.ATO.IITR.200026"
            test="not(
                          sum($iitr166) > 0
                          and
                          sum($iitr92) = 0
                          and
                          sum($iitr93) = 0
                          and
                          sum($iitr94) = 0
                          and
                          sum($iitr95) = 0
                      )"/>
    

    <!-- Rule ID: VR.ATO.IITR.310000
         ELS Ref: V1005

         IF (([iitr320] <> NULL) AND ([iitr320] < ([iitr321] + [iitr322] + [iitr323] + [iitr324] + [iitr327]))) 
            OR 
            (([iitr320] = NULL) AND (([iitr321] + [iitr322] + [iitr323] + [iitr324] + [iitr327]) > 0))
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr320] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeGross.Amount
         [iitr321] = rvctc4.xx.xx:InternationalDealings.ForeignEmploymentIncomeOther.Amount
         [iitr322] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeWithoutUndeductedPurchasePrice.Amount
         [iitr323] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeUndeductedPurchasePrice.Amount
         [iitr324] = rvctc4.xx.xx:InternationalDealings.ForeignRent.Amount
         [iitr327] = bafpr3.xx.xx:Income.InternationalDealings.Net.Amount
    -->
    <assert id="VR.ATO.IITR.310000" diagnostics="DVR.ATO.IITR.310000"
            test="not(
                          (
                            sum($iitr320) &lt;
                            sum($iitr321|$iitr322|$iitr323|$iitr324|$iitr327)
                          )
                          or
                          (
                            not($iitr320[not(@i:nil='true')]) 
                            and 
                            sum($iitr321|$iitr322|$iitr323|$iitr324|$iitr327) > 0
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310001
         ELS Ref: V1122

        IF ([iitr312] > 0) AND ([iitr311] = NULL) AND (([iitr313] = NULL) OR ([iitr313] = 0))
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
        [iitr312] = rvctc3.xx.xx:Capital.Gains.Total.Amount
        [iitr313] = rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount               
      -->
    <assert id="VR.ATO.IITR.310001" diagnostics="DVR.ATO.IITR.310001"
            test="not(                                            
                        sum($iitr312) &gt; 0 
                        and 
                        (
                            not($iitr311[not(@i:nil='true')]) 
                            and 
                            (
                              not($iitr313[not(@i:nil='true')]) 
                              or
                              sum($iitr313) = 0
                            )
                        )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310002
         ELS Ref: V1182B

        IF ([iitr308] = FALSE) AND (([iitr311] > 0) OR ([iitr312] > 0))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr308] = rvctc3.xx.xx:CapitalGainsTax.Event.Indicator
        [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
        [iitr312] = rvctc3.xx.xx:Capital.Gains.Total.Amount
      -->
    <assert id="VR.ATO.IITR.310002" diagnostics="DVR.ATO.IITR.310002"
            test="not(
                        $iitr308[matches(.,'^(false|0)$')]
                        and 
                        (
                            sum($iitr311) > 0 
                            or 
                            sum($iitr312) > 0
                        )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310003
         ELS Ref: V1182C

        IF ([iitr308] = NULL) AND ([iitr311] > 0)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr308] = rvctc3.xx.xx:CapitalGainsTax.Event.Indicator
        [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
      -->
    <assert id="VR.ATO.IITR.310003" diagnostics="DVR.ATO.IITR.310003" 
            test="not(
                        not($iitr308[not(@i:nil='true')]) 
                        and 
                        sum($iitr311) > 0
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310004
         ELS Ref: V132

        IF ([iitr316] <> NULL) AND ([iitr315] = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr315] = rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
        [iitr316] = bafpr1.xx.xx:Income.ControlledForeignCompaniesAttributableIncome.Amount
    -->
    <assert id="VR.ATO.IITR.310004" diagnostics="DVR.ATO.IITR.310004"
            test="not(
                        $iitr316[not(@i:nil='true')]
                        and 
                        $iitr315[matches(.,'^(false|0)$')]                                                
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310005
         ELS Ref: V134

         IF ([iitr318] <> NULL) AND ([iitr317] = FALSE) 
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr317] = bafpr3.xx.xx:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
         [iitr318] = rvctc4.xx.xx:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
    -->
    <assert id="VR.ATO.IITR.310005" diagnostics="DVR.ATO.IITR.310005"
            test="not(
                        $iitr318[not(@i:nil='true')] 
                        and 
                        $iitr317[matches(.,'^(false|0)$')]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.310006
           ELS Ref: V1375

           IF (([iitr299] + [iitr300]) <> ([iitr294] + [iitr298]))
                RETURN VALIDATION MESSAGE
           ENDIF
        
           [iitr294] = rvctc3.xx.xx:Tax.Losses.BroughtForward.PartnershipNonCommercialShare.Amount
           [iitr298] = rvctc3.xx.xx:Tax.Losses.BroughtForward.SoleTraderNonCommercial.Amount
           [iitr299] = rvctc3.xx.xx:Tax.Losses.BroughtForward.DeferredNonCommercialPrimaryProduction.Amount
           [iitr300] = rvctc3.xx.xx:Tax.Losses.BroughtForward.DeferredNonCommercialNonPrimaryProduction.Amount
      -->
    <assert id="VR.ATO.IITR.310006" diagnostics="DVR.ATO.IITR.310006"
            test="not(              
                        sum($iitr299|$iitr300) != sum($iitr294|$iitr298)              
                     )" />


    <!-- Rule ID: VR.ATO.IITR.310027
         ELS Ref: V1386B

         IF  ([iitr406] = NULL) AND ([iitr404] = TRUE) AND ([iitr405] = FALSE)
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr404] = bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator
         [iitr405] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.SatisfyTheResultsTest.Indicator
         [iitr406] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.ReceivedADeterminationForTheWholeOfThePeriod.Indicator
    -->
    <assert id="VR.ATO.IITR.310027" diagnostics="DVR.ATO.IITR.310027"
            test="not(
                        not($iitr406[not(@i:nil='true')]) 
                        and 
                        $iitr404[matches(.,'^(true|1)$')]
                        and 
                        $iitr405[matches(.,'^(false|0)$')]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.310030
         ELS Ref: V1434A

         IF  ([iitr311] > 0)
          AND ((([iitr312] <> NULL) AND ([iitr311] > [iitr312]))
            OR (([iitr312] = NULL) AND ([iitr311] > 0)))
          RETURN VALIDATION MESSAGE
        ENDIF        
        
        [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
        [iitr312] = rvctc3.xx.xx:Capital.Gains.Total.Amount
      -->
    <assert id="VR.ATO.IITR.310030" diagnostics="DVR.ATO.IITR.310030"
            test="not(
                        sum($iitr311) > 0 
                        and 
                        $iitr312[not(@i:nil='true')] 
                        and 
                        sum($iitr311) > sum($iitr312)
                     )" />


    <!-- Rule ID: VR.ATO.IITR.310031
         ELS Ref: V1434B

         IF  ([iitr311] > 0) AND ([iitr312] = NULL)
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
         [iitr312] = rvctc3.xx.xx:Capital.Gains.Total.Amount
    -->
    <assert id="VR.ATO.IITR.310031" diagnostics="DVR.ATO.IITR.310031"
            test="not(
                        sum($iitr311) > 0
                        and 
                        not($iitr312[not(@i:nil='true')])
		                 )" />


    <!-- Rule ID: VR.ATO.IITR.310032
         ELS Ref: V1532A

         IF  (([iitr405] = TRUE) OR ([iitr406] = TRUE) OR ([iitr408] = TRUE) OR ([iitr409] = TRUE) OR ([iitr410] = TRUE)) AND (([iitr411] > 0) OR ([iitr412] > 0) OR ([iitr413] > 0) OR ([iitr414] > 0) OR ([iitr415] > 0) OR ([iitr416] > 0))
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr405] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.SatisfyTheResultsTest.Indicator
         [iitr406] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.ReceivedADeterminationForTheWholeOfThePeriod.Indicator
         [iitr408] = bafpr3.xx.xx:Income.PersonalServicesIncome.UnrelatedClients.Indicator
         [iitr409] = bafpr3.xx.xx:Income.PersonalServicesIncome.Employment.Indicator
         [iitr410] = bafpr3.xx.xx:Income.PersonalServicesIncome.BusinessPremises.Indicator
         [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
         [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
         [iitr414] = bafpr3.xx.xx:Income.PersonalServicesIncome.Other.Amount
         [iitr415] = bafpr3.xx.xx:Expense.PersonalServicesIncome.AssociatesForPrincipalWorkDeduction.Amount
         [iitr416] = bafpr3.xx.xx:Expense.PersonalServicesIncome.DeductionsOther.Amount

    -->
    <assert id="VR.ATO.IITR.310032" diagnostics="DVR.ATO.IITR.310032"
            test="not(
                        (
                          $iitr405[matches(.,'^(true|1)$')]
                          or 
                          $iitr406[matches(.,'^(true|1)$')]
                          or 
                          $iitr408[matches(.,'^(true|1)$')]
                          or 
                          $iitr409[matches(.,'^(true|1)$')]
                          or 
                          $iitr410[matches(.,'^(true|1)$')]
                        ) 
                        and 
                        (
                          sum($iitr411) > 0 
                          or 
                          sum($iitr412) > 0 
                          or 
                          sum($iitr413) > 0 
                          or 
                          sum($iitr414) > 0 
                          or 
                          sum($iitr415) > 0 
                          or 
                          sum($iitr416) > 0
                        )
                     )" />


    <!-- Rule ID: VR.ATO.IITR.310033
         ELS Ref: V1532B

         IF  (([iitr407] = NULL) OR ([iitr407] = FALSE)) AND (([iitr408] <> NULL) OR ([iitr409] <> NULL) OR ([iitr410] <> NULL)) 
          AND (([iitr411] <> NULL) OR ([iitr412] <> NULL) OR ([iitr413] <> NULL) OR ([iitr414] <> NULL) OR ([iitr415] <> NULL) OR ([iitr416] <> NULL))
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr407] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.ReceivedEightyPercentOfIncomeFromOneSource.Indicator
         [iitr408] = bafpr3.xx.xx:Income.PersonalServicesIncome.UnrelatedClients.Indicator
         [iitr409] = bafpr3.xx.xx:Income.PersonalServicesIncome.Employment.Indicator
         [iitr410] = bafpr3.xx.xx:Income.PersonalServicesIncome.BusinessPremises.Indicator
         [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
         [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
         [iitr414] = bafpr3.xx.xx:Income.PersonalServicesIncome.Other.Amount
         [iitr415] = bafpr3.xx.xx:Expense.PersonalServicesIncome.AssociatesForPrincipalWorkDeduction.Amount
         [iitr416] = bafpr3.xx.xx:Expense.PersonalServicesIncome.DeductionsOther.Amount
   -->
    <assert id="VR.ATO.IITR.310033" diagnostics="DVR.ATO.IITR.310033"
            test="not(
                        (
                          not($iitr407[not(@i:nil='true')]) or 
                          $iitr407[matches(.,'^(false|0)$')]
                        ) 
                        and 
                        (
                          $iitr408[not(@i:nil='true')] 
                          or 
                          $iitr409[not(@i:nil='true')] 
                          or 
                          $iitr410[not(@i:nil='true')]
                        ) 
                        and 
                        (
                          $iitr411[not(@i:nil='true')] 
                          or 
                          $iitr412[not(@i:nil='true')] 
                          or 
                          $iitr413[not(@i:nil='true')] 
                          or 
                          $iitr414[not(@i:nil='true')] 
                          or 
                          $iitr415[not(@i:nil='true')] 
                          or 
                          $iitr416[not(@i:nil='true')]
                        )
                     )" />


    <!-- Rule ID: VR.ATO.IITR.310034
         ELS Ref: V1532C

         IF  ([iitr407] = TRUE) AND (([iitr408] = NULL) AND ([iitr409] = NULL) AND ([iitr410] = NULL)) AND (([iitr411] = NULL) AND ([iitr412] = NULL) AND ([iitr413] = NULL) AND ([iitr414] = NULL)) AND ([iitr438] = NULL)
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr407] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.ReceivedEightyPercentOfIncomeFromOneSource.Indicator
         [iitr408] = bafpr3.xx.xx:Income.PersonalServicesIncome.UnrelatedClients.Indicator
         [iitr409] = bafpr3.xx.xx:Income.PersonalServicesIncome.Employment.Indicator
         [iitr410] = bafpr3.xx.xx:Income.PersonalServicesIncome.BusinessPremises.Indicator
         [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
         [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
         [iitr414] = bafpr3.xx.xx:Income.PersonalServicesIncome.Other.Amount
         [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount

    -->
    <assert id="VR.ATO.IITR.310034" diagnostics="DVR.ATO.IITR.310034"
            test="not(
                       $iitr407[matches(.,'^(true|1)$')]
                       and 
                       (
                          not($iitr408[not(@i:nil='true')]) 
                          and 
                          not($iitr409[not(@i:nil='true')]) 
                          and 
                          not($iitr410[not(@i:nil='true')]) 
                          and 
                          not($iitr411[not(@i:nil='true')]) 
                          and 
                          not($iitr412[not(@i:nil='true')]) 
                          and 
                          not($iitr413[not(@i:nil='true')]) 
                          and 
                          not($iitr414[not(@i:nil='true')]) 
                          and 
                          not($iitr438[not(@i:nil='true')])
                        )
                    )" />


    <!-- Rule ID: VR.ATO.IITR.310053
         ELS Ref: V1895

         IF ([iitr405] = NULL) AND ([iitr404] = TRUE)
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr404] = bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator
         [iitr405] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.SatisfyTheResultsTest.Indicator
    -->
    <assert id="VR.ATO.IITR.310053" diagnostics="DVR.ATO.IITR.310053"
            test="not(
                        not($iitr405[not(@i:nil='true')]) 
                        and 
                        $iitr404[matches(.,'^(true|1)$')]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.310062
         ELS Ref: V1386C

         IF  ([iitr407] = NULL) AND ([iitr404] = TRUE) AND ([iitr405] = FALSE) AND ([iitr406] = FALSE)
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr404] = bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator
         [iitr405] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.SatisfyTheResultsTest.Indicator
         [iitr406] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.ReceivedADeterminationForTheWholeOfThePeriod.Indicator
         [iitr407] = rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.ReceivedEightyPercentOfIncomeFromOneSource.Indicator
             
    -->
    <assert id="VR.ATO.IITR.310062" diagnostics="DVR.ATO.IITR.310062"
            test="not(            
                        not($iitr407[not(@i:nil='true')])
                        and
                        $iitr404[matches(.,'^(true|1)$')]
                        and
                        $iitr405[matches(.,'^(false|0)$')]
                        and
                        $iitr406[matches(.,'^(false|0)$')]                        
                     )" />    
    
    
    <!-- Rule ID: VR.ATO.IITR.310064
         ELS Ref: V2519

         IF ([iitr302] > 400000)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr302] = rvctc2.xx.xx:IncomeTax.Deduction.FarmManagementDeposits.Amount
    -->
    <assert id="VR.ATO.IITR.310064" diagnostics="DVR.ATO.IITR.310064"
            test="not(
                        sum($iitr302) > 400000                        
                     )" />

    <!-- Rule ID: VR.ATO.IITR.310065
         ELS Ref: V2521

         IF (([iitr306] <> NULL) AND ([iitr302] = NULL AND [iitr304] = NULL AND [iitr305] = NULL)) OR (([iitr306] = NULL) AND ([iitr302] <> NULL OR [iitr304] <> NULL OR [iitr305] <> NULL))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr302] = rvctc2.xx.xx:IncomeTax.Deduction.FarmManagementDeposits.Amount 
         [iitr304] = bafpr1.xx.xx:Income.FarmManagementEarlyRepaymentsNaturalDisaster.Amount
         [iitr305] = bafpr1.xx.xx:Income.FarmManagementOtherRepayments.Amount
         [iitr306] = bafpr1.xx.xx:Income.FarmManagementDepositsOrRepaymentsNet.Amount
    -->
    <assert id="VR.ATO.IITR.310065" diagnostics="DVR.ATO.IITR.310065"
            test="not(    
                          (
                            $iitr306[not(@i:nil='true')]
                            and
                            (
                                not( $iitr302[not(@i:nil='true')] )
                                and
                                not( $iitr304[not(@i:nil='true')] )
                                and
                                not( $iitr305[not(@i:nil='true')] )
                            )
                          )
                          or
                          (
                            not( $iitr306[not(@i:nil='true')] )
                            and
                            (
                                $iitr302[not(@i:nil='true')]
                                or
                                $iitr304[not(@i:nil='true')]
                                or
                                $iitr305[not(@i:nil='true')]
                            )
                          )            
                          
                     )" />

    <!-- Rule ID: VR.ATO.IITR.310074
         ELS Ref: V2738

         IF (([iitr294] = NULL) AND ([iitr291] + [iitr292] + [iitr293] <> 0)) OR (([iitr294] <> NULL) AND ([iitr294] <> [iitr291] + [iitr292] + [iitr293]))
             RETURN VALIDATION MESSAGE
         ENDIF

 
         [iitr291] = rvctc3.xx.xx:Tax.Losses.BroughtForward.PartnershipInvestmentNonCommercialShare.Amount
         [iitr292] = rvctc3.xx.xx:Tax.Losses.BroughtForward.PartnershipRentalPropertyNonCommercialShare.Amount
         [iitr293] = rvctc3.xx.xx:Tax.Losses.BroughtForward.PartnershipNonCommercialOtherShare.Amount
         [iitr294] = rvctc3.xx.xx.Tax.Losses.BroughtForward.PartnershipNonCommercialShare.Amount                 
    -->
    <assert id="VR.ATO.IITR.310074" diagnostics="DVR.ATO.IITR.310074"
            test="not(
                         (
                            not( $iitr294[not(@i:nil='true')])
                            and 
                            (
                                sum($iitr291|$iitr292|$iitr293) != 0                            
                            )
                         )
                         or
                         (
                            $iitr294[not(@i:nil='true')]
                            and
                            (
                                sum($iitr291|$iitr292|$iitr293) != $iitr294[not(@i:nil='true')]
                            )
                         )            
                     )" />


    <!-- Rule ID: VR.ATO.IITR.310075
         ELS Ref: V2739

         IF (([iitr298] = NULL) AND ([iitr295] + [iitr296] + [iitr297] <> 0)) OR (([iitr298] <> NULL) AND ([iitr298] <> [iitr295] + [iitr296] + [iitr297]))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr295] = rvctc3.xx.xx:Tax.Losses.BroughtForward.SoleTraderInvestmentNonCommercial.Amount
         [iitr296] = rvctc3.xx.xx:Tax.Losses.BroughtForward.SoleTraderRentalPropertyNonCommercial.Amount
         [iitr297] = rvctc3.xx.xx:Tax.Losses.BroughtForward.SoleTraderNonCommercialOther.Amount
         [iitr298] = rvctc3.xx.xx:Tax.Losses.BroughtForward.SoleTraderNonCommercial.Amount
    -->
    <assert id="VR.ATO.IITR.310075" diagnostics="DVR.ATO.IITR.310075"
            test="not(
                         (
                            not( $iitr298[not(@i:nil='true')])
                            and 
                            (
                                sum($iitr295|$iitr296|$iitr297) != 0                            
                            )
                         )
                         or
                         (
                            $iitr298[not(@i:nil='true')]
                            and
                            (
                                sum($iitr295|$iitr296|$iitr297) != $iitr298[not(@i:nil='true')]
                            )
                         )
                     )" />


    <!-- Rule ID: VR.ATO.IITR.310076
         ELS Ref: V2740

         IF (([iitr327] = NULL) AND ([iitr325] + [iitr326] <> 0)) OR (([iitr327] <> NULL) AND ([iitr327] <> [iitr325] + [iitr326]))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr325] = rvctc4.xx.xx:InternationalDealings.ForeignSourceCompanyIncomeOther.Amount
         [iitr326] = rvctc4.xx.xx:InternationalDealings.ForeignSourceIncomeOther.Amount
         [iitr327] = bafpr3.xx.xx:Income.InternationalDealings.Net.Amount         
    -->
    <assert id="VR.ATO.IITR.310076" diagnostics="DVR.ATO.IITR.310076"
            test="not(                         
                        (
                            not( $iitr327[not(@i:nil='true')])
                            and 
                            (
                                sum($iitr325|$iitr326) != 0                            
                            )
                         )
                         or
                         (
                            $iitr327[not(@i:nil='true')]
                            and
                            (
                                sum($iitr325|$iitr326) != $iitr327[not(@i:nil='true')]
                            )
                         )            
                     )" />

    
    <!-- Rule ID: VR.ATO.IITR.310079
         ELS Ref: V285

         IF ([iitr444] <> NULL) AND (([iitr443] = NULL) OR ([iitr443] = 0))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr443] = bafpr1.xx.xx:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount
         [iitr444] = bafpr1.xx.xx:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Indicator
    -->
    <assert id="VR.ATO.IITR.310079" diagnostics="DVR.ATO.IITR.310079"
            test="not(
                        $iitr444[not(@i:nil='true')]
                        and         
                        sum($iitr443) = 0
                     )" />

    
    <!-- Rule ID: VR.ATO.IITR.310080
         ELS Ref: V286

         IF ([iitr446] <> NULL) AND (([iitr445] = NULL) OR ([iitr445] = 0))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr445] = bafpr1.xx.xx:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount
         [iitr446] = bafpr1.xx.xx:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Indicator
    -->
    <assert id="VR.ATO.IITR.310080" diagnostics="DVR.ATO.IITR.310080"
            test="not(
                        $iitr446[not(@i:nil='true')]
                        and         
                        sum($iitr445) = 0
                     )" />    

    
    <!-- Rule ID: VR.ATO.IITR.310081
         ELS Ref: V91A

         IF ([iitr335] > 0 OR [iitr336] > 0 OR [iitr337] > 0) AND ([iitr334] = NULL) 
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr334] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
         [iitr335] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeInterestDeductions.Amount
         [iitr336] = rvctc2.xx.xx:IncomeTax.Deduction.CapitalWorksDeductions.Amount
         [iitr337] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount 
    -->
    <assert id="VR.ATO.IITR.310081" diagnostics="DVR.ATO.IITR.310081"
            test="not(
                        not( $iitr334[not(@i:nil='true')] )
                        and 
                        (                                
                            sum($iitr335) > 0
                            or
                            sum($iitr336) > 0
                            or
                            sum($iitr337) > 0
                        )                         
                     )" />

    
    <!-- Rule ID: VR.ATO.IITR.310082
         ELS Ref: V91B

         IF ([iitr334] > 0) AND ([iitr335] = NULL AND [iitr336] = NULL AND [iitr337] = NULL) 
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr334] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
         [iitr335] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeInterestDeductions.Amount
         [iitr336] = rvctc2.xx.xx:IncomeTax.Deduction.CapitalWorksDeductions.Amount
         [iitr337] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount 
    -->
    <assert id="VR.ATO.IITR.310082" diagnostics="DVR.ATO.IITR.310082"
            test="not(
                        sum($iitr334) > 0
                        and 
                        (
                            not( $iitr335[not(@i:nil='true')] )
                            and
                            not( $iitr336[not(@i:nil='true')] )
                            and
                            not( $iitr337[not(@i:nil='true')] )
                        )
                     )" />

    
    <!-- Rule ID: VR.ATO.GEN.438019
         ELS Ref: V2627

         IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator = TRUE) AND (COUNT(RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULL) = 0)
           RETURN VALIDATION MESSAGE
         ENDIF
    -->    
    <assert  id="VR.ATO.GEN.438019" diagnostics="DVR.ATO.GEN.438019" 
             test="not(
                        rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator[@contextRef = $IITR.RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and
                        count(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef = $IITR.RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                     )"></assert>


    <!-- Rule ID: VR.ATO.GEN.438021
         ELS Ref: V2628
         
         IF (COUNT(RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULL) > 0) AND (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator <> TRUE)
           RETURN VALIDATION MESSAGE
         ENDIF
        -->
    <assert  id="VR.ATO.GEN.438021" diagnostics="DVR.ATO.GEN.438021" 
             test="not(
                        count(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef = $IITR.RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        not(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator[@contextRef = $IITR.RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                     )"></assert>    


    <!-- Rule ID: VR.ATO.GEN.500077
         ELS Ref: N/A
         
         IF COUNT(rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code) > 25
            RETURN VALIDATION MESSAGE
         ENDIF
        -->
    <assert  id="VR.ATO.GEN.500077" diagnostics="DVR.ATO.GEN.500077"
             test="not(
                        count(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[not(@i:nil='true' or @i:nil='1')]) &gt; 25
                     )"></assert>
  </rule>

  <!-- LOOP THROUGH REPORTING PARTY EMPLOYMENT TERMINATION PAYMENT SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPETPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.000212
         ELS Ref: V2697
    
        WHERE IN CONTEXT(RP.{ETPSeqNum})
        IF (
              (
                  [iitr76] = NULLORBLANK 
                  AND 
                  (
                      [iitr73] <> NULL OR [iitr74] <> NULL OR [iitr75] <> NULL OR ([iitr77] <> NULLORBLANK OR [iitr546] <> NULLORBLANK)
                  )
              )
           )    
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr73]  = bafpr1.xx.xx:Income.EmploymentTerminationPayment.Date
        [iitr74]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmploymentTerminationPayment.Amount
        [iitr75]  = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount
        [iitr76]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.EmploymentTerminationPaymentType.Code
        [iitr77]  = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier      
        [iitr546] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier
    -->
    <assert  id="VR.ATO.IITR.000212" diagnostics="DVR.ATO.IITR.000212"
            test="not(
                          not($iitr76[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                          and
                          (
                              $iitr73[not(@i:nil='true') and @contextRef = $thisContextId]
                              or
                              $iitr74[not(@i:nil='true') and @contextRef = $thisContextId]
                              or
                              $iitr75[not(@i:nil='true') and @contextRef = $thisContextId]
                              or
                              $iitr77[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                              or
                              $iitr546[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                          )
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000213
         ELS Ref: V2697
    
        WHERE IN CONTEXT(RP.{ETPSeqNum})
        IF (
              [iitr76] <> NULLORBLANK 
              AND 
              (
                  [iitr73] = NULL OR [iitr74] = NULL OR [iitr75] = NULL OR ([iitr77] = NULLORBLANK AND [iitr546] = NULLORBLANK)
              )
           )    
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr73]  = bafpr1.xx.xx:Income.EmploymentTerminationPayment.Date
        [iitr74]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmploymentTerminationPayment.Amount
        [iitr75]  = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount
        [iitr76]  = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.EmploymentTerminationPaymentType.Code
        [iitr77]  = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier        
        [iitr546] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier
    -->
    <assert  id="VR.ATO.IITR.000213" diagnostics="DVR.ATO.IITR.000213"
            test="not(
                          $iitr76[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                          and
                          (
                              not($iitr73[not(@i:nil='true') and @contextRef = $thisContextId])
                              or
                              not($iitr74[not(@i:nil='true') and @contextRef = $thisContextId])
                              or
                              not($iitr75[not(@i:nil='true') and @contextRef = $thisContextId])
                              or
                              (
                                  not($iitr77[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                                  and
                                  not($iitr546[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                              )
                          )
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000223
        ELS Ref: N/A
    
        WHERE IN CONTEXT(RP.{ETPSeqNum})
        IF ([iitr546] <> NULLORBLANK) AND ([iitr77] <> NULLORBLANK) 
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr77] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
        [iitr546] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier
    -->
    <assert  id="VR.ATO.IITR.000223" diagnostics="DVR.ATO.IITR.000223"
            test="not(
                          $iitr546[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                          and
                          $iitr77[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000275
         ELS Ref: N/A
      
         IF ([iitr546] <> NULLORBLANK AND WPNALGORITHM([iitr546]) = FALSE)
           RETURN VALIDATION MESSAGE
         ENDIF

         [iitr546] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier
    -->
    <assert  id="VR.ATO.IITR.000275" diagnostics="DVR.ATO.IITR.000275"
             test="not(
                          $iitr546
                          [
                              not(@i:nil='true') 
                              and 
                              string-length(.) != 0
                              and 
                              @contextRef = $thisContextId
                              and
                              not(function:ValidateTFN(.))
                          ]
                      )"/>
    
    
     <!-- Rule ID: VR.ATO.IITR.000378
          ELS Ref: V1200
       
          IF ([iitr77] <> NULLORBLANK) AND (ABNALGORITHM([iitr77]) = FALSE)
             RETURN VALIDATION MESSAGE
          ENDIF
        
          [iitr77] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer
    -->
    <assert id="VR.ATO.IITR.000378" diagnostics="DVR.ATO.IITR.000378"
            test="not(
                          $iitr77
                          [
                              not(@i:nil='true') 
                              and 
                              string-length(.) != 0 
                              and 
                              @contextRef = $thisContextId
                              and
                              not(function:ValidateABN(.))
                          ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.100003
         ELS Ref: V2148

         IF (ANY OCCURRENCE OF ([iitr73]) < RP:period.startDate) OR (ANY OCCURRENCE OF ([iitr73]) > RP:period.endDate)
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr73] = bafpr1.xx.xx:Income.EmploymentTerminationPayment.Date
    -->
    <assert id="VR.ATO.IITR.100003" diagnostics="DVR.ATO.IITR.100003"
            test="not(
                        $startDateRP[not(@i:nil='true')]
                        and
                        $endDateRP[not(@i:nil='true')]
                        and
                        $iitr73
                        [
                            @contextRef = $thisContextId
                            and
                            (
                                function:IsDate1GreaterThanDate2($startDateRP[1], .)
                                or
                                function:IsDate1GreaterThanDate2(., $endDateRP[1])
                            )                            
                        ]                        
                     )" />
  </rule>

  <!-- LOOP THROUGH REPORTING PARTY EMPLOYEE LUMP SUM PAYMENT SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPELSPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.000205
         ELS Ref: V1775
    
        WHERE IN CONTEXT(RP.{EmpLSPSeqNum})
        IF ([iitr69] = NULLORBLANK) AND ([iitr68] > 0)
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr68] = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount
        [iitr69] = lrla.xx.xx:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Code         
    -->
    <assert  id="VR.ATO.IITR.000205" diagnostics="DVR.ATO.IITR.000205"
             test="not(
                          not($iitr69[not(@i:nil='true') and @contextRef = $thisContextId])
                          and
                          $iitr68[. > 0 and @contextRef = $thisContextId]
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000206
         ELS Ref: V1776
    
        WHERE IN CONTEXT(RP.{EmpLSPSeqNum})
        IF ([iitr68] = NULL OR [iitr68] = 0) AND ([iitr69] <> NULLORBLANK)        
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr68] = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount
        [iitr69] = lrla.xx.xx:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Code         
    -->
    <assert  id="VR.ATO.IITR.000206" diagnostics="DVR.ATO.IITR.000206"
             test="not(
                          (
                              not($iitr68[not(@i:nil='true') and @contextRef = $thisContextId])
                              or
                              $iitr68[. = 0 and @contextRef = $thisContextId]
                          )                          
                          and
                          $iitr69[not(@i:nil='true') and @contextRef = $thisContextId]                                       
                      )"/>

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY SUPER LUMP SUM PAYMENT SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSLSPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.000231
         ELS Ref: V2125

         WHERE IN CONTEXT(RP.{SLSPSeqNum})
         IF (([iitr99] > 0 OR [iitr100] > 0) AND ([iitr101] = NULLORBLANK))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr99]  = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
         [iitr100] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount
         [iitr101] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.000231" diagnostics="DVR.ATO.IITR.000231"
            test="not(
                        (
                            $iitr99[. > 0 and @contextRef = $thisContextId]
                            or 
                            $iitr100[. > 0 and @contextRef = $thisContextId]
                        )
                        and
                        not($iitr101[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000240
         ELS Ref: V2125

         WHERE IN CONTEXT(RP.{SLSPSeqNum})
         IF ([iitr97] = NULL) AND ([iitr99] > 0 OR [iitr100] > 0)         
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr97]  = bafpr3.xx.xx:Income.Superannuation.LumpSumPayment.Date
         [iitr99]  = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount
         [iitr100] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount
    -->
    <assert id="VR.ATO.IITR.000240" diagnostics="DVR.ATO.IITR.000240"
            test="not(
                        not($iitr97[not(@i:nil='true') and @contextRef = $thisContextId])                        
                        and
                        (
                            $iitr99[. > 0 and @contextRef = $thisContextId]
                            or 
                            $iitr100[. > 0 and @contextRef = $thisContextId]
                        )
                     )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.000379
         ELS Ref: V1200
      
         IF ([iitr101]) <> NULLORBLANK AND (ABNALGORITHM([iitr101]) = FALSE)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr101] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer
    -->
    <assert id="VR.ATO.IITR.000379" diagnostics="DVR.ATO.IITR.000379"
            test="not(
                          $iitr101
                          [
                              not(@i:nil='true') 
                              and 
                              string-length(.) != 0 
                              and 
                              @contextRef = $thisContextId
                              and
                              not(function:ValidateABN(.))
                          ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.100002
         ELS Ref: V2147

         IF (ANY OCCURRENCE OF ([iitr97]) < RP:period.startDate) OR (ANY OCCURRENCE OF ([iitr97]) > RP:period.endDate)
            RETURN VALIDATION MESSAGE
         ENDIF              

         [iitr97] = bafpr3.xx.xx:Income.Superannuation.LumpSumPayment.Date                                
    -->
    <assert id="VR.ATO.IITR.100002" diagnostics="DVR.ATO.IITR.100002"
            test="not(
                        $startDateRP[not(@i:nil='true')]
                        and
                        $endDateRP[not(@i:nil='true')]
                        and
                        $iitr97
                        [
                            @contextRef = $thisContextId
                            and
                            (
                                function:IsDate1GreaterThanDate2($startDateRP[1], .)
                                or
                                function:IsDate1GreaterThanDate2(., $endDateRP[1])
                            )                            
                        ]                        
                     )" />

    
    <!-- Rule ID: VR.ATO.IITR.100052
         ELS Ref: V2198

         IF (ANY OCCURANCE OF ([iitr97] >= (CONVERT_TO_DATE([iitr29].day, [iitr29].month, [iitr29].year +60)) AND [iitr99] > 0 and [iitr102] <> 'true'))         
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr29]  = pyde.xx.xx:PersonDemographicDetails.Birth.Date
         [iitr97]  = bafpr3.xx.xx:Income.Superannuation.LumpSumPayment.Date
         [iitr102] = bafpr3.xx.xx:Income.Superannuation.PaymentType.Indicator
    -->
    <assert id="VR.ATO.IITR.100052" diagnostics="DVR.ATO.IITR.100052"
            test="not(                        
                          $iitr29
                          and                          
                          $iitr99[. > 0 and @contextRef = $thisContextId]
                          and
                          $iitr102[not(matches(.,'^(true|1)$')) and @contextRef = $thisContextId]
                          and
                          $iitr97
                          [
                              @contextRef = $thisContextId
                              and
                              function:IsDate1GreaterOrEqualToDate2
                              (
                                  ., 
                                  function:AddRemoveYearsToDate($iitr29, 60)
                              )
                          ]
                     )" />
  </rule>


  <!-- LOOP THROUGH REPORTING PARTY INCOME SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPINCSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.310072
         ELS Ref: V272

         IF ANY OCCURRENCE OF ((([iitr343] = NULLORBLANK) OR ([iitr348] = NULL)) AND (([iitr343] <> NULLORBLANK) OR ([iitr345] <> NULL) OR ([iitr346] <> NULL) OR ([iitr347] <> NULL) OR ([iitr348] <> NULL) OR ([iitr344] <> NULLORBLANK)))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr343] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Other.Text
         [iitr344] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Other.Code
         [iitr345] = rvctc1.xx.xx:IncomeTax.AssessableLowValuePoolDeductionFinancialInvestmentsOther.Amount
         [iitr346] = rvctc1.xx.xx:IncomeTax.AssessableLowValuePoolDeductionRentalPropertyOther.Amount
         [iitr347] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Other.Amount
         [iitr348] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Total.Amount 
    -->
    <assert id="VR.ATO.IITR.310072" diagnostics="DVR.ATO.IITR.310072"
            test="not(   

                        (
                          not($iitr343[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                          or
                          not($iitr348[not(@i:nil='true') and @contextRef = $thisContextId])
                        )
                        and
                        (
                          $iitr343[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                          or
                          $iitr345[not(@i:nil='true') and @contextRef = $thisContextId]
                          or
                          $iitr346[not(@i:nil='true') and @contextRef = $thisContextId]
                          or
                          $iitr347[not(@i:nil='true') and @contextRef = $thisContextId]
                          or
                          $iitr348[not(@i:nil='true') and @contextRef = $thisContextId]
                          or
                          $iitr344[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]                          
                        )

                     )" />


    <!-- Rule ID: VR.ATO.IITR.310073
         ELS Ref: V273

         IF ANY OCCURRENCE OF ((([iitr349] = NULLORBLANK) OR ([iitr353] = NULL)) AND (([iitr349] <> NULLORBLANK) OR ([iitr351] <> NULL) OR ([iitr352] <> NULL) OR ([iitr353] <> NULL) OR ([iitr350] <> NULLORBLANK)))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr349] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Other.Text
         [iitr350] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Other.Code
         [iitr351] = rvctc1.xx.xx:IncomeTax.FinancialInvestmentsOther.Amount
         [iitr352] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Other.Amount
         [iitr353] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Total.Amount            
    -->
    <assert id="VR.ATO.IITR.310073" diagnostics="DVR.ATO.IITR.310073"
            test="not(   

                        (
                          not($iitr349[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                          or
                          not($iitr353[not(@i:nil='true') and @contextRef = $thisContextId])
                        )
                        and
                        (
                          $iitr349[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]                          
                          or
                          $iitr351[not(@i:nil='true') and @contextRef = $thisContextId]
                          or
                          $iitr352[not(@i:nil='true') and @contextRef = $thisContextId]
                          or
                          $iitr353[not(@i:nil='true') and @contextRef = $thisContextId]
                          or
                          $iitr350[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]                          
                        )

                     )" />
    

    <!-- Rule ID: VR.ATO.IITR.310077
         ELS Ref: V2741

         IF (SUM([iitr348]) <> (SUM([iitr345]) + SUM([iitr346]) + SUM([iitr347])))
            RETURN VALIDATION MESSAGE
         ENDIF
                 
         [iitr345] = rvctc1.xx.xx:IncomeTax.AssessableLowValuePoolDeductionFinancialInvestmentsOther.Amount
         [iitr346] = rvctc1.xx.xx:IncomeTax.AssessableLowValuePoolDeductionRentalPropertyOther.Amount
         [iitr347] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Other.Amount
         [iitr348] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Total.Amount
    -->
    <assert id="VR.ATO.IITR.310077" diagnostics="DVR.ATO.IITR.310077"
            test="not(                             
                          sum
                          ( 
                              $iitr348[not(@i:nil='true') and @contextRef = $thisContextId] 
                          )                              
                          !=
                          sum
                          ( 
                               $iitr345[not(@i:nil='true') and @contextRef = $thisContextId] |                          
                               $iitr346[not(@i:nil='true') and @contextRef = $thisContextId] |                          
                               $iitr347[not(@i:nil='true') and @contextRef = $thisContextId] 
                          )

                     )" />

    
    <!-- Rule ID: VR.ATO.IITR.310078
         ELS Ref: V2742

         IF (SUM([iitr353]) <> (SUM([iitr351]) + SUM([iitr352])))
            RETURN VALIDATION MESSAGE
         ENDIF
                 
         [iitr351] = rvctc1.xx.xx:IncomeTax.FinancialInvestmentsOther.Amount
         [iitr352] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Other.Amount
         [iitr353] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Total.Amount
    -->
    <assert id="VR.ATO.IITR.310078" diagnostics="DVR.ATO.IITR.310078"
            test="not(
                          sum
                          (
                              $iitr353[not(@i:nil='true') and @contextRef = $thisContextId]
                          )
                          !=
                          sum
                          (
                               $iitr351[not(@i:nil='true') and @contextRef = $thisContextId] |
                               $iitr352[not(@i:nil='true') and @contextRef = $thisContextId]
                          )

                     )" />
  </rule>

  
<!-- LOOP THROUGH REPORTING PARTY SALARY AND WAGES SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSaWSEQ.ContextId]">

    <let name="thisContextId" value="@id" />
    
    <!-- Rule ID: VR.ATO.IITR.000217
        ELS Ref: N/A
    
        WHERE IN CONTEXT(RP.{SaWSeqNum})
        IF ([iitr547] <> NULLORBLANK AND [iitr60] <> NULLORBLANK) 
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr60] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
        [iitr547] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier
    -->
    <assert  id="VR.ATO.IITR.000217" diagnostics="DVR.ATO.IITR.000217"
            test="not(
                          $iitr547[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                          and
                          $iitr60[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000274
         ELS Ref: N/A
      
         IF ([iitr547] <> NULLORBLANK AND WPNALGORITHM([iitr547]) = FALSE)
           RETURN VALIDATION MESSAGE
         ENDIF

         [iitr547] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier
    -->
    <assert  id="VR.ATO.IITR.000274" diagnostics="DVR.ATO.IITR.000274"
             test="not(
                          $iitr547
                          [
                              not(@i:nil='true') 
                              and 
                              string-length(.) != 0
                              and 
                              @contextRef = $thisContextId
                              and
                              not(function:ValidateTFN(.))
                          ]
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000377
         ELS Ref: V1200
      
         IF ([iitr60] <> NULLORBLANK) AND (ABNALGORITHM([iitr60]) = FALSE)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr60] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer
    -->
    <assert id="VR.ATO.IITR.000377" diagnostics="DVR.ATO.IITR.000377"
            test="not(
                          $iitr60
                          [
                              not(@i:nil='true') 
                              and 
                              string-length(.) != 0 
                              and 
                              @contextRef = $thisContextId
                              and
                              not(function:ValidateABN(.))
                          ]
                     )"/>
                              
  </rule>

  <rule context="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef = $IITR.RP.ContextId and not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.GEN.500076
         ELS Ref: V2681
         
         IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULLORBLANK) AND 
            (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ANY OTHER OCCURRENCE OF RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code)
	         RETURN VALIDATION MESSAGE
         ENDIF                                         
     -->
    <let name="thisCode" value="."/>
    
     <assert  id="VR.ATO.GEN.500076" diagnostics="DVR.ATO.GEN.500076" 
             test="not(             
                          preceding-sibling::rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
                          [
                              @contextRef = $IITR.RP.ContextId 
                              and 
                              not(@i:nil='true' or @i:nil='1')
                              and
                              . = $thisCode
                          ]
                       )" />
    
  </rule>
</pattern>
