﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>
  
  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.IITR.000295
         ELS Tag: V17
         
         IF [iitr131] = NULL
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr131] = bafpr1.xx.xx:Income.Net.Amount
    -->
    <assert id="VR.ATO.IITR.000295" diagnostics="DVR.ATO.IITR.000295"
            test="not(
                        not($iitr131[not(@i:nil='true')])
                     )" />

    <!-- Rule ID: VR.ATO.IITR.600089
         ELS Tag: V17
         
         WHERE IN CONTEXT(RP.BUS)
         IF ([iitr428] = NULLORBLANK) AND ([iitr429] = NULLORBLANK) AND ([iitr430] = NULLORBLANK) AND ([iitr431] = NULLORBLANK) AND ([iitr432] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr428] = pyde.xx.xx:AddressDetails.Line1.Text
         [iitr429] = pyde.xx.xx:AddressDetails.Line2.Text
         [iitr430] = pyde.xx.xx:AddressDetails.LocalityName.Text
         [iitr431] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
         [iitr432] = pyde.xx.xx:AddressDetails.Postcode.Text
    -->
    <assert id="VR.ATO.IITR.600089" diagnostics="DVR.ATO.IITR.600089"
            test="not(
                        $IITR.RPBUS.Context
                        and
                        not($iitr428[not(@i:nil='true')])
                        and
                        not($iitr429[not(@i:nil='true')])
                        and
                        not($iitr430[not(@i:nil='true')])
                        and
                        not($iitr431[not(@i:nil='true')])
                        and
                        not($iitr432[not(@i:nil='true')])
                     )" />
    
    <!-- Rule ID: VR.ATO.IITR.600090
         ELS Tag: V17
         
         WHERE IN CONTEXT(RP.SPOUSE)
         IF ([iitr213] = NULLORBLANK) AND ([iitr214] = NULLORBLANK) AND ([iitr215] = NULLORBLANK) AND ([iitr217] = NULL) AND ([iitr218] = NULLORBLANK) AND ([iitr223] = NULL) AND ([iitr225] = NULL) AND ([iitr226] = NULL) AND ([iitr227] = NULL) AND ([iitr228] = NULL) AND ([iitr229] = NULL) AND ([iitr230] = NULL) AND ([iitr231] = NULL) AND ([iitr232] = NULL) AND ([iitr233] = NULL) AND ([iitr234] = NULL) AND ([iitr235] = NULL) AND ([iitr236] = NULL) AND ([iitr237] = NULL) AND ([iitr533] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr213] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
         [iitr214] = pyde.xx.xx:PersonNameDetails.GivenName.Text
         [iitr215] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
         [iitr217] = pyde.xx.xx:PersonDemographicDetails.Birth.Date
         [iitr218] = pyde.xx.xx:PersonDemographicDetails.Sex.Code
         [iitr223] = pyde.xx.xx:PersonDemographicDetails.Deceased.Indicator
         [iitr225] = bafpr1.xx.xx:Income.Taxable.Amount
         [iitr226] = rvctc1.xx.xx:IncomeTax.TrustIncomeNotIncludedInTaxableIncome.Amount
         [iitr227] = rvctc1.xx.xx:IncomeTax.FamilyTrustDistributionWhereTaxPaid.Amount
         [iitr228] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
         [iitr229] = gfapc.xx.xx:Pension.Total.Amount
         [iitr230] = gfapc.xx.xx:Pension.SpouseExempt.Amount
         [iitr231] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
         [iitr232] = gfapc.xx.xx:Pension.TaxFreeMilitaryRehabilitationCompensation.Amount
         [iitr233] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeTarget.Amount
         [iitr234] = rvctc3.xx.xx:Tax.Losses.InvestmentNet.Amount
         [iitr235] = cssup.xx.xx:ChildSupport.Payment.Amount
         [iitr236] = emsup.xx.xx:SuperannuationPayment.BenefitLumpSumZeroTaxRate.Amount
         [iitr237] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
         [iitr533] = pyid.xx.xx:Identifiers.FamilyAssistanceOfficeCustomerReferenceNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.600090" diagnostics="DVR.ATO.IITR.600090"
            test="not(
                        $IITR.RPSPOUSE.Context
                        and
                        not($iitr213[not(@i:nil='true')])
                        and
                        not($iitr214[not(@i:nil='true')])
                        and
                        not($iitr215[not(@i:nil='true')])
                        and
                        not($iitr217[not(@i:nil='true')])
                        and
                        not($iitr218[not(@i:nil='true')])
                        and
                        not($iitr223[not(@i:nil='true')])
                        and
                        not($iitr225[not(@i:nil='true')])
                        and
                        not($iitr226[not(@i:nil='true')])
                        and
                        not($iitr227[not(@i:nil='true')])
                        and
                        not($iitr228[not(@i:nil='true')])
                        and
                        not($iitr229[not(@i:nil='true')])
                        and
                        not($iitr230[not(@i:nil='true')])
                        and
                        not($iitr231[not(@i:nil='true')])
                        and
                        not($iitr232[not(@i:nil='true')])
                        and
                        not($iitr233[not(@i:nil='true')])
                        and
                        not($iitr234[not(@i:nil='true')])
                        and
                        not($iitr235[not(@i:nil='true')])
                        and
                        not($iitr236[not(@i:nil='true')])
                        and
                        not($iitr237[not(@i:nil='true')])
                        and
                        not($iitr533[not(@i:nil='true')])
                     )" />

  </rule>
  
  <!-- LOOP THROUGH REPORTING PARTY EMPLOYEE LUMP SUM PAYMENT SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPELSPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.600080
         ELS Tag: V17
         
         WHERE IN CONTEXT(RP.{EmpLSPSeqNum})
         IF ([iitr67] = NULL) AND ([iitr68] = NULL) AND ([iitr69] = NULLORBLANK) AND ([iitr70] = NULL) AND ([iitr71] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr67] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount
         [iitr68] = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount
         [iitr69] = lrla.xx.xx:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Code
         [iitr70] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount
         [iitr71] = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount
    -->
    <assert id="VR.ATO.IITR.600080" diagnostics="DVR.ATO.IITR.600080"
            test="not(
                        not($iitr67[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr68[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr69[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr70[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr71[not(@i:nil='true') and @contextRef = $thisContextId])
                     )" />

  </rule>
  
  <!-- LOOP THROUGH REPORTING PARTY ETP SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPETPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.600081
         ELS Tag: V17
         
         WHERE IN CONTEXT(RP.{ETPSeqNum})
         IF ([iitr73] = NULL) AND ([iitr74] = NULL) AND ([iitr75] = NULL) AND ([iitr76] = NULLORBLANK) AND ([iitr546] = NULLORBLANK) AND ([iitr77] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr73] = bafpr1.xx.xx:Income.EmploymentTerminationPayment.Date
         [iitr74] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmploymentTerminationPayment.Amount
         [iitr75] = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount
         [iitr76] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.EmploymentTerminationPaymentType.Code
         [iitr77] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
         [iitr546] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.600081" diagnostics="DVR.ATO.IITR.600081"
            test="not(
                        not($iitr73[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr74[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr75[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr76[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr77[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr546[not(@i:nil='true') and @contextRef = $thisContextId])
                     )" />

  </rule>
  
  <!-- LOOP THROUGH REPORTING PARTY INC SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPINCSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.600082
         ELS Tag: V17
         
         WHERE IN CONTEXT(RP.{IncSeqNum})
         IF ([iitr343] = NULLORBLANK) AND ([iitr344] = NULLORBLANK) AND ([iitr345] = NULL) AND ([iitr346] = NULL) AND ([iitr347] = NULL) AND ([iitr348] = NULL) AND ([iitr349] = NULLORBLANK) AND ([iitr350] = NULLORBLANK) AND ([iitr351] = NULL) AND ([iitr352] = NULL) AND ([iitr353] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr343] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Other.Text
         [iitr344] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Other.Code
         [iitr345] = rvctc1.xx.xx:IncomeTax.AssessableLowValuePoolDeductionFinancialInvestmentsOther.Amount
         [iitr346] = rvctc1.xx.xx:IncomeTax.AssessableLowValuePoolDeductionRentalPropertyOther.Amount
         [iitr347] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Other.Amount
         [iitr348] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Total.Amount
         [iitr349] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Other.Text
         [iitr350] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Other.Code
         [iitr351] = rvctc1.xx.xx:IncomeTax.FinancialInvestmentsOther.Amount
         [iitr352] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Other.Amount
         [iitr353] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Total.Amount
    -->
    <assert id="VR.ATO.IITR.600082" diagnostics="DVR.ATO.IITR.600082"
            test="not(
                        not($iitr343[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr344[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr345[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr346[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr347[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr348[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr349[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr350[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr351[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr352[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr353[not(@i:nil='true') and @contextRef = $thisContextId])
                     )" />

  </rule>
  
  <!-- LOOP THROUGH REPORTING PARTY LOSS SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPLOSSSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.600083
         ELS Tag: V17
         
        WHERE IN CONTEXT(RP.{LOSSSeqNum})
        IF ([iitr479] = NULLORBLANK) AND ([iitr480] = NULL) AND ([iitr481] = NULL) AND ([iitr482] = NULL) AND ([iitr488] = NULL) 
        AND ([iitr489] = NULLORBLANK) AND ([iitr485] = NULLORBLANK) AND ([iitr486] = NULL) AND ([iitr487] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
         
         [iitr479] = pyde.xx.xx:OrganisationDetails.MainIncomeActivity.Description
         [iitr480] = pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
         [iitr481] = pyde.xx.xx:OrganisationDetails.OrganisationType.Code
         [iitr482] = rvctc1.xx.xx:IncomeTax.LossesType.Code
         [iitr485] = rvctc3.xx.xx:Tax.PrivateRulingNumber.Identifier
         [iitr486] = rvctc3.xx.xx:Tax.Losses.PriorYearNonCommercial.Amount
         [iitr487] = rvctc3.xx.xx:Tax.Losses.Net.Amount
         [iitr488] = rvctc3.xx.xx:Tax.ProductRuling.Year
         [iitr489] = rvctc3.xx.xx:Tax.ProductRulingNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.600083" diagnostics="DVR.ATO.IITR.600083"
            test="not(
                        not($iitr479[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                        and
                        not($iitr480[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr481[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr482[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr485[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                        and
                        not($iitr486[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr487[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr488[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr489[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                     )" />

  </rule>
  
  <!-- LOOP THROUGH REPORTING PARTY OTHER SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPOTHSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.600084
         ELS Tag: V17
         
         WHERE IN CONTEXT(RP.{OTHSeqNum})
         IF ([iitr371] = NULLORBLANK) AND ([iitr372] = NULL) AND ([iitr373] = NULL) AND ([iitr374] = NULL) AND ([iitr375] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr371] = bafpr1.xx.xx:Expense.DeductibleOther.Text
         [iitr372] = rvctc2.xx.xx:IncomeTax.Deduction.FinancialInvestmentOther.Amount
         [iitr373] = rvctc2.xx.xx:IncomeTax.Deduction.ForeignRentalIncomeOther.Amount
         [iitr374] = rvctc2.xx.xx:IncomeTax.Deduction.UncategorisedOther.Amount
         [iitr375] = bafpr1.xx.xx:Expense.DeductibleOther.Amount
    -->
    <assert id="VR.ATO.IITR.600084" diagnostics="DVR.ATO.IITR.600084"
            test="not(
                        not($iitr371[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr372[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr373[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr374[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr375[not(@i:nil='true') and @contextRef = $thisContextId])
                     )" />

  </rule>
  
  <!-- LOOP THROUGH REPORTING PARTY PRIVATE HEALTH SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPPHISEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.600085
         ELS Tag: V17
         
         WHERE IN CONTEXT(RP.{PHISeqNum})
         IF ([iitr180] = NULLORBLANK) AND ([iitr181] = NULLORBLANK) AND ([iitr182] = NULL) AND ([iitr183] = NULL) AND 
         ([iitr184] = NULLORBLANK) AND ([iitr185] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr180] = pyid.xx.xx:Identifiers.HealthInsuranceProvider.Identifier
         [iitr181] = pyid.xx.xx:Identifiers.HealthInsuranceMembership.Identifier
         [iitr182] = rvctc2.xx.xx:IncomeTax.HealthInsurance.RebatableComponent.Amount
         [iitr183] = rvctc2.xx.xx:IncomeTax.HealthInsurance.GovernmentRebateReceived.Amount
         [iitr184] = rvctc2.xx.xx:IncomeTax.HealthInsurance.Benefit.Code
         [iitr185] = rvctc2.xx.xx:IncomeTax.HealthInsurance.TaxClaim.Code
    -->
    <assert id="VR.ATO.IITR.600085" diagnostics="DVR.ATO.IITR.600085"
            test="not(
                        not($iitr180[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr181[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr182[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr183[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr184[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr185[not(@i:nil='true') and @contextRef = $thisContextId])
                     )" />

  </rule>
  
  <!-- LOOP THROUGH REPORTING PARTY SaW SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSaWSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.600086
         ELS Tag: V17
         
         WHERE IN CONTEXT(RP.{SaWSeqNum})
         IF ([iitr60] = NULLORBLANK) AND ([iitr547] = NULLORBLANK) AND ([iitr61] = NULL) AND ([iitr62] = NULL)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr60] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
         [iitr547] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier
         [iitr61] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSalaryOrWages.Amount
         [iitr62] = bafpr1.xx.xx:Income.SalaryOrWages.Amount
    -->
    <assert id="VR.ATO.IITR.600086" diagnostics="DVR.ATO.IITR.600086"
            test="not(
                        not($iitr60[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr547[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr61[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr62[not(@i:nil='true') and @contextRef = $thisContextId])
                     )" />

  </rule>
  
  <!-- LOOP THROUGH REPORTING PARTY SC SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSCSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.600087
         ELS Tag: V17
         
         WHERE IN CONTEXT(RP.{SCSeqNum})
         IF ([iitr360] = NULLORBLANK) AND ([iitr361] = NULLORBLANK) AND ([iitr362] = NULL) AND ([iitr363] = NULL) AND ([iitr364] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr360] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
         [iitr361] = emsup.xx.xx:SuperannuationFundDetails.MemberAccount.Identifier
         [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
         [iitr363] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
         [iitr364] = pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.600087" diagnostics="DVR.ATO.IITR.600087"
            test="not(
                        not($iitr360[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr361[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr362[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr363[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr364[not(@i:nil='true') and @contextRef = $thisContextId])
                     )" />

  </rule>
  
  <!-- LOOP THROUGH REPORTING PARTY SLSP SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSLSPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.600088
         ELS Tag: V17
         
         WHERE IN CONTEXT(RP.{SLSPSeqNum})
         IF ([iitr97] = NULL) AND ([iitr98] = NULL) AND ([iitr99] = NULL) AND ([iitr100] = NULL) AND ([iitr101] = NULLORBLANK) AND ([iitr102] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr97] = bafpr3.xx.xx:Income.Superannuation.LumpSumPayment.Date
         [iitr98] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount
         [iitr99] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxable.Amount
         [iitr100] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentNonTaxable.Amount
         [iitr101] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
         [iitr102] = bafpr3.xx.xx:Income.Superannuation.DeathBenefitPaymentNonDependant.Indicator
    -->
    <assert id="VR.ATO.IITR.600088" diagnostics="DVR.ATO.IITR.600088"
            test="not(
                        not($iitr97[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr98[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr99[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr100[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr101[not(@i:nil='true') and @contextRef = $thisContextId])
                        and
                        not($iitr102[not(@i:nil='true') and @contextRef = $thisContextId])
                     )" />

  </rule>

</pattern>
