﻿<?xml version="1.0" encoding="utf-8" ?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>PreFill Context Tests</title>


  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    <!-- Rule ID: VR.ATO.GEN.000209
         ELS Ref: N/A
 
        IF COUNT(RP) <> 1
          RETURN VALIDATION MESSAGE
        ENDIF
  -->
    <assert id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209"
            test="not(
              count($IITR.RP.Context) != 1
      )" />
    
    <!-- Rule ID: VR.ATO.GEN.500036
         ELS Ref: N/A
 
          IF COUNT(INT) <> 1
              RETURN VALIDATION MESSAGE
          ENDIF
     -->
    <assert id="VR.ATO.GEN.500036" diagnostics="DVR.ATO.GEN.500036"
         test="not(
                  count($IITR.INT.Context) != 1
                  )"
     />

  

  </rule>
  
    <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true')]">

  
    <!-- Rule ID: VR.ATO.GEN.500075
         ELS Ref: V20
      
        IF (RP:entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500075" diagnostics="DVR.ATO.GEN.500075"
            test="not(
                        @id = $IITR.RP.ContextId
                        and
                        xbrli:entity/xbrli:identifier
                        [                            
                            not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                        ]
                     )" />
    

      <!-- Rule ID: VR.ATO.GEN.438039
         ELS Ref: N/A
 
        IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:Intermediary") AND (entity.identifier.scheme <> "http://www.abr.gov.au/abn")
            RETURN VALIDATION MESSAGE
        ENDIF
-->
      <assert id="VR.ATO.GEN.438039" diagnostics="DVR.ATO.GEN.438039"
              test="not(
                        @id = $IITR.INT.ContextId
                            and
                            xbrli:entity/xbrli:identifier
                            [                            
                                not(matches(@scheme,'^http://www.abr.gov.au/abn$'))
                            ]     
              )" />


      <!-- Rule ID: VR.ATO.GEN.500009
         ELS Ref: N/A
 
      IF (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
            RETURN VALIDATION MESSAGE
        ENDIF
  -->
    <assert id="VR.ATO.GEN.500009" diagnostics="DVR.ATO.GEN.500009"
               test="not(                       
                        @id = $IITR.RP.ContextId
                        and
                        xbrli:entity/xbrli:identifier
                        [
                            string-length(.) != 0 
                            and 
                            not(function:ValidateTFN(.))
                        ]
                     )"/>

      <!-- Rule ID: VR.ATO.GEN.430318
         ELS Ref: N/A
 
         IF (entity.identifier.ABN <> NULLORBLANK) AND (ABNALGORITHM(entity.identifier.ABN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
-->


        <assert id="VR.ATO.GEN.430318" diagnostics="DVR.ATO.GEN.430318"
                test="not( 
                        @id = $IITR.INT.ContextId
                        and
                        xbrli:entity/xbrli:identifier
                        [
                            string-length(.) != 0 
                            and 
                            not(function:ValidateABN(.))
                        ]
                   )" />

    <let name="startDate" value="xbrli:period/xbrli:startDate"/>
    <let name="endDate"   value="xbrli:period/xbrli:endDate"/>

    <!-- Rule ID: VR.ATO.GEN.500033
         ELS Ref: N/A
         
         IF period.endDate WHERE CONTEXT(ALL) <> RP:period.endDate
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.500033" diagnostics="DVR.ATO.GEN.500033"
            test="not(
                        preceding-sibling::xbrli:context/xbrli:period/xbrli:endDate[. != $endDate]
                     )"/>

      <!-- Rule ID: VR.ATO.GEN.500030
         ELS Ref: N/A
 
        IF period.startDate WHERE CONTEXT(ALL) <> RP:period.startDate
            RETURN VALIDATION MESSAGE
         ENDIF
  -->


      <assert id="VR.ATO.GEN.500030" diagnostics="DVR.ATO.GEN.500030"
              test="not(
                    preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]
                )"
        />
      
      <!-- Rule ID: VR.ATO.IITR.620002
         ELS Ref: N/A
 
      IF RP:Period.startDate <>  CONVERT_TO_DATE(1,7,[iitr10]-1) OR 
          RP:Period.endDate <>  CONVERT_TO_DATE(30,6, [iitr10])
          RETURN VALIDATION MESSAGE
      ENDIF
    -->

      <let name="iitr10_startDate" value="concat(sum($iitr10) -1,'-07-01')" />
      <let name="iitr10_endDate" value="concat(sum($iitr10) ,'-06-30')" />

      <assert id="VR.ATO.IITR.620002" diagnostics="DVR.ATO.IITR.620002"
              test="not(
                      
                          $startDate != $iitr10_startDate
                          or
                          $endDate != $iitr10_endDate
                      )"
     />
  </rule>

  <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true')]/xbrli:period[not(@i:nil='true')]/xbrli:startDate">

    <!-- Rule ID: VR.ATO.GEN.500035
         ELS Ref: N/A
         
         IF period.startDate > DATE(TODAY)
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.500035" diagnostics="DVR.ATO.GEN.500035"
            test="not(
                        function:IsDate1GreaterThanDate2(., current-date())
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000033
         ELS Ref: N/A

         IF RP:Period.startDate <  CONVERT_TO_DATE(1,1, [iitr10]-1)
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.000033" diagnostics="DVR.ATO.IITR.000033"
            test="not(
                        $iitr10[not(@i:nil='true')]
                        and                        
                        function:IsDate1GreaterThanDate2
                        (
                          concat($iitr10 - 1, '-01-01'), 
                          .
                        )                                                            
                     )" />

  
  </rule>







 

</pattern>
