﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.WRE.000026
         ELS Ref: V9

		    IF ([wre12] <> NULLORBLANK) AND (ANY CHARACTER OF [wre12] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [wre12] = rvctc2.xx.xx:IncomeTax.Deduction.CarReason.Description
    -->
    <assert id="VR.ATO.WRE.000026" diagnostics="DVR.ATO.WRE.000026"
            test="not(
                        $wre12
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.WRE.000029
         ELS Ref: V9

		    IF ([wre24] <> NULLORBLANK) AND (ANY CHARACTER OF [wre24] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [wre24] = rvctc2.xx.xx:IncomeTax.Deduction.TravelReason.Description
    -->
    <assert id="VR.ATO.WRE.000029" diagnostics="DVR.ATO.WRE.000029"
            test="not(
                        $wre24
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.WRE.000032
         ELS Ref: V9

		    IF ([wre31] <> NULLORBLANK) AND (ANY CHARACTER OF [wre31] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [wre31] = rvctc2.xx.xx:IncomeTax.Deduction.ClothingReason.Description
    -->
    <assert id="VR.ATO.WRE.000032" diagnostics="DVR.ATO.WRE.000032"
            test="not(
                        $wre31
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.WRE.000035
         ELS Ref: V9

		    IF ([wre38] <> NULLORBLANK) AND (ANY CHARACTER OF [wre38] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [wre38] = rvctc2.xx.xx:IncomeTax.Deduction.EducationReason.Description
    -->
    <assert id="VR.ATO.WRE.000035" diagnostics="DVR.ATO.WRE.000035"
            test="not(
                        $wre38
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>
    
    
    <!-- Rule ID: VR.ATO.WRE.000040
         ELS Ref: V9

		    IF ([wre49] <> NULLORBLANK) AND (ANY CHARACTER OF [wre49] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [wre49] = rvctc2.xx.xx:IncomeTax.Deduction.WorkRelatedReasonOther.Description
    -->
    <assert id="VR.ATO.WRE.000040" diagnostics="DVR.ATO.WRE.000040"
            test="not(
                        $wre49
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>  
  </rule>

  <!-- LOOP OVER REPORTING PARTY CAR SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $RPCARSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.WRE.000027
         ELS Ref: V9

        IF ([wre13] <> NULLORBLANK) AND (ANY CHARACTER OF [wre13] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre13] = bafpo1.xx.xx:Assets.CarMakeModel.Description
    -->
    <assert id="VR.ATO.WRE.000027" diagnostics="DVR.ATO.WRE.000027"
            test="not(
                        $wre13
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.WRE.000028
         ELS Ref: V9

		    IF ([wre21] <> NULLORBLANK) AND (ANY CHARACTER OF [wre21] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre21] = rvctc2.xx.xx:IncomeTax.Deduction.CarStandardEvidenceCalculationOther.Description
    -->
    <assert id="VR.ATO.WRE.000028" diagnostics="DVR.ATO.WRE.000028"
            test="not(
                        $wre21
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
   
    <!-- Rule ID: VR.ATO.WRE.000082
         ELS Ref: V44

		    IF ([wre16] <> NULL) AND (ANY CHARACTER OF [wre16] <> SET(0-9))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [wre16] = rvctc2.xx.xx:IncomeTax.Deduction.CarLogBookMethodBusinessUseRecorded.Percent
    -->
    <assert id="VR.ATO.WRE.000082" diagnostics="DVR.ATO.WRE.000082"
            test="not(
                        $wre16
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true')
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]                                        
                     )"/>


    <!-- Rule ID: VR.ATO.WRE.000083
         ELS Ref: V44

		    IF ([wre17] <> NULL) AND (ANY CHARACTER OF [wre17] <> SET(0-9))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [wre17] = rvctc2.xx.xx:IncomeTax.Deduction.CarLogBookMethodBusinessUseClaimed.Percent
    -->
    <assert id="VR.ATO.WRE.000083" diagnostics="DVR.ATO.WRE.000083"
            test="not(
                        $wre17
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true')
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]                                        
                     )"/>

  </rule>

  <!-- LOOP OVER REPORTING PARTY TRAVEL SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $RPTRAVELSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.WRE.000030
         ELS Ref: V9

		    IF ([wre26] <> NULLORBLANK) AND (ANY CHARACTER OF [wre26] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre26] = rvctc2.xx.xx:IncomeTax.Deduction.TravelCategoryOther.Description
    -->
    <assert id="VR.ATO.WRE.000030" diagnostics="DVR.ATO.WRE.000030"
            test="not(
                        $wre26
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.WRE.000031
         ELS Ref: V9

		    IF ([wre28] <> NULLORBLANK) AND (ANY CHARACTER OF [wre28] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre28] = rvctc2.xx.xx:IncomeTax.Deduction.TravelStandardEvidenceCalculationOther.Description
    -->
    <assert id="VR.ATO.WRE.000031" diagnostics="DVR.ATO.WRE.000031"
            test="not(
                        $wre28
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
  </rule>

  <!-- LOOP OVER REPORTING PARTY CLOTHING SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $RPCLOTHINGSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.WRE.000033
         ELS Ref: V9

		    IF ([wre33] <> NULLORBLANK) AND (ANY CHARACTER OF [wre33] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre33] = rvctc2.xx.xx:IncomeTax.Deduction.ClothingCategoryOther.Description
    -->
    <assert id="VR.ATO.WRE.000033" diagnostics="DVR.ATO.WRE.000033"
            test="not(
                        $wre33
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.WRE.000034
         ELS Ref: V9

		    IF ([wre35] <> NULLORBLANK) AND (ANY CHARACTER OF [wre35] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre35] = rvctc2.xx.xx:IncomeTax.Deduction.ClothingStandardEvidenceCalculationOther.Description
    -->
    <assert id="VR.ATO.WRE.000034" diagnostics="DVR.ATO.WRE.000034"
            test="not(
                        $wre35
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>

  </rule>
  
  <!-- LOOP OVER REPORTING PARTY EDUCATION SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $RPEDUCATIONSEQ.ContextId]">

    <let name="thisContextId" value="@id" />
    
    <!-- Rule ID: VR.ATO.WRE.000036
         ELS Ref: V9

		    WHERE IN CONTEXT(RP.{EduSeqNum}) 
        IF ([wre39] <> NULLORBLANK) AND (ANY CHARACTER OF [wre39] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre39] = pyid.xx.xx:Identifiers.CourseName.Text
    -->
    <assert id="VR.ATO.WRE.000036" diagnostics="DVR.ATO.WRE.000036"
            test="not(
                        $wre39
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>

    
    
    <!-- Rule ID: VR.ATO.WRE.000037
         ELS Ref: V9

		    WHERE IN CONTEXT(RP.{EduSeqNum}) 
        IF ([wre40] <> NULLORBLANK) AND (ANY CHARACTER OF [wre40] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre40] = pyid.xx.xx:Identifiers.InstitutionName.Text
    -->
    <assert id="VR.ATO.WRE.000037" diagnostics="DVR.ATO.WRE.000037"
            test="not(
                        $wre40
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>    
    
    
    <!-- Rule ID: VR.ATO.WRE.000038
         ELS Ref: V9

		    IF ([wre42] <> NULLORBLANK) AND (ANY CHARACTER OF [wre42] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre42] = rvctc2.xx.xx:IncomeTax.Deduction.EducationCategoryOther.Description
    -->
    <assert id="VR.ATO.WRE.000038" diagnostics="DVR.ATO.WRE.000038"
            test="not(
                        $wre42
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>  
    
    
    <!-- Rule ID: VR.ATO.WRE.000039
         ELS Ref: V9

		    IF ([wre44] <> NULLORBLANK) AND (ANY CHARACTER OF [wre44] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre44] = rvctc2.02.14:IncomeTax.Deduction.EducationStandardEvidenceCalculationOther.Description
    -->
    <assert id="VR.ATO.WRE.000039" diagnostics="DVR.ATO.WRE.000039"
            test="not(
                        $wre44
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
  </rule>

  <!-- LOOP OVER REPORTING PARTY OTHER WRE SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $RPOTHERWRESEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.WRE.000042
         ELS Ref: V9

		     IF ([wre54] <> NULLORBLANK) AND (ANY CHARACTER OF [wre54] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
         ENDIF
 
		     [wre54] = rvctc2.xx.xx:IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.Description
    -->
    <assert id="VR.ATO.WRE.000042" diagnostics="DVR.ATO.WRE.000042"
            test="not(
                        $wre54
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.WRE.000041
          ELS Ref: V9

		    IF ([wre51] <> NULLORBLANK) AND (ANY CHARACTER OF [wre51] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
        ENDIF

		    [wre51] = rvctc2.02.14:IncomeTax.Deduction.WorkRelatedCategoryOther.Description
    -->
    <assert id="VR.ATO.WRE.000041" diagnostics="DVR.ATO.WRE.000041"
            test="not(
                        $wre51
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
    
    
        <!-- Rule ID: VR.ATO.WRE.000084
         ELS Ref: V44

        IF ([wre52] <> NULL) AND (ANY CHARACTER OF [wre52] <> SET(0-9))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [wre17] = rvctc2.02.14:IncomeTax.Deduction.WorkRelatedBusinessUseClaimedOther.Percent
    -->
    <assert id="VR.ATO.WRE.000084" diagnostics="DVR.ATO.WRE.000084"
            test="not(
                        $wre52
                        [
                            @contextRef = $thisContextId
                            and
                            not(@i:nil='true')
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]                                        
                     )"/>

  </rule>
</pattern>