﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- ********************************************************************
                              GENERIC ERRORS
      ******************************************************************** -->
  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.001023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <!-- ********************************************************************
                              WRE ERRORS
      ******************************************************************** -->

  <diagnostic id="DVR.ATO.WRE.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000001</Code>
      <Description>Car expenses - Description of car (make, model) must not exceed 20 characters</Description>
      <LongDescription>For Car expenses - Description of car (make, model), the maximum allowable characters for this form is 20</LongDescription>
      <Location>bafpo1.02.23:Assets.CarMakeModel.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000002</Code>
      <Description>Car expenses - Log book method - Business % shown in log book must not exceed 3 characters</Description>
      <LongDescription>For Car expenses - Log book method - Business % shown in log book, the maximum allowable characters for this form is 3</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseRecorded.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
  <diagnostic id="DVR.ATO.WRE.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000003</Code>
      <Description>Car expenses - Log book method - business % claimed must not exceed 3 characters</Description>
      <LongDescription>For Car expenses - Log book method - business % claimed, the maximum allowable characters for this form is 3</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseClaimed.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>    
  
  <diagnostic id="DVR.ATO.WRE.000004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000004</Code>
      <Description>Car expenses - Total business kilometres (cents per km method only) must not exceed 4 characters</Description>
      <LongDescription>For Car expenses - Total business kilometres (cents per km method only), the maximum allowable characters for this form is 4</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarBusinessKilometres.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>    

  <diagnostic id="DVR.ATO.WRE.000005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000005</Code>
      <Description>Car expenses - Car cost price is not in a valid monetary format</Description>
      <LongDescription>Car expenses - Car cost price must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Expense.CarPurchasePrice.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>    
  
  <diagnostic id="DVR.ATO.WRE.000006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000006</Code>
      <Description>Car expenses - Details of "other" evidence/calculation code used must not exceed 240 characters</Description>
      <LongDescription>For Car expenses - Details of "other" evidence/calculation code used, the maximum allowable characters for this form is 240</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>      
   
  <diagnostic id="DVR.ATO.WRE.000007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000007</Code>
      <Description>Car expenses - Amount is not in a valid monetary format</Description>
      <LongDescription>Car expenses - Amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Car.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>   
  
  <diagnostic id="DVR.ATO.WRE.000008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000008</Code>
      <Description>Other travel expenses - Details of "other" code used must not exceed 40 characters</Description>
      <LongDescription>For Other travel expenses - Details of "other" code used, the maximum allowable characters for this form is 40</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TravelCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000009</Code>
      <Description>Other travel expenses - Details of "other" evidence/calculation code used must not exceed 240 characters</Description>
      <LongDescription>For Other travel expenses - Details of "other" evidence/calculation code used, the maximum allowable characters for this form is 240</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TravelStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000010</Code>
      <Description>Other travel expenses - Amount is not in a valid monetary format</Description>
      <LongDescription>Other travel expenses - Amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Travel.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000011</Code>
      <Description>Clothing expenses - Details of "other" clothing category used must not exceed 40 characters</Description>
      <LongDescription>For Clothing expenses - Details of "other" clothing category used, the maximum allowable characters for this form is 40</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ClothingCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000012</Code>
      <Description>Clothing expenses - Details of "other" evidence/calculation code used must not exceed 240 characters</Description>
      <LongDescription>For Clothing expenses - Details of "other" evidence/calculation code used, the maximum allowable characters for this form is 240</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ClothingStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000013</Code>
      <Description>Clothing expenses - Amount is not in a valid monetary format</Description>
      <LongDescription>Clothing expenses - Amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Clothing.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000015</Code>
      <Description>Self education expenses - Name of course must not exceed 20 characters</Description>
      <LongDescription>For Self education expenses - Name of course, the maximum allowable characters for this form is 20</LongDescription>
      <Location>pyid.02.09:Identifiers.CourseName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000016</Code>
      <Description>Self education expenses - Institution must not exceed 20 characters</Description>
      <LongDescription>For Self education expenses - Institution, the maximum allowable characters for this form is 20</LongDescription>
      <Location>pyid.02.09:Identifiers.InstitutionName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000017</Code>
      <Description>Self education expenses - Details of "other" category used must not exceed 40 characters</Description>
      <LongDescription>For Self education expenses - Details of "other" category used, the maximum allowable characters for this form is 40</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
  <diagnostic id="DVR.ATO.WRE.000018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000018</Code>
      <Description>Self education expenses - Explanation of "other" evidence/calculation code used must not exceed 240 characters</Description>
      <LongDescription>For Self education expenses - Explanation of "other" evidence/calculation code used, the maximum allowable characters for this form is 240</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 
  
  <diagnostic id="DVR.ATO.WRE.000019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000019</Code>
      <Description>Self education expenses - Gross amount is not in a valid monetary format</Description>
      <LongDescription>Self education expenses - Gross amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Education.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 
  
  <diagnostic id="DVR.ATO.WRE.000020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000020</Code>
      <Description>Self education expenses - s82A reduction amount is not in a valid monetary format</Description>
      <LongDescription>Self education expenses - s82A reduction amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationReduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 
  
  <diagnostic id="DVR.ATO.WRE.000021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000021</Code>
      <Description>Self education expenses - Net deduction is not in a valid monetary format</Description>
      <LongDescription>Self education expenses - Net deduction must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 

  <diagnostic id="DVR.ATO.WRE.000025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000025</Code>
      <Description>Car expenses - Car cost price is not in a valid monetary format</Description>
      <LongDescription>Car expenses - Car cost price must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000026</Code>
      <Description>Car expenses - Explanation and justification for work purposes contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarReason.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000027</Code>
      <Description>Car expenses - Description of car (make, model) contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>bafpo1.02.23:Assets.CarMakeModel.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
<diagnostic id="DVR.ATO.WRE.000028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000028</Code>
      <Description>Car expenses - Details of "other" evidence/calculation code used contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
  <diagnostic id="DVR.ATO.WRE.000029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000029</Code>
      <Description>Other travel expenses - Explain how these expenses relate to your work contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TravelReason.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000030</Code>
      <Description>Other travel expenses - Details of "other" code used contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TravelCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000031</Code>
      <Description>Other travel expenses - Details of "other" evidence/calculation code used contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TravelStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000032</Code>
      <Description>'Uniform, protective or occupation specific clothing and laundry expenses…' contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ClothingReason.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000033</Code>
      <Description>Clothing expenses - Details of "other" clothing category used contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ClothingCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000034</Code>
      <Description>Clothing expenses - Details of "other" evidence/calculation code used contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ClothingStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000035</Code>
      <Description>Self education expenses - Explain how expenses relate to current work activities contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationReason.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000036</Code>
      <Description>Self education expenses - Name of course contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyid.02.09:Identifiers.CourseName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000037" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000037</Code>
      <Description>Self education expenses - Institution contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyid.02.09:Identifiers.InstitutionName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
  <diagnostic id="DVR.ATO.WRE.000038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000038</Code>
      <Description>Self education expenses - Details of "other" category used contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
  <diagnostic id="DVR.ATO.WRE.000039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000039</Code>
      <Description>Self education expenses - Explanation of "other" evidence/calculation code used contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 

  <diagnostic id="DVR.ATO.WRE.000042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000042</Code>
      <Description>Other work expenses - Details of "other" evidence/calculation code used contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>    
  
  <diagnostic id="DVR.ATO.WRE.000043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000043</Code>
      <Description>Car expenses - Amount is invalid</Description>
      <LongDescription>When 'Car expenses - Claim code' selected is "12% of original value", the 'Car expenses - Amount' must not be above 12% of the 'Car expenses - Car cost price'</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarCalculationMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>    
  
  <diagnostic id="DVR.ATO.WRE.000044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000044</Code>
      <Description>Car expenses - Log book method - Business % shown in log book is invalid</Description>
      <LongDescription>When a value has been provided for 'Car expenses - Log book method - Business % shown in log book', the 'Car expenses - Log book method - business % claimed' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseRecorded.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>    
  
  <diagnostic id="DVR.ATO.WRE.000045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000045</Code>
      <Description>Car expenses - Log book method - Business % shown in log book is required</Description>
      <LongDescription>When 'Car expenses - Claim code' is set to "Logbook", the 'Car expenses - Log book method - Business % shown in log book' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseRecorded.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
  <diagnostic id="DVR.ATO.WRE.000046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000046</Code>
      <Description>Car expenses - Log book method - business % claimed is invalid</Description>
      <LongDescription>When a value has been provided for 'Car expenses - Log book method - Business % shown in log book', the 'Car expenses - Log book method - business % claimed' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseClaimed.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>    
  
  <diagnostic id="DVR.ATO.WRE.000047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000047</Code>
      <Description>Car expenses - Total business kilometres (cents per km method only) allowable has been exceeded</Description>
      <LongDescription>When 'Car expenses - Claim code' is set to "Cents per kilometre", the 'Car expenses - Total business kilometres (cents per km method only)' must not exceed 5000 kilometres</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarBusinessKilometres.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>    
  
  <diagnostic id="DVR.ATO.WRE.000048" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000048</Code>
      <Description>The Car expenses - Car cost price must not exceed the ATO depreciation cost limit of $57466</Description>
      <LongDescription/>
      <Location>bafpr1.02.23:Expense.CarPurchasePrice.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>   
  
  <diagnostic id="DVR.ATO.WRE.000049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000049</Code>
      <Description>Car expenses - Standard evidence/calculation information code is invalid</Description>
      <LongDescription>When 'Car expenses - Claim code' is set to either "Logbook", "One-third actual expenses" or "12% of cost of car", the associated valid codes for 'Car expenses - Standard evidence/calculation information code' are; "Invoice receipt", "PAYG summary", "Dairy evidence", "Allowance", "ATO ruling", "Diary calculation", "Actual recorded cost", "Log book", "Other evidence" or "Other calculation"</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarStandardEvidenceCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>       
  
  <diagnostic id="DVR.ATO.WRE.000051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000051</Code>
      <Description>Car expenses - Details of "other" evidence/calculation code used is required</Description>
      <LongDescription>When 'Car expenses - Standard evidence/calculation information code' is set to either "Other evidence" or "Other calculation", the 'Car expenses - Details of "other" evidence/calculation code used' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>    
  
  <diagnostic id="DVR.ATO.WRE.000052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000052</Code>
      <Description>Car expenses set rate method is incorrect</Description>
      <LongDescription>When 'Car expenses - Engine capacity code (cents per km method only)' selected is "Engine capacity &lt;= 1600cc or rotary engine &lt;= 800cc" and 'Car expenses - Claim code' is set to "Cents per kilometre", the 'Car expenses - Amount' must equal the amount calculated by multiplying 'Car expenses - Total business kilometres (cents per km method only)' by the allowable rate per kilometre, based on the 'Car expenses - Engine capacity code (cents per km method only)'</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Car.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000053" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000053</Code>
      <Description>Car expenses set rate method is incorrect</Description>
      <LongDescription>When 'Car expenses - Engine capacity code (cents per km method only)' selected is "Engine capacity >1600cc and &lt;= 2600cc or rotary engine >800cc and &lt;= 1300cc" and 'Car expenses - Claim code' is set to "Cents per kilometre", the 'Car expenses - Amount' must equal the amount calculated by multiplying 'Car expenses - Total business kilometres (cents per km method only)' by the allowable rate per kilometre, based on the 'Car expenses - Engine capacity code (cents per km method only)'</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Car.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000054</Code>
      <Description>Car expenses set rate method is incorrect</Description>
      <LongDescription>When 'Car expenses - Engine capacity code (cents per km method only)' selected is "Engine capacity >2600cc or rotary engine >1300cc" and 'Car expenses - Claim code' is set to "Cents per kilometre", the 'Car expenses - Amount' must equal the amount calculated by multiplying 'Car expenses - Total business kilometres (cents per km method only)' by the allowable rate per kilometre, based on the 'Car expenses - Engine capacity code (cents per km method only)'</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Car.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  

  <diagnostic id="DVR.ATO.WRE.000056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000056</Code>
      <Description>Other travel expenses - Standard evidence/calculation code is invalid</Description>
      <LongDescription>When 'Other travel expenses - Category of expense' is set to either "Vehicles" or "Other", the associated valid codes for 'Other travel expenses - Standard evidence/calculation code' are; "Invoice receipt", "PAYG summary", "Diary evidence", "Allowance", "No Substantiation" or "Other evidence"</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TravelStandardEvidenceCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000057</Code>
      <Description>Other travel expenses - Standard evidence/calculation code is required</Description>
      <LongDescription>When 'Other travel expenses - Category of expense' is set to either "Domestic" or "Overseas", the 'Other travel expenses - Standard evidence/calculation code' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TravelStandardEvidenceCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000058</Code>
      <Description>Other travel expenses - Details of "other" evidence/calculation code used is required</Description>
      <LongDescription>When 'Other travel expenses - Standard evidence/calculation code' is set to either "Other Evidence" or "Other Calculation", the 'Other travel expenses - Details of "other" evidence/calculation code used' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TravelStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000060</Code>
      <Description>Clothing expenses - Standard evidence/calculation information code is required</Description>
      <LongDescription>When 'Clothing expenses - Category' is set to "Laundry", the 'Clothing expenses - Standard evidence/calculation information code' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ClothingStandardEvidenceCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000061</Code>
      <Description>Clothing expenses - Standard evidence/calculation information code is invalid</Description>
      <LongDescription>When 'Clothing expenses - Category' is set to either "Dry cleaning", "Protective clothing", "Compulsory work uniform", "Non-compulsory work uniform", "Occupation specific clothing" or "Other", the associated valid codes for 'Clothing expenses - Standard evidence/calculation information code' are; "Invoice receipt", "PAYG summary", "Diary evidence", "Allowance", "No Substantiation" or "Other evidence"</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ClothingStandardEvidenceCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000062</Code>
      <Description>Clothing expenses - Details of "other" evidence/calculation code used is required</Description>
      <LongDescription>When 'Clothing expenses - Standard evidence/calculation information code' is set to either "Other evidence" or "Other calculation", the 'Clothing expenses - Details of "other" evidence/calculation code used' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ClothingStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000063" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000063</Code>
      <Description>Self education expenses - Standard evidence/calculation information code is required</Description>
      <LongDescription>When 'Self education expenses - Category of expense' is set, the 'Self education expenses - Standard evidence/calculation information code' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationStandardEvidenceCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000065</Code>
      <Description>Self education expenses - Explanation of "other" evidence/calculation code used is required</Description>
      <LongDescription>When 'Self education expenses - Standard evidence/calculation information code' is set to either "Other evidence" or "Other Calculation", the 'Self education expenses - Explanation of "other" evidence/calculation code used' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000066</Code>
      <Description>The Self education expenses - s82A reduction amounts must not exceed $250</Description>
      <LongDescription />
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationReduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000071" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000071</Code>
      <Description>Other work expenses - Details of "other" evidence/calculation code used is required</Description>
      <LongDescription>When 'Other work expenses - Standard evidence/calculation information code' is set to either "Other evidence" or "Other Calculation", the 'Other work expenses - Details of "other" evidence/calculation code used' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000072" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000072</Code>
      <Description>Reporting Party Car Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Car Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/CarSqNumDim.02.00:CarSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000074" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000074</Code>
      <Description>Reporting Party Travel Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Travel Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/TrvlSqNumDim.02.00:TravelSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000076" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000076</Code>
      <Description>Reporting Party Clothing Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Clothing Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/CSSqNumDim.02.00:ClothingSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000078</Code>
      <Description>Reporting Party Education Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Education Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/EDSqNumDim.02.00:EducationSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000082" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000082</Code>
      <Description>'Car expenses - Log book method - Business % shown in log book' must be numeric</Description>
      <LongDescription>'Car expenses - Log book method - Business % shown in log book' must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseRecorded.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.WRE.000083" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000083</Code>
      <Description>'Car expenses - Log book method - business % claimed' must be numeric</Description>
      <LongDescription>'Car expenses - Log book method - business % claimed' must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarLogBookMethodBusinessUseClaimed.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000067</Code>
      <Description>Self education expenses - Net deduction is invalid</Description>
      <LongDescription>The 'Self education expenses - Net deduction' amount must equal the sum of 'Self education expenses - Gross amount' less 'Self education expenses - s82A reduction amount'</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000040</Code>
      <Description>Other work expenses - Explanation and justification for work purposes of each expense contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedReasonOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.WRE.000080" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000080</Code>
      <Description>Reporting Party Other Work Related Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Other Work Related Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/OTHWRSqNumDim.02.00:OtherWorkRelatedSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
  <diagnostic id="DVR.ATO.WRE.000085" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000085</Code>
      <Description>'Other travel expenses - Details of "other" code used' must be provided</Description>
      <LongDescription>When 'Other travel expenses - Category of expense' of "Other" is selected, then 'Other travel expenses - Details of "other" code used' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TravelCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
  <diagnostic id="DVR.ATO.WRE.000086" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000086</Code>
      <Description>'Clothing expenses - Details of "other" clothing category used' must be provided</Description>
      <LongDescription>When 'Clothing expenses - Category' of "Other" is selected, then 'Clothing expenses - Details of "other" clothing category used' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ClothingCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
  <diagnostic id="DVR.ATO.WRE.000087" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000087</Code>
      <Description>'Self education expenses - Details of "other" category used' must be provided</Description>
      <LongDescription>When 'Self education expenses - Category of expense' of "Other" is selected, then 'Self education expenses - Details of "other" category used' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  
  <diagnostic id="DVR.ATO.WRE.000088" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000088</Code>
      <Description>'Other work expenses - Details of "other" category used' must be provided</Description>
      <LongDescription>When 'Other work expenses - Category of expense' of "Other" is selected, then 'Other work expenses - Details of "other" category used' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
 
  <diagnostic id="DVR.ATO.WRE.000022" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000022</Code>
      <Description>Other work expenses - Details of "other" category used must not exceed 40 characters</Description>
      <LongDescription>For Other work expenses - Details of "other" category used, the maximum allowable characters for this form is 40</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>   
  
  <diagnostic id="DVR.ATO.WRE.000023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000023</Code>
      <Description>Other work expenses - business % must not exceed 3 characters</Description>
      <LongDescription>For Other work expenses - business %, the maximum allowable characters for this form is 3</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedBusinessUseClaimedOther.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 
  
  <diagnostic id="DVR.ATO.WRE.000041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000041</Code>
      <Description>Other work expenses - Details of "other" category used contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedCategoryOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 
  
  <diagnostic id="DVR.ATO.WRE.000084" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000084</Code>
      <Description>'Other work expenses - business %' must be numeric</Description>
      <LongDescription>'Other work expenses - business %' must be a numeric field, values nnn where n is a digit 0 to 9 only to be used</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedBusinessUseClaimedOther.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 
  
  <diagnostic id="DVR.ATO.WRE.000068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000068</Code>
      <Description>Other work expenses - Category of expense is required</Description>
      <LongDescription>When 'Other work expenses - Category of expense' is set to either "Home Telephone" or "Computer expenses", the 'Other work expenses - business %' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedBusinessUseClaimedOther.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 
  
  <diagnostic id="DVR.ATO.WRE.000070" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000070</Code>
      <Description>Other work expenses - Standard evidence/calculation information code is invalid</Description>
      <LongDescription>When 'Other work expenses - Category of expense' is set to either "Seminars", "Books and journals", "Home office running expenses", "Home office occupancy expenses", "Home Telephone", "Computer expenses including depreciation", "Tools and equipment", "Other depreciation", "Other", "Newspapers", "Mobile Phone", "Internet Access", "Subscriptions" or "Printing Postage and Stationery", the associated valid codes for 'Other work expenses - Standard evidence/calculation information code' are; "Invoice or receipt", "PAYG payment summary", "Diary evidence", "Allowance received", "Substantiation not required" or "Other evidence"</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 
  
  <diagnostic id="DVR.ATO.WRE.000024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.WRE.000024</Code>
      <Description>Other work expenses - Details of "other" evidence/calculation code used must not exceed 240 characters</Description>
      <LongDescription>For Other work expenses - Details of "other" evidence/calculation code used, the maximum allowable characters for this form is 240</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedStandardEvidenceCalculationOther.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic> 
  
</diagnostics>
