﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- ********************************************************************
                                GENERIC ERRORS
       ******************************************************************** -->
  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000458" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000458</Code>
      <Description>Suffix is invalid</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000459" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000459</Code>
      <Description>Title is invalid</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.001023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428247" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410009</Code>
      <Description>The Tax Agent number has failed the Tax Agent number algorithm check</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430230" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430230</Code>
      <Description>Email address must contain an @ symbol</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430231" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430231</Code>
      <Description>An email address must not start with a space or include a space within it</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430232" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430232</Code>
      <Description>Email address must contain a dot (.)</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.432041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432041</Code>
      <Description>Bank account name must not be longer than 32 characters</Description>
      <LongDescription>32 characters is the Banking Standard and set by the Banking Industry</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500009</Code>
      <Description>Reporting Party Tax File Number has failed the algorithm check</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000652" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000652</Code>
      <Description>Date of birth must be prior to the form submission date</Description>
      <LongDescription>The date entered is a future date. Date of birth cannot be any day in advance of the form submission date.</LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500030</Code>
      <Description>Invalid context. Period start date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500033</Code>
      <Description>Invalid context. Period end date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500035</Code>
      <Description>Invalid context. Period start date cannot be any day in the future.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500037" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500037</Code>
      <Description>Declarer Contact Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500044</Code>
      <Description>Invalid context. The number of RP.Postal contexts must equal 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500046</Code>
      <Description>Invalid context. The number of RP.TrueAndCorrect contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500047</Code>
      <Description>Invalid context. The number of Intermediary.TrueAndCorrect contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500051</Code>
      <Description>Entity identifier scheme for Intermediary.TrueAndCorrect must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500053" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500053</Code>
      <Description>Entity identifier scheme for ReportingParty.TrueAndCorrect must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500054</Code>
      <Description>Intermediary declarer Australian Business Number has failed the algorithm check</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500055" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500055</Code>
      <Description>Declarer Contact Name must not exceed 200 characters</Description>
      <LongDescription>For Declarer contact name, the maximum allowable characters for this form is 200</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500056</Code>
      <Description>Declarer contact name must be provided</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500058</Code>
      <Description>Declarer position must not exceed 50 characters</Description>
      <LongDescription>For Declarer position, the maximum allowable characters for this form is 50</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500059</Code>
      <Description>Declarer Position held of person making the declaration contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500060</Code>
      <Description>Contact telephone details must be provided</Description>
      <LongDescription>Declarer telephone area code and telephone number must be provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500061</Code>
      <Description>Telephone number is required, if an area code is provided</Description>
      <LongDescription>Declarer telephone number is required when Declarer telephone area code is provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500062</Code>
      <Description>Area code is required, if a Telephone number is provided</Description>
      <LongDescription>Declarer daytime phone area code is required when Declarer daytime phone number is provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500065</Code>
      <Description>Declarer Tax Agent number must not be present for Reporting Party</Description>
      <LongDescription>Declarer Tax Agent number is only applicable for an Intermediary tax agent</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxAgentNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430255</Code>
      <Description>Signature date must not be later than today</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.307004</Code>
      <Description>Declaration Signature Date is required</Description>
      <LongDescription>Intermediary or Report Party declaration signatory date is required</LongDescription>
      <Location>pyin.02.00:Declaration.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500069" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500069</Code>
      <Description>Declarer identifier contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - _ = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500072" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500072</Code>
      <Description>Invalid context. The number of RP.Residential contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500073" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500073</Code>
      <Description>Entity identifier scheme for ReportingParty.Postal must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500074" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500074</Code>
      <Description>Entity identifier scheme for ReportingParty.Residential must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.GEN.500075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!-- ********************************************************************
                                IITR GENERAL ERRORS
       ******************************************************************** -->
  <diagnostic id="DVR.ATO.IITR.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000001</Code>
      <Description>Current postal address - Address line 1 is incorrect</Description>
      <LongDescription>Current postal address - Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000002</Code>
      <Description>Current postal address - Address line 2 must not contain a 'care of' reference</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000003</Code>
      <Description>Home address must not contain "AS ABOVE"</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000005</Code>
      <Description>C/- must be followed by a Name and the Address on line 2 for Current postal address</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000006</Code>
      <Description>Family name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000007</Code>
      <Description>The account period dates must not exceed 23 months for an approved transitional period</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000008</Code>
      <Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000009</Code>
      <Description>Year of return must be present</Description>
      <LongDescription/>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000010</Code>
      <Description>Australian residency indicator must be present</Description>
      <LongDescription/>
      <Location>pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000012</Code>
      <Description>Family Name field cannot contain all numeric characters including any spaces</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000014</Code>
      <Description>Current postal address - Address line 1 must contain at least one alphabetical character</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000015</Code>
      <Description>Current postal address - Address line 2 must contain at least one alphabetical character</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000016</Code>
      <Description>Family Name field contains repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020017</Code>
      <Description>Year of return is invalid</Description>
      <LongDescription>Year of return must be 2015. Early lodgments for future periods are not permitted on this form.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000018</Code>
      <Description>Family name field must not have space hyphen space combinations</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000019</Code>
      <Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000020</Code>
      <Description>Where the lodgment is an amendment, a valid sequence number of 1 to 9 must be provided</Description>
      <LongDescription>A valid Amendment Sequence Number must be provided when Amendment indicator is set. Valid values are 1-9.</LongDescription>
      <Severity>Error</Severity>
      <Location>pyin.02.08:Report.AmendmentSequence.Number</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000021</Code>
      <Description>Family name field contains ESQ, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR as a suffix</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000022" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000022</Code>
      <Description>Additional Information contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000023</Code>
      <Description>Check deceased taxpayer's title</Description>
      <LongDescription>Date of death is present and title is not Executor for (EF) or Representative for (RF) or Trustee for (TF). Only these titles are allowed for a deceased taxpayer.</LongDescription>
      <Location>pyde.02.00:PersonDemographicDetails.Death.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000024</Code>
      <Description>Gender required</Description>
      <LongDescription/>
      <Location>pyde.02.18:PersonDemographicDetails.Sex.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000025</Code>
      <Description>Surname required</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000026</Code>
      <Description>The "Has name or title changed since last tax return lodged" question must be answered</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:Party.ChangeName.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000027</Code>
      <Description>Date of birth required</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000028</Code>
      <Description>Title does not match sex code</Description>
      <LongDescription>If Title relates to a male taxpayer, then Sex code must have a value of '1' (male).</LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.18:PersonDemographicDetails.Sex.Code</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000029</Code>
      <Description>Title does not match sex code</Description>
      <LongDescription>If Title relates to a female taxpayer, then Sex code must have a value of '2' (female).</LongDescription>
      <Location>pyde.02.18:PersonDemographicDetails.Sex.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000031</Code>
      <Description>Final tax return must be present</Description>
      <LongDescription></LongDescription>
      <Location>pyin.02.00:Lodgment.FinalReturn.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000032</Code>
      <Description>When requesting an amendment, all amendment details must be provided</Description>
      <LongDescription>When requesting an amendment to the Individual Income Tax Return, the Amendment type code, Amendment Sequence Number and Reason for amendment must be completed, with the Amendment indicator set to 'yes' (true). If not lodging an amendment, the Amendment indicator, Amendment type code, Amendment Sequence Number and Reason for amendment are not required.</LongDescription>
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000033</Code>
      <Description>Date financial year from date must commence on or after 1st January in the previous year</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000034</Code>
      <Description>Family name must not exceed 30 characters</Description>
      <LongDescription>For Family name, the maximum allowable characters for this form is 30</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000044</Code>
      <Description>Check name is complete where First name field is blank</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000049</Code>
      <Description>Current postal address - Address line 1 must not exceed 38 characters</Description>
      <LongDescription>For Current postal address - Address line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000050" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000050</Code>
      <Description>Current postal address - Address line 2 must not exceed 38 characters</Description>
      <LongDescription>For Current postal address - Address line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000051</Code>
      <Description>Current postal address - Suburb/Town must not exceed 27 characters</Description>
      <LongDescription>For Current postal address - Suburb/Town, the maximum allowable characters for this form is 27</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000052</Code>
      <Description>Reason for amendment contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyin.02.08:Report.AmendmentReason.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000054</Code>
      <Description>Taxpayer daytime contact details must be provided</Description>
      <LongDescription>You must include either the Taxpayer's Daytime phone number or mobile phone number as both of them are missing</LongDescription>
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000056</Code>
      <Description>The period start date must be the first of the month</Description>
      <LongDescription>This is an annual accounting submission. The dates provided should be for your annual accounting period, commencing on the 1st day of the month. For normal balancers, this will be the period 1 July - 30 June.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000080" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000080</Code>
      <Description>Address Line 1 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000081" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000081</Code>
      <Description>Address Line 2 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000100" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000100</Code>
      <Description>Current postal address - Address line 1 cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000101" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000101</Code>
      <Description>Current postal address - Address line 2 cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000102" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000102</Code>
      <Description>Current postal address - Suburb/Town/City cannot contain "UNKNOWN"</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000104" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000104</Code>
      <Description>Home address - Address line 1 cannot contain "UNKNOWN"</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000105" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000105</Code>
      <Description>Home address - Address line 2 cannot contain "UNKNOWN"</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000106" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000106</Code>
      <Description>Home address - Suburb/Town/City cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000108" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000108</Code>
      <Description>Current postal address must not contain numeric characters when an Australian address is provided</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000109" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000109</Code>
      <Description>Home address must not contain numeric characters when an Australian address is provided</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000110" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000110</Code>
      <Description>Suburb/Town/City cannot contain state code</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000111" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000111</Code>
      <Description>Suburb/Town/City cannot contain state code</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000112" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000112</Code>
      <Description>Current postal address state and postcode are required for Australian addresses</Description>
      <LongDescription>State, postcode, or country are required in the Current postal address field.  Determine whether the address is Australian or overseas and correct accordingly</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000113" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000113</Code>
      <Description>Home address state and postcode are required for Australian addresses</Description>
      <LongDescription>State, postcode, or country are required in the Home postal address field.  Determine whether the address is Australian or overseas and correct accordingly</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000114" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000114</Code>
      <Description>The postcode from the Current postal address must be present if State is present</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000115" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000115</Code>
      <Description>Australia must be entered as the country where an Australian state or territory has been entered.</Description>
      <LongDescription />
      <Location>pyde.02.08:AddressDetails.Country.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000116" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000116</Code>
      <Description>State and postcode must not be present for non-Australian addresses</Description>
      <LongDescription>Country name is present with State or Postcode in the Home address field.  Determine whether the address is Australian or overseas and correct accordingly</LongDescription>
      <Location>pyde.02.08:AddressDetails.Country.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000117" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000117</Code>
      <Description>Current postal address - State must be present if Postcode is present</Description>
      <LongDescription>If the Current postal address is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000118" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000118</Code>
      <Description>Home address - State must be present if Postcode is present</Description>
      <LongDescription>If the Home address is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000121" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000121</Code>
      <Description>Telephone number is required, if an area code is provided</Description>
      <LongDescription>Daytime phone number is required when daytime phone area code is provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000122" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000122</Code>
      <Description>The postcode from the Home address must be present if State is present</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

    <diagnostic id="DVR.ATO.IITR.000123" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000123</Code>
      <Description>Where either BSB number, account number or account name is provided, all must be present</Description>
      <LongDescription>Financial institution details are needed for the Tax office to pay any refund owing the taxpayer. All details must be provided, even if provided in the past.</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
    
  <diagnostic id="DVR.ATO.IITR.000125" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000125</Code>
      <Description>Invalid @ symbol in email address</Description>
      <LongDescription>The email address starts with an @ symbol, or ends with an @ symbol, or contains more than one @ symbol. Email addresses must be in the format 'name@domain.sub-domain'</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000128" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000128</Code>
      <Description>For an Australian address, Current postal address - Postcode is invalid. Valid range is 0200 - 9999</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000129" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000129</Code>
      <Description>For an Australian address, Home address - Postcode is invalid. Valid range is 0200 - 9999</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000132" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000132</Code>
      <Description>Bank/State/Branch number invalid. Valid range is 012000 - 999999.</Description>
      <LongDescription></LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000133" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000133</Code>
      <Description>Invalid dot in email address</Description>
      <LongDescription>The email address starts with a dot, or ends with a dot, or contains adjacent dots. Email addresses must be in the format 'name@domain.sub-domain'</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000134" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000134</Code>
      <Description>Invalid dot and @ symbol in email address</Description>
      <LongDescription>The email address field has a dot character adjacent to an @ symbol. Email addresses must be in the format 'name@domain.sub-domain'</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000135" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000135</Code>
      <Description>Reason for amendment must not exceed 3000 characters</Description>
      <LongDescription>For Reason for amendment, the maximum allowable characters for this form is 3000</LongDescription>
      <Location>pyin.02.08:Report.AmendmentReason.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000137" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000137</Code>
      <Description>Area code is required, if a Telephone number is provided</Description>
      <LongDescription>Daytime phone area code is required when a Daytime phone number is provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000139" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000139</Code>
      <Description>Your mobile phone number is incorrect</Description>
      <LongDescription>Your Australian mobile phone number should start with 04 and followed by 8 numeric characters</LongDescription>
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000140" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000140</Code>
      <Description>Invalid State code</Description>
      <LongDescription>The State code in the Current postal address is not Valid (Valid States are "QLD","NSW","VIC","SA","WA","NT","ACT","TAS")</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000141" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000141</Code>
      <Description>Invalid State code</Description>
      <LongDescription>The State code in the Home address is not Valid (Valid States are "QLD","NSW","VIC","SA","WA","NT","ACT","TAS")</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000145" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000145</Code>
      <Description>Home address - Address line 1 must not exceed 38 characters</Description>
      <LongDescription>For Home address - Address line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000146" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000146</Code>
      <Description>Home address - Address line 2 must not exceed 38 characters</Description>
      <LongDescription>For Home address - Address line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000147" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000147</Code>
      <Description>Home address - Suburb/Town must not exceed 27 characters</Description>
      <LongDescription>For Home address - Suburb/Town, the maximum allowable characters for this form is 27</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000151" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000151</Code>
      <Description>Your mobile phone number must not exceed 10 characters</Description>
      <LongDescription>For Your mobile phone number, the maximum allowable characters for this form is 10</LongDescription>
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000152" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000152</Code>
      <Description>Year of return must not exceed 4 characters</Description>
      <LongDescription>For Year of return, the maximum allowable characters for this form is 4</LongDescription>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000153" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000153</Code>
      <Description>Daytime phone number must not exceed 15 characters</Description>
      <LongDescription>For Daytime phone number, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000154" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000154</Code>
      <Description>Contact E-mail address must not exceed 76 characters</Description>
      <LongDescription>For Contact E-mail address, the maximum allowable characters for this form is 76</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000156" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000156</Code>
      <Description>Account number must not exceed 9 characters</Description>
      <LongDescription>For Account number, the maximum allowable characters for this form is 9</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000159" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000159</Code>
      <Description>Spouse's Customer reference number must not exceed 10 characters</Description>
      <LongDescription>For Spouse's Customer reference number, the maximum allowable characters for this form is 10</LongDescription>
      <Location>pyid.02.09:Identifiers.FamilyAssistanceOfficeCustomerReferenceNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000160" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000160</Code>
      <Description>Client's reference must not exceed 10 characters</Description>
      <LongDescription>For Client's reference, the maximum allowable characters for this form is 10</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxAgentClientReference.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000162" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000162</Code>
      <Description>Home address - Address line 1 must be provided</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000163" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000163</Code>
      <Description>Home address - Suburb/Town must be provided</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000164" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000164</Code>
      <Description>Your mobile phone number must be numeric</Description>
      <LongDescription>Your mobile number must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000168" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000168</Code>
      <Description>Home address - Address line 1 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000169" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000169</Code>
      <Description>Home address - Address line 2 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000170" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000170</Code>
      <Description>Home address - Suburb/Town contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000178" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000178</Code>
      <Description>Account name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 &#x26; * ( ) - ' , . / or a space character</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000185" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000185</Code>
      <Description>Account name contains a leading space</Description>
      <LongDescription>The account name is preceded by a space, or contains only a space. Remove all leading spaces</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000186" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000186</Code>
      <Description>The Amendment indicator must be set when Amendment Sequence Number is provided</Description>
      <LongDescription></LongDescription>
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000187" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000187</Code>
      <Description>Suburb/Town/City contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000188" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000188</Code>
      <Description>Additional Information must not exceed 3000 characters</Description>
      <LongDescription>Additional Information, the maximum allowable characters for this form is 3000</LongDescription>
      <Location>bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000189" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410128</Code>
      <Description>Declaration Statement Accepted Indicator must be 'TRUE'</Description>
      <LongDescription />
      <Location>pyin.02.00:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000190" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000190</Code>
      <Description>Declaration Signatory identifier text must be present</Description>
      <LongDescription></LongDescription>
      <Location>pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000198" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000198</Code>
      <Description>Locality name must be present</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000199" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000199</Code>
      <Description>Current postal address - Address line 1 must be present</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000636" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000636</Code>
      <Description>Bank Account Details have not been completed. Any refund due may be delayed.</Description>
      <LongDescription />
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.IITR.100070" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100070</Code>
      <Description>Declarer Telephone number must not exceed 15 characters</Description>
      <LongDescription>For Declarer Telephone number, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100071" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100071</Code>
      <Description>Sex code details incorrect</Description>
      <LongDescription>Valid sex codes for this form are '1' (male) or '2' (female)</LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.18:PersonDemographicDetails.Sex.Code</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100072" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000472</Code>
      <Description>First name is required</Description>
      <LongDescription>Other given name is provided without First name</LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100073" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000437</Code>
      <Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100074" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000449</Code>
      <Description>Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410131</Code>
      <Description>Other Given Name must contain at least one alphabetical character</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100076" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000451</Code>
      <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100077" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000446</Code>
      <Description>Other given name cannot contain space hyphen space</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000450</Code>
      <Description>Other given name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100079" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010448</Code>
      <Description>Other given name cannot contain suffix ESQ, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100080" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500041</Code>
      <Description>Other given names must not exceed 30 characters</Description>
      <LongDescription>For Other given names, the maximum allowable characters for this form is 30</LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100081" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500042</Code>
      <Description>Individual other given names contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100082" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500017</Code>
      <Description>Individual First given name must not exceed 15 characters</Description>
      <LongDescription>For Individual First given name, the maximum allowable characters for this form is 15</LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100083" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500025</Code>
      <Description>Individual First given name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100084" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410063</Code>
      <Description>Given Name must contain at least one alphabetical character</Description>
      <LongDescription />
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100085" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000439</Code>
      <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100086" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000434</Code>
      <Description>First name cannot contain space hyphen space</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100087" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000438</Code>
      <Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100088" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010436</Code>
      <Description>First name cannot contain suffix ESQ, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100089" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500057</Code>
      <Description>Declarer Contact Name cannot contain space hyphen space combinations</Description>
      <LongDescription />
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <!-- ********************************************************************
                                IITR MEDICARE ERRORS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.IITR.000071" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000071</Code>
      <Description>The combined days for full and half Medicare levy exemption must be within income year.</Description>
      <LongDescription />
      <Location>rvctc2.02.15:IncomeTax.MedicareLevy.ExemptionFullDays.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000501" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000501</Code>
      <Description>Number of full days medicare levy exemption required</Description>
      <LongDescription>The number of full days medicare levy exemption must be present with the action code</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionFullDays.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000502" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000502</Code>
      <Description>Enter number of days NOT liable for Medicare levy surcharge</Description>
      <LongDescription>When it has been indicated that the taxpayer and their dependants have not been covered by private patient hospital cover for the entire income year, the number of days not liable for surcharge must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.MedicareLevy.PrivateHospitalCoverWholePeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000503" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000503</Code>
      <Description>Private health insurance policy details must be completed</Description>
      <LongDescription>When taxpayer and their dependants have been covered by private patient hospital cover for the entire income year, their Private health insurance details - Health insurer ID, Membership number, and correct Tax claim code must also be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.MedicareLevy.PrivateHospitalCoverWholePeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000504" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000504</Code>
      <Description>Incorrect value for number of days not liable for Medicare levy surcharge</Description>
      <LongDescription>If private patient hospital cover has been retained for the whole year, the number of days not liable for Medicare levy surcharge must be blank or a valid accounting period</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.MedicareLevy.PrivateHospitalCoverWholePeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000505" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000505</Code>
      <Description>Levy exemption days exceeds limit</Description>
      <LongDescription>The number of days full levy exemption and/or the number of days half levy exemption exceed accounting period</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.MedicareLevy.SurchargeExemptionDays.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000506" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000506</Code>
      <Description>Seniors and pensioners tax offset indicator must be present</Description>
      <LongDescription>Seniors and pensioners veteran code is present and Seniors and pensioners tax offset code is required</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.SeniorAndPensioner.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000507" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020000</Code>
      <Description>Total tax offsets incorrect</Description>
      <LongDescription>Total tax offsets do not equal the sum of all tax offsets including  Australian superannuation income stream, Superannuation contributions on behalf of your spouse tax offset, Zone or overseas forces tax offset, Invalid and Invalid Carer tax offset, Landcare and water facility tax offset brought forward from prior years, Other non-refundable tax offsets and Other refundable tax offsets</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000510" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000510</Code>
      <Description>Australian superannuation income stream is not in a valid monetary format</Description>
      <LongDescription>For Australian superannuation income stream  must be unsigned but must not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfati.02.00:TaxOffsetClaim.SuperannuationIncomeStream.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000511" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000511</Code>
      <Description>Total tax offsets is not in a valid monetary format</Description>
      <LongDescription>For Total tax offsets must be unsigned but must not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000512" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000512</Code>
      <Description>Number of dependent children and students must not exceed 2 characters</Description>
      <LongDescription>For the Number of dependent children and students, the maximum allowable characters for this form is 2</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000513" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000513</Code>
      <Description>Exemption - number of days full levy exemption must not exceed 3 characters</Description>
      <LongDescription>For Exemption - number of days full levy exemption, the maximum allowable characters for this form is 3</LongDescription>
      <Location>rvctc2.02.15:IncomeTax.MedicareLevy.ExemptionFullDays.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000514" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000514</Code>
      <Description>Exemption - number of days half levy exemption must not exceed 3 characters</Description>
      <LongDescription>For Exemption - number of days half levy exemption, the maximum allowable characters for this form is 3</LongDescription>
      <Location>rvctc2.02.15:IncomeTax.MedicareLevy.ExemptionHalfDays.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000515" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000515</Code>
      <Description>'You and all your dependants covered by private patient hospital cover...' must be provided</Description>
      <LongDescription />
      <Location>rvctc2.02.14:IncomeTax.MedicareLevy.PrivateHospitalCoverWholePeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000516" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000516</Code>
      <Description>Number of days not liable for surcharge must not exceed 3 characters</Description>
      <LongDescription>For Number of days not liable for surcharge, the maximum allowable characters for this form is 3</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.MedicareLevy.SurchargeExemptionDays.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000518" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000518</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Reporting Party Private Health Insurance Sequence Number context instance must not be duplicated</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000600" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000600</Code>
      <Description>All private health insurance policy details required.</Description>
      <LongDescription>All private health insurance policy details must be completed where tax claim code is "No dependants", "Dependants", "Claiming your share of rebate", or "Claiming your spouses share of rebate".</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.TaxClaim.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000601" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000601</Code>
      <Description>Details of health insurer ID is required</Description>
      <LongDescription>When the health insurer ID of (other) has been entered but details of the health insurer have not been provided in the Additional Information field, the required details which describe the health insurer must be provided</LongDescription>
      <Location>pyid.02.09:Identifiers.HealthInsuranceProvider.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000602" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000602</Code>
      <Description>Health insurer ID invalid</Description>
      <LongDescription>Health insurance id must be a code as assigned by the Australian Taxation Office.</LongDescription>
      <Location>pyid.02.09:Identifiers.HealthInsuranceProvider.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000603" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000603</Code>
      <Description>Private health insurance policy details are incomplete</Description>
      <LongDescription>When providing Private health insurance policy's Tax claim code as "Spouse claiming your share of rebate " or "Covered as dependent child" then Private health insurance policy's Health insurer ID and Membership number must also be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.TaxClaim.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000604" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000604</Code>
      <Description>Private health insurance details must match where claiming both your and spouse's share of rebate.</Description>
      <LongDescription />
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.TaxClaim.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000605" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000605</Code>
      <Description>Tax claim code is required</Description>
      <LongDescription>Where there are any Private Health Insurance policy details that have been completed a Tax claim code must be present</LongDescription>
      <Location>pyid.02.09:Identifiers.HealthInsuranceProvider.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000607" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000607</Code>
      <Description>Dependent must be 25yrs or younger to be on a private health insurance dependent child only policy.</Description>
      <LongDescription />
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.TaxClaim.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000608" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000608</Code>
      <Description>Superannuation contributions on behalf of your spouse's tax offset is required</Description>
      <LongDescription>When a Contributions paid amount is present, a Superannuation contributions on behalf of your spouse tax offset amount above 0 must be provided</LongDescription>
      <Location>emsup.02.08:SuperannuationContribution.SpouseContributions.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000609" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000609</Code>
      <Description>Contributions paid amount is required</Description>
      <LongDescription>When a Superannuation contributions paid on behalf of your spouse's tax offset amount is present, a Contributions paid amount above 0 must be provided</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.SuperannuationContributionSpouse.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.IITR.000612" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000612</Code>
      <Description>Amount of other non-refundable tax offsets must be above 0</Description>
      <LongDescription>When Other non-refundable tax offsets action code is present, the amount of other non-refundable tax offsets must be above 0 and also be present</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.NonRefundableOther.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000613" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000613</Code>
      <Description>Other refundable tax offsets code is required</Description>
      <LongDescription>When the Other refundable tax offsets amount is above 0, the Other refundable tax offsets code must be present</LongDescription>
      <Location>rvctc1.02.17:IncomeTax.TaxOffsetRefundableOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000614" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000614</Code>
      <Description>Other refundable tax offsets amount is invalid</Description>
      <LongDescription>When the Other refundable tax offsets code is present, the amount of Other refundable tax offsets must be above 0. An Other refundable tax offsets code is not required for zero amounts.</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.TaxOffsetRefundableOther.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000618" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000618</Code>
      <Description>Private health insurance - Membership number  must not exceed 15 characters</Description>
      <LongDescription>For Private health insurance - Membership number, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyid.02.09:Identifiers.HealthInsuranceMembership.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000619" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000619</Code>
      <Description>Your premiums eligible for Australian Government rebate is not in a valid monetary format</Description>
      <LongDescription>Your premiums eligible for Australian Government rebate must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.RebatableComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000620" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000620</Code>
      <Description>Your Australian Government rebate  is not in a valid monetary format</Description>
      <LongDescription>Your Australian Government rebate must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.GovernmentRebateReceived.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000621" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000621</Code>
      <Description>Contributions paid  is not in a valid monetary format</Description>
      <LongDescription>Contributions paid must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>emsup.02.08:SuperannuationContribution.SpouseContributions.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000622" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000622</Code>
      <Description>Superannuation contributions on behalf of your spouse tax offset is not in a valid monetary format</Description>
      <LongDescription>Superannuation contributions on behalf of your spouse tax offset must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.SuperannuationContributionSpouse.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000623" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000623</Code>
      <Description>Zone or overseas forces tax offset is not in a valid monetary format</Description>
      <LongDescription>Zone or overseas forces tax offset must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.ZoneOrOverseasForces.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000624" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000624</Code>
      <Description>Total net medical expenses is not in a valid monetary format</Description>
      <LongDescription>Total net medical expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.MedicalExpensesNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000625" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020020</Code>
      <Description>Invalid and Invalid Carer tax offset is not in a valid monetary format</Description>
      <LongDescription>For Invalid and Invalid Carer tax offset must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.DependentInvalidAndCarer.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000626" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000626</Code>
      <Description>Landcare and water facility tax offset brought forward from prior years is not in a valid monetary format</Description>
      <LongDescription>Landcare and water facility tax offset brought forward from prior years must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfati.02.05:TaxOffsetClaim.LandcareAndWaterFacilityBroughtForward.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000628" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000628</Code>
      <Description>Other non-refundable tax offsets is not in a valid monetary format</Description>
      <LongDescription>Other non-refundable tax offsets must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.NonRefundableOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000629" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000629</Code>
      <Description>Other refundable tax offsets is not in a valid monetary format</Description>
      <LongDescription>Other refundable tax offsets must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.17:IncomeTax.TaxOffsetRefundableOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000630" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000630</Code>
      <Description>Private health insurance - Membership number contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyid.02.09:Identifiers.HealthInsuranceMembership.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000631" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000631</Code>
      <Description>Superannuation contributions on behalf of your spouse tax offset is invalid</Description>
      <LongDescription>Valid range for Superannuation contributions on behalf of your spouse tax offset is 1 - 540</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.SuperannuationContributionSpouse.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000632" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000632</Code>
      <Description>Landcare and water facility tax offset is invalid</Description>
      <LongDescription>Valid range for Landcare and water facility tax offset is 1 - 13100</LongDescription>
      <Location>gfati.02.05:TaxOffsetClaim.LandcareAndWaterFacilityBroughtForward.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000633" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000633</Code>
      <Description>Reporting Party (Instant) period date is invalid</Description>
      <LongDescription>Invalid context. Period date of Reporting Party (Instant) must match period start date of Reporting Party.</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000634" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000634</Code>
      <Description>Entity identifier scheme for Reporting Party (Instant) must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000635" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000635</Code>
      <Description>Invalid context. The number of Reporting Party (Instant) contexts must not exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.IITR.210031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210031</Code>
      <Description>Medical expenses only relate to disability aids, attendant care or aged care must be answered</Description>
      <LongDescription>Where there is an amount present at total net medical expenses, Medical expenses only relate to disability aids, attendant care or aged care must be answered</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.MedicalExpensesNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.210032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210032</Code>
      <Description>Amount at Total net medical expenses is required</Description>
      <LongDescription>Where the answer to Medical expenses only relate to disability aids, attendant care or aged care is "Yes", an amount at total net medical expenses is required</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.MedicalExpensesDisabilityAidsAttendantCareOrAgedCareRelated.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.210034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210034</Code>
      <Description>Tax claim code(s) against the same Private Health Insurance policy are incorrect</Description>
      <LongDescription>When multiple Private Health Insurance details have been entered against the same policy ('Private health insurance - Health insurer ID' and 'Private health insurance - Health insurer ID'), the 'Tax claim code' must be the same across all the policy entries, except where the 'Tax claim code' is either "Claiming your spouses share of rebate" or "Covered as dependent child"</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.TaxClaim.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.210035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210035</Code>
      <Description>'Your premiums eligible for Australian Government rebate' amount is incorrect</Description>
      <LongDescription>Refer to your private health insurance statement to complete the private health insurance policy details. Ensure that you have only entered the amounts shown on the statement into the 'Your premiums eligible for Australian Government rebate' and 'Your Australian Government rebate received' amount fields for each policy entry.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.RebatableComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400058</Code>
      <Description>Entity identifier scheme for Reporting Party Private Health must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <!-- ********************************************************************
                                IITR INCOME ERRORS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.IITR.000200" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000200</Code>
      <Description>TFN amounts withheld from gross interest is incorrect</Description>
      <LongDescription>TFN amounts deducted on interest are greater than or equal to 50% of gross interest</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000201" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000201</Code>
      <Description>TFN amounts withheld from dividends must be less than 50% of the unfranked amount.</Description>
      <LongDescription>If no TFN was provided, the amounts withheld from dividends cannot be greater than 50% of the unfranked amount.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldDividendsTFNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000202" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000202</Code>
      <Description>Tax withheld from attributed PSI incorrect</Description>
      <LongDescription>Tax withheld from attributed personal services income is greater than 50% of Attributed personal services income</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000203" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000203</Code>
      <Description>Other deductions relating to amounts shown type is invalid</Description>
      <LongDescription>Other deductions relating to amounts shown type has been completed without an amount at Deductions relating to amounts shown at Distribution from partnerships and Share of net income from trusts.  When the deduction amount includes any deferred non-commercial business losses from a prior year, the code must be given to describe the business loss.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.PartnershipsAndTrustPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000204" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000204</Code>
      <Description>Attributed personal services income is incorrect</Description>
      <LongDescription>When an amount above zero is provided for 'Tax withheld from attributed personal services income', an amount above zero for 'Attributed personal services income' is required</LongDescription>
      <Location>bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000205" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000205</Code>
      <Description>Payment type required where employer lump sum payment amounts have been entered.</Description>
      <LongDescription />
      <Location>lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000206" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000206</Code>
      <Description>Total amount of Lump sum payments must be higher than zero</Description>
      <LongDescription>The Lump sum payment type code box is present; however the total amount of Lump sum for unused leave after 15/08/78 is required</LongDescription>
      <Location>bafpr1.02.23:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000207" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000207</Code>
      <Description>Total Assessable discount amount is required</Description>
      <LongDescription>Where Discount from taxed upfront schemes - eligible for reduction is greater than $1,000 the Total Assessable discount amount must be present</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.DiscountAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000208" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000208</Code>
      <Description>A Discount amount is required</Description>
      <LongDescription>Where the Total Assessable discount amount is present, there must be an amount in one of the following labels: Discount from taxed upfront schemes - eligible for reduction, Discount from taxed upfront schemes - not eligible for reduction, Discount from deferral schemes, or Discount on ESS Interests acquired pre 1 July 2009 and 'cessation time' occurred during financial year</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.DiscountAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000209</Code>
      <Description>ESS total assessable discount amount must be less than sum of all other ESS discount amounts.</Description>
      <LongDescription>Employee share scheme (ESS) total assessable discount amount must be less than the sum of Discount from taxed upfront schemes - eligible for reduction, Discount from taxed upfront schemes - not eligible for reduction, Discount from deferral schemes and Assessable discount on shares acquired pre 1 July 2009- 'cessation time' occurred in 2009-10.</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.TaxUpfrontReducibleDiscount.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000210" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000210</Code>
      <Description>Employee share scheme foreign source discounts must be less than total assessable discount amount.</Description>
      <LongDescription />
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.DiscountAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000211" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000211</Code>
      <Description>Distribution from partnerships is invalid</Description>
      <LongDescription>When an amount above zero for either 'Deductions relating to amounts shown at Distribution from partnerships and Share of net income from trusts' or 'Landcare operations and deduction for decline in value of water facility' is provided, at least one amount for 'Distribution from partnerships' or 'Share of net income from trusts' must be provided</LongDescription>
      <Location>bafpr1.02.23:Income.PartnershipPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000212" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000212</Code>
      <Description>Employment termination payment (ETP) code must be provided</Description>
      <LongDescription>When a value is provided at either 'ETP Date of payment', 'ETP Tax withheld amount', 'ETP Taxable component', 'Payers - Withholder payer number' or 'ETP Payers ABN',  the 'ETP code' is required</LongDescription>
      <Location>rvctc2.02.11:IncomeTax.PayAsYouGoWithholding.EmploymentTerminationPaymentType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000213" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000213</Code>
      <Description>All ETP details required</Description>
      <LongDescription />
      <Location>rvctc2.02.11:IncomeTax.PayAsYouGoWithholding.EmploymentTerminationPaymentType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000214" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000214</Code>
      <Description>Net non-Primary Production income/loss amount is incorrect</Description>
      <LongDescription>The sum of 'Net income or loss from carrying on a business of investing', 'Net income or loss from carrying on a rental property business' and 'Other income or loss relating to Other income or loss relating to Net income or loss from business', must equal the amount provided for 'Net non-Primary Production income/loss'</LongDescription>
      <Location>bafpr1.02.23:Income.NonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000215" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000215</Code>
      <Description>ETP Code provided is invalid</Description>
      <LongDescription>Valid ETP Codes for an Individual return are: "B" - Death benefit ETP paid to a non-dependant of the deceased and a termination payment was made to the non-dependant in a previous income year for the same termination; "D" - Death benefit ETP paid to a dependant of the deceased; "N" - Death benefit ETP paid to a non-dependant of the deceased; "O" - Other ETP not described by R (for example: golden handshake, gratuity, payment in lieu of notice, payment for unused sick leave, or payment for unused rostered days off); "P" - ETP code O payment received in the current year and received another ETP (code R or code O), or a transitional termination payment, in an earlier income year for the same termination of employment; "R" - ETP made because of one of the following: early retirement scheme, genuine redundancy, invalidity, or compensation for personal injury, unfair dismissal, harassment, or discrimination; "S" - ETP code R payment received in the current year and received another ETP (code R or code O), or a transitional termination payment, in an earlier income year for the same termination of employment</LongDescription>
      <Location>rvctc2.02.11:IncomeTax.PayAsYouGoWithholding.EmploymentTerminationPaymentType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000216" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000216</Code>
      <Description>Discount from deferral schemes is not in a valid monetary format</Description>
      <LongDescription>Discount from deferral schemes must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.DeferralDiscount.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000217" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000217</Code>
      <Description>Payer's - Withholder payer number is invalid</Description>
      <LongDescription>Either "Payer's Australian business number" or "Payer's - Withholder payer number" can be populated, but not both</LongDescription>
      <Location>pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000219" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000219</Code>
      <Description>Dividends - Franking credit amount is invalid</Description>
      <LongDescription>Dividends - Franking credit cannot be greater than 48% of Dividends - Franked amount</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.FrankingCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000220" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000220</Code>
      <Description>Dividends - Franking credit is invalid</Description>
      <LongDescription>When an amount above zero is provided for 'Dividends - Franked amount', an amount for 'Dividends - Franking credit' must be provided</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.FrankingCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000221" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000221</Code>
      <Description>Total tax withheld is required</Description>
      <LongDescription>Gross income is greater than zero and Total tax withheld is absent. If no tax was withheld then enter zero.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000222" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000222</Code>
      <Description>'Tax withheld from Australian Government allowances and payments like newstart,...' amount incorrect</Description>
      <LongDescription>When an amount above zero is provided for 'Tax withheld from Australian Government allowances and payments like newstart, youth allowance and austudy payment', the amount must be below the amount of 'Australian Government allowances and payments like Newstart, youth allowance and austudy payment'</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianGovernmentAllowancesAndPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000223" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000223</Code>
      <Description>Either Payer's - Withholder payer number or ETP Payer's ABN can be populated, but not both</Description>
      <LongDescription />
      <Location>pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000224" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000224</Code>
      <Description>Tax withheld from Australian Government pensions and allowances incorrect</Description>
      <LongDescription>Tax withheld amounts from Australian government pensions or allowances are greater than or equal to the amount of Australian government pensions. Both amounts must be correct.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianGovernmentPensionsAndAllowances.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000225" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000225</Code>
      <Description>Allowances, earnings, tips, director's fees etc Tax withheld amount incorrect</Description>
      <LongDescription>Amount of Allowances, earnings, tips, director's fees, etc must be greater than the amount of Allowances, earnings, tips, director's fees etc Tax withheld</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAllowancesEarningsTipsDirectorsFees.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000226" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000226</Code>
      <Description>Share of net income from trusts action code is required</Description>
      <LongDescription>When an amount above zero is provided for 'Share of net income from trusts', 'Share of net income from trusts action code' is required</LongDescription>
      <Location>bafpr1.02.23:Income.TrustPrimaryProductionNetShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000227" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000227</Code>
      <Description>Share of net income from trusts is invalid</Description>
      <LongDescription>When 'Share of net income from trusts code' is present, an amount above zero is required for 'Share of net income from trusts'. If 'Share of net income from trusts' is zero or negative, 'Share of net income from trusts code' must not be provided.</LongDescription>
      <Location>bafpr1.02.23:Income.TrustPrimaryProductionNetShare.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000229" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000229</Code>
      <Description>Australian superannuation lump sum payments "Tax withheld amount" is not in a valid monetary format</Description>
      <LongDescription>Australian superannuation lump sum payments "Tax withheld amount" must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000230" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000230</Code>
      <Description>'Other deductions relating to amounts shown at…' amount is invalid</Description>
      <LongDescription>When a code has been provided for Other deductions relating to amounts shown at "Distribution from partnerships less foreign income", "Share of net income from trusts less capital gains, foreign income and franked distributions" and "Franked distributions from trusts" type, an amount above zero must be provided for Other deductions relating to amounts shown at "Distribution from partnerships less foreign income", "Share of net income from trusts less capital gains, foreign income and franked distributions" and "Franked distributions from trusts"</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000231" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000231</Code>
      <Description>The Australian superannuation lump sum payments Payer's ABN is required</Description>
      <LongDescription>When amounts above zero are provided for Australian superannuation lump sum payments Taxable component ("Taxed element" or "Untaxed element"), the Australian superannuation lump sum payments Payer's ABN must be provided</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000234" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000234</Code>
      <Description>Non-PP distribution or share of net income amounts are incorrect</Description>
      <LongDescription>There are amounts for either Other deductions relating to amounts shown at "Distribution from partnerships less foreign income", "Share of net income from trusts less capital gains, foreign income and franked distributions" and "Franked distributions from trusts", Landcare operations expenses, Share of franking credit from franked dividends or Share of credit for TFN amounts withheld from interest, dividends and unit trust distributions or Credit for TFN amounts withheld from payments from closely held trusts without any Distribution from partnerships less foreign income and Share of net income from trusts less capital gains, foreign income and franked distributions and Franked distributions from trusts being present</LongDescription>
      <Location>bafpr1.02.23:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000235" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000235</Code>
      <Description>Distribution and share of net income amounts incorrect</Description>
      <LongDescription>Share of credit for tax withheld where Australian business number not quoted is greater than zero without any Distribution from partnerships and Distribution from partnerships less foreign income and Distribution from partnerships less foreign income and Share of net income from trusts less capital gains, foreign income and franked distributions or Franked distributions from trusts</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000236" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000236</Code>
      <Description>Total tax withheld incorrect</Description>
      <LongDescription>Total tax withheld must equal the sum of all tax withheld items</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSalaryOrWages.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000237" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000237</Code>
      <Description>'Share of net income from trusts less capital gains... action code' is required</Description>
      <LongDescription>When an amount above zero is provided for 'Share of net income from trusts less capital gains, foreign income and franked distributions', 'Share of net income from trusts less capital gains, foreign income and franked distributions action code' is required</LongDescription>
      <Location>bafpr1.02.23:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000238" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000238</Code>
      <Description>Share of net income from trusts less capital gains, foreign income and franked distributions is invalid</Description>
      <LongDescription>When 'Share of net income from trusts less capital gains, foreign income and franked distributions action code' is present, an amount above zero is required for 'Share of net income from trusts less capital gains, foreign income and franked distributions'. If 'Share of net income from trusts less capital gains, foreign income and franked distributions' is zero or negative, 'Share of net income from trusts less capital gains, foreign income and franked distributions action code' must not be provided.</LongDescription>
      <Location>bafpr1.02.23:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000240" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000240</Code>
      <Description>Australian superannuation lump sum payments "Date of payment" is required</Description>
      <LongDescription>When amounts above zero are provided for Australian superannuation lump sum payments Taxable components ("Taxed element" or "Untaxed element"), the Australian superannuation lump sum payments "Date of payment" must be present</LongDescription>
      <Location>bafpr3.02.18:Income.Superannuation.LumpSumPayment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000241" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000241</Code>
      <Description>ESS TFN amounts withheld from discounts is incorrect</Description>
      <LongDescription>ESS TFN amounts withheld from discounts cannot be greater than 50% of the sum of Discount from taxed upfront schemes - eligible for reduction, Discount from taxed upfront schemes - not eligible for reduction, and Discount from deferral schemes</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmployeeShareSchemeDiscountTFNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000242" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000242</Code>
      <Description>Tax withheld where ABN not quoted is incorrect</Description>
      <LongDescription>The amount entered for Tax withheld where ABN not quoted, must not be higher than 50% of PSI where ABN not quoted</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000243" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000243</Code>
      <Description>Tax withheld where ABN not quoted is incorrect</Description>
      <LongDescription>Where an amount above zero has been entered at PSI where ABN not quoted, a Tax withheld where ABN not quoted amount above zero must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000244" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000244</Code>
      <Description>Tax withheld where ABN not quoted is incorrect</Description>
      <LongDescription>Net income/loss from business tax withheld where Australian business number not quoted is greater than 50% of the sum of PP - Gross payments where Australian Business Number not quoted and Non-PP - Gross payments where Australian Business Number not quoted</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000245" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000245</Code>
      <Description>Tax withheld where ABN not quoted is required</Description>
      <LongDescription>The sum of PP - Gross payments where Australian Business Number not quoted and Non-PP - Gross payments where Australian Business Number not quoted is greater than zero, and Net income/loss from business tax withheld where Australian business number not quoted is absent</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000246" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000246</Code>
      <Description>Tax withheld - voluntary agreement is incorrect</Description>
      <LongDescription>The amount at Tax withheld - voluntary agreement is greater than 50% of PSI - voluntary agreement</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000247" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000247</Code>
      <Description>Tax withheld - voluntary agreement is incorrect</Description>
      <LongDescription>An amount greater than zero has been entered at PSI - voluntary agreement and Tax withheld - voluntary agreement is required or equal to zero</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000248" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000248</Code>
      <Description>Tax withheld labour hire or other specified payments incorrect</Description>
      <LongDescription>The amount entered at Tax withheld - labour hire or other specified payments is greater than 50% of PSI - labour hire or other specified payments</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeLabourHireOrOtherPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000249" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000249</Code>
      <Description>Tax withheld labour hire or other specified payments is required</Description>
      <LongDescription>When a positive amount has been provided for 'PSI - labour hire or other specified payments', an amount for 'Tax withheld - labour hire or other specified payments' is required</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeLabourHireOrOtherPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000250" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000250</Code>
      <Description>Tax withheld voluntary agreement required</Description>
      <LongDescription>Amounts have been entered for PP -  Gross payments voluntary agreement or Non-PP - Gross payments voluntary agreement and Net income/loss from business tax withheld voluntary agreement is required</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000251" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000251</Code>
      <Description>Tax withheld voluntary agreement incorrect</Description>
      <LongDescription>Amount entered at Net income/loss from business tax withheld voluntary agreement is greater than 50% of PP -  Gross payments voluntary agreement and Non-PP - Gross payments voluntary agreement</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000252" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000252</Code>
      <Description>Tax withheld labour hire required</Description>
      <LongDescription>Amounts have been entered at PP - Gross payments labour hire or other specified payments and Non-PP - Gross payments labour hire or other specified payments and Net income/loss from business tax withheld - labour hire or other specified payments is required</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000253" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000253</Code>
      <Description>Gross payments labour hire required</Description>
      <LongDescription>Amounts have been entered at Net income/loss from business tax withheld - labour hire or other specified payments and PP - Gross payments labour hire or other specified payments and Non-PP - Gross payments labour hire or other specified payments are required or equal to zero</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000254" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000254</Code>
      <Description>Foreign income tax offset must be less than total foreign income</Description>
      <LongDescription>Foreign income tax offset must be less than the sum of total current year capital gains, CFC income, Transferor trust income, Other net foreign employment income, Net foreign pension or annuity income without an undeducted purchase price, Net foreign pension or annuity income with an UPP, Net foreign rent, Other net foreign source income, Net foreign employment income - payment summary, Primary production deferred losses and Non-Primary production deferred losses.</LongDescription>
      <Location>bafpr3.02.18:Income.InternationalDealings.TaxOffset.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000255" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000255</Code>
      <Description>Tax withheld labour hire incorrect</Description>
      <LongDescription>Amount entered at Net income/loss from business tax withheld - labour hire or other specified payments is greater than 50% of PP - Gross payments labour hire or other specified payments AND Non-PP - Gross payments labour hire or other specified payments</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000256" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000256</Code>
      <Description>Net Primary Production income/loss is incorrect</Description>
      <LongDescription>PP - Net income or loss from business this year less PP - Deferred non-commercial losses from a prior year does not equal Net Primary Production income/loss</LongDescription>
      <Location>bafpr1.02.23:Income.PrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000257" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000257</Code>
      <Description>Net non-Primary Production income/loss is incorrect</Description>
      <LongDescription>Non-PP - Net income or loss from business this year less Non-PP - Deferred non-commercial losses from a prior year does not equal Net non-Primary Production income/loss</LongDescription>
      <Location>bafpr1.02.23:Income.NonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000258" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000258</Code>
      <Description>Net Personal Services Income and Non-PP - Gross payments subject to foreign resident withholding are required</Description>
      <LongDescription>The answer to the question 'Received 80% or more of PSI from one source' is 'yes'; however there are no income amounts provided at Net Personal Services Income and Non-PP - Gross payments subject to foreign resident withholding</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PersonalServicesIncome.OneSourceBenchmark.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000259" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000259</Code>
      <Description>Net Personal Services Income is incorrect</Description>
      <LongDescription>The sum of 'PSI - voluntary agreement', 'PSI where Australian business number not quoted', 'PSI - labour hire or other specified payments', 'PSI - other', 'Deductions for payments to associates for principal work' and 'Total amount of other deductions against PSI', must equal the amount provided for 'Net Personal Services Income'</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000260" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000260</Code>
      <Description>Distribution or share amounts incorrect</Description>
      <LongDescription>Share of credit for amounts withheld from foreign resident withholding is greater than zero without any Distribution from partnerships or Share of net income from trusts or Distribution from partnerships less foreign income or an amount at Franked distributions from trusts or an amount at Total current year capital gains</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldForeignResidentShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000261" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000261</Code>
      <Description>Net income/loss from business tax withheld - foreign resident withholding amount required</Description>
      <LongDescription>When an amount above zero has been provided for 'Non-PP - Gross payments subject to foreign resident withholding', an amount for 'Net income/loss from business tax withheld - foreign resident withholding' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000262" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000262</Code>
      <Description>Tax withheld foreign resident withholding incorrect</Description>
      <LongDescription>An amount entered for Net income/loss from business tax withheld - foreign resident withholding is greater than 50% of the sum of Non-PP - Gross payments subject to foreign resident withholding</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000263" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000263</Code>
      <Description>Total income or loss field is incorrect</Description>
      <LongDescription>The total of all income fields does not equal the amount at the Total income or loss field</LongDescription>
      <Location>bafpr1.02.23:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000264" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000264</Code>
      <Description>Foreign income tax offset is incorrect</Description>
      <LongDescription>When an amount above zero is provided for "Foreign income tax offset", the "Net foreign employment income - payment summary" amount must not exceed the sum of "Gross income", "Lump sum for unused leave after 15/08/78" and "Tax withheld - lump sum payments in arrears"</LongDescription>
      <Location>bafpr1.02.23:Income.SalaryOrWages.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000265" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000265</Code>
      <Description>Salary and wage income must be greater than $0 where net foreign employment income is reported.</Description>
      <LongDescription />
      <Location>rvctc4.02.08:InternationalDealings.ForeignEmploymentIncomePaymentSummary.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000266" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000266</Code>
      <Description>Primary Production business income required</Description>
      <LongDescription>Net primary production income/loss amount is present without total business income from primary production (Gross payments, Assessable government industry payments, Other business income)</LongDescription>
      <Location>bafpr1.02.23:Income.PrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000267" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000267</Code>
      <Description>Net Primary Production income/loss must be provided</Description>
      <LongDescription>Total business income from primary production (Gross payments, Assessable government industry payments, other business income) is present without net primary production income/loss amount</LongDescription>
      <Location>bafpr1.02.23:Income.PrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000268" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000268</Code>
      <Description>Non-Primary Production business income required</Description>
      <LongDescription>Net non-primary production income/loss amount is present without total business income non-primary production (Gross payments where ABN not quoted, Gross payments subject to foreign resident withholding, Gross payments voluntary agreement, Gross payments-labour hire or other payments, Assessable government industry payments, Other business income)</LongDescription>
      <Location>bafpr1.02.23:Income.NonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000269" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000269</Code>
      <Description>Net non-Primary Production income/loss is required</Description>
      <LongDescription>Total business income from non-primary production (Gross payments where ABN not quoted, Gross payments subject to foreign resident withholding, Gross payments voluntary agreement, Gross payments-labour hire or other payments, Assessable government industry payments, Other business income) is present without net non-primary production income/loss amount</LongDescription>
      <Location>bafpr1.02.23:Income.NonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000270" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000270</Code>
      <Description>Net income or loss from business is required</Description>
      <LongDescription>An amount has been entered at Net income/loss from business tax withheld voluntary agreement, Net income/loss from business tax withheld where Australian business number not quoted, Net income/loss from business tax withheld - foreign resident withholding or Net income/loss from business tax withheld - labour hire or other specified payments, but no amounts have been entered for Net Primary Production income/loss or Net non-Primary Production income/loss</LongDescription>
      <Location>bafpr1.02.23:Income.PrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000271" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020002</Code>
      <Description>Net farm management deposits or repayments is incorrect</Description>
      <LongDescription>Taxpayer's net farm management deposits or repayments is not equal to the sum of repayments, early repayments natural disaster plus other repayments less deductible deposits</LongDescription>
      <Location>bafpr1.02.23:Income.FarmManagementDepositsOrRepaymentsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000272" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000272</Code>
      <Description>Landcare operations expenses is not in a valid monetary format</Description>
      <LongDescription>Landcare operations expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Expense.LandcareOperationsNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000274" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000274</Code>
      <Description>Payer's - Withholder payer number is invalid</Description>
      <LongDescription>"Payer's - Withholder payer number" for salary or wages does not conform to the WPN algorithm</LongDescription>
      <Location>pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000275" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000275</Code>
      <Description>Payer's - Withholder payer number is invalid</Description>
      <LongDescription>"Payer's - Withholder payer number" for employment termination payment does not conform to the WPN algorithm</LongDescription>
      <Location>pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000277" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020001</Code>
      <Description>Deductible deposits amount has exceeded the taxable primary production amount</Description>
      <LongDescription>When an amount has been entered for 'Deductible deposits', it must not exceed the total amount of taxable primary production income. Taxable primary production income is the sum of 'Distribution from partnerships', 'Share of net income from trusts', 'Net Primary Production income/loss', 'Primary production deferred losses', 'Early repayments natural disaster' and 'Other repayments', less 'Landcare operations and deduction for decline in value of water facility' and 'Deductions relating to amounts shown at Distribution from partnerships and Share of net income from trusts'.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.FarmManagementDeposits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000278" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000278</Code>
      <Description>Entity identifier scheme for the ETP Sequence Dimension must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000280" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000280</Code>
      <Description>Distribution from partnerships less foreign income amount is incorrect</Description>
      <LongDescription>The sum of 'Distribution from partnerships relating to financial investments, less foreign income', 'Share of net rental property income or loss from partnerships', 'Other distributions from partnerships' must equal the amount for 'Distribution from partnerships less foreign income'</LongDescription>
      <Location>bafpr1.02.23:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000281" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000281</Code>
      <Description>Share of net income from trusts less capital gains, foreign income and franked distributions is invalid</Description>
      <LongDescription>Addition of Share of net income from trusts less capital gains, foreign income and franked distributions - Managed investment scheme income plus Share of net income from trusts less capital gains, foreign income and franked distributions - other income is not equal to the amount ofShare of net income from trusts less capital gains, foreign income and franked distributions</LongDescription>
      <Location>bafpr1.02.23:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000282" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000282</Code>
      <Description>Franked distributions from trusts amount is incorrect</Description>
      <LongDescription>Addition of Franked distributions from trusts relating to investments plus Franked distributions from trusts - other is not equal to the amount of Franked distributions from trusts</LongDescription>
      <Location>bafpr1.02.23:Income.TrustFrankedNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000283" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000283</Code>
      <Description>Other deductions relating to amounts shown is incorrect</Description>
      <LongDescription>Addition of Managed investment scheme deductions relating to amounts shown at "Share of net income from trusts less capital gains, foreign income and franked distributions" and "Franked distributions from trusts" and Partnership deductions relating to financial investment amounts shown at "Distribution from partnerships less foreign income" and Partnership deductions relating to rental property income or loss shown at "Distribution from partnerships less foreign income" and Other deductions relating to distributions shown at "Distribution from partnerships less foreign income", "Share of net income from trusts less capital gains, foreign income and franked distributions" and "Franked distributions from trusts" is not equal to the amount of Other deductions relating to amounts shown at "Distribution from partnerships less foreign income", "Share of net income from trusts less capital gains, foreign income and franked distributions" and "Franked distributions from trusts"</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000284" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000284</Code>
      <Description>An overall trust loss cannot be distributed to an individual</Description>
      <LongDescription>When the sum of 'Share of net income from trusts', 'Share of net income from trusts less capital gains, foreign income and franked distributions', 'Franked distributions from trusts', 'Total current year capital gains', 'Other net foreign employment income', 'Net foreign pension or annuity income without an undeducted purchase price', 'Net foreign pension or annuity income with an undeducted purchase price', 'Net foreign rent', 'Other net foreign source income', 'Australian franking credits from a New Zealand franking company', and 'Net foreign employment income - payment summary' is negative, which indicates that an overall trust loss is being distributed from a trust to an individual, adjust distributed amounts at 'Share of net income from trusts' and 'Share of net income from trusts less capital gains, foreign income and franked distributions' until the overall negative amount no longer exists (i.e. make the sum equal to zero). Note: Where there is a negative amount at any of the foreign source income fields, an amount of zero is used in the summation of that field.</LongDescription>
      <Location>bafpr1.02.23:Income.TrustPrimaryProductionNetShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000285" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000285</Code>
      <Description>Entity identifier scheme for the Income Sequence Dimension must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000286" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000286</Code>
      <Description>Entity identifier scheme for the Salary And Wages Sequence Dimension is invalid</Description>
      <LongDescription>Entity identifier scheme for the Salary And Wages Sequence Dimension must be "http://www.ato.gov.au/tfn"</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000287" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000287</Code>
      <Description>Entity identifier scheme for the Superannuation Lump Sum Payment Sequence Dimension is invalid</Description>
      <LongDescription>Entity identifier scheme for the Superannuation Lump Sum Payment Sequence Dimension must be "http://www.ato.gov.au/tfn"</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000288" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000288</Code>
      <Description>Entity identifier scheme for the Employer Lump Sum Payments Sequence Dimension is invalid</Description>
      <LongDescription>Entity identifier scheme for the Employer Lump Sum Payments Sequence Dimension must be "http://www.ato.gov.au/tfn"</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000289" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000289</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Employment Termination Payment Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/ETPSqNumDim.02.00:EmploymentTerminationPaymentSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000290" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000290</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Income Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/IncSqNumDim.02.00:IncomeSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000291" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000291</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Salary And Wages Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/SWSqNumDim.02.00:SalaryAndWagesSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000292" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000292</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Superannuation Lump Sum Payment Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/SprLSPaySqNumDim.02.00:SuperannuationLumpSumPaymentSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000293" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000293</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Employer Lump Sum Payments Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/EmpLumpPaySqNumDim.02.00:EmployerLumpSumPaymentsSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000294" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000294</Code>
      <Description>Main salary or wage occupation description must not exceed 100 characters</Description>
      <LongDescription>For Main salary or wage occupation description, the maximum allowable characters for this form is 100</LongDescription>
      <Location>pyde.02.11:PersonDemographicDetails.Occupation.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000295" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000295</Code>
      <Description>Individual total income or loss amount must be present</Description>
      <LongDescription />
      <Location>bafpr1.02.23:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000296" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000296</Code>
      <Description>"Taxed element" of Australian superannuation lump sum payments is not in a valid monetary format</Description>
      <LongDescription>Australian superannuation lump sum payments Taxable component "Taxed element" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.19:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000297" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000297</Code>
      <Description>Tax withheld is not in a valid monetary format</Description>
      <LongDescription>Tax withheld must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSalaryOrWages.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000298" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000298</Code>
      <Description>Gross income is not in a valid monetary format</Description>
      <LongDescription>Gross income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.SalaryOrWages.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000299" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000299</Code>
      <Description>Allowances, earnings, tips, director's fees etc Tax withheld is not in a valid monetary format</Description>
      <LongDescription>Allowances, earnings, tips, director's fees etc Tax withheld must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAllowancesEarningsTipsDirectorsFees.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000300" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000300</Code>
      <Description>Amount of allowances, earnings, tips, director's fees, etc is not in a valid monetary format</Description>
      <LongDescription>Amount of allowances, earnings, tips, director's fees, etc must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.AllowancesEarningsTipsDirectorsFees.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000301" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000301</Code>
      <Description>Tax withheld from lump sum for unused leave after 15/08/78 is not in a valid monetary format</Description>
      <LongDescription>Tax withheld from lump sum for unused leave after 15/08/78 must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000302" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000302</Code>
      <Description>Lump sum for unused leave after 15/08/78 is not in a valid monetary format</Description>
      <LongDescription>Lump sum for unused leave after 15/08/78 must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000303" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000303</Code>
      <Description>"Untaxed element" of Australian superannuation lump sum payments is not in a valid monetary format</Description>
      <LongDescription>Australian superannuation lump sum payments Taxable component "Untaxed element" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.19:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000304" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000304</Code>
      <Description>Tax withheld from lump sum for unused leave before 16/08/78 is not in a valid monetary format</Description>
      <LongDescription>Tax withheld from lump sum for unused leave before 16/08/78 must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000305" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000305</Code>
      <Description>Lump sum for unused leave before 16/08/78 is not in a valid monetary format</Description>
      <LongDescription>Lump sum for unused leave before 16/08/78 must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000306" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000306</Code>
      <Description>Tax withheld from attributed personal services income is not in a valid monetary format</Description>
      <LongDescription>Tax withheld from attributed personal services income must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000307" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000307</Code>
      <Description>ETP Tax withheld amount is not in a valid monetary format</Description>
      <LongDescription>ETP Tax withheld amount must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmploymentTerminationPayment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000308" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000308</Code>
      <Description>ETP Taxable component is not in a valid monetary format</Description>
      <LongDescription>ETP Taxable component must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.EmploymentTerminationPaymentTaxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000309" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000309</Code>
      <Description>Attributed personal services income is not in a valid monetary format</Description>
      <LongDescription>Attributed personal services income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000310" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000310</Code>
      <Description>Total tax withheld is not in a valid monetary format</Description>
      <LongDescription>Total tax withheld must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000311" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000311</Code>
      <Description>"Tax withheld from Australian Government allowances and payments..." is not in a valid monetary format</Description>
      <LongDescription>Tax withheld from Australian Government allowances and payments like newstart, youth allowance and austudy payment must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianGovernmentAllowancesAndPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000312" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000312</Code>
      <Description>"Australian Government allowances and payments..." is not in a valid monetary format</Description>
      <LongDescription>Australian Government allowances and payments like Newstart, youth allowance and austudy payment must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.AustralianGovernmentAllowancesAndPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000313" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000313</Code>
      <Description>Tax withheld from Australian Government pensions and allowances is not in a valid monetary format</Description>
      <LongDescription>Tax withheld from Australian Government pensions and allowances must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianGovernmentPensionsAndAllowances.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000314" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000314</Code>
      <Description>Amount of Australian Government pensions and allowances is not in a valid monetary format</Description>
      <LongDescription>Amount of Australian Government pensions and allowances must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfapc.02.01:Pension.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000315" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000315</Code>
      <Description>Australian annuities and superannuation income stream tax withheld is not in a valid monetary format</Description>
      <LongDescription>Australian annuities and superannuation income stream tax withheld must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianAnnuitiesAndSuperannuationIncomeStream.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000316" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000316</Code>
      <Description>Taxable "Taxed element" of Australian annuities and superannuation is not in a valid monetary format</Description>
      <LongDescription>Australian annuities and superannuation income streams Taxable component "Taxed element" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.19:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000317" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000317</Code>
      <Description>Taxable "Untaxed element" of Australian annuities and superannuation is not in a valid monetary format</Description>
      <LongDescription>Australian annuities and superannuation income streams Taxable component "Untaxed element" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.19:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000318" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000318</Code>
      <Description>Lump sum "Taxed element" of Australian annuities and superannuation is not in a valid monetary format</Description>
      <LongDescription>Australian annuities and superannuation income streams Lump sum in arrears "Taxed element" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.19:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000319" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000319</Code>
      <Description>Lump sum "Untaxed element" of Australian annuities and superannuation is not in a valid monetary format</Description>
      <LongDescription>Australian annuities and superannuation income streams Lump sum in arrears "Untaxed element" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.19:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000320" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000320</Code>
      <Description>Gross interest is not in a valid monetary format</Description>
      <LongDescription>Gross interest must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.02:Income.Interest.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000321" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000321</Code>
      <Description>TFN amounts withheld from gross interest is not in a valid monetary format</Description>
      <LongDescription>TFN amounts withheld from gross interest must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000322" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000322</Code>
      <Description>Dividends - Unfranked amount is not in a valid monetary format</Description>
      <LongDescription>Dividends - Unfranked amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.05:Income.DividendsUnfranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000323" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000323</Code>
      <Description>Dividends - Franked amount is not in a valid monetary format</Description>
      <LongDescription>Dividends - Franked amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.00:Income.DividendsFranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000324" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000324</Code>
      <Description>Dividends - Franking credit is not in a valid monetary format</Description>
      <LongDescription>Dividends - Franking credit must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.FrankingCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000325" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000325</Code>
      <Description>TFN amounts withheld from dividends is not in a valid monetary format</Description>
      <LongDescription>TFN amounts withheld from dividends must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldDividendsTFNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000326" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000326</Code>
      <Description>Discount from taxed upfront schemes - eligible for reduction is not in a valid monetary format</Description>
      <LongDescription>Discount from taxed upfront schemes - eligible for reduction must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.TaxUpfrontReducibleDiscount.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000327" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000327</Code>
      <Description>Discount from taxed upfront schemes - not eligible for reduction is not in a valid monetary format</Description>
      <LongDescription>Discount from taxed upfront schemes - not eligible for reduction must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.TaxUpfrontNonReducibleDiscount.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000328" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000328</Code>
      <Description>"Discount on ESS Interests acquired pre 1 July 2009..." is not in a valid monetary format</Description>
      <LongDescription>Discount on ESS Interests acquired pre 1 July 2009 and 'cessation time' occurred during financial year must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.AcquiredBeforeJuly2009Discount.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000329" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000329</Code>
      <Description>Total Assessable discount amount is not in a valid monetary format</Description>
      <LongDescription>Total Assessable discount amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.DiscountAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000330" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000330</Code>
      <Description>ESS TFN amounts withheld from discounts is not in a valid monetary format</Description>
      <LongDescription>ESS TFN amounts withheld from discounts must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmployeeShareSchemeDiscountTFNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000331" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000331</Code>
      <Description>Foreign source discounts is not in a valid monetary format</Description>
      <LongDescription>Foreign source discounts must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.ForeignSourceDiscount.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000332" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000332</Code>
      <Description>Individual total income or loss amount is not in a valid monetary format</Description>
      <LongDescription>Individual total income or loss amount may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000333" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000333</Code>
      <Description>Distribution from partnerships is not in a valid monetary format</Description>
      <LongDescription>Distribution from partnerships may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.PartnershipPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000334" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000334</Code>
      <Description>Share of net income from trusts is not in a valid monetary format</Description>
      <LongDescription>Share of net income from trusts may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.TrustPrimaryProductionNetShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000335" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000335</Code>
      <Description>Landcare operations and deduction for decline in value of water facility is not in a valid monetary format</Description>
      <LongDescription>Landcare operations and deduction for decline in value of water facility must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Expense.LandcareOperationsAndWaterFacilityDeclineInValueDeductionPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000336" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000336</Code>
      <Description>"Deductions relating to amounts shown at Distribution from partnerships..." is not in a valid monetary format</Description>
      <LongDescription>Deductions relating to amounts shown at Distribution from partnerships and Share of net income from trusts must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.PartnershipsAndTrustPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000337" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000337</Code>
      <Description>"Distribution from partnerships relating to financial investments..." is not in a valid monetary format</Description>
      <LongDescription>Distribution from partnerships relating to financial investments, less foreign income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.PartnershipInvestmentLessForeignIncomeNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000338" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000338</Code>
      <Description>Share of net rental property income or loss from partnerships is not in a valid monetary format</Description>
      <LongDescription>Share of net rental property income or loss from partnerships may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.PartnershipRentalNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000339" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000339</Code>
      <Description>Other distributions from partnerships is not in a valid monetary format</Description>
      <LongDescription>Other distributions from partnerships may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.PartnershipNonPrimaryProductionOtherShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000340" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000340</Code>
      <Description>Distribution from partnerships less foreign income is not in a valid monetary format</Description>
      <LongDescription>Distribution from partnerships less foreign income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000341" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000341</Code>
      <Description>'Share of net income from trusts less… Managed investment scheme income' is not in a valid monetary format</Description>
      <LongDescription>Share of net income from trusts less capital gains, foreign income and franked distributions - Managed investment scheme income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.TrustManagedInvestmentSchemeLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000342" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000342</Code>
      <Description>"Share of net income from trusts less... other income" is not in a valid monetary format</Description>
      <LongDescription>Share of net income from trusts less capital gains, foreign income and franked distributions - other income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.TrustOtherNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000343" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000343</Code>
      <Description>"Share of net income from trusts less... franked distributions" is not in a valid monetary format</Description>
      <LongDescription>Share of net income from trusts less capital gains, foreign income and franked distributions may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000344" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000344</Code>
      <Description>Franked distributions from trusts relating to investments is not in a valid monetary format</Description>
      <LongDescription>Franked distributions from trusts relating to investments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.TrustFrankedInvestmentNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000345" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000345</Code>
      <Description>Franked distributions from trusts - other is not in a valid monetary format</Description>
      <LongDescription>Franked distributions from trusts - other must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.TrustFrankedNonPrimaryProductionOtherShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000346" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000346</Code>
      <Description>Franked distributions from trusts is not in a valid monetary format</Description>
      <LongDescription>Franked distributions from trusts must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.TrustFrankedNonPrimaryProductionShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000347" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000347</Code>
      <Description>Managed investment scheme deductions relating to amounts shown is not in a valid monetary format</Description>
      <LongDescription>Managed investment scheme deductions relating to amounts shown at "Share of net income from trusts less capital gains, foreign income and franked distributions" and "Franked distributions from trusts" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TrustExcludingCapitalGainsAndForeignIncomeNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000348" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000348</Code>
      <Description>"Partnership deductions relating to financial investment amounts..." is not in a valid monetary format</Description>
      <LongDescription>Partnership deductions relating to financial investment amounts shown at "Distribution from partnerships less foreign income" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.PartnershipExcludingForeignIncomeNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000349" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000349</Code>
      <Description>"Partnership deductions relating to rental property income..." is not in a valid monetary format</Description>
      <LongDescription>Partnership deductions relating to rental property income or loss shown at "Distribution from partnerships less foreign income" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.PartnershipRentalNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000350" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000350</Code>
      <Description>"Other deductions relating to distributions shown at..." is not in a valid monetary format</Description>
      <LongDescription>Other deductions relating to distributions shown at "Distribution from partnerships less foreign income", "Share of net income from trusts less capital gains, foreign income and franked distributions" and "Franked distributions from trusts" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TrustsPartnershipsOtherAllowableNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000351" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000351</Code>
      <Description>"Other deductions relating to amounts shown at..." is not in a valid monetary format</Description>
      <LongDescription>Other deductions relating to amounts shown at "Distribution from partnerships less foreign income", "Share of net income from trusts less capital gains, foreign income and franked distributions" and "Franked distributions from trusts" must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000353" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000353</Code>
      <Description>Share of credit for tax withheld where ABN not quoted is not in a valid monetary format</Description>
      <LongDescription>Share of credit for tax withheld where Australian business number not quoted must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000354" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000354</Code>
      <Description>Share of franking credit from franked dividends is not in a valid monetary format</Description>
      <LongDescription>Share of franking credit from franked dividends must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.FrankingCreditsShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000355" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000355</Code>
      <Description>"Share of credit for TFN amounts withheld from interest..." is not in a valid monetary format</Description>
      <LongDescription>Share of credit for TFN amounts withheld from interest, dividends and unit trust distributions must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldInvestmentsTFNNotQuotedShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000356" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000356</Code>
      <Description>Credit for TFN amounts withheld from payments from closely held trusts is not in a valid monetary format</Description>
      <LongDescription>Credit for TFN amounts withheld from payments from closely held trusts must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldCloselyHeldTrustShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000357" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000357</Code>
      <Description>Share of credit for tax paid by trustee is not in a valid monetary format</Description>
      <LongDescription>Share of credit for tax paid by trustee must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.CreditTrusteeTaxPaidShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000358" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000358</Code>
      <Description>Share of credit for amounts withheld from foreign resident withholding is not in a valid monetary format</Description>
      <LongDescription>Share of credit for amounts withheld from foreign resident withholding must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldForeignResidentShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000359" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000359</Code>
      <Description>Share of National rental affordability scheme tax offset is not in a valid monetary format</Description>
      <LongDescription>Share of National rental affordability scheme tax offset must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlementShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000360" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000360</Code>
      <Description>Tax withheld - voluntary agreement is not in a valid monetary format</Description>
      <LongDescription>Tax withheld - voluntary agreement must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000361" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000361</Code>
      <Description>Tax withheld where Australian business number not quoted is not in a valid monetary format</Description>
      <LongDescription>Tax withheld where Australian business number not quoted must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000362" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000362</Code>
      <Description>Tax withheld - labour hire or other specified payments is not in a valid monetary format</Description>
      <LongDescription>Tax withheld - labour hire or other specified payments must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeLabourHireOrOtherPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000363" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000363</Code>
      <Description>Net Personal Services Income is not in a valid monetary format</Description>
      <LongDescription>Net Personal Services Income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000364" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000364</Code>
      <Description>Net Primary Production income/loss is not in a valid monetary format</Description>
      <LongDescription>Net Primary Production income/loss may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.PrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000365" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000365</Code>
      <Description>Net income or loss from carrying on a business of investing is not in a valid monetary format</Description>
      <LongDescription>Net income or loss from carrying on a business of investing may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.InvestmentNonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000366" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000366</Code>
      <Description>Net income or loss from carrying on a rental property business is not in a valid monetary format</Description>
      <LongDescription>Net income or loss from carrying on a rental property business may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.RentalPropertyNonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000367" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000367</Code>
      <Description>"Other income or loss relating to Other income or loss..." is not in a valid monetary format</Description>
      <LongDescription>Other income or loss relating to Other income or loss relating to Net income or loss from business may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.NonPrimaryProductionOtherNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000368" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000368</Code>
      <Description>Net non-Primary Production income/loss is not in a valid monetary format</Description>
      <LongDescription>Net non-Primary Production income/loss may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.NonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000369" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000369</Code>
      <Description>Net income/loss from business tax withheld voluntary agreement is not in a valid monetary format</Description>
      <LongDescription>Net income/loss from business tax withheld voluntary agreement must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000370" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000370</Code>
      <Description>Net income/loss from business tax withheld where ABN not quoted is not in a valid monetary format</Description>
      <LongDescription>Net income/loss from business tax withheld where Australian business number not quoted must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000371" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000371</Code>
      <Description>Net income/loss from business tax withheld - foreign resident withholding is not in a valid monetary format</Description>
      <LongDescription>Net income/loss from business tax withheld - foreign resident withholding must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000372" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000372</Code>
      <Description>"Net income/loss from business tax withheld... other specified payments" is not in a valid monetary format</Description>
      <LongDescription>Net income/loss from business tax withheld - labour hire or other specified payments must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000373" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000373</Code>
      <Description>Main salary or wage occupation description contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.11:PersonDemographicDetails.Occupation.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000376" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000376</Code>
      <Description>Applied exemption or rollover code is invalid</Description>
      <LongDescription>Valid Applied exemption or rollover codes are; "A - Small business active asset reduction","B - Small business retirement exemption","C - Small business roll-over","D - Small business 15 year exemption","E - Foreign resident CGT exemption","F - Scrip for scrip roll-over","I - Main residence exemption","J - Capital gains disregarded as a result of the sale of a pre-CGT asset","K - Disposal or creation of assets in a wholly-owned company","L - Replacement asset roll-overs","M - Exchange of shares or units","N - Exchange of rights or options","O - Exchange of shares in one company for shares in another company","P - Exchange of units in a unit trust for shares in a company","R - Demerger roll-over","S - Same asset roll-overs","X - Other exemptions and roll-overs"</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000377" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000377</Code>
      <Description>Payer's Australian business number is invalid</Description>
      <LongDescription>The Payer's Australian business number has failed the ABN algorithm check</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000378" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000378</Code>
      <Description>Enter valid ABN</Description>
      <LongDescription>An invalid ABN has been entered at either the ETP Payers ABN or the  Australian superannuation lump sum payments Payer's ABN.</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000379" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000379</Code>
      <Description>Australian superannuation lump sum payments Payer's ABN is invalid</Description>
      <LongDescription>The Australian superannuation lump sum payments Payer's ABN has failed the ABN algorithm check</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100002</Code>
      <Description>SLS date of payment must be within income year.</Description>
      <LongDescription />
      <Location>bafpr3.02.18:Income.Superannuation.LumpSumPayment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100003</Code>
      <Description>ETP date of payment must be within income year.</Description>
      <LongDescription />
      <Location>bafpr1.02.23:Income.EmploymentTerminationPayment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100009</Code>
      <Description>Spouse's Customer reference number contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyid.02.09:Identifiers.FamilyAssistanceOfficeCustomerReferenceNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100010</Code>
      <Description>Contact E-mail address contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * - _ = ' . ? / or a space character</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100011</Code>
      <Description>Client's reference contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxAgentClientReference.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100052</Code>
      <Description>Taxed elements paid on or after the taxpayers 60th birthday must not be declared</Description>
      <LongDescription>Life benefit superannuation lump sums containing taxed elements paid on or after the taxpayer's 60th birthday are non-assessable and non-exempt income, and must not be declared in the tax return</LongDescription>
      <Location>bafpr3.02.18:Income.Superannuation.LumpSumPayment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.200001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200001</Code>
      <Description>Questions relating to the full individual return form must be answered</Description>
      <LongDescription>When the 'Income Tax Return Type' is not provided, implying that the return is to be treated as a full Individual return, the questions 'Did you have a CGT event during the year', 'Had a direct or indirect interest in a controlled foreign company (CFC)', 'Have you ever, either directly or indirectly, caused the transfer of property (incl. money) or services to a non-resident trust estate' and 'Owned, or had interest in, assets located outside Australia with total value of AUD $50,000 or more' must all be answered</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.ReturnType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.200002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200002</Code>
      <Description>Questions relating to a full individual return must not be answered on the short individual return</Description>
      <LongDescription>When the 'Income Tax Return Type' is provided, implying that the return is to be treated as a short Individual return, the questions 'Did you have a CGT event during the year', 'Had a direct or indirect interest in a controlled foreign company (CFC)', 'Have you ever, either directly or indirectly, caused the transfer of property (incl. money) or services to a non-resident trust estate' and 'Owned, or had interest in, assets located outside Australia with total value of AUD $50,000 or more' must not be answered</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.ReturnType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.200003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200003</Code>
      <Description>Dividend amounts for the application for the refund of franking credits have not been provided</Description>
      <LongDescription>When the 'Income Tax Return Type' is provided, implying that the return is to be treated as a short Individual return, the 'Dividends - Unfranked amount', 'Dividends - Franked amount', 'Dividends - Franking credit' or 'TFN amounts withheld from dividends' amounts must be provided</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.ReturnType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.200018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200018</Code>
      <Description>Taxable income of spouse must be present for claim of Seniors and pensioners tax offset</Description>
      <LongDescription>Rebate income is required to determine eligibility for Seniors and pensioners tax offset. Spouse's taxable income is part of the rebate income amount and therefore must be present when the Seniors and pensioners tax offset is equal to "Eligible spouse lived apart", "Non eligible spouse lived apart", "Eligible spouse lived together" or "Non eligible spouse lived together."</LongDescription>
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.200021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200021</Code>
      <Description>For the Seniors and pensioners tax offset claim, provide the spouse gender</Description>
      <LongDescription>Where the taxpayer is claiming for the Seniors and pensioners tax offset, and the tax offset code is indicative of the taxpayer having a spouse, the spouse gender must be provided in the spouse details section of the return form.</LongDescription>
      <Location>pyde.02.18:PersonDemographicDetails.Sex.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.200024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200024</Code>
      <Description>Spouse details required</Description>
      <LongDescription>If Seniors and pensioners - Veteran code is "Spouse Veteran War Widow Widower" or "Both", then details of the taxpayer's spouse is required including Spouse's taxable income, Amount of any Australian Government pensions and allowances received by your spouse in the year of return and Amount of any exempt pension income received by your spouse in the year of the return</LongDescription>
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.200026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200026</Code>
      <Description>Australian superannuation income stream amount is invalid</Description>
      <LongDescription>Australian superannuation income stream amount must either be not provided or zero, when the Australian annuities and superannuation income streams income amounts are either not present or zero. Australian annuities and superannuation income streams income amount fields include the following; Australian annuities and superannuation income streams Taxable component "Taxed element", Australian annuities and superannuation income streams Taxable component "Untaxed element", Australian annuities and superannuation income streams Lump sum in arrears "Taxed element", Australian annuities and superannuation income streams Lump sum in arrears "Untaxed element".</LongDescription>
      <Location>gfati.02.00:TaxOffsetClaim.SuperannuationIncomeStream.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.200034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020012</Code>
      <Description>Number of days not liable for surcharge or spouse income details is required</Description>
      <LongDescription>Spouse's or de facto spouse's family name is present and the taxpayer had a spouse for the full year and had no Medicare levy surcharge. Total reportable fringe benefits amounts exceeds or equal to $3772 and taxable income $ plus total reportable fringe benefits amounts plus net amount on which family trust has been paid plus exempt foreign employment income exceeds $20542 and number of days not liable for MLS, spouse income details also required.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.MedicareLevy.SurchargeExemptionDays.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.210049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210049</Code>
      <Description>For each Rental Schedule submitted with this parent return, the only valid Entity Type is 117</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.IITR.300037" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300037</Code>
      <Description>Deferred losses from partnership activities is required</Description>
      <LongDescription>The Business loss activity details indicates that the business activity carried on in a partnership with others and that the loss is to be deferred; but no amount has been recorded at Deferred losses from partnership activities</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialPartnershipShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300039</Code>
      <Description>'Business loss activity - Description of activity' is required</Description>
      <LongDescription>When either a loss amount for primary production business income, non-primary production business income or Net Personal Services Income has been entered, Business loss activity details must be present</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300040</Code>
      <Description>'Business loss activity - Description of activity' is required</Description>
      <LongDescription>When a loss has been entered at either 'Distribution from partnerships' or 'Distribution from partnerships less foreign income', the 'Business loss activity - Description of activity' must be provided</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300064" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300064</Code>
      <Description>Amount of allowances, earnings, tips, director's fees, etc is required</Description>
      <LongDescription>When "Domestic" or "Overseas" is selected for 'Other travel expenses - Category of expense', and "Allowance" is selected for 'Other travel expenses - Standard evidence/calculation code', both on the attached Work related expenses schedule, an amount above zero must be provided for 'Amount of allowances, earnings, tips, director's fees, etc'</LongDescription>
      <Location>bafpr1.02.23:Income.AllowancesEarningsTipsDirectorsFees.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300079" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300079</Code>
      <Description>Amount of allowances, earnings, tips, director's fees, etc is required</Description>
      <LongDescription>When "Overtime meal allowance" is selected for 'Other work expenses - Category of expense' on the attached Work related expenses schedule, an amount above zero must be provided for 'Amount of allowances, earnings, tips, director's fees, etc'</LongDescription>
      <Location>bafpr1.02.23:Income.AllowancesEarningsTipsDirectorsFees.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300153" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300153</Code>
      <Description>Period end date for the Rental schedule is invalid</Description>
      <LongDescription>Invalid context. Period end date for the Rental schedule must be the same as the Period end date of the parent form.</LongDescription>
      <Location>xbrli:period</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300155" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300155</Code>
      <Description>Period start date for the Rental schedule is invalid</Description>
      <LongDescription>Invalid context. Period start date for the Rental schedule must be the same as the Period start date of the parent form.</LongDescription>
      <Location>xbrli:period</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310000</Code>
      <Description>Assessable foreign income amount is incorrect</Description>
      <LongDescription>The 'Assessable foreign source income' amount must not be below the sum of 'Other net foreign employment income', 'Net foreign pension or annuity income without an undeducted purchase price', 'Net foreign pension or annuity income with an undeducted purchase price', 'Net foreign rent' and 'Other net foreign source income'</LongDescription>
      <Location>rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310001</Code>
      <Description>Total current year capital gains is invalid</Description>
      <LongDescription>When an amount for 'Total current year capital gains' is provided, the 'Net capital gain' and/or 'Net capital losses carried forward to later income years' (above zero) amounts must be provided</LongDescription>
      <Location>rvctc3.02.11:Capital.Gains.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310002</Code>
      <Description>Capital Gains Tax amounts incorrect</Description>
      <LongDescription>When the answer to the question 'Had a CGT event during the year' is 'no' (false), and capital gain amounts have been entered, either answer question 'Had a CGT event during the year' as 'yes' (true), or remove Net capital gain and Total current year capital gains amounts</LongDescription>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310003</Code>
      <Description>Answer to the 'Had a CGT event during the year' question must be 'yes'</Description>
      <LongDescription>When an amount is present at 'Net capital gain', the indicator for 'Had a CGT event during the year' must be set to 'yes' (true)</LongDescription>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310004</Code>
      <Description>CFC income amount invalid</Description>
      <LongDescription>Where the 'Had a direct or indirect interest in a controlled foreign company (CFC)' indicator is set to 'no' (false), the CFC income amount must not be present</LongDescription>
      <Location>bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310005</Code>
      <Description>Transferor trust income invalid</Description>
      <LongDescription>Where the answer to the question 'Have you ever, either directly or indirectly, caused the transfer of property (incl. money) or services to a non-resident trust estate' is 'no' (false), the Transferor trust income amount must not be present</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310006</Code>
      <Description>The sum of deferred losses must equal total deferred losses.</Description>
      <LongDescription>The share of deferred losses from partnership activities plus deferred losses from sole trader activities must equal the sum of primary and non-primary production deferred losses.</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310017</Code>
      <Description>Number of business activities required</Description>
      <LongDescription>Where there amounts for primary production or non-primary production income in the Business income and expenses section, the number of business activities must be supplied</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.BusinessActivities.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310018</Code>
      <Description>Incomplete main business name and address details</Description>
      <LongDescription>When the 'Total business income' (primary production or non-primary production) is present at business income and expenses and either the business name or business street address is required</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310023</Code>
      <Description>Deferred losses from sole trader activities is required</Description>
      <LongDescription>The Business loss activity details indicates that the business activity carried out as a sole trader and that the loss is to be deferred; but no amount has been recorded at Deferred losses from sole trader activities</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialPartnershipShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310025</Code>
      <Description>Primary production and/or Non-primary production deferred losses amount incorrect</Description>
      <LongDescription>For Business loss activity, only activity 1 has been entered and the 'Type of loss code' for Business loss activity 1 is '8' . The Net loss amount must equal the sum of primary production deferred losses and non-primary production deferred losses.</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310027</Code>
      <Description>'Received a personal services business determination(s)...' must be provided</Description>
      <LongDescription>Where the answer to the question 'Received personal services income' is 'yes' (true), and the answer to the question 'Satisfied the results test' is 'no' (false), the question 'Received a personal services business determination(s) for the whole of the period PSI earned' must be answered</LongDescription>
      <Location>rvctc2.02.15:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310030</Code>
      <Description>Net capital gain is incorrect</Description>
      <LongDescription>The amount entered for Net capital gain must not be higher than Total current year capital gains</LongDescription>
      <Location>rvctc3.02.19:Capital.Gains.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310031</Code>
      <Description>Total current year capital gains required</Description>
      <LongDescription>When Net capital gain is present, Total current year capital gains must be provided</LongDescription>
      <Location>rvctc3.02.11:Capital.Gains.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310032</Code>
      <Description>PSI amounts not required</Description>
      <LongDescription>Personal Services Income amounts are not required if the taxpayer satisfies the results test, or received a personal services business determination that was in force for the whole period, or satisfies one of the other business tests</LongDescription>
      <Location>rvctc2.02.15:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310033</Code>
      <Description>Personal Services Income (PSI) amounts not required</Description>
      <LongDescription>Personal Services Income amounts are not required when the answer to the question 'Received 80% or more of PSI from one source' is not 'yes' (not true), and any of the business tests are satisfied</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PersonalServicesIncome.OneSourceBenchmark.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310034</Code>
      <Description>Personal Services Income (PSI) amount or Gross payments subject to FRW amount required</Description>
      <LongDescription>Where the answer to the question 'Received 80% or more of PSI from one source' is 'yes' (true) and no business tests have been satisfied, at least one Personal Services Income (PSI) amount or Gross payments subject to FRW amount must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PersonalServicesIncome.OneSourceBenchmark.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310053" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310053</Code>
      <Description>Answer to the 'Satisfied the results test' question required</Description>
      <LongDescription>Where the answer to the question 'Received personal services income' is 'yes' (true), the question 'Satisfied the results test' must be answered</LongDescription>
      <Location>rvctc2.02.15:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310062</Code>
      <Description>Answer to the 'Received 80% or more of PSI from one source' question required</Description>
      <LongDescription>Where the answer to the question 'Received personal services income' is 'yes' (true), and the answer to the questions 'Satisfied the results test' and 'Received a personal services business determination(s) for the whole of the period PSI earned' are both 'no' (false), the question 'Received 80% or more of PSI from one source' must be answered</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PersonalServicesIncome.OneSourceBenchmark.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310063" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310063</Code>
      <Description>Other net capital losses carried forward to later income years on CGTS schedule is invalid</Description>
      <LongDescription>For an attached Capital Gains Tax (CGTS) schedule, when a 'Net capital gain' amount above zero is provided, 'Other net capital losses carried forward to later income years' must be zero or not provided</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310064" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310064</Code>
      <Description>Deductible deposits amount for farm management must not exceed AUD $400,000</Description>
      <LongDescription/>
      <Location>rvctc2.02.14:IncomeTax.Deduction.FarmManagementDeposits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020016</Code>
      <Description>Deductible deposits or repayment amount required where net amount has been entered.</Description>
      <LongDescription>Where an amount is present for net farm management deposits or repayments, an amount must be present in Deductible deposits, Early repayments natural disaster or Other repayments.</LongDescription>
      <Location>bafpr1.02.23:Income.FarmManagementDepositsOrRepaymentsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310066</Code>
      <Description>Capital Gains Tax schedule required</Description>
      <LongDescription>When Net capital gain is in excess of $10,000, a Capital Gains Tax schedule must be attached</LongDescription>
      <Location>rvctc3.02.19:Capital.Gains.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310067</Code>
      <Description>Capital Gains Tax schedule required</Description>
      <LongDescription>When Total current year capital gains is in excess of $10,000, a Capital Gains Tax schedule must be attached</LongDescription>
      <Location>rvctc3.02.11:Capital.Gains.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310068</Code>
      <Description>Total current year capital gains amount invalid</Description>
      <LongDescription>The Total current year capital gains on the Capital Gains Tax schedule must be equal to the Total current year capital gains on the Individual return</LongDescription>
      <Location>rvctc3.02.11:Capital.Gains.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310069" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310069</Code>
      <Description>The number of Capital Gains Tax schedules must not exceed 1</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310070" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310070</Code>
      <Description>Net capital losses carried forward incorrect</Description>
      <LongDescription>The sum of unapplied net capital losses carried forward on the Capital Gains Tax schedule must equal Net capital losses carried forward to later income years on the main income tax return</LongDescription>
      <Location>rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310071" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310071</Code>
      <Description>Net capital gain amount in return incorrect</Description>
      <LongDescription>The Net capital gain amount on the main return form must equal the Net capital gain amount on the Capital Gains Tax schedule</LongDescription>
      <Location>rvctc3.02.19:Capital.Gains.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310072" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310072</Code>
      <Description>Other income - category 1 details are incomplete</Description>
      <LongDescription>When any component of Other income for category 1 is present, 'Other income type - Category 1 description' and 'Other income type - Category 1 - Amount' must be provided. Other income components for category 1 are; 'Other income type - Category 1 description', 'Other income category 1 action code', 'Assessable balancing adjustment amounts for a low value pool deduction relating to financial investments', 'Assessable balancing adjustment amounts for a low value pool deduction relating to a rental property', 'Other Category 1 income' and 'Other income type - Category 1 - Amount'.</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory1Other.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310073" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310073</Code>
      <Description>Other income - category 2 details are incomplete</Description>
      <LongDescription>When any component of Other income for category 2 is present, 'Other income type - Category 2 description' and 'Other income type - Category 2 - Amount' must be provided. Other income components for category 1 are; 'Other income type - Category 2 description', 'Other income category 2 action code', 'Income from a financial investment not included at another label', 'Other Category 2 income' and 'Other income type - Category 2 - Amount'.</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory2Other.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310074" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310074</Code>
      <Description>Your share of deferred losses from partnership activities amount is incorrect</Description>
      <LongDescription>Addition of components for Your share of deferred losses from partnership activities amount must equal the total amount of Your share of deferred losses from partnership activities. Components for Your share of deferred losses from partnership activities are; 'Your share of deferred losses from partnership activities - from carrying on a business of investing', 'Your share of deferred losses from partnership activities - from carrying on a rental property business' and 'Your share of deferred losses from partnership activities - other'.</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialPartnershipShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310075</Code>
      <Description>Deferred losses from sole trader activities amount is incorrect</Description>
      <LongDescription>Addition of components for Deferred losses from sole trader activities amount must equal the total amount of Deferred losses from sole trader activities. Components for Deferred losses from sole trader activities are; 'Deferred losses from sole trader activities - from carrying on a business of investing', 'Deferred losses from sole trader activities - from carrying on a rental property business' and 'Deferred losses from sole trader activities - other'.</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialSoleTrader.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310076" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310076</Code>
      <Description>Other net foreign source income amount is incorrect</Description>
      <LongDescription>Addition of components for Other net foreign source income amount must equal the total amount of Other net foreign source income. Components for Other net foreign source income are; 'Other net foreign source income - dividend income or managed investment scheme income from foreign companies - including from foreign partnerships' and 'Other foreign source income'.</LongDescription>
      <Location>bafpr3.02.14:Income.InternationalDealings.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310077" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310077</Code>
      <Description>Other income type - Category 1 - Amount  is incorrect</Description>
      <LongDescription>Addition of components for 'Other income type - Category 1 - Amount' must equal the total amount of 'Other income type - Category 1 - Amount'. Components for 'Other income type - Category 1 - Amount' are; 'Assessable balancing adjustment amounts for a low value pool deduction relating to financial investments', 'Assessable balancing adjustment amounts for a low value pool deduction relating to a rental property' and 'Other Category 1 income'.</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory1Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310078</Code>
      <Description>Other income - Category 2 - Amount  is incorrect</Description>
      <LongDescription>The sum of all 'Other income type - Category 2 - Amount' amounts must equal the total of the sum of all 'Income from a financial investment not included at another label' and 'Other category 2 income' amounts</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory2Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310079" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310079</Code>
      <Description>PP - Assessable government industry payments amount must be provided</Description>
      <LongDescription>When the 'PP - Assessable government industry payments action code' is present, the 'PP - Assessable government industry payments' amount must be provided</LongDescription>
      <Location>bafpr1.02.23:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310080" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310080</Code>
      <Description>Non-PP - Assessable non-PP government industry payments amount must be provided</Description>
      <LongDescription>When the 'Non-PP - Assessable government industry payments action code' is present, the 'Non-PP - Assessable government industry payments' amount must be provided</LongDescription>
      <Location>bafpr1.02.23:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310081" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430079</Code>
      <Description>Gross rent must be present</Description>
      <LongDescription>If Interest deductions, Capital works deductions, or Other rental deductions are greater than zero, Gross rent must be present</LongDescription>
      <Location>bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310082" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430080</Code>
      <Description>Rent deductions must be present</Description>
      <LongDescription>If Gross rent is greater than zero, then there must be an amount at Interest deductions, Capital works deductions or Other rental deductions. If there are no rental deductions, then zero must be present in at least one of these fields</LongDescription>
      <Location>bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310083" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430081</Code>
      <Description>Rental schedule must be present</Description>
      <LongDescription>If there is a positive amount at Gross rent or at any Rental deductions item, then a Rental property schedule must be submitted for each rental property</LongDescription>
      <Location>bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310084" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430082</Code>
      <Description>Gross rent and Rental deduction amounts must be present</Description>
      <LongDescription>If a Rental property schedule is present, Gross rent or rental deductions must be present</LongDescription>
      <Location>bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310085" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310085</Code>
      <Description>Total CGT discount applied amount incorrect</Description>
      <LongDescription>The Total CGT discount applied amount must not exceed 50% of the combined amount of Total current year capital gains, less Total capital losses applied</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310086" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310086</Code>
      <Description>The number of Work Related Expense schedules must not exceed 1</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310090" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310090</Code>
      <Description>Attached schedules or ETP/SLSP details are invalid</Description>
      <LongDescription>When the 'Income Tax Return Type' is provided, implying that the return is to be treated as a short Individual return, no attached schedules are allowed, and no entries for Employment termination payment or Superannuation lump sum payment details are permitted</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.ReturnType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310101" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310101</Code>
      <Description>Work related self-education expenses amount is incorrect</Description>
      <LongDescription>The 'Work related self-education expenses' amount must equal the sum of the 'Self education expenses - Net deduction' amounts on the attached Work Related Expenses schedule</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310102" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310102</Code>
      <Description>Work related car expense item details on attached Work Related Expenses schedule required</Description>
      <LongDescription>When an amount above zero for 'Work related car expenses' is provided, the 'Car expenses - Explanation and justification for work purposes', 'Car expenses - Description of car (make, model)', 'Car expenses - Amount' and 'Car expenses - Claim code' work related car expense item details must be provided on the attached Work Related Expenses schedule</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Car.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310103" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310103</Code>
      <Description>Work related other travel expense item details on attached Work Related Expenses schedule required</Description>
      <LongDescription>When an amount above zero for 'Work related travel expenses' is provided, the 'Other travel expenses - Explain how these expenses relate to your work', 'Other travel expenses - Category of expense ', 'Other travel expenses - Amount' and 'Other travel expenses - Standard evidence/calculation code' work related other travel expense item details must be provided on the attached Work Related Expenses schedule</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Travel.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310104" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310104</Code>
      <Description>Work related uniform expense item details on attached Work Related Expenses schedule required</Description>
      <LongDescription>When an amount above zero for 'Work related uniform, occupation specific or protective clothing, laundry and dry cleaning expenses' is provided, the 'Uniform, protective or occupation specific clothing and laundry expenses - Description of clothing and justification for work purposes', 'Clothing expenses - Category', 'Clothing expenses - Amount' and 'Clothing expenses - Standard evidence/calculation information code' work related self-education expense item details must be provided on the attached Work Related Expenses schedule</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Clothing.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310105" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310105</Code>
      <Description>Work related self-education expense item details on attached Work Related Expenses schedule required</Description>
      <LongDescription>When an amount above zero for 'Work related self-education expenses' is provided, the 'Self education expenses - Explain how expenses relate to current work activities', 'Self education expenses - Name of course', 'Self education expenses - Institution', 'Self education expenses - Category of expense', 'Self education expenses - Gross amount', 'Self education expenses - Net deduction' and 'Self education expenses - Explanation of other evidence/calculation code used' work related self-education expense item details must be provided on the attached Work Related Expenses schedule</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310106" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310106</Code>
      <Description>Other work related expense item details on attached Work Related Expenses schedule required</Description>
      <LongDescription>When an amount above zero for 'Other work related expenses' is provided, as well as 'Other work expenses - Category of expense' on the attached Work Related Expenses schedule, the other work related expense item details, 'Other work expenses - Explanation and justification for work purposes of each expense', 'Other work expenses - Amount' and 'Other work expenses - Standard evidence/calculation information code', must be provided on the attached Work Related Expenses schedule</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310132" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310132</Code>
      <Description>Work related car expenses amount is incorrect</Description>
      <LongDescription>The 'Work related car expenses' amount must equal the sum of the 'Car expenses - Amount' amounts on the attached Work Related Expenses schedule</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Car.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310133" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310133</Code>
      <Description>Work related travel expenses amount is incorrect</Description>
      <LongDescription>The 'Work related travel expenses' amount must equal the sum of the 'Other travel expenses - Amount' amounts on the attached Work Related Expenses schedule</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Travel.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310134" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310134</Code>
      <Description>'Work related uniform, occupation specific or protective clothing,... expenses' amount is incorrect</Description>
      <LongDescription>The 'Work related uniform, occupation specific or protective clothing, laundry and dry cleaning expenses' amount must equal the sum of the 'Clothing expenses - Amount' amounts on the attached Work Related Expenses schedule</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Clothing.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310135" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310135</Code>
      <Description>Other work related expenses amount is incorrect</Description>
      <LongDescription>The 'Other work related expenses' amount must equal the sum of the 'Other work expenses - Amount' amounts on the attached Work Related Expenses schedule</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310137" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310137</Code>
      <Description>Other income type - Category 1 description contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory1Other.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310139" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310139</Code>
      <Description>Other income type - Category 2 description contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory2Other.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310143" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310143</Code>
      <Description>"Your share of deferred losses from partnership... business of investing" is not in a valid monetary format</Description>
      <LongDescription>Your share of deferred losses from partnership activities - from carrying on a business of investing must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialPartnershipInvestmentShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310144" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310144</Code>
      <Description>"Your share of deferred losses from partnership... rental property business" is not in a valid monetary format</Description>
      <LongDescription>Your share of deferred losses from partnership activities - from carrying on a rental property business must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialPartnershipRentalShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310145" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310145</Code>
      <Description>Your share of deferred losses from partnership activities - other is not in a valid monetary format</Description>
      <LongDescription>Your share of deferred losses from partnership activities - other must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialPartnershipOtherShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310146" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310146</Code>
      <Description>Your share of deferred losses from partnership activities is not in a valid monetary format</Description>
      <LongDescription>Your share of deferred losses from partnership activities must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialPartnershipShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310147" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310147</Code>
      <Description>"Deferred losses from sole trader activities... business of investing" is not in a valid monetary format</Description>
      <LongDescription>Deferred losses from sole trader activities - from carrying on a business of investing must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialSoleTraderInvestment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310148" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310148</Code>
      <Description>"Deferred losses from sole trader activities... rental property business" is not in a valid monetary format</Description>
      <LongDescription>Deferred losses from sole trader activities - from carrying on a rental property business must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialSoleTraderRental.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310149" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310149</Code>
      <Description>Deferred losses from sole trader activities - other is not in a valid monetary format</Description>
      <LongDescription>Deferred losses from sole trader activities - other must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialSoleTraderOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310150" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310150</Code>
      <Description>Deferred losses from sole trader activities is not in a valid monetary format</Description>
      <LongDescription>Deferred losses from sole trader activities must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialSoleTrader.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310151" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310151</Code>
      <Description>Primary production deferred losses is not in a valid monetary format</Description>
      <LongDescription>Primary production deferred losses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310152" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310152</Code>
      <Description>Non-primary production deferred losses is not in a valid monetary format</Description>
      <LongDescription>Non-primary production deferred losses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.DeferredNonCommercialNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310153" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310153</Code>
      <Description>Deductible deposits is not in a valid monetary format</Description>
      <LongDescription>Deductible deposits must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.FarmManagementDeposits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310155" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310155</Code>
      <Description>Early repayments natural disaster is not in a valid monetary format</Description>
      <LongDescription>Early repayments natural disaster must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.FarmManagementEarlyRepaymentsNaturalDisaster.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310156" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310156</Code>
      <Description>Other repayments is not in a valid monetary format</Description>
      <LongDescription>Other repayments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.FarmManagementOtherRepayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310157" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310157</Code>
      <Description>Net farm management deposits or repayments is not in a valid monetary format</Description>
      <LongDescription>Net farm management deposits or repayments may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.FarmManagementDepositsOrRepaymentsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310161" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310161</Code>
      <Description>Net capital gain is not in a valid monetary format</Description>
      <LongDescription>Net capital gain must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Capital.Gains.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310162" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310162</Code>
      <Description>Total current year capital gains is not in a valid monetary format</Description>
      <LongDescription>Total current year capital gains must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.11:Capital.Gains.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310163" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310163</Code>
      <Description>Net capital losses carried forward to later income years is not in a valid monetary format</Description>
      <LongDescription>Net capital losses carried forward to later income years must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310165" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310165</Code>
      <Description>CFC income is not in a valid monetary format</Description>
      <LongDescription>CFC income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310167" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310167</Code>
      <Description>Transferor trust income is not in a valid monetary format</Description>
      <LongDescription>Transferor trust income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310168" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310168</Code>
      <Description>Assessable foreign source income is not in a valid monetary format</Description>
      <LongDescription>Assessable foreign source income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310169" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310169</Code>
      <Description>Other net foreign employment income is not in a valid monetary format</Description>
      <LongDescription>Other net foreign employment income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ForeignEmploymentIncomeOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310170" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310170</Code>
      <Description>Net foreign pension or annuity income without an undeducted purchase price is not in a valid monetary format</Description>
      <LongDescription>Net foreign pension or annuity income without an undeducted purchase price may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ForeignPensionOrAnnuityIncomeWithoutUndeductedPurchasePrice.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310171" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310171</Code>
      <Description>Net foreign pension or annuity income with an undeducted purchase price is not in a valid monetary format</Description>
      <LongDescription>Net foreign pension or annuity income with an undeducted purchase price may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ForeignPensionOrAnnuityIncomeUndeductedPurchasePrice.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310172" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310172</Code>
      <Description>Net foreign rent is not in a valid monetary format</Description>
      <LongDescription>Net foreign rent may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ForeignRent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310173" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310173</Code>
      <Description>"Other net foreign source income - dividend income..." is not in a valid monetary format</Description>
      <LongDescription>Other net foreign source income - dividend income or managed investment scheme income from foreign companies - including from foreign partnerships may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ForeignSourceCompanyIncomeOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310174" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310174</Code>
      <Description>Other foreign source income is not in a valid monetary format</Description>
      <LongDescription>Other foreign source income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ForeignSourceIncomeOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310175" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310175</Code>
      <Description>Other net foreign source income is not in a valid monetary format</Description>
      <LongDescription>Other net foreign source income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr3.02.14:Income.InternationalDealings.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310176" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310176</Code>
      <Description>Australian franking credits from a New Zealand franking company is not in a valid monetary format</Description>
      <LongDescription>Australian franking credits from a New Zealand franking company must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.FrankingCreditsNewZealand.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310177" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310177</Code>
      <Description>Net foreign employment income - payment summary is not in a valid monetary format</Description>
      <LongDescription>Net foreign employment income - payment summary may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ForeignEmploymentIncomePaymentSummary.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310178" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310178</Code>
      <Description>Exempt foreign employment income is not in a valid monetary format</Description>
      <LongDescription>Exempt foreign employment income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ExemptForeignEmploymentIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310179" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310179</Code>
      <Description>Foreign income tax offset is not in a valid monetary format</Description>
      <LongDescription>Foreign income tax offset must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>bafpr3.02.18:Income.InternationalDealings.TaxOffset.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310181" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310181</Code>
      <Description>Gross rent is not in a valid monetary format</Description>
      <LongDescription>Gross rent must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310182" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310182</Code>
      <Description>Interest deductions is not in a valid monetary format</Description>
      <LongDescription>Interest deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.RentalIncomeInterestDeductions.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310183" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310183</Code>
      <Description>Capital works deductions is not in a valid monetary format</Description>
      <LongDescription>Capital works deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.CapitalWorksDeductions.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310184" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310184</Code>
      <Description>Other rental deductions is not in a valid monetary format</Description>
      <LongDescription>Other rental deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310185" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310185</Code>
      <Description>Bonuses from life insurance companies and friendly societies is not in a valid monetary format</Description>
      <LongDescription>Bonuses from life insurance companies and friendly societies must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.00:IncomeTax.LifeInsuranceCompaniesAndFriendlySocietiesBonuses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310186" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310186</Code>
      <Description>Forestry managed investment scheme income is not in a valid monetary format</Description>
      <LongDescription>Forestry managed investment scheme income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.ForestryManagedInvestmentScheme.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310187" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310187</Code>
      <Description>Other income type - Category 1 description must not exceed 36 characters</Description>
      <LongDescription>For Other income type - Category 1 description, the maximum allowable characters for this form is 36</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory1Other.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310189" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310189</Code>
      <Description>"Assessable balancing adjustment amounts... relating to financial investments" is not in a valid monetary format</Description>
      <LongDescription>Assessable balancing adjustment amounts for a low value pool deduction relating to financial investments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.AssessableLowValuePoolDeductionFinancialInvestmentsOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310190" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310190</Code>
      <Description>"Assessable balancing adjustment amounts... relating to a rental property" is not in a valid monetary format</Description>
      <LongDescription>Assessable balancing adjustment amounts for a low value pool deduction relating to a rental property must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.AssessableLowValuePoolDeductionRentalPropertyOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310191" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310191</Code>
      <Description>Other Category 1 income is not in a valid monetary format</Description>
      <LongDescription>Other Category 1 income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory1Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310192" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310192</Code>
      <Description>Other income type - Category 1 - Amount is not in a valid monetary format</Description>
      <LongDescription>Other income type - Category 1 - Amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory1Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310193" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310193</Code>
      <Description>Other income type - Category 2 description must not exceed 36 characters</Description>
      <LongDescription>For Other income type - Category 2 description, the maximum allowable characters for this form is 36</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory2Other.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310195" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310195</Code>
      <Description>Income from a financial investment not included at another label is not in a valid monetary format</Description>
      <LongDescription>Income from a financial investment not included at another label must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.FinancialInvestmentsOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310196" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310196</Code>
      <Description>Other category 2 income is not in a valid monetary format</Description>
      <LongDescription>Other category 2 income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory2Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310197" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310197</Code>
      <Description>Other income - Category 2 - Amount is not in a valid monetary format</Description>
      <LongDescription>Other income - Category 2 - Amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory2Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310198" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310198</Code>
      <Description>Tax withheld - lump sum payments in arrears is not in a valid monetary format</Description>
      <LongDescription>Tax withheld - lump sum payments in arrears must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldLumpSumPaymentsInArrears.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310199" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310199</Code>
      <Description>Taxable professional income is not in a valid monetary format</Description>
      <LongDescription>Taxable professional income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.SpecialProfessional.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310207" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310207</Code>
      <Description>PSI - voluntary agreement is not in a valid monetary format</Description>
      <LongDescription>PSI - voluntary agreement must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.VoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310208" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310208</Code>
      <Description>PSI where Australian business number not quoted is not in a valid monetary format</Description>
      <LongDescription>PSI where Australian business number not quoted must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.ABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310209</Code>
      <Description>PSI - labour hire or other specified payments is not in a valid monetary format</Description>
      <LongDescription>PSI - labour hire or other specified payments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310210" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310210</Code>
      <Description>PSI - other is not in a valid monetary format</Description>
      <LongDescription>PSI - other must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310211" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310211</Code>
      <Description>Deductions for payments to associates for principal work is not in a valid monetary format</Description>
      <LongDescription>Deductions for payments to associates for principal work must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.02:Expense.PersonalServicesIncome.PrincipalWorkPaymentsToAssociates.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310212" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310212</Code>
      <Description>Total amount of other deductions against PSI is not in a valid monetary format</Description>
      <LongDescription>Total amount of other deductions against PSI must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.02:Expense.PersonalServicesIncome.OtherDeductionsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310213" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310213</Code>
      <Description>PP - Gross payments where Australian Business Number not quoted is not in a valid monetary format</Description>
      <LongDescription>PP - Gross payments where Australian Business Number not quoted must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310214" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310214</Code>
      <Description>Non-PP - Gross payments where Australian Business Number not quoted is not in a valid monetary format</Description>
      <LongDescription>Non-PP - Gross payments where Australian Business Number not quoted must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310215" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310215</Code>
      <Description>Non-PP - Gross payments subject to foreign resident withholding is not in a valid monetary format</Description>
      <LongDescription>Non-PP - Gross payments subject to foreign resident withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310216" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310216</Code>
      <Description>PP -  Gross payments voluntary agreement is not in a valid monetary format</Description>
      <LongDescription>PP -  Gross payments voluntary agreement must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.VoluntaryAgreementPrimaryProductionGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310217" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310217</Code>
      <Description>Non-PP - Gross payments voluntary agreement is not in a valid monetary format</Description>
      <LongDescription>Non-PP - Gross payments voluntary agreement must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310218" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310218</Code>
      <Description>PP - Gross payments labour hire or other specified payments is not in a valid monetary format</Description>
      <LongDescription>PP - Gross payments labour hire or other specified payments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310219" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310219</Code>
      <Description>Non-PP - Gross payments labour hire or other specified payments is not in a valid monetary format</Description>
      <LongDescription>Non-PP - Gross payments labour hire or other specified payments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310220" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310220</Code>
      <Description>PP - Assessable government industry payments is not in a valid monetary format</Description>
      <LongDescription>PP - Assessable government industry payments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310222" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310222</Code>
      <Description>Non-PP - Assessable government industry payments is not in a valid monetary format</Description>
      <LongDescription>Non-PP - Assessable government industry payments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310224" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310224</Code>
      <Description>PP - Other business income is not in a valid monetary format</Description>
      <LongDescription>PP - Other business income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.BusinessPrimaryProductionOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310225" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310225</Code>
      <Description>Non-PP - Other business income is not in a valid monetary format</Description>
      <LongDescription>Non-PP - Other business income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.BusinessNonPrimaryProductionOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310226" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310226</Code>
      <Description>Income reconciliation adjustments is not in a valid monetary format</Description>
      <LongDescription>Income reconciliation adjustments may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310227" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310227</Code>
      <Description>PP - Net income or loss from business this year is not in a valid monetary format</Description>
      <LongDescription>PP - Net income or loss from business this year may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.BusinessPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310228" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310228</Code>
      <Description>Non-PP - Net income or loss from business this year is not in a valid monetary format</Description>
      <LongDescription>Non-PP - Net income or loss from business this year may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.BusinessNonPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310229" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310229</Code>
      <Description>PP - Deferred non-commercial losses from a prior year is not in a valid monetary format</Description>
      <LongDescription>PP - Deferred non-commercial losses from a prior year must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310230" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310230</Code>
      <Description>Non-PP - Deferred non-commercial losses from a prior year is not in a valid monetary format</Description>
      <LongDescription>Non-PP - Deferred non-commercial losses from a prior year must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310232" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310232</Code>
      <Description>Period start date for the Capital Gains Tax schedule is invalid</Description>
      <LongDescription>Invalid context. Period start date for the Capital Gains Tax schedule must be the same as the Period start date of the parent form.</LongDescription>
      <Severity>Error</Severity>
      <Location>xbrli:period</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310233" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310233</Code>
      <Description>Period end date for the Capital Gains Tax schedule is invalid</Description>
      <LongDescription>Invalid context. Period end date for the Capital Gains Tax schedule must be the same as the Period end date of the parent form.</LongDescription>
      <Severity>Error</Severity>
      <Location>xbrli:period</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310234" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310234</Code>
      <Description>Tax file number invalid</Description>
      <LongDescription>The TFN provided for the Capital Gains Tax schedule must be the same as the TFN of the parent form</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438019</Code>
      <Description>Exemption or rollover code not supplied</Description>
      <LongDescription>If an exemption or rollover has been applied then the exemption or rollover code(s) must be supplied</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438021</Code>
      <Description>Exemption or rollover applied indicator must be true</Description>
      <LongDescription>If an exemption or rollover code(s) is provided then the exemption or rollover applied indicator must be true</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438022" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438022</Code>
      <Description>Small business active asset reduction amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business active asset reduction (Subdivision 152-C)", then Small business active asset reduction amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438023</Code>
      <Description>Small business retirement exemption amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business retirement exemption (Subdivision152-D)", then Small business retirement exemption amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438024</Code>
      <Description>Small business roll-over amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business roll-over (Subdivision 152-E)", then Small business roll-over amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438025</Code>
      <Description>Small business 15 year exemption amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business 15 year exemption (Subdivision152-B)", then Small business 15 year exemption amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438026</Code>
      <Description>Capital gains disregarded by a foreign resident amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Foreign resident CGT exemption (Division 855)", then Capital gains disregarded by a foreign resident amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438027</Code>
      <Description>Capital gains disregarded as a result of a scrip for scrip roll-over amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Scrip for scrip roll-over (Subdivision 124-M)", then Capital gains disregarded as a result of a scrip for scrip roll-over amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500076" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500076</Code>
      <Description>Exemption or rollover code must be unique</Description>
      <LongDescription/>
      <Location/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500077" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500077</Code>
      <Description>The maximum number of exemption or rollover codes permitted is 25</Description>
      <LongDescription/>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <!-- ********************************************************************
                                IITR INCOME TESTS ERRORS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.IITR.000089" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000089</Code>
      <Description>The spouse is not within the correct age range</Description>
      <LongDescription>The spouse must be between the age of 55 and 59 at the time they received a superannuation lump sum payment where the taxed element has a zero tax rate</LongDescription>
      <Location>emsup.02.19:SuperannuationPayment.BenefitLumpSumZeroTaxRate.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100063" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100063</Code>
      <Description>Spouse details are required</Description>
      <LongDescription>Where the Spouse's Customer reference number is present, then the Spouse's or de facto spouse's family name, first name, date of birth and sex code are required</LongDescription>
      <Location>pyid.02.09:Identifiers.FamilyAssistanceOfficeCustomerReferenceNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.200030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200030</Code>
      <Description>Spouses taxable income is required</Description>
      <LongDescription>Where the Spouse's or de facto spouse's family name at Spouse Details is present and Number of dependent children and students is also present, the Spouse's taxable income for the current income year is required</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.210014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020014</Code>
      <Description>Spouse's taxable income required for Invalid and Invalid Carer tax offset claim</Description>
      <LongDescription>The combined adjusted taxable income of the taxpayer and spouse is used to assess eligibility for the Invalid and Invalid Carer tax offset. The spouse's taxable income is required to determine the combined adjusted taxable income. Where the taxpayer has indicated they have a spouse, please ensure the spouse's taxable income is present.</LongDescription>
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.210015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210015</Code>
      <Description>Correct Tax claim code must be provided</Description>
      <LongDescription>Where the number of dependent children is above zero, the correct Tax claim code must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.TaxClaim.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.210016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210016</Code>
      <Description>Spouse details required</Description>
      <LongDescription>Spouse details required where private health insurance tax claim indicates a spouse during the income year.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.TaxClaim.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.210017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210017</Code>
      <Description>Spouse details are required</Description>
      <LongDescription>Where the Tax claim code selected is 'Spouse claiming your share of rebate', Spouse's or de facto spouse's family name, date of birth, 'Had spouse for the full year' or part year must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.TaxClaim.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.210018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210018</Code>
      <Description>Spouse's or de facto spouse's family name or Spouse's taxable income is required</Description>
      <LongDescription>When Superannuation contributions paid on behalf of your spouse tax offset amount is present, the Spouse's or de facto spouse's family name or taxable income is required</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.SuperannuationContributionSpouse.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300041</Code>
      <Description>Payment Summary schedule is required for Business income tax withheld</Description>
      <LongDescription>Amounts have been entered at Net income/loss from business tax withheld and there is no Payment Summary schedule attached. Please complete and attach a Payment Summary schedule for Individuals.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300042</Code>
      <Description>Tax withheld where ABN not quoted amount is incorrect</Description>
      <LongDescription>The sum of Tax withheld where ABN not quoted amount in the Payment summary schedule, where Income Type is set to Business, does not equal Net income/loss from business tax withheld where Australian business number not quoted on the main return form</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300043</Code>
      <Description>Tax withheld - voluntary agreement amount is incorrect</Description>
      <LongDescription>The sum of Tax withheld for Voluntary agreement withholding amount in the Payment summary schedule, where the Income Type is set to Business, does not equal Net income/loss from business tax withheld voluntary agreement on the main tax return</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300044</Code>
      <Description>Tax withheld - labour hire or other payments amount is incorrect</Description>
      <LongDescription>The sum of Tax withheld for labour hire or other specified payments withholding amount in the Payment summary schedule, where Income Type is set to Business, does not equal Net income/loss from business tax withheld - labour hire or other specified payments on the main return form</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300045</Code>
      <Description>Tax withheld - Foreign withholding amount is incorrect</Description>
      <LongDescription>The sum of Tax withheld for foreign resident withholding amount in the Payment summary schedule, where Income Type is set to Business, does not equal Net income/loss from business tax withheld - foreign resident withholding on the main return form</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300046</Code>
      <Description>Payment Summary schedule is required for an Attributed PSI</Description>
      <LongDescription>An amount has been entered at Attributed personal services income and there is no Payment Summary schedule attached. Please complete and attach a Payment summary schedule for Individuals.</LongDescription>
      <Location>bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300047</Code>
      <Description>Payment Summary schedule is required for Personal services income</Description>
      <LongDescription>Amounts have been entered at Personal services income for the tax withheld amounts or PSI income and there is no Payment Summary schedule attached. Please complete and attach a Payment Summary schedule for Individuals.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300048" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300048</Code>
      <Description>PSI tax withheld - voluntary agreement is incorrect</Description>
      <LongDescription>The amount shown at Tax withheld - voluntary agreement is not equal to the sum of the amounts of Tax withheld for Voluntary agreement withholding on the Payment Summary schedule where Income Type is set to Personal Service Income</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeVoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300049</Code>
      <Description>PSI tax withheld where ABN not quoted is incorrect</Description>
      <LongDescription>The amount shown at Tax withheld where Australian business number not quoted is not equal to the sum of Tax withheld for withholding where ABN not quoted on the Payment Summary schedule where Income Type is set to Personal Service Income</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300050" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300050</Code>
      <Description>PSI tax withheld - labour hire and other specified payments is incorrect</Description>
      <LongDescription>The amount shown at Personal Services Income tax withheld - labour hire and other specified payments is not equal to the sum of Tax withheld for labour hire or other specified payments withholding on the Payment Summary schedule where Income Type is set to Personal Service Income</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeLabourHireOrOtherPayments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300051</Code>
      <Description>Tax withheld from attributed personal services income is incorrect</Description>
      <LongDescription>The amount shown at Tax withheld from attributed personal services income is not equal to the sum of Tax withheld for Attributed Personal Services Income on the Payment Summary schedule where Income Type is set to Personal Service Income</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300052</Code>
      <Description>Attributed personal services income is incorrect</Description>
      <LongDescription>The amount shown at Attributed personal services income is not equal to the sum of Gross payment for Attributed Personal Services Income on the Payment Summary schedule where Income Type is set to Gross payment for Attributed Personal Services Income</LongDescription>
      <Location>bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300059</Code>
      <Description>Amount of allowances, earnings, tips, director's fees, etc is required</Description>
      <LongDescription>When "Award" is selected for 'Other travel expenses - Category of expense' on the attached Work related expenses schedule, an amount above zero must be provided for 'Amount of allowances, earnings, tips, director's fees, etc'</LongDescription>
      <Location>bafpr1.02.23:Income.AllowancesEarningsTipsDirectorsFees.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310021</Code>
      <Description>Payment Summary schedule is required for business income</Description>
      <LongDescription>Amounts have been entered at primary production - Gross payments or non-primary production - Gross payments and there is no Payment Summary schedule attached. A Payment summary schedule for Individuals must be completed.</LongDescription>
      <Location>bafpr1.02.23:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310026</Code>
      <Description>Primary production and/or Non-primary production deferred losses amount required</Description>
      <LongDescription>A Business loss code of 8 has been entered at Description of activity for Activity 1, 2 or 3, but no amount has been entered at primary production deferred losses and/or non-primary production deferred losses. The sum of net losses associated with Activity 1, 2 or 3 must also be reflected in the deferred non-commercial business losses items.</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310035</Code>
      <Description>Gross payment where ABN not quoted is incorrect</Description>
      <LongDescription>The sum of Gross payment for withholding where ABN not quoted in the payment summary schedule where Income Type is set to Business, should be equal to the sum of PP - Gross payments where Australian Business Number not quoted and Non-PP - Gross payments where Australian Business Number not quoted on the main return form</LongDescription>
      <Location>bafpr1.02.23:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310036</Code>
      <Description>Gross payments - voluntary agreement is incorrect</Description>
      <LongDescription>The sum of Gross payment for Voluntary agreement withholding in the payment summary schedule where Income Type is set to Business, should be equal to the sum of PP -  Gross payments voluntary agreement and Non-PP - Gross payments voluntary agreement on the main return form</LongDescription>
      <Location>bafpr1.02.23:Income.VoluntaryAgreementPrimaryProductionGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310037" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310037</Code>
      <Description>Gross payments - labour hire or other payments is incorrect</Description>
      <LongDescription>The sum of Gross payment for Labour hire or other specified payments withholding in the payment summary schedule where Income Type is set to Business, should be equal to the sum of PP - Gross payments labour hire or other specified payments and Non-PP - Gross payments labour hire or other specified payments on the main return form</LongDescription>
      <Location>bafpr1.02.23:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310038</Code>
      <Description>Gross payment - Foreign Resident Withholding is incorrect</Description>
      <LongDescription>The sum of Gross payment for foreign resident withholding in the Payment Summary schedule where Income Type is set to Business or Personal Services Income, should be equal to the Non-PP - Gross payments subject to foreign resident withholding on the main return form</LongDescription>
      <Location>bafpr1.02.23:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310039</Code>
      <Description>PSI - voluntary agreement is incorrect</Description>
      <LongDescription>The amount shown at PSI - voluntary agreement is not equal to the sum of Gross payment for Voluntary agreement withholding on the Payment Summary schedule where Income Type is set to Personal Service Income</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.VoluntaryAgreement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310040</Code>
      <Description>PSI where ABN not quoted is incorrect</Description>
      <LongDescription>The amount shown at PSI where Australian business number not quoted is not equal to the sum of Gross payment for withholding where ABN not quoted on the Payment Summary schedule where Income Type is set to Personal Service Income</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.ABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310041</Code>
      <Description>PSI - labour hire and other specified payments is incorrect</Description>
      <LongDescription>The amount shown at PSI - labour hire or other specified payments is not equal to the sum of Gross payment for Labour hire or other specified payments withholding on the Payment Summary schedule where Income Type is set to Personal Service Income</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310088" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310088</Code>
      <Description>Income Type: Business or Personal Services is required</Description>
      <LongDescription>When a Payment summary schedule for individuals is attached, the 'Income Type: Business or Personal Services Business' codes on the schedule must be provided</LongDescription>
      <Location>rvctc1.02.15:IncomeTax.IncomeType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310089" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310089</Code>
      <Description>The number of Payment Summary schedules must not exceed 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310091" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310091</Code>
      <Description>Total losses transferred in applied is only valid for a company</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310117" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310117</Code>
      <Description>Payment Summary schedule is required for gross payments with no ABN quoted</Description>
      <LongDescription>Where, in the Business income and expenses section, Amounts have been entered at primary production - Gross payments where ABN not quoted or non-primary production - Gross payments where ABN not quoted, a Payment Summary schedule must be completed and attached</LongDescription>
      <Location>bafpr1.02.23:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400005</Code>
      <Description>'Total reportable fringe benefits amount...' must be provided</Description>
      <LongDescription>A zero must be provided if there is no amount present in Total reportable fringe benefits amount, Reportable employer superannuation contributions, Tax-free government pensions, Target foreign income, Net financial investment loss, Net rental property loss and Child support you paid</LongDescription>
      <Location>bafpr1.02.23:Income.FringeBenefitsReportable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400007</Code>
      <Description>Spouse's or de facto spouse's family name and first name is required</Description>
      <LongDescription>The Spouse's or de facto spouse's family name or first name is required when the first name or other given names is provided</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400008</Code>
      <Description>Spouse's or de facto spouse's family name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400009</Code>
      <Description>Spouse's or de facto spouse's first name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400010</Code>
      <Description>Spouse's or de facto spouse's other given names cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400011</Code>
      <Description>Spouse's or de facto spouse's family name field cannot contain all numeric characters including any spaces</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400012</Code>
      <Description>Spouse's or de facto spouse's first name field cannot contain all numeric characters including any spaces</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400013</Code>
      <Description>Spouse's or de facto spouse's other given names field cannot contain all numeric characters including any spaces</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400014</Code>
      <Description>Spouse's or de facto spouse's family name field contains repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400016</Code>
      <Description>Spouse's or de facto spouse's other given names field contains repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400015</Code>
      <Description>Spouse's or de facto spouse's first name field contains repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400017</Code>
      <Description>Spouse's or de facto spouse's family name field must not have space hyphen space combinations</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400018</Code>
      <Description>Spouse's or de facto spouse's first name field must not have space hyphen space combinations</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400019</Code>
      <Description>Spouse's or de facto spouse's other given names field must not have space hyphen space combinations</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400020</Code>
      <Description>Business name of main business field must not have space hyphen space combinations</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400021</Code>
      <Description>Spouse's or de facto spouse's family name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400022" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400022</Code>
      <Description>Spouse's or de facto spouse's first name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400023</Code>
      <Description>Spouse's or de facto spouse's other given name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400024</Code>
      <Description>Spouse's or de facto spouse's family name is invalid</Description>
      <LongDescription>Spouse's or de facto spouse's family name field must not contain the suffixes ESQ, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400025</Code>
      <Description>Spouse's or de facto spouse's first name is invalid</Description>
      <LongDescription>Spouse's or de facto spouse's first name field must not contain the suffixes ESQ, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400026</Code>
      <Description>Spouse's or de facto spouse's other given names is invalid</Description>
      <LongDescription>Spouse's or de facto spouse's other given names field must not contain the suffixes ESQ, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400027</Code>
      <Description>Spouse details provided for taxpayer without spouse</Description>
      <LongDescription>The taxpayer has indicated that they did not have a spouse for part of the year or for the full year, however other spouse details are provided</LongDescription>
      <Location>pyde.02.22:PersonDemographicDetails.SpouseFullYear.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400028</Code>
      <Description>Spouse's or de facto spouse's family name or taxable income is required</Description>
      <LongDescription>Where the taxpayer has had a spouse for the full year or part of the year, the Spouse's or de facto spouse's family name or taxable income is required</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400029</Code>
      <Description>Spouse's or de facto spouse's first name must begin with an alpha character in the range 'A to Z' or 'a to z'</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400030</Code>
      <Description>Had spouse for the full year must be answered</Description>
      <LongDescription>Where details have been provided for Spouse's date of birth, 'Spouse details - Date had a spouse from', 'Spouse details - Date had a spouse to', 'Amount of any Australian Government pensions and allowances received by your spouse in the year of the return' and 'Your spouse's Adjustable Tax Income total amount',  the question, 'Had spouse for the full year' must be answered</LongDescription>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400031</Code>
      <Description>Spouse's date of birth cannot be a future date</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400032</Code>
      <Description>Total reportable fringe benefits amount is not in a valid monetary format</Description>
      <LongDescription>Total reportable fringe benefits amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.FringeBenefitsReportable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400033</Code>
      <Description>Reportable employer superannuation contributions is not in a valid monetary format</Description>
      <LongDescription>Reportable employer superannuation contributions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>emsup.02.19:SuperannuationContribution.EmployerReportable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400034</Code>
      <Description>Tax-free government pensions is not in a valid monetary format</Description>
      <LongDescription>Tax-free government pensions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfapc.02.02:Pension.TaxFree.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400035</Code>
      <Description>Target foreign income is not in a valid monetary format</Description>
      <LongDescription>Target foreign income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ForeignIncomeTarget.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400036</Code>
      <Description>Net financial investment loss is not in a valid monetary format</Description>
      <LongDescription>Net financial investment loss must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.FinancialInvestmentNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400037" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400037</Code>
      <Description>Net rental property loss is not in a valid monetary format</Description>
      <LongDescription>Net rental property loss must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.RentalPropertyNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400038</Code>
      <Description>Child support you paid is not in a valid monetary format</Description>
      <LongDescription>Child support you paid must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>cssup.02.00:ChildSupport.Payment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400039</Code>
      <Description>Number of dependent children and students must not exceed 2 characters</Description>
      <LongDescription>For the Number of dependent children and students, the maximum allowable characters for this form is 2</LongDescription>
      <Location>pyde.02.22:PersonDemographicDetails.DependentChildren.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400040</Code>
      <Description>Adjusted taxable income is not in a valid monetary format</Description>
      <LongDescription>Adjusted taxable income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.TaxableAdjusted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400041</Code>
      <Description>Estimated total income is not in a valid monetary format</Description>
      <LongDescription>Estimated total income may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.Estimated.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400042</Code>
      <Description>Estimated eligible income is not in a valid monetary format</Description>
      <LongDescription>Estimated eligible income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.LowIncomeSuperannuationContributionEligible.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400043</Code>
      <Description>Spouse's or de facto spouse's family name must not exceed 30 characters</Description>
      <LongDescription>For Spouse's or de facto spouse's family name, the maximum allowable characters for this form is 30</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400044</Code>
      <Description>Spouse's or de facto spouse's first name must not exceed 15 characters</Description>
      <LongDescription>For Spouse's or de facto spouse's first name, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400045</Code>
      <Description>Spouse's or de facto spouse's other given names must not exceed 30 characters</Description>
      <LongDescription>For Spouse's or de facto spouse's other given names, the maximum allowable characters for this form is 30</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400047</Code>
      <Description>Spouse's or de facto spouse's family name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400048" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400048</Code>
      <Description>Spouse's or de facto spouse's first name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400049</Code>
      <Description>Spouse's or de facto spouse's other given names contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400050" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400050</Code>
      <Description>Invalid context. The number of Reporting Party Business contexts must not exceed 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400051</Code>
      <Description>Entity identifier scheme for Reporting Party Business must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400052</Code>
      <Description>Invalid context. The number of Reporting Party Loss contexts must not exceed 3</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400053" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400053</Code>
      <Description>Entity Identifier scheme for Reporting Party Loss must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400054</Code>
      <Description>Sequence Container must not be duplicated for Reporting Party Loss</Description>
      <LongDescription>The Sequence Container within the Reporting Party Loss context must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/LossSqNumDim.02.00:LossesSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400055" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400055</Code>
      <Description>Entity Identifier scheme for Reporting Party Spouse must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400056</Code>
      <Description>Invalid context. The number of Reporting Party Spouse contexts must not exceed 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400059</Code>
      <Description>Reporting Party Payer Period start date is invalid</Description>
      <LongDescription>Invalid context. Reporting Party Payer period start date must be the same as the Reporting Party Period start date.</LongDescription>
      <Location>xbrli:period</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400060</Code>
      <Description>Reporting Party Payer Period end date is invalid</Description>
      <LongDescription>Invalid context. Reporting Party Payer period end date must be the same as the Reporting Party Period end date.</LongDescription>
      <Location>xbrli:period</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400063" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400063</Code>
      <Description>The Sequence Container within the Reporting Party Loss context is incorrect</Description>
      <LongDescription>The Sequence Container within the Reporting Party Loss context must be assigned sequentially beginning at 1 and must not exceed 3</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/LossSqNumDim.02.00:LossesSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400073" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400073</Code>
      <Description>Check name is complete where Spouse's or de facto spouse's first name field is blank</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410016</Code>
      <Description>Product ruling year and number details are required</Description>
      <LongDescription>When either Product ruling year or Product ruling number are provided, both fields must be provided</LongDescription>
      <Location>rvctc3.02.19:Tax.ProductRuling.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410071" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020018</Code>
      <Description>Invalid Product ruling year provided</Description>
      <LongDescription>Product Ruling year is not valid. Valid Values include: 1998,1999,2000,2001,2002,2003,2004,2005,2006,2007,2008,2009,2010,2011,2012,2013,2014,2015</LongDescription>
      <Location>rvctc3.02.19:Tax.ProductRuling.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410111" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410111</Code>
      <Description>Product ruling number must not exceed 13 characters</Description>
      <LongDescription>For Product ruling number, the maximum allowable characters for this form is 13</LongDescription>
      <Location>rvctc3.02.19:Tax.ProductRulingNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410113" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410113</Code>
      <Description>Private ruling Number must not exceed 13 characters</Description>
      <LongDescription>For Private ruling Number, the maximum allowable characters for this form is 13</LongDescription>
      <Location>rvctc3.02.19:Tax.PrivateRulingNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410114" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410114</Code>
      <Description>Activity - Deferred non-commercial loss from a prior year is not in a valid monetary format</Description>
      <LongDescription>Activity - Deferred non-commercial loss from a prior year must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.PriorYearNonCommercial.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410115" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410115</Code>
      <Description>Business loss activity - Net loss amount is not in a valid monetary format</Description>
      <LongDescription>Business loss activity - Net loss amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410203" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410203</Code>
      <Description>Product ruling number contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc3.02.19:Tax.ProductRulingNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410205" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410205</Code>
      <Description>Private ruling Number contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>rvctc3.02.19:Tax.PrivateRulingNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300030</Code>
      <Description>ATO Australian and New Zealand Standard Industrial Classification code required</Description>
      <LongDescription>There are amounts reporting for either primary production or non-primary production income in the Business income and expenses section; or Net Personal Services Income is present however there is no Industry code</LongDescription>
      <Location>pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300031</Code>
      <Description>Total business or personal services income, and description of main business activity are required</Description>
      <LongDescription>Where industry code is present, there must be a description of main business activity, amounts at primary production or non-primary production income in the Business income and expenses section; or Net Personal Services Income</LongDescription>
      <Location>pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300032</Code>
      <Description>Net business income primary production or non-primary production required</Description>
      <LongDescription>Where there are amounts for Other business and professional items, there must be amounts at either Net income or loss from business primary production or Net income or loss from business non-primary production</LongDescription>
      <Location>bafpr1.02.23:Income.PrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400151" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400151</Code>
      <Description>Ensure dates taxpayer had a spouse are for part of the year</Description>
      <LongDescription>Since the dates the taxpayer had a spouse are for the full financial year, either the date from or date to require adjustment. If the taxpayer had a spouse for the full year, a 'yes' response is required to the question 'Did you have a spouse for the full year' and the part year dates must be deleted.</LongDescription>
      <Location>pyde.02.22:PersonDemographicDetails.SpouseRelationshipStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410000</Code>
      <Description>Number of business activities is required</Description>
      <LongDescription>When Australian and New Zealand Standard Industrial Classification code has been entered, Number of business activities is required</LongDescription>
      <Location>pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410001</Code>
      <Description>Address details must be present</Description>
      <LongDescription>Address details must be complete with Street name and Number, Suburb/town, State and Postcode</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000410</Code>
      <Description>Suburb/Town/City cannot contain numeric characters</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410005</Code>
      <Description>Total salary and wage expenses action code required</Description>
      <LongDescription>In other business and professional items, 'Total salary and wage expenses' amount is present; therefore 'Total salary and wage expenses action code' indicating the expense component is required</LongDescription>
      <Location>lrla.02.17:Remuneration.WagesAndSalaries.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410006</Code>
      <Description>Business loss activity details is required</Description>
      <LongDescription>In Business loss activity details, all details must be correctly completed including 'Description of activity', 'Industry code', 'Partnership or sole trader', 'Type of loss code' and 'Net loss'</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410007</Code>
      <Description>When Total salary and wage expenses action code is provided the Total salary and wage expenses amount is required</Description>
      <LongDescription>In other business and professional items, when the 'Total salary and wage expenses action code' is present, the 'Total salary and wage expenses' is required</LongDescription>
      <Location>lrla.02.17:Remuneration.WagesAndSalaries.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000411</Code>
      <Description>Suburb/Town/City cannot contain state code</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410009</Code>
      <Description>Total business income amount required</Description>
      <LongDescription>If the Business name of main business or street address of main business is present, then the total business income (primary production or non-primary production) is required at business income and expenses</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410010</Code>
      <Description>Business loss activity details out of sequence</Description>
      <LongDescription>For Business loss activity details, If Business loss activity 2 has been completed and business loss activity 1 is blank, or if business loss activity 3 has been completed and business loss activity 2 is blank, it has been entered incorrectly as these details must be entered in the correct sequence</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410011</Code>
      <Description>Business Loss Activity - Number is required</Description>
      <LongDescription>If label 'Type of loss' equals '5' then label 'Business loss activity - Number' is required</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410012</Code>
      <Description>Total Net loss cannot exceed the sum of Total primary production and non-primary production deferred losses</Description>
      <LongDescription>When the loss type from business loss activity details is '8' (loss is to be deferred) for all 3 activities, the sum of primary production deferred losses and non-primary production deferred losses must not be less than the sum of net loss amounts.</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410014</Code>
      <Description>Invalid or required reference for 'Type of loss'</Description>
      <LongDescription>If label 'Business loss activity - Number' is present then label 'Type of loss' must equal '5'</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410017</Code>
      <Description>Industry code is invalid</Description>
      <LongDescription>Industry code must be one of the 5-digit codes from Business Industry Codes publication, with the exception of 'Private households employing staff – PAYG, FBT use only', only valid for internal use by the Australian Taxation Office</LongDescription>
      <Location>pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410018</Code>
      <Description>Business loss activity details is required</Description>
      <LongDescription>Primary production deferred losses and/or non-primary production deferred losses have been entered without Business loss activity details being completed</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410026</Code>
      <Description>Spouse's sex code details provided is incorrect</Description>
      <LongDescription>Valid Spouse's sex codes are '1' (male) or '2' (female)</LongDescription>
      <Location>pyde.02.18:PersonDemographicDetails.Sex.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020013</Code>
      <Description>Spouse's ATI amount for Income test purposes is incorrect</Description>
      <LongDescription>For income test purposes, spouse's adjusted taxable income (ATI) is the sum of spouse's taxable income, spouse's adjusted fringe benefit (spouse's reportable fringe benefits amount x 0.530), spouse's target foreign income, spouse's tax-free pensions (exempt pensions plus tax-free pensions paid under Military Rehabilitation and Compensation Act), spouse's total net investment loss, spouse's reportable superannuation contributions less child support the spouse paid. For the benefit of other calculations, ensure the ATI amount is correct.</LongDescription>
      <Location>pyde.02.00:PersonDemographicDetails.Deceased.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410064" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410064</Code>
      <Description>Number of business activities provided is in correct</Description>
      <LongDescription>Number of business activities must be between 1 - 99</LongDescription>
      <Location>bafpr3.02.18:Income.PersonalServicesIncome.BusinessActivities.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410065</Code>
      <Description>Status of business code provided is incorrect</Description>
      <LongDescription>Valid Status of business codes are "CeasedBusiness" or "CommencedBusiness"</LongDescription>
      <Location>pyde.02.11:OrganisationDetails.ActivityEvent.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410066</Code>
      <Description>Invalid state code</Description>
      <LongDescription>The State code in the Business address of main business is not Valid (Valid States are "QLD","NSW","VIC","SA","WA","NT","ACT","TAS")</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428041</Code>
      <Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410068</Code>
      <Description>'Business loss activity - Partnership or sole trader' details incorrect</Description>
      <LongDescription>Valid Business loss activity - '161' (partnership) or '006' (sole trader)</LongDescription>
      <Location>pyde.02.22:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410075</Code>
      <Description>Hours taken to prepare and complete the BPI section provided is in correct</Description>
      <LongDescription>Hours taken to prepare and complete the BPI section must be between 1 - 999</LongDescription>
      <Location>pyin.02.23:Report.CompletionHours.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410081" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410081</Code>
      <Description>Spouse's taxable income is not in a valid monetary format</Description>
      <LongDescription>Spouse's taxable income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410082" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410082</Code>
      <Description>Your spouse's section 98 trust income - not included in spouse's taxable income is not in a valid monetary format</Description>
      <LongDescription>Your spouse's section 98 trust income - not included in spouse's taxable income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.TrustIncomeNotIncludedInTaxableIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410083" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410083</Code>
      <Description>'Distributions to your spouse on which family trust distribution…' is not in a valid monetary format</Description>
      <LongDescription>Distributions to your spouse on which family trust distribution tax has been paid must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.FamilyTrustDistributionWhereTaxPaid.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410084" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410084</Code>
      <Description>Your spouse's total reportable fringe benefits amounts is not in a valid monetary format</Description>
      <LongDescription>Your spouse's total reportable fringe benefits amounts must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Income.FringeBenefitsReportable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410085" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410085</Code>
      <Description>'Amount of any Australian Government pensions and allowances…' is not in a valid monetary format</Description>
      <LongDescription>Amount of any Australian Government pensions and allowances received by your spouse in the year of the return must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfapc.02.01:Pension.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410086" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410086</Code>
      <Description>'Amount of any exempt pension income received by your spouse…' is not in a valid monetary format</Description>
      <LongDescription>Amount of any exempt pension income received by your spouse in the year of the return must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfapc.02.02:Pension.SpouseExempt.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410087" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410087</Code>
      <Description>Spouse reportable superannuation contributions is not in a valid monetary format</Description>
      <LongDescription>Spouse reportable superannuation contributions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>emsup.02.19:SuperannuationContribution.EmployerReportable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410088" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410088</Code>
      <Description>Your spouse's tax-free government pensions is not in a valid monetary format</Description>
      <LongDescription>Your spouse's tax-free government pensions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>gfapc.02.02:Pension.TaxFreeMilitaryRehabilitationCompensation.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410089" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410089</Code>
      <Description>Your spouse's target foreign income is not in a valid monetary format</Description>
      <LongDescription>Your spouse's target foreign income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ForeignIncomeTarget.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410090" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410090</Code>
      <Description>Your spouse's total net investment loss is not in a valid monetary format</Description>
      <LongDescription>Your spouse's total net investment loss must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.InvestmentNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410091" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410091</Code>
      <Description>Child support your spouse paid is not in a valid monetary format</Description>
      <LongDescription>Child support your spouse paid must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>cssup.02.00:ChildSupport.Payment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410092" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410092</Code>
      <Description>Your spouse's taxed element of a SLS zero tax rate is not in a valid monetary format</Description>
      <LongDescription>Your spouse's taxed element of a SLS zero tax rate must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>emsup.02.19:SuperannuationPayment.BenefitLumpSumZeroTaxRate.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410093" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410093</Code>
      <Description>Your spouse's Adjustable Tax Income total amount is not in a valid monetary format</Description>
      <LongDescription>Your spouse's Adjustable Tax Income total amount may be signed, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.TaxableAdjusted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410094" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410094</Code>
      <Description>Description of main business or professional activity must not exceed 54 characters</Description>
      <LongDescription>For Description of main business or professional activity, the maximum allowable characters for this form is 54</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410100" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410100</Code>
      <Description>Business address of main business - Street name and number address line 1 must not exceed 38 characters</Description>
      <LongDescription>For Business address of main business - Street name and number address line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410101" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410101</Code>
      <Description>Business address of main business - Street name and number address line 2 must not exceed 38 characters</Description>
      <LongDescription>For Business address of main business - Street name and number address line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410102" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410102</Code>
      <Description>Business address of main business - Suburb/Town must not exceed 27 characters</Description>
      <LongDescription>For Business address of main business - Suburb/Town, the maximum allowable characters for this form is 27</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410106" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410106</Code>
      <Description>Business loss activity - Description of activity must not exceed 36 characters</Description>
      <LongDescription>For Business loss activity - Description of activity, the maximum allowable characters for this form is 36</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410116" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410116</Code>
      <Description>'Small business entity... - Deduction for certain assets' is not in a valid monetary format</Description>
      <LongDescription>Small business entity simplified depreciation - Deduction for certain assets must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.LowCostAssetDepreciation.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410117" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410117</Code>
      <Description>'Small business entity... - Deduction for general small business pool' is not in a valid monetary format</Description>
      <LongDescription>Small business entity simplified depreciation - Deduction for general small business pool must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.SmallBusinessPoolDepreciation.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410118" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410118</Code>
      <Description>Trade debtors is not in a valid monetary format</Description>
      <LongDescription>Trade debtors must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpo1.02.13:Assets.TradeandReceivablesOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410119" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410119</Code>
      <Description>Trade creditors is not in a valid monetary format</Description>
      <LongDescription>Trade creditors must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpo1.02.13:Liabilities.TradeAndOtherPayablesTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410120" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410120</Code>
      <Description>Total salary and wage expenses is not in a valid monetary format</Description>
      <LongDescription>Total salary and wage expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>lrla.02.17:Remuneration.WagesAndSalaries.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410122" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410122</Code>
      <Description>Payments to associated persons is not in a valid monetary format</Description>
      <LongDescription>Payments to associated persons must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410123" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410123</Code>
      <Description>Intangible depreciating assets first deducted is not in a valid monetary format</Description>
      <LongDescription>Intangible depreciating assets first deducted must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410124" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410124</Code>
      <Description>Other depreciating assets first deducted is not in a valid monetary format</Description>
      <LongDescription>Other depreciating assets first deducted must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410125" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410125</Code>
      <Description>Termination value of intangible depreciating assets is not in a valid monetary format</Description>
      <LongDescription>Termination value of intangible depreciating assets must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410126" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410126</Code>
      <Description>Termination value of other depreciating assets is not in a valid monetary format</Description>
      <LongDescription>Termination value of other depreciating assets must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410151" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410151</Code>
      <Description>Business loss activity - Industry code is invalid</Description>
      <LongDescription>Business loss - Industry code must be one of the 5-digit codes from Business Industry Codes publication, with the exception of 'Private households employing staff – PAYG, FBT use only', only valid for internal use by the Australian Taxation Office</LongDescription>
      <Location>pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410152" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410152</Code>
      <Description>Invalid ABN</Description>
      <LongDescription>The Australian Business Number (ABN) has failed the ABN algorithm check.</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410153" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410153</Code>
      <Description>Business address of main business - Street name and number address line 1 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410154" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410154</Code>
      <Description>UNKNOWN is not a valid Address</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410155" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410155</Code>
      <Description>UNKNOWN is not a valid Address</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410156" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410156</Code>
      <Description>UNKNOWN is not a valid Address</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410157" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410157</Code>
      <Description>Non-Individual Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410158" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410158</Code>
      <Description>Business address of main business - Street name and number address line 2 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410159" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410159</Code>
      <Description>Suburb/Town/City contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410189" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410189</Code>
      <Description>Dates incomplete for a taxpayer who had a spouse for less than a full year</Description>
      <LongDescription>In the Spouse Details, if the date taxpayer had a spouse 'from' or 'to' are present, then both dates must be present</LongDescription>
      <Location>pyde.02.22:PersonDemographicDetails.SpouseRelationshipStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410190" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410190</Code>
      <Description>Business loss activity - Industry code is required</Description>
      <LongDescription>If the sum of Primary production deferred losses and Non-primary deferred losses exceeds zero, then 'Business loss activity - Industry code' must be provided</LongDescription>
      <Location>pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410192" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410192</Code>
      <Description>Additional Information contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410193" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410193</Code>
      <Description>Period you had spouse information is incorrect</Description>
      <LongDescription>Where a Private health insurance policy entry has a 'Tax claim code' of "Claiming your spouses share of rebate", then a value of TRUE ('yes') is required at either 'Had a spouse for the full year' or 'Spouse died during the year'. If you did not have a spouse for the full year, a period ending the last day of the Year of return must be shown.</LongDescription>
      <Location>pyde.02.22:PersonDemographicDetails.SpouseRelationshipEnd.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410199" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410199</Code>
      <Description>Business loss activity - Description of activity contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <!-- ********************************************************************
                                IITR DEDUCTIONS ERRORS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.IITR.100029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100029</Code>
      <Description>Criteria for a taxpayer to claim a refund of franking credits are not correct</Description>
      <LongDescription>When the 'Income Tax Return Type' is provided, implying that the return is to be treated as a short Individual return, and the taxpayer is claiming a refund of franking credits, the 'Taxable income or loss' amount must be below $18,201, the 'Australian resident' indicator must be set to 'yes' (true), the 'Dividends - Franking credit' amount must be below $5,461, and the 'Total tax offsets' amount must be zero</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.ReturnType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100030</Code>
      <Description>Criteria for a taxpayer to claim a refund of franking credits are not correct</Description>
      <LongDescription>When the 'Income Tax Return Type' is provided, implying that the return is to be treated as a short Individual return, the taxpayer is claiming a refund of franking credits, and the taxpayer is younger than 18 years old, the 'Australian resident' indicator must be set to 'yes' (true), the 'Dividends - Franking credit' amount must be below $126, and the 'Taxable income or loss' amount must be below $417</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.ReturnType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100031</Code>
      <Description>The income requirement for non-commercial losses has not been met</Description>
      <LongDescription>For a resident taxpayer, where the sum of taxable income or loss and the net loss amounts that exceeds or equal to zero, the reported income for the purposes of the non-commercial losses income test is equal to $250,000 or more. Ensure loss codes used and/or amounts reported at the relevant labels are correct. A copy of the formula used to calculate income for this test can be found at www.ato.gov.au/ncl</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100032</Code>
      <Description>The income requirement for non-commercial losses has not been met</Description>
      <LongDescription>For a resident taxpayer where the sum of taxable income or loss and the net loss amounts is less than zero, the reported income for the purposes of the non-commercial losses income test is equal to $250,000 or more. Ensure loss codes used and/or amounts reported at the relevant labels are correct. A copy of the formula used to calculate income for this test can be found at www.ato.gov.au/ncl</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100033</Code>
      <Description>The income requirement for non-commercial losses has not been met</Description>
      <LongDescription>For a non-resident taxpayer where the sum of taxable income or loss and the net loss amounts exceeds or equal to zero, the reported income for the purposes of the non-commercial losses income test is equal to $250,000 or more. Ensure loss codes used and/or amounts reported at the relevant labels are correct. A copy of the formula used to calculate income for this test can be found at www.ato.gov.au/ncl</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100034</Code>
      <Description>The income requirement for non-commercial losses has not been met</Description>
      <LongDescription>For a non-resident taxpayer where the sum of taxable income or loss and the net loss amounts is less than zero, the reported income for the purposes of the non-commercial losses income test is equal to $250,000 or more. Ensure loss codes used and/or amounts reported at the relevant labels are correct. A copy of the formula used to calculate income for this test can be found at www.ato.gov.au/ncl</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020015</Code>
      <Description>Adjusted taxable income is incorrect</Description>
      <LongDescription>Adjusted taxable income must equal the sum of Taxable income or loss (when amount above $0), Reportable employer superannuation contributions, Tax-free government pensions, Target foreign income, Net financial investment loss, Net rental property loss, and all Deduction claimed amounts, plus 53.0% of the Total reportable fringe benefits amount (when amount above $3,772), less Child support you paid. If you are completing a tax return for a deceased person, this value must be divided by the number of days the taxpayer was alive during the financial year and multiplied by the total number of days in the financial year.</LongDescription>
      <Location>bafpr1.02.23:Income.TaxableAdjusted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100045</Code>
      <Description>Deduction claimed amount invalid</Description>
      <LongDescription>When the taxpayer is over the age of 76 on the 1st June for the Year of return, an amount above zero for 'Deduction claimed' must not be provided</LongDescription>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.100046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.100046</Code>
      <Description>Under 18 excepted net income amount must be provided</Description>
      <LongDescription>When the taxpayer is under 18 years of age on the last day of the financial year of the return, the 'Under 18 ' excepted net income amount must be provided</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.ExceptedNetIncomeUnder18.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300056</Code>
      <Description>Loss claimed for primary and non-primary production must be less than or equal to assessable income.</Description>
      <LongDescription>Total primary and non-primary production losses claimed this income year cannot be greater than assessable income (total income minus total deductions). If the calculated amount is a loss, there is no income to offset prior year losses.</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesClaimedPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300057</Code>
      <Description>Primary and Non-primary production losses claimed are incorrect</Description>
      <LongDescription>When the sum of 'Individual total income or loss amount' less 'Individual total deductions amount' results in a loss, the sum of 'Primary production losses claimed this income year' and 'Non-primary production losses claimed this income year' must be zero</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesClaimedPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300084" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300084</Code>
      <Description>Total assessable discount amount is incorrect</Description>
      <LongDescription>The taxpayer has passed the ESS income test. However, the total assessable discount amount cannot be reduced by more than $1,000.</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.DiscountAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300085" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300085</Code>
      <Description>'Discount from taxed upfront schemes - eligible for reduction' amount is incorrect</Description>
      <LongDescription>The taxpayer has passed the ESS income test. However, the total assessable discount amount declared can not be reduced by more than the upfront discount amount declared at Discount from taxed upfront schemes - eligible for reduction.</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.TaxUpfrontNonReducibleDiscount.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300086" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300086</Code>
      <Description>Reduction on the upfront discount amount has been disallowed</Description>
      <LongDescription>Your income test amount exceeds $180,000. Consequently you are not entitled to a reduction on the upfront discount amount. The Total assessable discount amount declared must equal the sum of Discount from taxed upfront schemes - eligible for reduction, Discount from taxed upfront schemes - not eligible for reduction, Discount from deferral schemes and Discount on ESS Interests acquired pre 1 July 2009 and 'cessation time' occurred during financial year.</LongDescription>
      <Location>bafpr3.02.18:Income.EmployeeShareScheme.TaxUpfrontNonReducibleDiscount.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300087" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300087</Code>
      <Description>Taxpayer is ineligible to make deposits and claim deductions for deductible deposits</Description>
      <LongDescription>Taxpayer is ineligible to make deposits and claim deductions for deductible deposits because taxpayer's non-primary production income exceeded the threshold amount</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.FarmManagementDeposits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300093" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300093</Code>
      <Description>Net Financial Investment Loss is incorrect</Description>
      <LongDescription>If the total of financial investment income minus financial investment deductions is less than zero then the difference must be inserted at Net financial investment loss. If the difference exceeds zero then zero must be inserted at Net financial investment loss.</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.FinancialInvestmentNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300094" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300094</Code>
      <Description>Net Rental Property Loss is incorrect</Description>
      <LongDescription>If the total of Net rental property income less Net rental property deductions is less than zero then the difference must be inserted at Net Rental property loss. If the difference exceeds zero then zero must be inserted at Net Rental property loss.</LongDescription>
      <Location>rvctc3.02.19:Tax.Losses.RentalPropertyNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300101" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.022004</Code>
      <Description>Estimated total income is incorrect</Description>
      <LongDescription>When the 'Estimated total income' is above zero, it must equal the sum of 'Gross income', 'Amount of allowances, earnings, tips, directors fees, etc', 'Lump sum for unused leave after 15/08/78', 'Lump sum for unused leave before 16/08/78', 'ETP Taxable component', 'Australian Government allowances and payments like Newstart, youth allowance and austudy payment', 'Amount of Australian Government pensions and allowances', 'Australian annuities and superannuation income streams Taxable component' (Taxed and Untaxed), 'Australian annuities and superannuation income streams Lump sum in arrears' (Taxed and Untaxed), 'Australian superannuation lump sum payments Taxable component' (Taxed and Untaxed), 'Attributed personal services income', 'Gross interest', 'Dividends - Unfranked amount', 'Dividends - Franked amount', 'Dividends - Franking credit', 'Total Assessable discount amount', 'Total reportable fringe benefits' where amount exceeds $3772, 'Reportable employer superannuation contributions', total of 'Distribution from partnerships' when above $0, 'Share of net income from trusts', 'Share of net income from trusts less capital gains, foreign income and franked distributions', 'Franked distributions from trusts', 'Early repayments exceptional circumstances', 'Early repayments natural disaster', 'Other repayments', 'Net capital gain', 'CFC income', 'Transferor trust income', 'Assessable foreign source income', 'Australian franking credits from a New Zealand franking company', 'Gross rent', 'Bonuses from life insurance companies and friendly societies', 'Forestry managed investment scheme income', 'Other income type - Category 1 - Amount', 'Other income - Category 2 - Amount', 'PSI - voluntary agreement', 'PSI where Australian business number not quoted', 'PSI - labour hire or other specified payments', 'PSI - other', 'PP - Gross payments where Australian Business Number not quoted', 'Non-PP - Gross payments where Australian Business Number not quoted', 'Non-PP - Gross payments subject to foreign resident withholding', 'PP -  Gross payments voluntary agreement', 'Non-PP - Gross payments voluntary agreement', 'PP - Gross payments labour hire or other specified payments', 'Non-PP - Gross payments labour hire or other specified payments', 'PP - Assessable government industry payments', 'Non-PP - Assessable government industry payments', total of 'Other business income' when above $0, 'Income reconciliation adjustments', and 'Closing stock' less 'Opening stock' when difference above $0, less 'Deductible amount of UPP of foreign pension or annuity' - Otherwise, 'Estimated total income' must be set to $0</LongDescription>
      <Location>bafpr1.02.23:Income.Estimated.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300102" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.301102</Code>
      <Description>Estimated eligible income is incorrect</Description>
      <LongDescription>When the 'Estimated eligible income' is above zero, it must equal the sum of 'Gross income', 'Amount of allowances, earnings, tips, directors fees, etc', 'Reportable employer superannuation contributions', 'Estimated eligible income', 'Gross payments where Australian Business Number not quoted', 'Non-PP Gross payments subject to foreign resident withholding', 'Gross payments voluntary agreement', 'Gross payments labour hire or other specified payments','Assessable government industry payments', 'Total reportable fringe benefits' where amount exceeds $3772, total of 'Other business income' when above $0, and 'Closing stock' less 'Opening stock' when difference above $0 - Otherwise, 'Estimated eligible income' must be set to $0</LongDescription>
      <Location>bafpr1.02.23:Income.LowIncomeSuperannuationContributionEligible.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300105" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300105</Code>
      <Description>Main salary or wage occupation description and Occupation code must be provided</Description>
      <LongDescription>When either "Payer's Australian business number" or "Payer's - Withholder payer number" are present, or positive amounts for 'Gross income', 'Work related car expenses', 'Work related travel expenses', 'Work related uniform, occupation specific or protective clothing, laundry and dry cleaning expenses', 'Work related self-education expenses' or 'Other work related expenses' are present, the 'Main salary or wage occupation description' and 'Occupation code' must be provided</LongDescription>
      <Location>pyde.02.11:PersonDemographicDetails.Occupation.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300106" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300106</Code>
      <Description>Gross income, ABN/WPN or work related expense deductions must be provided</Description>
      <LongDescription>When the 'Main salary or wage occupation description' or 'Occupation code' are present, at least one 'Gross income' amount (with either "Payer's Australian business number" or "Payer's - Withholder payer number"), or at least one positive amount for 'Work related car expenses', 'Work related travel expenses', 'Work related uniform, occupation specific or protective clothing, laundry and dry cleaning expenses', 'Work related self-education expenses' or 'Other work related expenses', must be provided</LongDescription>
      <Location>bafpr1.02.23:Income.SalaryOrWages.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300110" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300110</Code>
      <Description>Gross interest amount is invalid</Description>
      <LongDescription>When an amount above zero is provided for Interest deduction, the Gross interest amount must be provided</LongDescription>
      <Location>bafpr2.02.02:Income.Interest.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300111" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300111</Code>
      <Description>Dividends - Unfranked and Dividends - Franked amounts invalid</Description>
      <LongDescription>When an amount above zero is provided for 'Dividend deduction', at least one of 'Dividends - Unfranked amount' or 'Dividends - Franked amount' must be provided</LongDescription>
      <Location>bafpr1.02.05:Income.DividendsUnfranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300112" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300112</Code>
      <Description>Taxable income or loss must equal total income or loss, minus deductions and losses.</Description>
      <LongDescription />
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310020</Code>
      <Description>Business Items are incorrect</Description>
      <LongDescription>At Business income and expenses, the sum of Net income or loss from business this year for primary production and non-primary production must equal Total business income minus all business expenses plus other reconciliation adjustments</LongDescription>
      <Location>bafpr1.02.23:Income.BusinessPrimaryProductionNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310042</Code>
      <Description>Assessable income in Business loss activity details must be at least $20,000</Description>
      <LongDescription>When Loss type '1' (Assessable income test) has been selected in Business loss activity details and the Status of business is not 'Commenced' or 'Ceased.' The total business income is less than $20,000 and this code only applies where business income exceeds $20,000.</LongDescription>
      <Location>pyde.02.11:OrganisationDetails.ActivityEvent.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310045</Code>
      <Description>Assessable income in Business loss activity details must be at least $20,000</Description>
      <LongDescription>When Loss type '1' (Assessable income test) has been selected in Business loss activity details and the Status of business is not 'Commenced' or 'Ceased.' The total business income is less than $20,000 and this code only applies where business income exceeds $20,000.</LongDescription>
      <Location>pyde.02.11:OrganisationDetails.ActivityEvent.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310048" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310048</Code>
      <Description>Assessable income from other sources must be less than $40,000</Description>
      <LongDescription>Where Loss type '6' or Loss type '7' has been selected in Business loss activity details and the sum of taxable income plus Net loss minus Net capital gain exceeds $40,000. Loss type 6 or 7 can only be used when the assessable income is less than $40,000.</LongDescription>
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310052</Code>
      <Description>Response to 'Did you receive any personal service Income?' is required</Description>
      <LongDescription>When there are amounts in either Total expenses non-primary production, Total expenses primary production, Net income from business this year non-primary production or Net income from business this year primary production, a response is required for "Did you receive any personal service income?"</LongDescription>
      <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310054</Code>
      <Description>Depreciation expenses and Total amount of other deductions against personal service income incorrect</Description>
      <LongDescription>The sum of deduction expenses and total amount of other deductions against personal service income personal service income must not exceed the sum of Small business entity depreciating deductions</LongDescription>
      <Location>bafpr1.02.04:Expense.DepreciationandAmortisation.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310100" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310100</Code>
      <Description>Sum of Interest deductions and Dividend deductions is incorrect</Description>
      <LongDescription>When the sum of Interest deductions and Dividend deductions exceeds $4,999, an Interest and Dividend deductions schedule must be attached. The sum of Amount claimed as interest or dividend expense on the Interest and Dividend deductions schedule must also equal the sum of Interest deductions and Dividend deductions on the parent form.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020007</Code>
      <Description>Government super contribution amounts incorrect</Description>
      <LongDescription>When the 'Taxable income or loss' amount is above $49,488, and the 'Adjusted taxable income' amount is above $37,000, the amounts for 'Income from investment, partnership and other sources amount', 'Other income from employment and business' and 'Other deductions from business income' must be zero or not provided</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.InvestmentPartnershipOtherSource.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.020008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020008</Code>
      <Description>From 2015 the Conservation Tillage Refundable Tax Offset cannot be claimed.</Description>
      <LongDescription />
      <Location>rvctc1.02.16:IncomeTax.TaxOffsetRefundableOther.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.410003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.410003</Code>
      <Description>Total salary and wage expenses and total business expenses incorrect</Description>
      <LongDescription>When cost of sales exceeds zero at Business income and expenses, the amount of Total salary and wage expenses must not exceed Total business expenses</LongDescription>
      <Location>lrla.02.17:Remuneration.WagesAndSalaries.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600012</Code>
      <Description>PP loss claimed this income year must be less than or equal to PP loss carried forward.</Description>
      <LongDescription>Primary production loss claimed this income year cannot be greater than primary production loss carried forward from previous years. Loss from previous years can only reduce taxable income to zero.</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesClaimedPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600013</Code>
      <Description>NPP loss claimed this income year must be less than or equal to NPP loss carried forward.</Description>
      <LongDescription>Non-primary production loss claimed this income year cannot be greater than non-primary production loss carried forward from previous years. Loss from previous years can only reduce taxable income to zero.</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesClaimedNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600014</Code>
      <Description>Individual total deductions amount is incorrect</Description>
      <LongDescription>The 'Individual total deductions amount' must equal the sum of all deductions claimed, which includes 'Work related car expenses', 'Work related travel expenses', 'Work related uniform, occupation specific or protective clothing, laundry and dry cleaning expenses', 'Work related self-education expenses', 'Other work related expenses', 'Low value pool deduction', 'Interest deductions', 'Dividend deductions', 'Gifts or donations', 'Cost of managing tax affairs', 'Deductible amount of UPP of foreign pension or annuity', 'Deduction claimed', 'Individual - Deduction for project pool', 'Forestry managed investment scheme deduction', 'Other deductions - Election expenses' and 'Other deductions'</LongDescription>
      <Location>bafpr1.02.12:Expense.DeductionsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600015</Code>
      <Description>Government super contributions income and deduction amounts are incomplete</Description>
      <LongDescription>When the 'Income from investment, partnership and other sources indicator' is set to 'yes' (true), at least one of the Government super contribution amounts 'Income from investment, partnership and other sources amount', 'Other income from employment and business' or 'Other deductions from business income' must be provided and set to zero or greater</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.InvestmentPartnershipOtherSource.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600016</Code>
      <Description>Income from investment, partnership and other sources indicator is required</Description>
      <LongDescription>When the 'Income from investment, partnership and other sources' amount is zero, the 'Income from investment, partnership and other sources indicator' must be set to 'yes' (true)</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.EligiblePersonalSuperannuationContribution.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600017</Code>
      <Description>Low value pool deduction amount is incorrect</Description>
      <LongDescription>The 'Low value pool deduction' amount must equal the sum of 'Low value pool deductions relating to financial investments', 'Low value pool deductions relating to rental properties' and 'Other low value pool deductions'</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.LowValuePool.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600022" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600022</Code>
      <Description>Number of months eligible for the tax-free threshold must be within income year.</Description>
      <LongDescription />
      <Location>rvctc1.02.16:IncomeTax.PartYearTaxFreeThresholdEligibleMonths.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600024</Code>
      <Description>Deductions claimed amount combined with Gifts or donations amount is invalid</Description>
      <LongDescription>When the 'Taxable income or loss' amount, excluding the 'Primary production losses claimed this income year' and 'Non-primary production losses claimed this income year' amounts, results in a loss, the sum of amounts 'Deduction claimed' and 'Gifts or donations' must not be a positive amount. To determine the amount of allowable 'Deduction claimed' and 'Gifts or donations', subtract all deduction item amounts from 'Individual total income or loss amount', except 'Deduction claimed', 'Gifts or donations', 'Primary production losses claimed this income year', and 'Non-primary production losses claimed this income year' and:  a) if this result is zero or negative then set both 'Deduction claimed' and 'Gifts or donations' amounts to zero; or b) if this result is positive and higher than the sum of 'Deduction claimed' and 'Gifts or donations', then allow both amounts in full; or c) if this result is positive and lower than, or the same as, the sum of 'Deduction claimed' and 'Gifts or donations', then only the amount that reduces 'Taxable income or loss' to zero is allowed (i.e. disallow remainder of 'Deduction claimed' and 'Gifts or donations' that would create a loss).</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.GiftDonation.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600025</Code>
      <Description>Individual total deductions amount must be present</Description>
      <LongDescription/>
      <Location>bafpr1.02.12:Expense.DeductionsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600026</Code>
      <Description>Taxable income or loss amount must be present</Description>
      <LongDescription/>
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600030</Code>
      <Description>Work related self-education expenses action code is required</Description>
      <LongDescription>When an amount above zero is provided for 'Work related self-education expenses', the 'Work related self-education expenses action code' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationCircumstances.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600031</Code>
      <Description>Work related self-education expenses amount must be provided</Description>
      <LongDescription>When the 'Work related self-education expenses action code' is present, the 'Work related self-education expenses' amount (above zero) must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600032</Code>
      <Description>Under 18 action code is required</Description>
      <LongDescription>When an amount of zero or above is present for 'Under 18' excepted net income, the 'Under 18 action code' must be provided</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.ExceptedIncomeUnder18.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600033</Code>
      <Description>Under 18 excepted Income details must be provided where under 18.</Description>
      <LongDescription />
      <Location>rvctc1.02.16:IncomeTax.ExceptedNetIncomeUnder18.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600034</Code>
      <Description>Work related car expenses amount must be provided</Description>
      <LongDescription>When the 'Work related car expenses action code' is present, the 'Work related car expenses' amount (above zero) must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Car.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600035</Code>
      <Description>Work related car expenses action code must be provided</Description>
      <LongDescription>When an amount above zero is provided for 'Work related car expenses', the 'Work related car expenses action code' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.CarCalculationMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600036</Code>
      <Description>'Work related uniform, occupation specific or protective clothing,… expenses' amount must be provided</Description>
      <LongDescription>When the 'Work related uniform, occupation specific or protective clothing, laundry and dry cleaning expenses action code' is present, the 'Work related uniform, occupation specific or protective clothing, laundry and dry cleaning expenses' amount (above zero) must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Clothing.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600037" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600037</Code>
      <Description>Work related uniform, occupation specific or protective clothing,... action code' is required</Description>
      <LongDescription>When an amount above zero is provided for 'Work related uniform, occupation specific or protective clothing, laundry and dry cleaning expenses', the 'Work related uniform, occupation specific or protective clothing, laundry and dry cleaning expenses action code' must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ClothingType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600040</Code>
      <Description>Period start date for the Interest and Dividend Deductions Schedule is invalid</Description>
      <LongDescription>Invalid context. Period start date for the Interest and Dividends Deductions Schedule must be the same as the Period start date of the parent form.</LongDescription>
      <Severity>Error</Severity>
      <Location>xbrli:period</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600041</Code>
      <Description>Period end date for the Interest and Dividend Deductions Schedule is invalid</Description>
      <LongDescription>Invalid context. Period end date for the Interest and Dividends Deductions Schedule must be the same as the Period end date of the parent form.</LongDescription>
      <Severity>Error</Severity>
      <Location>xbrli:period</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600042</Code>
      <Description>Tax file number invalid</Description>
      <LongDescription>The TFN provided for the Interest and Dividend Deductions Schedule must be the same as the TFN of the parent form</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600049</Code>
      <Description>Work related car expenses is not in a valid monetary format</Description>
      <LongDescription>Work related car expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Car.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600050" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600050</Code>
      <Description>Work related travel expenses is not in a valid monetary format</Description>
      <LongDescription>Work related travel expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Travel.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600051</Code>
      <Description>'Work related uniform,... and dry cleaning expenses' is not in a valid monetary format</Description>
      <LongDescription>Work related uniform, occupation specific or protective clothing, laundry and dry cleaning expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Clothing.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600052</Code>
      <Description>Work related self-education expenses is not in a valid monetary format</Description>
      <LongDescription>Work related self-education expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.EducationNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600053" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600053</Code>
      <Description>Other work related expenses is not in a valid monetary format</Description>
      <LongDescription>Other work related expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.WorkRelatedOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600054</Code>
      <Description>Low value pool deductions relating to financial investments is not in a valid monetary format</Description>
      <LongDescription>Low value pool deductions relating to financial investments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.LowValuePoolFinancialInvestments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600055" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600055</Code>
      <Description>Low value pool deductions relating to rental properties is not in a valid monetary format</Description>
      <LongDescription>Low value pool deductions relating to rental properties must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.LowValuePoolRentalProperties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600056</Code>
      <Description>Other low value pool deductions is not in a valid monetary format</Description>
      <LongDescription>Other low value pool deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.LowValuePoolOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600057</Code>
      <Description>Low value pool deduction is not in a valid monetary format</Description>
      <LongDescription>Low value pool deduction must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.LowValuePool.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600058</Code>
      <Description>Interest deductions is not in a valid monetary format</Description>
      <LongDescription>Interest deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600059</Code>
      <Description>Dividend deductions is not in a valid monetary format</Description>
      <LongDescription>Dividend deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Dividend.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600060</Code>
      <Description>Gifts or donations is not in a valid monetary format</Description>
      <LongDescription>Gifts or donations must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.GiftDonation.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600061</Code>
      <Description>Cost of managing tax affairs is not in a valid monetary format</Description>
      <LongDescription>Cost of managing tax affairs must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.TaxAffairManagement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600062</Code>
      <Description>Individual total deductions amount is not in a valid monetary format</Description>
      <LongDescription>Individual total deductions amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.12:Expense.DeductionsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600063" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600063</Code>
      <Description>Primary production losses carried forward from earlier income years is not in a valid monetary format</Description>
      <LongDescription>Primary production losses carried forward from earlier income years must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesBroughtForwardPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600064" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600064</Code>
      <Description>Primary production losses claimed this income year is not in a valid monetary format</Description>
      <LongDescription>Primary production losses claimed this income year must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesClaimedPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600065</Code>
      <Description>Non-primary production losses carried forward from earlier income years is not in a valid monetary format</Description>
      <LongDescription>Non-primary production losses carried forward from earlier income years must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesBroughtForwardNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600066</Code>
      <Description>Non-primary production losses claimed this income year is not in a valid monetary format</Description>
      <LongDescription>Non-primary production losses claimed this income year must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.LossesClaimedNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600067</Code>
      <Description>Under 18 is not in a valid monetary format</Description>
      <LongDescription>Under 18 must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.ExceptedNetIncomeUnder18.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600068</Code>
      <Description>Income from investment, partnership and other sources amount is not in a valid monetary format</Description>
      <LongDescription>Income from investment, partnership and other sources amount must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.InvestmentPartnershipOtherSource.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600069" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600069</Code>
      <Description>Other deductions from business income is not in a valid monetary format</Description>
      <LongDescription>Other deductions from business income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.BusinessOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600070" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600070</Code>
      <Description>Taxable income or loss is not in a valid monetary format</Description>
      <LongDescription>Taxable income or loss may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600071" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600071</Code>
      <Description>Other income from employment and business is not in a valid monetary format</Description>
      <LongDescription>Other income from employment and business may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.EmploymentBusinessOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600076" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600076</Code>
      <Description>Entity identifier scheme for the Superannuation Contributions Sequence Dimension is invalid</Description>
      <LongDescription>Entity identifier scheme for the Superannuation Contributions Sequence Dimension must be "http://www.ato.gov.au/tfn"</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600077" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600077</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Superannuation Contributions Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/SprConSqNumDim.02.00:SuperannuationContributionSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600078</Code>
      <Description>Entity identifier scheme for the Other Sequence Dimension must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600079" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600079</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Other Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/OTHSqNumDim.02.00:OtherSequenceContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.IITR.600080" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600080</Code>
      <Description>At least one of the Employee Lump Sum Payment details must be provided</Description>
      <LongDescription>Where an Employee Lump Sum Payment (ELSP) instance has been provided, at least one of the ELSP details must be provided</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600081" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600081</Code>
      <Description>At least one of the Employment Termination Payment details must be provided</Description>
      <LongDescription>Where an Employment Termination Payment (ETP) instance has been provided, at least one of the ETP details must be provided</LongDescription>
      <Location>bafpr1.02.23:Income.EmploymentTerminationPayment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600082" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600082</Code>
      <Description>At least one of the Other Income details must be provided</Description>
      <LongDescription>Where an Other Income instance has been provided, at least one of the Other Income details must be provided</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.IncomeCategory1Other.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600083" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600083</Code>
      <Description>At least one of the Business Loss Activity details must be provided</Description>
      <LongDescription>Where a Business Loss Activity instance has been provided, at least one of the Business Loss Activity details must be provided</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600084" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600084</Code>
      <Description>At least one of the Other Deductions details must be provided</Description>
      <LongDescription>Where an Other Deductions instance has been provided, at least one of the Other Deductions details must be provided</LongDescription>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600085" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600085</Code>
      <Description>At least one of the Private Health Insurance details must be provided</Description>
      <LongDescription>Where a Private Health Insurance (PHI) instance has been provided, at least one of the PHI details must be provided</LongDescription>
      <Location>pyid.02.09:Identifiers.HealthInsuranceProvider.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600086" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600086</Code>
      <Description>At least one of the Salary or Wages details must be provided</Description>
      <LongDescription>Where a Salary or Wages (SaW) instance has been provided, at least one of the SaW details must be provided</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600087" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600087</Code>
      <Description>At least one of the Personal Superannuation Contributions details must be provided</Description>
      <LongDescription>Where a Personal Superannuation Contributions (SC) instance has been provided, at least one of the SC details must be provided</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600088" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600088</Code>
      <Description>At least one of the Australian Superannuation Lump Sum Payments details must be provided</Description>
      <LongDescription>Where an Australian Superannuation Lump Sum Payments (SLSP) instance has been provided, at least one of the SLSP details must be provided</LongDescription>
      <Location>bafpr3.02.18:Income.Superannuation.LumpSumPayment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600089" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600089</Code>
      <Description>At least one of the Business Address details must be provided</Description>
      <LongDescription>Where a Business Address instance has been provided, at least one of the Business Address details must be provided</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600090" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600090</Code>
      <Description>At least one of the Spouse details must be provided</Description>
      <LongDescription>Where a Spouse instance has been provided, at least one of the Spouse details must be provided</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610000</Code>
      <Description>Personal superannuation contributions information is required</Description>
      <LongDescription>An amount is present at Deduction claimed for Personal superannuation contribution. Either the Full name of fund and the Personal superannuation contributions - account number are not populated, or the Fund ABN and Fund TFN are not populated.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.SuperannuationContribution.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610001</Code>
      <Description>Personal superannuation contributions - Fund ABN is invalid</Description>
      <LongDescription>The Personal superannuation contributions - Fund Australian Business Number (ABN) has failed the ABN algorithm check</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610002</Code>
      <Description>Description of claims for other deductions required</Description>
      <LongDescription>When Other deductions amount is present, the Description of the claims must be provided</LongDescription>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610003</Code>
      <Description>Amount of Other deductions required</Description>
      <LongDescription>When Description of other deduction claims is present and Other deductions amount is required and must not equal to zero</LongDescription>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610004</Code>
      <Description>Invalid TFN</Description>
      <LongDescription>The TFN has failed the algorithm check</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610005</Code>
      <Description>Motor vehicle expenses action code is required</Description>
      <LongDescription>When Motor vehicle expenses amount is present, motor vehicle expenses action code is required</LongDescription>
      <Location>bafpr2.02.04:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610006</Code>
      <Description>Motor vehicle expenses required</Description>
      <LongDescription>When Motor vehicle expenses action code is present, the Motor vehicle expenses amount is required and must not be equal to zero</LongDescription>
      <Location>bafpr2.02.16:Expense.Operating.MotorVehicle.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610007</Code>
      <Description>Closing stock amount required</Description>
      <LongDescription>When Closing stock action code is present, Closing stock amount is required and must not equal to zero</LongDescription>
      <Location>bafpo1.02.23:Assets.ClosingStock.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610008</Code>
      <Description>Closing stock action code must be present</Description>
      <LongDescription>When the Closing stock amount is present, closing stock action code must be provided</LongDescription>
      <Location>bafpo7.02.18:Assets.Inventories.ValuationMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610009</Code>
      <Description>Claim for early payment interest credit must not be less than 50 cents</Description>
      <LongDescription>Early payment interest credit amount of less than 50 cents cannot be claimed</LongDescription>
      <Location>bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610010</Code>
      <Description>Other deductions amount  is incorrect</Description>
      <LongDescription>Addition of sub-labels for Other deductions is not equal to the amount of Other deductions at main label</LongDescription>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610011</Code>
      <Description>Total Business expenses Primary Production and non Primary Production is incorrect</Description>
      <LongDescription>At Business income and expenses, the sum of Primary production and Non-primary production expenses is not equal to the sum of Total primary production expenses and Total non-primary production expenses</LongDescription>
      <Location>bafpr2.02.20:Expense.Operating.BusinessNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.310051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.310051</Code>
      <Description>Pension or annuity income required where UPP deduction claimed.</Description>
      <LongDescription />
      <Location>rvctc4.02.08:InternationalDealings.ForeignPensionOrAnnuityIncomeUndeductedPurchasePrice.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600043</Code>
      <Description>Period start date for the Work Related Expenses schedule is invalid</Description>
      <LongDescription>Invalid context. Period start date for the Work Related Expenses schedule must be the same as the Period start date of the parent form.</LongDescription>
      <Location>xbrli:period</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600044</Code>
      <Description>Period end date for the Work Related Expenses schedule is invalid</Description>
      <LongDescription>Invalid context. Period end date for the Work Related Expenses schedule must be the same as the Period end date of the parent form.</LongDescription>
      <Location>xbrli:period</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.600045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600045</Code>
      <Description>Tax file number invalid</Description>
      <LongDescription>The TFN provided for the Work Related Expenses schedule must be the same as the TFN of the parent form</LongDescription>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610047</Code>
      <Description>Deductible amount of UPP of foreign pension or annuity is not in a valid monetary format</Description>
      <LongDescription>Deductible amount of UPP of foreign pension or annuity must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ForeignPensionAnnuityIncomeUndeductedPurchasePrice.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610048" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610048</Code>
      <Description>Full name of fund must not exceed 76 characters</Description>
      <LongDescription>For Full name of fund, the maximum allowable characters for this form is 76</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610049</Code>
      <Description>Full name of fund contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610050" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610050</Code>
      <Description>Deduction claimed is not in a valid monetary format</Description>
      <LongDescription>Deduction claimed must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.SuperannuationContribution.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610054</Code>
      <Description>Individual - Deduction for project pool is not in a valid monetary format</Description>
      <LongDescription>Individual - Deduction for project pool must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ProjectPool.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610055" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610055</Code>
      <Description>Forestry managed investment scheme deduction is not in a valid monetary format</Description>
      <LongDescription>Forestry managed investment scheme deduction must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.23:Expense.ForestryManagedInvestmentSchemeDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610056</Code>
      <Description>Other deductions - Election expenses is not in a valid monetary format</Description>
      <LongDescription>Other deductions - Election expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.Election.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610057</Code>
      <Description>'Other deductions relating to financial investments not included…' is not in a valid monetary format</Description>
      <LongDescription>Other deductions relating to financial investments not included at another label must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.FinancialInvestmentOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610058</Code>
      <Description>Other deductions - not in the above categories is not in a valid monetary format</Description>
      <LongDescription>Other deductions - not in the above categories must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.UncategorisedOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610068</Code>
      <Description>Opening stock is not in a valid monetary format</Description>
      <LongDescription>Opening stock must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpo1.02.23:Assets.OpeningStock.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610069" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610069</Code>
      <Description>Closing stock is not in a valid monetary format</Description>
      <LongDescription>Closing stock must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpo1.02.23:Assets.ClosingStock.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610070" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610070</Code>
      <Description>Foreign resident withholding expenses is not in a valid monetary format</Description>
      <LongDescription>Foreign resident withholding expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.02:Expense.ForeignResidentWithholding.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610071" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610071</Code>
      <Description>Superannuation expenses is not in a valid monetary format</Description>
      <LongDescription>Superannuation expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>emsup.02.02:SuperannuationContribution.EmployerContributions.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610072" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610072</Code>
      <Description>Lease expenses is not in a valid monetary format</Description>
      <LongDescription>Lease expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.00:Expense.Operating.Lease.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610073" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610073</Code>
      <Description>Interest expenses within Australia is not in a valid monetary format</Description>
      <LongDescription>Interest expenses within Australia must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.20:Expense.Operating.InterestAustralia.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610074" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610074</Code>
      <Description>Depreciation expenses is not in a valid monetary format</Description>
      <LongDescription>Depreciation expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.04:Expense.DepreciationandAmortisation.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610077" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610077</Code>
      <Description>All other expenses is not in a valid monetary format</Description>
      <LongDescription>All other expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.04:Expense.Operating.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610078</Code>
      <Description>Non-PP - Total business expenses is not in a valid monetary format</Description>
      <LongDescription>Non-PP - Total business expenses may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr2.02.20:Expense.Operating.BusinessNonPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610079" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610079</Code>
      <Description>Deduction for project pool is not in a valid monetary format</Description>
      <LongDescription>Deduction for project pool must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610121" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610121</Code>
      <Description>Personal superannuation contributions - account number must not exceed 22 characters</Description>
      <LongDescription>For Personal superannuation contributions - account number, the maximum allowable characters for this form is 22</LongDescription>
      <Location>emsup.02.03:SuperannuationFundDetails.MemberAccount.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610122" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610122</Code>
      <Description>Personal superannuation contributions - account number contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>emsup.02.03:SuperannuationFundDetails.MemberAccount.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610125" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610125</Code>
      <Description>Description of claims must not exceed 36 characters</Description>
      <LongDescription>For Description of claims, the maximum allowable characters for this form is 36</LongDescription>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610126" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610126</Code>
      <Description>Description of claims contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610127" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610127</Code>
      <Description>'Other deductions - debt deductions incurred…' is not in a valid monetary format</Description>
      <LongDescription>Other deductions - debt deductions incurred in deriving foreign rental income, not claimed elsewhere must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.ForeignRentalIncomeOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610128" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610128</Code>
      <Description>Other deductions is not in a valid monetary format</Description>
      <LongDescription>Other deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610129" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610129</Code>
      <Description>Amount on which family trust distribution tax has been paid is not in a valid monetary format</Description>
      <LongDescription>Amount on which family trust distribution tax has been paid must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.16:IncomeTax.FamilyTrustDistributionWhereTaxPaid.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610130" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610130</Code>
      <Description>Credit for interest on early payments - amount of interest is not in a valid monetary format</Description>
      <LongDescription>Credit for interest on early payments - amount of interest must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610140" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610140</Code>
      <Description>Purchases and other costs is not in a valid monetary format</Description>
      <LongDescription>Purchases and other costs must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610143" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610143</Code>
      <Description>Contractor, sub-contractor &#x26; commission expenses is not in a valid monetary format</Description>
      <LongDescription>Contractor, sub-contractor &#x26; commission expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.06:Expense.Operating.EmploymentCostsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610144" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610144</Code>
      <Description>Bad debts is not in a valid monetary format</Description>
      <LongDescription>Bad debts must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.16:Expense.Operating.BadDebts.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610145" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610145</Code>
      <Description>Rent expenses is not in a valid monetary format</Description>
      <LongDescription>Rent expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.16:Expense.Operating.Rent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610146" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610146</Code>
      <Description>Interest expenses overseas is not in a valid monetary format</Description>
      <LongDescription>Interest expenses overseas must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.20:Expense.Operating.InterestForeign.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610147" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610147</Code>
      <Description>Motor vehicle expenses is not in a valid monetary format</Description>
      <LongDescription>Motor vehicle expenses must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.16:Expense.Operating.MotorVehicle.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610148" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610148</Code>
      <Description>Repairs and maintenance is not in a valid monetary format</Description>
      <LongDescription>Repairs and maintenance must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr2.02.16:Expense.Operating.RepairsAndMaintenance.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610149" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610149</Code>
      <Description>PP - Total business expenses is not in a valid monetary format</Description>
      <LongDescription>PP - Total business expenses may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr2.02.20:Expense.Operating.BusinessPrimaryProduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610150" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610150</Code>
      <Description>Section 40-880 deduction is not in a valid monetary format</Description>
      <LongDescription>Section 40-880 deduction must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610151" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610151</Code>
      <Description>Landcare operations and deduction for decline in value of water facility is not in a valid monetary format</Description>
      <LongDescription>Landcare operations and deduction for decline in value of water facility must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.04:Expense.LandcareOperationsAndWaterFacilityDeclineinValueDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.610152" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.610152</Code>
      <Description>Expense reconciliation adjustments is not in a valid monetary format</Description>
      <LongDescription>Expense reconciliation adjustments may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.04:Expense.ReconciliationAdjustments.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ************************************************************************************************************
         IITR PRE Fill
         Existing
         DVR.ATO.GEN.000209
DVR.ATO.GEN.500075
DVR.ATO.GEN.500035
DVR.ATO.GEN.500009
DVR.ATO.GEN.500030
DVR.ATO.GEN.500033
DVR.ATO.GEN.428247
     *************************************************************************************************************
     -->
  <diagnostic id="DVR.ATO.GEN.000201" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200009</Code>
      <Description>Period start date must be prior to Period end date</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IITR.620002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.620002</Code>
      <Description>The period dates provided must be for the annual period</Description>
      <LongDescription>The period start and end dates provided must correspond to the 12 month accounting period 1 July - 30 June, associated with the requested Tax year</LongDescription>
      <Location>xbrli:period</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IITR.620100" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.620100</Code>
      <Description>Tax file number must not exceed 9 characters</Description>
      <LongDescription>For Tax file number, the maximum allowable characters for this form is 9</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IITR.620101" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.620101</Code>
      <Description>Tax file number must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IITR.620102" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.620102</Code>
      <Description>Tax year must not exceed 4 characters</Description>
      <LongDescription>For Tax year, the maximum allowable characters for this form is 4</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IITR.620000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.620000</Code>
      <Description>Tax year must be present</Description>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  
  <diagnostic id="DVR.ATO.IITR.620001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.620001</Code>
      <Description>Tax year must be between 2014 and current income tax return year</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500036</Code>
      <Description>Invalid context. The number of Intermediary contexts must equal 1.</Description>
      <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.438039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438039</Code>
      <Description>Entity identifier scheme for Intermediary must be "http://www.abr.gov.au/abn"</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.500033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500033</Code>
      <Description>Invalid context. Period end date must be the same across all duration contexts.</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IITR.620103" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.620103</Code>
      <Description>Registered agent ABN must not exceed 11 characters</Description>
      <LongDescription>For Registered agent ABN, the maximum allowable characters for this form is 11</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430316" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430316</Code>
      <Description>Invalid context. ABN must be present in the Intermediary context</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430318" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430318</Code>
      <Description>ABN in context must be a valid ABN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IITR.620105" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.620105</Code>
      <Description>Registered agent number must not exceed 8 characters</Description>
      <LongDescription>For Registered agent number, the maximum allowable characters for this form is 8</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IITR.620106" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.620106</Code>
      <Description>Registered agent number contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.500038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500038</Code>
      <Description>Intermediary Tax Agent number is mandatory</Description>
      <Location>pyid.02.00:Identifiers.TaxAgentNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <!-- ********************************************************************
                                COMMON WARNINGS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.IITR.200015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200015</Code>
      <Description>Check reportable employer superannuation contributions as SPO entitlement may be impacted</Description>
      <LongDescription>Check that compulsory super contributions have not been included in reportable employer superannuation contributions at the income test section. Some reportable employer superannuation contributions are incorrectly reported on payment summaries, these amounts are generally salary sacrifice super contributions only.  Incorrect reporting will result in reduced Senior and pensioner offset entitlement.</LongDescription>
      <Location>emsup.02.19:SuperannuationContribution.EmployerReportable.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.IITR.200016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200016</Code>
      <Description>Check spouse's income for senior and pensioner tax offset</Description>
      <LongDescription />
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.IITR.210003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210003</Code>
      <Description>Check private health insurance details from policy statement</Description>
      <LongDescription>The amounts shown on the statement at J - Your premiums eligible for Australian Government rebate and K - Your Australian Government rebate received are to be entered at the private health insurance policy section.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.HealthInsurance.TaxClaim.Code</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.IITR.300000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300000</Code>
      <Description>Check net capital gains and net capital losses carried forward relate to Collectables.</Description>
      <LongDescription />
      <Location>rvctc3.02.19:Capital.Gains.Net.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300001</Code>
      <Description>Primary production averaging will be applied as there is a zero at one or more of the labels</Description>
      <LongDescription>Primary production (PP) averaging will be applied to this assessment as there is a zero at one or more of the PP labels. PP Labels are the PP Partnership distributions and trust share of net income and related deductions, net income or loss from business - PP and net farm management deposits or repayments. These labels may have been completed as a result of information supplied in the main partnership or trust returns or the business income and expense labels. If PP averaging is not to apply to this assessment, PP labels must be left blank. Note a zero at the share of net income from trust label is acceptable where the beneficiary is presently entitled to the income of a trust that is carrying on a primary production business that resulted in a loss.</LongDescription>
      <Location>bafpr1.02.23:Income.PartnershipPrimaryProductionShare.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300008</Code>
      <Description>Check net farm management repayments where identical amounts have been entered</Description>
      <LongDescription />
      <Location>bafpr1.02.23:Income.FarmManagementEarlyRepaymentsNaturalDisaster.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300010</Code>
      <Description>Check completion of Government super contributions</Description>
      <LongDescription>Government super contributions should be completed where a low income super contribution or a co-contribution may be entitled so any business partnership income will be recorded as business income</LongDescription>
      <Location>bafpr1.02.23:Income.TaxableAdjusted.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300011</Code>
      <Description>Check completion of Government super contributions</Description>
      <LongDescription>Government super contributions fields do not need to be completed for low income super contribution purposes, unless employment or business income has been disclosed that relates to an earlier income year at Salary and Wages; Allowances, earnings, tips, director's fees; total assessable discount amount; Total reportable fringe benefits amount; Reportable employer superannuation contributions or Business income and expenses.</LongDescription>
      <Location>bafpr1.02.23:Income.TaxableAdjusted.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300012</Code>
      <Description>Government super contribution fields may need to be completed</Description>
      <LongDescription>Government super contributions fields may need to be completed for low income super contribution purposes, where employment or business income that relates to an earlier income year for Salary and Wages; Allowances, earnings, tips, director's fees; total assessable discount amount; Total reportable fringe benefits amount; Reportable employer superannuation contributions or Business income and expenses has been disclosed.</LongDescription>
      <Location>bafpr1.02.23:Income.TaxableAdjusted.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300013</Code>
      <Description>No income or deduction amounts present. Is this a nil return?</Description>
      <LongDescription />
      <Location>bafpr1.02.23:Income.SalaryOrWages.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300015</Code>
      <Description>Check claim for superannuation deductions as income attributable to eligible employment is present</Description>
      <LongDescription />
      <Location>rvctc2.02.14:IncomeTax.Deduction.SuperannuationContribution.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300016</Code>
      <Description>Work related expense deductions can only be claimed if salary or allowance income is declared</Description>
      <LongDescription />
      <Location>bafpr1.02.23:Income.AllowancesEarningsTipsDirectorsFees.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400065</Code>
      <Description>Check criteria for the completion of Government super contributions</Description>
      <LongDescription>Where taxable income is $49,488 or more Government super contributions should not be completed for co-contributions. Adjusted taxable income is $37,000 or less so Government super contributions should only be completed if you may be entitled to a low income super contribution.</LongDescription>
      <Location>bafpr1.02.23:Income.Taxable.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020011</Code>
      <Description>Check criteria for the completion of Government super contributions</Description>
      <LongDescription>Where adjusted taxable income exceeds $37,000 low income super contribution will not be permitted. As taxable income is $49,488 or less Government super contributions should only be completed where a personal contribution is made to the super fund for which a deduction was not claimed.</LongDescription>
      <Location>bafpr1.02.23:Income.TaxableAdjusted.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400070" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.020019</Code>
      <Description>Check completion of Government super contributions</Description>
      <LongDescription>As estimated total income is below $34,488 there is no need to complete Government super contributions for either co-contribution or low income super contribution purposes unless employment or business income that relates to an earlier income year for Salary and Wages; Allowances, earnings, tips, director's fees; total assessable discount amount; Total reportable fringe benefits amount; Reportable employer superannuation contributions or Business income and expenses has been disclosed.</LongDescription>
      <Location>bafpr1.02.23:Income.Estimated.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

    <diagnostic id="DVR.ATO.IITR.600000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600000</Code>
      <Description>Check amount of credit for interest on tax paid for an early payment</Description>
      <LongDescription>Early Payment Interest Credit is greater than $100.00, please ensure that the amount is an early payment as defined by the ATO.</LongDescription>
      <Location>bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

    <diagnostic id="DVR.ATO.IITR.600001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.600001</Code>
      <Description>Check claim for work related clothing and/or laundry expenses</Description>
      <LongDescription />
      <Location>rvctc2.02.14:IncomeTax.Deduction.Clothing.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

    <diagnostic id="DVR.ATO.IITR.000061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000061</Code>
      <Description>Check account name where field contains numerics</Description>
      <LongDescription />
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

    <diagnostic id="DVR.ATO.IITR.200014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200014</Code>
      <Description>Check deductible personal superannuation contributions</Description>
      <LongDescription>Rebate income is used to determine eligibility for the Seniors and pensioners tax offset. Where applicable, complete Deductible personal superannuation contributions from the Supplementary section.</LongDescription>
      <Location>gfati.02.06:TaxOffsetClaim.SeniorAndPensioner.Code</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <!-- ********************************************************************
                                COMMON WARNINGS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.IITR.000004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000004</Code>
      <Description>Check spouse's income for correct calculation of Medicare levy reduction</Description>
      <LongDescription>Check spouse income label, 'Your spouse's taxed element of a SLS zero tax rate'; if the spouse received a lump sum which includes the low rate cap this label must be completed to correctly calculate the Medicare levy reduction.</LongDescription>
      <Location>emsup.02.19:SuperannuationPayment.BenefitLumpSumZeroTaxRate.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.000013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.000013</Code>
      <Description>Check reportable employer superannuation contributions as MLS liability may be incurred</Description>
      <LongDescription>Check that compulsory super contributions have not been included in reportable employer superannuation contributions at the income test section. Some reportable employer superannuation contributions are incorrectly reported on payment summaries, these amounts are generally salary sacrifice super contributions only. Incorrect reporting may cause a MLS liability.</LongDescription>
      <Location>emsup.02.19:SuperannuationContribution.EmployerReportable.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.200033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.200033</Code>
      <Description>Check deductible personal superannuation contributions</Description>
      <LongDescription>Income for surcharge purposes is used to determine if the taxpayer is liable for Medicare Levy Surcharge. Where applicable, complete Deductible personal superannuation contributions from the Supplementary section.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.Deduction.SuperannuationContribution.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.210002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.210002</Code>
      <Description>Check spouse income from payment summaries</Description>
      <LongDescription>In claiming the Spouse superannuation contribution tax offset, if the taxpayer's spouse has Reportable fringe benefits or Reportable employer superannuation contributions on their payment summaries, complete the applicable fields in Spouse details - married or de facto.</LongDescription>
      <Location>bafpr1.02.23:Income.FringeBenefitsReportable.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>  
 
  <diagnostic id="DVR.ATO.IITR.300000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300000</Code>
      <Description>Check net capital gains and net capital losses carried forward relate to Collectables.</Description>
      <LongDescription />
      <Location>rvctc3.02.19:Capital.Gains.Net.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300003</Code>
      <Description>Check tax free pension amounts</Description>
      <LongDescription>Ensure only tax-free pensions paid by Centrelink or Department of Veterans Affairs are included in Tax-free government pensions; and NOT taxable payments shown at Australian Government allowances and payments, Australian Government pensions and allowances or Australian annuities and superannuation income streams</LongDescription>
      <Location>bafpr1.02.23:Income.AustralianGovernmentAllowancesAndPayments.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300004</Code>
      <Description>Check foreign income amounts</Description>
      <LongDescription>Do not include in Target foreign income amounts of foreign income that will be included in taxable income. Amounts reported in the Supplementary section at CFC income, Transferor trust income, Net foreign pension or annuity income without an undeducted purchase price, Net foreign pension or annuity income with an undeducted purchase price, Net foreign rent, Other net foreign source income or Australian franking credits from a New Zealand franking company should not be included in Target foreign income.</LongDescription>
      <Location>rvctc4.02.08:InternationalDealings.ForeignIncomeTarget.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.300005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.300005</Code>
      <Description>Check reportable employer superannuation contributions</Description>
      <LongDescription>Check that compulsory super contributions have not been included in reportable employer superannuation contributions at the income test section. Some reportable employer superannuation contributions are incorrectly reported on payment summaries, these amounts are generally salary sacrifice super contributions only.</LongDescription>
      <Location>emsup.02.19:SuperannuationContribution.EmployerReportable.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.IITR.630002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630002</Code>
      <Description>Check Australian superannuation income stream amounts</Description>
      <LongDescription>Check Tax withheld from Australian annuities and superannuation income streams and Australian superannuation income stream offset available. The taxpayer is older than 61 years and Australian annuities and superannuation income stream untaxed elements are present. The tax-free components or the taxed elements of Australian superannuation income streams may have been incorrectly entered as an untaxed element.</LongDescription>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630003</Code>
      <Description>Check Australian government allowances and payments amount</Description>
      <LongDescription />
      <Location>bafpr1.02.23:Income.AustralianGovernmentAllowancesAndPayments.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630004</Code>
      <Description>Check reportable fringe benefits amount</Description>
      <LongDescription>Check the reportable fringe benefit amount provided on the income tax return has been transferred correctly from the PAYG payment summaries</LongDescription>
      <Location>bafpr1.02.23:Income.FringeBenefitsReportable.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630005</Code>
      <Description>Check Tax Withheld against Income</Description>
      <LongDescription>Check the Tax Withheld amount as the amount is greater than or equal to the sum of Income amounts from Salary and Wages to Attributed personal services income.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheld.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630006</Code>
      <Description>Check Total Tax Withheld against gross interest or dividend withheld amounts</Description>
      <LongDescription>Check Total Tax Withheld as the same amount has been claimed for TFN Amounts on Gross Interest or TFN Amounts on Dividends</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheld.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630007</Code>
      <Description>Ensure amendment being lodged is within period of review</Description>
      <LongDescription />
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630008</Code>
      <Description>Check ETP tax withheld amount</Description>
      <LongDescription />
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmploymentTerminationPayment.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630009</Code>
      <Description>Check the Tax Withheld amount and the ETP code provided on the PAYG ETP Summary</Description>
      <LongDescription />
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmploymentTerminationPayment.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
 
  <diagnostic id="DVR.ATO.IITR.630010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630010</Code>
      <Description>Check SLS tax withheld amount</Description>
      <LongDescription>Check the tax withheld amount for the SLS matches the amounts from the PAYG SLS payment summary. Also check the SLS taxed element and untaxed element amounts are correct.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630011</Code>
      <Description>Check the Tax Withheld amount matches Total tax Withheld from the PAYG SLS summary.</Description>
      <LongDescription>Check the Tax Withheld amount matches Total tax Withheld from the PAYG SLS summary; if payment is from a taxed or untaxed element and taxpayer's age when payment was received.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630012</Code>
      <Description>Check the Tax Withheld amount matches Total tax Withheld from the PAYG SLS summary.</Description>
      <LongDescription>Check the Tax Withheld amount matches Total tax Withheld from the PAYG SLS summary; if payment is from a taxed or untaxed element and taxpayer's age when payment was received.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630013</Code>
      <Description>Check the Tax Withheld amount matches Total tax Withheld from the PAYG SLS summary.</Description>
      <LongDescription>Check the Tax Withheld amount matches Total tax Withheld from the PAYG SLS summary; if payment is from a taxed or untaxed element and taxpayer's age when payment was received.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.630014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630014</Code>
      <Description>Check tax withheld from Australian superannuation income stream amount</Description>
      <LongDescription>Australian annuities and superannuation income stream tax withheld is present without associated Australian annuities and superannuation income stream income. Check and adjust where necessary.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianAnnuitiesAndSuperannuationIncomeStream.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.IITR.630015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.630015</Code>
      <Description>Check tax withheld from Australian superannuation income stream amount</Description>
      <LongDescription>Australian annuities and superannuation income streams tax withheld is more than 50% of the Australian annuities and superannuation income streams taxable component.</LongDescription>
      <Location>rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianAnnuitiesAndSuperannuationIncomeStream.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400088" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400088</Code>
      <Description>Invalid context. The number of Reporting Party Private Health Insurance contexts must not exceed 25.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>xbrli:context</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400089" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400089</Code>
      <Description>Invalid context. The number of Reporting Party Employment Termination Payment contexts must not exceed 25.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>xbrli:context</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400090" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400090</Code>
      <Description>Invalid context. The number of Reporting Party Other Income contexts must not exceed 50.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>xbrli:context</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400091" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400091</Code>
      <Description>Invalid context. The number of Reporting Party Other Deductions contexts must not exceed 100.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>xbrli:context</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400092" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400092</Code>
      <Description>Invalid context. The number of Reporting Party Salary and Wages contexts must not exceed 60.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>xbrli:context</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400093" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400093</Code>
      <Description>Invalid context. The number of Reporting Party Personal Superannuation Contributions contexts must not exceed 25.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>xbrli:context</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400094" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400094</Code>
      <Description>Invalid context. The number of Reporting Party Superannuation Lump Sum Payment contexts must not exceed 25.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>xbrli:context</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.IITR.400095" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IITR.400095</Code>
      <Description>Invalid context. The number of Reporting Party Employer Lump Sum Payment contexts must not exceed 50.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>xbrli:context</Location>
    </ProcessMessage>
  </diagnostic>

</diagnostics>
